
pub static SHORTER_ENCODED_ENTITIES_ENCODED: &[&[u8]] = &[
  b"&nGt;",
  b"&nLt;"
];
pub static SHORTER_ENCODED_ENTITIES_DECODED: &[&[u8]] = &[
  b"\xe2\x89\xab\xe2\x83\x92",
  b"\xe2\x89\xaa\xe2\x83\x92"
];

#[derive(Clone, Copy)]
pub enum EntityType {
  Named(&'static [u8]),
  Dec,
  Hex,
}

static ENTITY_NODE_0: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Dec),
      children: &[],
    };

static ENTITY_NODE_1: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Hex),
      children: &[],
    };

static ENTITY_NODE_2: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 48,
      value: None,
      children: &[Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), None, None, None, None, None, None, None, Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1), Some(ENTITY_NODE_1)],
    };

static ENTITY_NODE_3: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 48,
      value: None,
      children: &[Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), Some(ENTITY_NODE_0), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2)],
    };

static ENTITY_NODE_4: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x86")),
      children: &[],
    };

static ENTITY_NODE_5: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x86")),
      children: &[Some(ENTITY_NODE_4)],
    };

static ENTITY_NODE_6: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5)],
    };

static ENTITY_NODE_7: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6)],
    };

static ENTITY_NODE_8: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7)],
    };

static ENTITY_NODE_9: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"&")),
      children: &[],
    };

static ENTITY_NODE_10: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"&")),
      children: &[Some(ENTITY_NODE_9)],
    };

static ENTITY_NODE_11: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 80,
      value: None,
      children: &[Some(ENTITY_NODE_10)],
    };

static ENTITY_NODE_12: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x81")),
      children: &[],
    };

static ENTITY_NODE_13: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x81")),
      children: &[Some(ENTITY_NODE_12)],
    };

static ENTITY_NODE_14: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_13)],
    };

static ENTITY_NODE_15: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_14)],
    };

static ENTITY_NODE_16: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_15)],
    };

static ENTITY_NODE_17: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_16)],
    };

static ENTITY_NODE_18: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x82")),
      children: &[],
    };

static ENTITY_NODE_19: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_18)],
    };

static ENTITY_NODE_20: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_19)],
    };

static ENTITY_NODE_21: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_20)],
    };

static ENTITY_NODE_22: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_21)],
    };

static ENTITY_NODE_23: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_22)],
    };

static ENTITY_NODE_24: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x82")),
      children: &[],
    };

static ENTITY_NODE_25: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x82")),
      children: &[Some(ENTITY_NODE_24)],
    };

static ENTITY_NODE_26: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_25)],
    };

static ENTITY_NODE_27: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_26)],
    };

static ENTITY_NODE_28: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x90")),
      children: &[],
    };

static ENTITY_NODE_29: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_28)],
    };

static ENTITY_NODE_30: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_27), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_29)],
    };

static ENTITY_NODE_31: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x84")),
      children: &[],
    };

static ENTITY_NODE_32: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_31)],
    };

static ENTITY_NODE_33: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_32)],
    };

static ENTITY_NODE_34: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x80")),
      children: &[],
    };

static ENTITY_NODE_35: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x80")),
      children: &[Some(ENTITY_NODE_34)],
    };

static ENTITY_NODE_36: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_35)],
    };

static ENTITY_NODE_37: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_36)],
    };

static ENTITY_NODE_38: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_37)],
    };

static ENTITY_NODE_39: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_38)],
    };

static ENTITY_NODE_40: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x91")),
      children: &[],
    };

static ENTITY_NODE_41: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_40)],
    };

static ENTITY_NODE_42: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_41)],
    };

static ENTITY_NODE_43: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_42)],
    };

static ENTITY_NODE_44: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_43)],
    };

static ENTITY_NODE_45: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x80")),
      children: &[],
    };

static ENTITY_NODE_46: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_45)],
    };

static ENTITY_NODE_47: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_46)],
    };

static ENTITY_NODE_48: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_47)],
    };

static ENTITY_NODE_49: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_48)],
    };

static ENTITY_NODE_50: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x93")),
      children: &[],
    };

static ENTITY_NODE_51: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_50)],
    };

static ENTITY_NODE_52: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_51)],
    };

static ENTITY_NODE_53: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x84")),
      children: &[],
    };

static ENTITY_NODE_54: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_53)],
    };

static ENTITY_NODE_55: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_54)],
    };

static ENTITY_NODE_56: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_55)],
    };

static ENTITY_NODE_57: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb8")),
      children: &[],
    };

static ENTITY_NODE_58: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_57)],
    };

static ENTITY_NODE_59: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_58)],
    };

static ENTITY_NODE_60: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_56), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_59)],
    };

static ENTITY_NODE_61: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\xa1")),
      children: &[],
    };

static ENTITY_NODE_62: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_61)],
    };

static ENTITY_NODE_63: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_62)],
    };

static ENTITY_NODE_64: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_63)],
    };

static ENTITY_NODE_65: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_64)],
    };

static ENTITY_NODE_66: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_65)],
    };

static ENTITY_NODE_67: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_66)],
    };

static ENTITY_NODE_68: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_67)],
    };

static ENTITY_NODE_69: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_68)],
    };

static ENTITY_NODE_70: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 70,
      value: None,
      children: &[Some(ENTITY_NODE_69)],
    };

static ENTITY_NODE_71: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_70)],
    };

static ENTITY_NODE_72: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_71)],
    };

static ENTITY_NODE_73: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_72)],
    };

static ENTITY_NODE_74: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x85")),
      children: &[],
    };

static ENTITY_NODE_75: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x85")),
      children: &[Some(ENTITY_NODE_74)],
    };

static ENTITY_NODE_76: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_75)],
    };

static ENTITY_NODE_77: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_76)],
    };

static ENTITY_NODE_78: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_77)],
    };

static ENTITY_NODE_79: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\x9c")),
      children: &[],
    };

static ENTITY_NODE_80: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_79)],
    };

static ENTITY_NODE_81: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_80)],
    };

static ENTITY_NODE_82: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x94")),
      children: &[],
    };

static ENTITY_NODE_83: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_82)],
    };

static ENTITY_NODE_84: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_83)],
    };

static ENTITY_NODE_85: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_84)],
    };

static ENTITY_NODE_86: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_85)],
    };

static ENTITY_NODE_87: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_81), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_86)],
    };

static ENTITY_NODE_88: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x83")),
      children: &[],
    };

static ENTITY_NODE_89: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x83")),
      children: &[Some(ENTITY_NODE_88)],
    };

static ENTITY_NODE_90: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_89)],
    };

static ENTITY_NODE_91: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_90)],
    };

static ENTITY_NODE_92: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_91)],
    };

static ENTITY_NODE_93: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_92)],
    };

static ENTITY_NODE_94: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x84")),
      children: &[],
    };

static ENTITY_NODE_95: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x84")),
      children: &[Some(ENTITY_NODE_94)],
    };

static ENTITY_NODE_96: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_95)],
    };

static ENTITY_NODE_97: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_96)],
    };

static ENTITY_NODE_98: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_8), None, None, None, None, None, None, None, Some(ENTITY_NODE_11), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_17), Some(ENTITY_NODE_23), Some(ENTITY_NODE_30), None, None, Some(ENTITY_NODE_33), Some(ENTITY_NODE_39), None, None, None, None, Some(ENTITY_NODE_44), Some(ENTITY_NODE_49), Some(ENTITY_NODE_52), Some(ENTITY_NODE_60), Some(ENTITY_NODE_73), None, Some(ENTITY_NODE_78), Some(ENTITY_NODE_87), Some(ENTITY_NODE_93), Some(ENTITY_NODE_97)],
    };

static ENTITY_NODE_99: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x96")),
      children: &[],
    };

static ENTITY_NODE_100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_99)],
    };

static ENTITY_NODE_101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_100)],
    };

static ENTITY_NODE_102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_101)],
    };

static ENTITY_NODE_103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_102)],
    };

static ENTITY_NODE_104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_103)],
    };

static ENTITY_NODE_105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_104)],
    };

static ENTITY_NODE_106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_105)],
    };

static ENTITY_NODE_107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xa7")),
      children: &[],
    };

static ENTITY_NODE_108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_107)],
    };

static ENTITY_NODE_109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x86")),
      children: &[],
    };

static ENTITY_NODE_110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_109)],
    };

static ENTITY_NODE_111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_110)],
    };

static ENTITY_NODE_112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_111)],
    };

static ENTITY_NODE_113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_108), Some(ENTITY_NODE_112)],
    };

static ENTITY_NODE_114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_106), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_113)],
    };

static ENTITY_NODE_115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x91")),
      children: &[],
    };

static ENTITY_NODE_116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_115)],
    };

static ENTITY_NODE_117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_116)],
    };

static ENTITY_NODE_118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb5")),
      children: &[],
    };

static ENTITY_NODE_119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_118)],
    };

static ENTITY_NODE_120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_119)],
    };

static ENTITY_NODE_121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_120)],
    };

static ENTITY_NODE_122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_121)],
    };

static ENTITY_NODE_123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_122)],
    };

static ENTITY_NODE_124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xac")),
      children: &[],
    };

static ENTITY_NODE_125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_124)],
    };

static ENTITY_NODE_126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_125)],
    };

static ENTITY_NODE_127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_126)],
    };

static ENTITY_NODE_128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_127)],
    };

static ENTITY_NODE_129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_128)],
    };

static ENTITY_NODE_130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_129)],
    };

static ENTITY_NODE_131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_130)],
    };

static ENTITY_NODE_132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_131)],
    };

static ENTITY_NODE_133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x92")),
      children: &[],
    };

static ENTITY_NODE_134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_133)],
    };

static ENTITY_NODE_135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_134)],
    };

static ENTITY_NODE_136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_123), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_132), None, Some(ENTITY_NODE_135)],
    };

static ENTITY_NODE_137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x85")),
      children: &[],
    };

static ENTITY_NODE_138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_137)],
    };

static ENTITY_NODE_139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_138)],
    };

static ENTITY_NODE_140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb9")),
      children: &[],
    };

static ENTITY_NODE_141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_140)],
    };

static ENTITY_NODE_142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_141)],
    };

static ENTITY_NODE_143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_142)],
    };

static ENTITY_NODE_144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x98")),
      children: &[],
    };

static ENTITY_NODE_145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_144)],
    };

static ENTITY_NODE_146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_145)],
    };

static ENTITY_NODE_147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_146)],
    };

static ENTITY_NODE_148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_147)],
    };

static ENTITY_NODE_149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_125)],
    };

static ENTITY_NODE_150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_149)],
    };

static ENTITY_NODE_151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8e")),
      children: &[],
    };

static ENTITY_NODE_152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_151)],
    };

static ENTITY_NODE_153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_152)],
    };

static ENTITY_NODE_154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_153)],
    };

static ENTITY_NODE_155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_154)],
    };

static ENTITY_NODE_156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_155)],
    };

static ENTITY_NODE_157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_114), None, Some(ENTITY_NODE_117), None, Some(ENTITY_NODE_136), Some(ENTITY_NODE_139), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_143), None, None, Some(ENTITY_NODE_148), Some(ENTITY_NODE_150), None, Some(ENTITY_NODE_156)],
    };

static ENTITY_NODE_158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa7")),
      children: &[],
    };

static ENTITY_NODE_159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_158)],
    };

static ENTITY_NODE_160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_159)],
    };

static ENTITY_NODE_161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_160)],
    };

static ENTITY_NODE_162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa9")),
      children: &[],
    };

static ENTITY_NODE_163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa9")),
      children: &[Some(ENTITY_NODE_162)],
    };

static ENTITY_NODE_164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 89,
      value: None,
      children: &[Some(ENTITY_NODE_163)],
    };

static ENTITY_NODE_165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 80,
      value: None,
      children: &[Some(ENTITY_NODE_164)],
    };

static ENTITY_NODE_166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x86")),
      children: &[],
    };

static ENTITY_NODE_167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_166)],
    };

static ENTITY_NODE_168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_167)],
    };

static ENTITY_NODE_169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_168)],
    };

static ENTITY_NODE_170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_169)],
    };

static ENTITY_NODE_171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x92")),
      children: &[],
    };

static ENTITY_NODE_172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x85")),
      children: &[],
    };

static ENTITY_NODE_173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_172)],
    };

static ENTITY_NODE_174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_173)],
    };

static ENTITY_NODE_175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_174)],
    };

static ENTITY_NODE_176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_175)],
    };

static ENTITY_NODE_177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_176)],
    };

static ENTITY_NODE_178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_177)],
    };

static ENTITY_NODE_179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_178)],
    };

static ENTITY_NODE_180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_179)],
    };

static ENTITY_NODE_181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_180)],
    };

static ENTITY_NODE_182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_181)],
    };

static ENTITY_NODE_183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_182)],
    };

static ENTITY_NODE_184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_183)],
    };

static ENTITY_NODE_185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_184)],
    };

static ENTITY_NODE_186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_185)],
    };

static ENTITY_NODE_187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_186)],
    };

static ENTITY_NODE_188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_187)],
    };

static ENTITY_NODE_189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_188)],
    };

static ENTITY_NODE_190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_171), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_189)],
    };

static ENTITY_NODE_191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xad")),
      children: &[],
    };

static ENTITY_NODE_192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_191)],
    };

static ENTITY_NODE_193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_192)],
    };

static ENTITY_NODE_194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_193)],
    };

static ENTITY_NODE_195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_194)],
    };

static ENTITY_NODE_196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_195)],
    };

static ENTITY_NODE_197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_170), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_190), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_196)],
    };

static ENTITY_NODE_198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x8c")),
      children: &[],
    };

static ENTITY_NODE_199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_198)],
    };

static ENTITY_NODE_200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_199)],
    };

static ENTITY_NODE_201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_200)],
    };

static ENTITY_NODE_202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_201)],
    };

static ENTITY_NODE_203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x87")),
      children: &[],
    };

static ENTITY_NODE_204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x87")),
      children: &[Some(ENTITY_NODE_203)],
    };

static ENTITY_NODE_205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_204)],
    };

static ENTITY_NODE_206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_205)],
    };

static ENTITY_NODE_207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_206)],
    };

static ENTITY_NODE_208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x88")),
      children: &[],
    };

static ENTITY_NODE_209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_208)],
    };

static ENTITY_NODE_210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_209)],
    };

static ENTITY_NODE_211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_210)],
    };

static ENTITY_NODE_212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb0")),
      children: &[],
    };

static ENTITY_NODE_213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_212)],
    };

static ENTITY_NODE_214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_213)],
    };

static ENTITY_NODE_215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_214)],
    };

static ENTITY_NODE_216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_215)],
    };

static ENTITY_NODE_217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_216)],
    };

static ENTITY_NODE_218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_202), None, None, None, Some(ENTITY_NODE_207), None, None, None, Some(ENTITY_NODE_211), None, None, None, None, None, Some(ENTITY_NODE_217)],
    };

static ENTITY_NODE_219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x8a")),
      children: &[],
    };

static ENTITY_NODE_220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_219)],
    };

static ENTITY_NODE_221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_220)],
    };

static ENTITY_NODE_222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_221)],
    };

static ENTITY_NODE_223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb8")),
      children: &[],
    };

static ENTITY_NODE_224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_223)],
    };

static ENTITY_NODE_225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_224)],
    };

static ENTITY_NODE_226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_225)],
    };

static ENTITY_NODE_227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_226)],
    };

static ENTITY_NODE_228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_227)],
    };

static ENTITY_NODE_229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb7")),
      children: &[],
    };

static ENTITY_NODE_230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_229)],
    };

static ENTITY_NODE_231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_230)],
    };

static ENTITY_NODE_232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_231)],
    };

static ENTITY_NODE_233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_232)],
    };

static ENTITY_NODE_234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_233)],
    };

static ENTITY_NODE_235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_234)],
    };

static ENTITY_NODE_236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_235)],
    };

static ENTITY_NODE_237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_228), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_236)],
    };

static ENTITY_NODE_238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_192)],
    };

static ENTITY_NODE_239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa7")),
      children: &[],
    };

static ENTITY_NODE_240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_239)],
    };

static ENTITY_NODE_241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_240)],
    };

static ENTITY_NODE_242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x99")),
      children: &[],
    };

static ENTITY_NODE_243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_242)],
    };

static ENTITY_NODE_244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_243)],
    };

static ENTITY_NODE_245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_244)],
    };

static ENTITY_NODE_246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x96")),
      children: &[],
    };

static ENTITY_NODE_247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_246)],
    };

static ENTITY_NODE_248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_247)],
    };

static ENTITY_NODE_249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_248)],
    };

static ENTITY_NODE_250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_249)],
    };

static ENTITY_NODE_251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_250)],
    };

static ENTITY_NODE_252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x95")),
      children: &[],
    };

static ENTITY_NODE_253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_252)],
    };

static ENTITY_NODE_254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_253)],
    };

static ENTITY_NODE_255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_254)],
    };

static ENTITY_NODE_256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_255)],
    };

static ENTITY_NODE_257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x97")),
      children: &[],
    };

static ENTITY_NODE_258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_257)],
    };

static ENTITY_NODE_259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_258)],
    };

static ENTITY_NODE_260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_259)],
    };

static ENTITY_NODE_261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_260)],
    };

static ENTITY_NODE_262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_261)],
    };

static ENTITY_NODE_263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_245), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_251), None, None, Some(ENTITY_NODE_256), None, None, None, Some(ENTITY_NODE_262)],
    };

static ENTITY_NODE_264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_263)],
    };

static ENTITY_NODE_265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_264)],
    };

static ENTITY_NODE_266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_265)],
    };

static ENTITY_NODE_267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_266)],
    };

static ENTITY_NODE_268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb2")),
      children: &[],
    };

static ENTITY_NODE_269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_268)],
    };

static ENTITY_NODE_270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_269)],
    };

static ENTITY_NODE_271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_270)],
    };

static ENTITY_NODE_272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_271)],
    };

static ENTITY_NODE_273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_272)],
    };

static ENTITY_NODE_274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_273)],
    };

static ENTITY_NODE_275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_274)],
    };

static ENTITY_NODE_276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_275)],
    };

static ENTITY_NODE_277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 73,
      value: None,
      children: &[Some(ENTITY_NODE_276)],
    };

static ENTITY_NODE_278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_277)],
    };

static ENTITY_NODE_279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_278)],
    };

static ENTITY_NODE_280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_279)],
    };

static ENTITY_NODE_281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_280)],
    };

static ENTITY_NODE_282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_281)],
    };

static ENTITY_NODE_283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_282)],
    };

static ENTITY_NODE_284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_283)],
    };

static ENTITY_NODE_285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_284)],
    };

static ENTITY_NODE_286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_285)],
    };

static ENTITY_NODE_287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_286)],
    };

static ENTITY_NODE_288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_287)],
    };

static ENTITY_NODE_289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_288)],
    };

static ENTITY_NODE_290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x9d")),
      children: &[],
    };

static ENTITY_NODE_291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_290)],
    };

static ENTITY_NODE_292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_291)],
    };

static ENTITY_NODE_293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_292)],
    };

static ENTITY_NODE_294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_293)],
    };

static ENTITY_NODE_295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_294)],
    };

static ENTITY_NODE_296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 81,
      value: None,
      children: &[Some(ENTITY_NODE_295)],
    };

static ENTITY_NODE_297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_296)],
    };

static ENTITY_NODE_298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_297)],
    };

static ENTITY_NODE_299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_298)],
    };

static ENTITY_NODE_300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_299)],
    };

static ENTITY_NODE_301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_300)],
    };

static ENTITY_NODE_302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x99")),
      children: &[],
    };

static ENTITY_NODE_303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_302)],
    };

static ENTITY_NODE_304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_303)],
    };

static ENTITY_NODE_305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_304)],
    };

static ENTITY_NODE_306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_305)],
    };

static ENTITY_NODE_307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_306)],
    };

static ENTITY_NODE_308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_301), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_307)],
    };

static ENTITY_NODE_309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_308)],
    };

static ENTITY_NODE_310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_309)],
    };

static ENTITY_NODE_311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_310)],
    };

static ENTITY_NODE_312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_311)],
    };

static ENTITY_NODE_313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_312)],
    };

static ENTITY_NODE_314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_313)],
    };

static ENTITY_NODE_315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_289), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_314)],
    };

static ENTITY_NODE_316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_315)],
    };

static ENTITY_NODE_317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb7")),
      children: &[],
    };

static ENTITY_NODE_318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb4")),
      children: &[],
    };

static ENTITY_NODE_319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_318)],
    };

static ENTITY_NODE_320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_317), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_319)],
    };

static ENTITY_NODE_321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_320)],
    };

static ENTITY_NODE_322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_321)],
    };

static ENTITY_NODE_323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa1")),
      children: &[],
    };

static ENTITY_NODE_324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_323)],
    };

static ENTITY_NODE_325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_324)],
    };

static ENTITY_NODE_326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_325)],
    };

static ENTITY_NODE_327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_326)],
    };

static ENTITY_NODE_328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_327)],
    };

static ENTITY_NODE_329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_328)],
    };

static ENTITY_NODE_330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xaf")),
      children: &[],
    };

static ENTITY_NODE_331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_330)],
    };

static ENTITY_NODE_332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_331)],
    };

static ENTITY_NODE_333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_332)],
    };

static ENTITY_NODE_334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xae")),
      children: &[],
    };

static ENTITY_NODE_335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_334)],
    };

static ENTITY_NODE_336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_335)],
    };

static ENTITY_NODE_337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_336)],
    };

static ENTITY_NODE_338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_337)],
    };

static ENTITY_NODE_339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_338)],
    };

static ENTITY_NODE_340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_339)],
    };

static ENTITY_NODE_341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_340)],
    };

static ENTITY_NODE_342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_341)],
    };

static ENTITY_NODE_343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 73,
      value: None,
      children: &[Some(ENTITY_NODE_342)],
    };

static ENTITY_NODE_344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_343)],
    };

static ENTITY_NODE_345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_344)],
    };

static ENTITY_NODE_346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_345)],
    };

static ENTITY_NODE_347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_329), None, Some(ENTITY_NODE_333), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_346)],
    };

static ENTITY_NODE_348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x82")),
      children: &[],
    };

static ENTITY_NODE_349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_348)],
    };

static ENTITY_NODE_350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x90")),
      children: &[],
    };

static ENTITY_NODE_351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_350)],
    };

static ENTITY_NODE_352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_351)],
    };

static ENTITY_NODE_353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_352)],
    };

static ENTITY_NODE_354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_353)],
    };

static ENTITY_NODE_355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_354)],
    };

static ENTITY_NODE_356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_355)],
    };

static ENTITY_NODE_357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_349), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_356)],
    };

static ENTITY_NODE_358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb3")),
      children: &[],
    };

static ENTITY_NODE_359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_358)],
    };

static ENTITY_NODE_360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_359)],
    };

static ENTITY_NODE_361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_360)],
    };

static ENTITY_NODE_362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_361)],
    };

static ENTITY_NODE_363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_362)],
    };

static ENTITY_NODE_364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_363)],
    };

static ENTITY_NODE_365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_364)],
    };

static ENTITY_NODE_366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_365)],
    };

static ENTITY_NODE_367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 73,
      value: None,
      children: &[Some(ENTITY_NODE_366)],
    };

static ENTITY_NODE_368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_367)],
    };

static ENTITY_NODE_369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_368)],
    };

static ENTITY_NODE_370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_369)],
    };

static ENTITY_NODE_371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_370)],
    };

static ENTITY_NODE_372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_371)],
    };

static ENTITY_NODE_373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_372)],
    };

static ENTITY_NODE_374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_373)],
    };

static ENTITY_NODE_375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_374)],
    };

static ENTITY_NODE_376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_375)],
    };

static ENTITY_NODE_377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_376)],
    };

static ENTITY_NODE_378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_377)],
    };

static ENTITY_NODE_379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_378)],
    };

static ENTITY_NODE_380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_379)],
    };

static ENTITY_NODE_381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_380)],
    };

static ENTITY_NODE_382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_381)],
    };

static ENTITY_NODE_383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_382)],
    };

static ENTITY_NODE_384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_383)],
    };

static ENTITY_NODE_385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_384)],
    };

static ENTITY_NODE_386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_385)],
    };

static ENTITY_NODE_387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_386)],
    };

static ENTITY_NODE_388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_322), None, Some(ENTITY_NODE_347), None, Some(ENTITY_NODE_357), None, None, None, None, Some(ENTITY_NODE_387)],
    };

static ENTITY_NODE_389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xaf")),
      children: &[],
    };

static ENTITY_NODE_390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_389)],
    };

static ENTITY_NODE_391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_390)],
    };

static ENTITY_NODE_392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_391)],
    };

static ENTITY_NODE_393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_392)],
    };

static ENTITY_NODE_394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\x9e")),
      children: &[],
    };

static ENTITY_NODE_395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_394)],
    };

static ENTITY_NODE_396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_395)],
    };

static ENTITY_NODE_397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_396)],
    };

static ENTITY_NODE_398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x93")),
      children: &[],
    };

static ENTITY_NODE_399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8d")),
      children: &[],
    };

static ENTITY_NODE_400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_399)],
    };

static ENTITY_NODE_401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_400)],
    };

static ENTITY_NODE_402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_401)],
    };

static ENTITY_NODE_403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_398), None, None, None, None, None, None, None, Some(ENTITY_NODE_402)],
    };

static ENTITY_NODE_404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_403)],
    };

static ENTITY_NODE_405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_161), None, None, None, None, None, None, Some(ENTITY_NODE_165), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_197), None, Some(ENTITY_NODE_218), Some(ENTITY_NODE_222), Some(ENTITY_NODE_237), Some(ENTITY_NODE_238), None, Some(ENTITY_NODE_241), Some(ENTITY_NODE_267), None, None, Some(ENTITY_NODE_316), None, None, Some(ENTITY_NODE_388), None, None, Some(ENTITY_NODE_393), Some(ENTITY_NODE_397), None, Some(ENTITY_NODE_404)],
    };

static ENTITY_NODE_406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x91")),
      children: &[],
    };

static ENTITY_NODE_407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_406)],
    };

static ENTITY_NODE_408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_407)],
    };

static ENTITY_NODE_409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_408)],
    };

static ENTITY_NODE_410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_409)],
    };

static ENTITY_NODE_411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_410)],
    };

static ENTITY_NODE_412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_411)],
    };

static ENTITY_NODE_413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_172), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_412)],
    };

static ENTITY_NODE_414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x82")),
      children: &[],
    };

static ENTITY_NODE_415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_414)],
    };

static ENTITY_NODE_416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_415)],
    };

static ENTITY_NODE_417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_416)],
    };

static ENTITY_NODE_418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x85")),
      children: &[],
    };

static ENTITY_NODE_419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_418)],
    };

static ENTITY_NODE_420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_419)],
    };

static ENTITY_NODE_421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_420)],
    };

static ENTITY_NODE_422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x8f")),
      children: &[],
    };

static ENTITY_NODE_423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_422)],
    };

static ENTITY_NODE_424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_423)],
    };

static ENTITY_NODE_425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_424)],
    };

static ENTITY_NODE_426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xa1")),
      children: &[],
    };

static ENTITY_NODE_427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_426)],
    };

static ENTITY_NODE_428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_427)],
    };

static ENTITY_NODE_429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_428)],
    };

static ENTITY_NODE_430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_429)],
    };

static ENTITY_NODE_431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa1")),
      children: &[],
    };

static ENTITY_NODE_432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_431)],
    };

static ENTITY_NODE_433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_432)],
    };

static ENTITY_NODE_434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xa4")),
      children: &[],
    };

static ENTITY_NODE_435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_434)],
    };

static ENTITY_NODE_436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_435)],
    };

static ENTITY_NODE_437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_436)],
    };

static ENTITY_NODE_438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_430), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_433), Some(ENTITY_NODE_437)],
    };

static ENTITY_NODE_439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x8e")),
      children: &[],
    };

static ENTITY_NODE_440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_439)],
    };

static ENTITY_NODE_441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_440)],
    };

static ENTITY_NODE_442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_441)],
    };

static ENTITY_NODE_443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_442)],
    };

static ENTITY_NODE_444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x94")),
      children: &[],
    };

static ENTITY_NODE_445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_444)],
    };

static ENTITY_NODE_446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_443), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_445)],
    };

static ENTITY_NODE_447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x87")),
      children: &[],
    };

static ENTITY_NODE_448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x94")),
      children: &[],
    };

static ENTITY_NODE_449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_448)],
    };

static ENTITY_NODE_450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_449)],
    };

static ENTITY_NODE_451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_447), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_450)],
    };

static ENTITY_NODE_452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_451)],
    };

static ENTITY_NODE_453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x87")),
      children: &[],
    };

static ENTITY_NODE_454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_453)],
    };

static ENTITY_NODE_455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_454)],
    };

static ENTITY_NODE_456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb4")),
      children: &[],
    };

static ENTITY_NODE_457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_456)],
    };

static ENTITY_NODE_458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_457)],
    };

static ENTITY_NODE_459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_458)],
    };

static ENTITY_NODE_460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_459)],
    };

static ENTITY_NODE_461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_460)],
    };

static ENTITY_NODE_462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x99")),
      children: &[],
    };

static ENTITY_NODE_463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_462)],
    };

static ENTITY_NODE_464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x9d")),
      children: &[],
    };

static ENTITY_NODE_465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_464)],
    };

static ENTITY_NODE_466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_465)],
    };

static ENTITY_NODE_467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_466)],
    };

static ENTITY_NODE_468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_467)],
    };

static ENTITY_NODE_469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_468)],
    };

static ENTITY_NODE_470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_469)],
    };

static ENTITY_NODE_471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_470)],
    };

static ENTITY_NODE_472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_471)],
    };

static ENTITY_NODE_473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_472)],
    };

static ENTITY_NODE_474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_463), Some(ENTITY_NODE_473)],
    };

static ENTITY_NODE_475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_474)],
    };

static ENTITY_NODE_476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"`")),
      children: &[],
    };

static ENTITY_NODE_477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_476)],
    };

static ENTITY_NODE_478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_477)],
    };

static ENTITY_NODE_479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_478)],
    };

static ENTITY_NODE_480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_479)],
    };

static ENTITY_NODE_481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_480)],
    };

static ENTITY_NODE_482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x9c")),
      children: &[],
    };

static ENTITY_NODE_483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_482)],
    };

static ENTITY_NODE_484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_483)],
    };

static ENTITY_NODE_485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_484)],
    };

static ENTITY_NODE_486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_485)],
    };

static ENTITY_NODE_487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_486)],
    };

static ENTITY_NODE_488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_461), None, None, Some(ENTITY_NODE_475), None, None, Some(ENTITY_NODE_481), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_487)],
    };

static ENTITY_NODE_489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_488)],
    };

static ENTITY_NODE_490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_489)],
    };

static ENTITY_NODE_491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_490)],
    };

static ENTITY_NODE_492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_491)],
    };

static ENTITY_NODE_493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_492)],
    };

static ENTITY_NODE_494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_493)],
    };

static ENTITY_NODE_495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_494)],
    };

static ENTITY_NODE_496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x84")),
      children: &[],
    };

static ENTITY_NODE_497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_496)],
    };

static ENTITY_NODE_498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_497)],
    };

static ENTITY_NODE_499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_498)],
    };

static ENTITY_NODE_500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_499)],
    };

static ENTITY_NODE_501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_495), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_500)],
    };

static ENTITY_NODE_502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x86")),
      children: &[],
    };

static ENTITY_NODE_503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_502)],
    };

static ENTITY_NODE_504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_503)],
    };

static ENTITY_NODE_505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_504)],
    };

static ENTITY_NODE_506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_505)],
    };

static ENTITY_NODE_507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_506)],
    };

static ENTITY_NODE_508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_507)],
    };

static ENTITY_NODE_509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_508)],
    };

static ENTITY_NODE_510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_509)],
    };

static ENTITY_NODE_511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_510)],
    };

static ENTITY_NODE_512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_511)],
    };

static ENTITY_NODE_513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_512)],
    };

static ENTITY_NODE_514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_501), None, None, None, None, Some(ENTITY_NODE_513)],
    };

static ENTITY_NODE_515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xbb")),
      children: &[],
    };

static ENTITY_NODE_516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_515)],
    };

static ENTITY_NODE_517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_516)],
    };

static ENTITY_NODE_518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa8")),
      children: &[],
    };

static ENTITY_NODE_519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x83\x9c")),
      children: &[],
    };

static ENTITY_NODE_520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_519)],
    };

static ENTITY_NODE_521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_520)],
    };

static ENTITY_NODE_522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_521)],
    };

static ENTITY_NODE_523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x90")),
      children: &[],
    };

static ENTITY_NODE_524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_523)],
    };

static ENTITY_NODE_525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_524)],
    };

static ENTITY_NODE_526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_525)],
    };

static ENTITY_NODE_527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_526)],
    };

static ENTITY_NODE_528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_527)],
    };

static ENTITY_NODE_529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_518), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_522), Some(ENTITY_NODE_528)],
    };

static ENTITY_NODE_530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_331)],
    };

static ENTITY_NODE_531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_530)],
    };

static ENTITY_NODE_532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_531)],
    };

static ENTITY_NODE_533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_532)],
    };

static ENTITY_NODE_534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_533)],
    };

static ENTITY_NODE_535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_534)],
    };

static ENTITY_NODE_536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_535)],
    };

static ENTITY_NODE_537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 73,
      value: None,
      children: &[Some(ENTITY_NODE_536)],
    };

static ENTITY_NODE_538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_537)],
    };

static ENTITY_NODE_539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_538)],
    };

static ENTITY_NODE_540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_539)],
    };

static ENTITY_NODE_541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_540)],
    };

static ENTITY_NODE_542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_541)],
    };

static ENTITY_NODE_543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_542)],
    };

static ENTITY_NODE_544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_518)],
    };

static ENTITY_NODE_545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x93")),
      children: &[],
    };

static ENTITY_NODE_546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_545)],
    };

static ENTITY_NODE_547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_546)],
    };

static ENTITY_NODE_548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_547)],
    };

static ENTITY_NODE_549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_548)],
    };

static ENTITY_NODE_550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_549)],
    };

static ENTITY_NODE_551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_550)],
    };

static ENTITY_NODE_552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_551)],
    };

static ENTITY_NODE_553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_544), None, None, Some(ENTITY_NODE_552)],
    };

static ENTITY_NODE_554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_553)],
    };

static ENTITY_NODE_555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x90")),
      children: &[],
    };

static ENTITY_NODE_556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_555)],
    };

static ENTITY_NODE_557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_556)],
    };

static ENTITY_NODE_558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_557)],
    };

static ENTITY_NODE_559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_558)],
    };

static ENTITY_NODE_560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_559)],
    };

static ENTITY_NODE_561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x94")),
      children: &[],
    };

static ENTITY_NODE_562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_561)],
    };

static ENTITY_NODE_563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_562)],
    };

static ENTITY_NODE_564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_563)],
    };

static ENTITY_NODE_565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_564)],
    };

static ENTITY_NODE_566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_565)],
    };

static ENTITY_NODE_567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_566)],
    };

static ENTITY_NODE_568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_567)],
    };

static ENTITY_NODE_569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_568)],
    };

static ENTITY_NODE_570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_569)],
    };

static ENTITY_NODE_571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_570)],
    };

static ENTITY_NODE_572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_435)],
    };

static ENTITY_NODE_573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_572)],
    };

static ENTITY_NODE_574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_560), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_571), None, Some(ENTITY_NODE_573)],
    };

static ENTITY_NODE_575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_574)],
    };

static ENTITY_NODE_576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_575)],
    };

static ENTITY_NODE_577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xb8")),
      children: &[],
    };

static ENTITY_NODE_578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_577)],
    };

static ENTITY_NODE_579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_578)],
    };

static ENTITY_NODE_580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_579)],
    };

static ENTITY_NODE_581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_580)],
    };

static ENTITY_NODE_582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_581)],
    };

static ENTITY_NODE_583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xba")),
      children: &[],
    };

static ENTITY_NODE_584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_583)],
    };

static ENTITY_NODE_585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_584)],
    };

static ENTITY_NODE_586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_585)],
    };

static ENTITY_NODE_587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_586)],
    };

static ENTITY_NODE_588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_587)],
    };

static ENTITY_NODE_589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_588)],
    };

static ENTITY_NODE_590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_589)],
    };

static ENTITY_NODE_591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_590)],
    };

static ENTITY_NODE_592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_591)],
    };

static ENTITY_NODE_593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_592)],
    };

static ENTITY_NODE_594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_582), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_593)],
    };

static ENTITY_NODE_595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_594)],
    };

static ENTITY_NODE_596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_595)],
    };

static ENTITY_NODE_597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_596)],
    };

static ENTITY_NODE_598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xb9")),
      children: &[],
    };

static ENTITY_NODE_599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_598)],
    };

static ENTITY_NODE_600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_599)],
    };

static ENTITY_NODE_601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_600)],
    };

static ENTITY_NODE_602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_601)],
    };

static ENTITY_NODE_603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_602)],
    };

static ENTITY_NODE_604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_603)],
    };

static ENTITY_NODE_605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_604)],
    };

static ENTITY_NODE_606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_605)],
    };

static ENTITY_NODE_607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_606)],
    };

static ENTITY_NODE_608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_607)],
    };

static ENTITY_NODE_609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_597), None, None, None, None, None, Some(ENTITY_NODE_608)],
    };

static ENTITY_NODE_610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_609)],
    };

static ENTITY_NODE_611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_610)],
    };

static ENTITY_NODE_612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_576), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_611)],
    };

static ENTITY_NODE_613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x92")),
      children: &[],
    };

static ENTITY_NODE_614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_613)],
    };

static ENTITY_NODE_615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_614)],
    };

static ENTITY_NODE_616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_615)],
    };

static ENTITY_NODE_617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_616)],
    };

static ENTITY_NODE_618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_617)],
    };

static ENTITY_NODE_619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa8")),
      children: &[],
    };

static ENTITY_NODE_620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_619)],
    };

static ENTITY_NODE_621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_620)],
    };

static ENTITY_NODE_622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_621)],
    };

static ENTITY_NODE_623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_618), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_622)],
    };

static ENTITY_NODE_624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_623)],
    };

static ENTITY_NODE_625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_624)],
    };

static ENTITY_NODE_626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_625)],
    };

static ENTITY_NODE_627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_626)],
    };

static ENTITY_NODE_628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x91")),
      children: &[],
    };

static ENTITY_NODE_629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_628)],
    };

static ENTITY_NODE_630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_629)],
    };

static ENTITY_NODE_631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_630)],
    };

static ENTITY_NODE_632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_631)],
    };

static ENTITY_NODE_633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_632)],
    };

static ENTITY_NODE_634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x95")),
      children: &[],
    };

static ENTITY_NODE_635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_634)],
    };

static ENTITY_NODE_636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_635)],
    };

static ENTITY_NODE_637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_636)],
    };

static ENTITY_NODE_638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_637)],
    };

static ENTITY_NODE_639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_638)],
    };

static ENTITY_NODE_640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_639)],
    };

static ENTITY_NODE_641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_640)],
    };

static ENTITY_NODE_642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_641)],
    };

static ENTITY_NODE_643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_642)],
    };

static ENTITY_NODE_644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_633), None, None, Some(ENTITY_NODE_643)],
    };

static ENTITY_NODE_645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_644)],
    };

static ENTITY_NODE_646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa5")),
      children: &[],
    };

static ENTITY_NODE_647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_646)],
    };

static ENTITY_NODE_648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_647)],
    };

static ENTITY_NODE_649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_648)],
    };

static ENTITY_NODE_650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_649)],
    };

static ENTITY_NODE_651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_650)],
    };

static ENTITY_NODE_652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_651)],
    };

static ENTITY_NODE_653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_652)],
    };

static ENTITY_NODE_654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_653)],
    };

static ENTITY_NODE_655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_654)],
    };

static ENTITY_NODE_656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_655)],
    };

static ENTITY_NODE_657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_656)],
    };

static ENTITY_NODE_658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_543), Some(ENTITY_NODE_554), None, None, None, None, None, None, None, Some(ENTITY_NODE_612), None, None, None, None, None, Some(ENTITY_NODE_627), None, None, Some(ENTITY_NODE_645), Some(ENTITY_NODE_657)],
    };

static ENTITY_NODE_659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_658)],
    };

static ENTITY_NODE_660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_659)],
    };

static ENTITY_NODE_661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_660)],
    };

static ENTITY_NODE_662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x93")),
      children: &[],
    };

static ENTITY_NODE_663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x93")),
      children: &[],
    };

static ENTITY_NODE_664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_663)],
    };

static ENTITY_NODE_665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_664)],
    };

static ENTITY_NODE_666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_665)],
    };

static ENTITY_NODE_667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\xb5")),
      children: &[],
    };

static ENTITY_NODE_668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_667)],
    };

static ENTITY_NODE_669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_668)],
    };

static ENTITY_NODE_670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_669)],
    };

static ENTITY_NODE_671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_670)],
    };

static ENTITY_NODE_672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_671)],
    };

static ENTITY_NODE_673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_672)],
    };

static ENTITY_NODE_674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_673)],
    };

static ENTITY_NODE_675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_662), None, None, None, None, None, None, Some(ENTITY_NODE_666), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_674)],
    };

static ENTITY_NODE_676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_675)],
    };

static ENTITY_NODE_677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_676)],
    };

static ENTITY_NODE_678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_677)],
    };

static ENTITY_NODE_679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_678)],
    };

static ENTITY_NODE_680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcc\x91")),
      children: &[],
    };

static ENTITY_NODE_681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_680)],
    };

static ENTITY_NODE_682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_681)],
    };

static ENTITY_NODE_683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_682)],
    };

static ENTITY_NODE_684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_683)],
    };

static ENTITY_NODE_685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_684)],
    };

static ENTITY_NODE_686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x90")),
      children: &[],
    };

static ENTITY_NODE_687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_686)],
    };

static ENTITY_NODE_688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_687)],
    };

static ENTITY_NODE_689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_688)],
    };

static ENTITY_NODE_690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_689)],
    };

static ENTITY_NODE_691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_690)],
    };

static ENTITY_NODE_692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_691)],
    };

static ENTITY_NODE_693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_692)],
    };

static ENTITY_NODE_694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_693)],
    };

static ENTITY_NODE_695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_694)],
    };

static ENTITY_NODE_696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_695)],
    };

static ENTITY_NODE_697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_696)],
    };

static ENTITY_NODE_698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x9e")),
      children: &[],
    };

static ENTITY_NODE_699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_698)],
    };

static ENTITY_NODE_700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_699)],
    };

static ENTITY_NODE_701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_700)],
    };

static ENTITY_NODE_702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_701)],
    };

static ENTITY_NODE_703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_702)],
    };

static ENTITY_NODE_704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_703)],
    };

static ENTITY_NODE_705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_704)],
    };

static ENTITY_NODE_706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_705)],
    };

static ENTITY_NODE_707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_706)],
    };

static ENTITY_NODE_708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xbd")),
      children: &[],
    };

static ENTITY_NODE_709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x96")),
      children: &[],
    };

static ENTITY_NODE_710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_709)],
    };

static ENTITY_NODE_711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_710)],
    };

static ENTITY_NODE_712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_711)],
    };

static ENTITY_NODE_713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_708), None, None, None, None, None, None, Some(ENTITY_NODE_712)],
    };

static ENTITY_NODE_714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_713)],
    };

static ENTITY_NODE_715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_714)],
    };

static ENTITY_NODE_716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_715)],
    };

static ENTITY_NODE_717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_716)],
    };

static ENTITY_NODE_718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_717)],
    };

static ENTITY_NODE_719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 82,
      value: None,
      children: &[Some(ENTITY_NODE_697), None, Some(ENTITY_NODE_707), None, Some(ENTITY_NODE_718)],
    };

static ENTITY_NODE_720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_719)],
    };

static ENTITY_NODE_721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_720)],
    };

static ENTITY_NODE_722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_721)],
    };

static ENTITY_NODE_723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x9f")),
      children: &[],
    };

static ENTITY_NODE_724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_723)],
    };

static ENTITY_NODE_725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_724)],
    };

static ENTITY_NODE_726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_725)],
    };

static ENTITY_NODE_727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_726)],
    };

static ENTITY_NODE_728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_727)],
    };

static ENTITY_NODE_729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_728)],
    };

static ENTITY_NODE_730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_729)],
    };

static ENTITY_NODE_731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_730)],
    };

static ENTITY_NODE_732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_731)],
    };

static ENTITY_NODE_733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x81")),
      children: &[],
    };

static ENTITY_NODE_734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x97")),
      children: &[],
    };

static ENTITY_NODE_735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_734)],
    };

static ENTITY_NODE_736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_735)],
    };

static ENTITY_NODE_737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_736)],
    };

static ENTITY_NODE_738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_733), None, None, None, None, None, None, Some(ENTITY_NODE_737)],
    };

static ENTITY_NODE_739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_738)],
    };

static ENTITY_NODE_740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_739)],
    };

static ENTITY_NODE_741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_740)],
    };

static ENTITY_NODE_742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_741)],
    };

static ENTITY_NODE_743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_742)],
    };

static ENTITY_NODE_744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_732), None, Some(ENTITY_NODE_743)],
    };

static ENTITY_NODE_745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_744)],
    };

static ENTITY_NODE_746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_745)],
    };

static ENTITY_NODE_747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_746)],
    };

static ENTITY_NODE_748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_747)],
    };

static ENTITY_NODE_749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa4")),
      children: &[],
    };

static ENTITY_NODE_750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa7")),
      children: &[],
    };

static ENTITY_NODE_751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_750)],
    };

static ENTITY_NODE_752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_751)],
    };

static ENTITY_NODE_753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_752)],
    };

static ENTITY_NODE_754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_753)],
    };

static ENTITY_NODE_755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_754)],
    };

static ENTITY_NODE_756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_749), None, None, None, None, None, Some(ENTITY_NODE_755)],
    };

static ENTITY_NODE_757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_756)],
    };

static ENTITY_NODE_758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_757)],
    };

static ENTITY_NODE_759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_679), Some(ENTITY_NODE_685), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_722), None, None, None, None, None, Some(ENTITY_NODE_748), None, Some(ENTITY_NODE_758), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_550)],
    };

static ENTITY_NODE_760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_759)],
    };

static ENTITY_NODE_761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_517), None, None, None, Some(ENTITY_NODE_529), Some(ENTITY_NODE_661), None, Some(ENTITY_NODE_760)],
    };

static ENTITY_NODE_762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\x9f")),
      children: &[],
    };

static ENTITY_NODE_763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_762)],
    };

static ENTITY_NODE_764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_763)],
    };

static ENTITY_NODE_765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x90")),
      children: &[],
    };

static ENTITY_NODE_766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_765)],
    };

static ENTITY_NODE_767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_766)],
    };

static ENTITY_NODE_768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_767)],
    };

static ENTITY_NODE_769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_768)],
    };

static ENTITY_NODE_770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_764), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_769)],
    };

static ENTITY_NODE_771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_413), None, None, None, None, None, Some(ENTITY_NODE_417), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_421), None, None, None, None, None, None, Some(ENTITY_NODE_425), None, None, None, None, None, None, Some(ENTITY_NODE_438), None, Some(ENTITY_NODE_446), None, Some(ENTITY_NODE_452), Some(ENTITY_NODE_455), None, None, Some(ENTITY_NODE_514), None, None, None, None, None, Some(ENTITY_NODE_761), None, None, None, Some(ENTITY_NODE_770)],
    };

static ENTITY_NODE_772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x8a")),
      children: &[],
    };

static ENTITY_NODE_773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_772)],
    };

static ENTITY_NODE_774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_773)],
    };

static ENTITY_NODE_775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x90")),
      children: &[],
    };

static ENTITY_NODE_776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x90")),
      children: &[Some(ENTITY_NODE_775)],
    };

static ENTITY_NODE_777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_776)],
    };

static ENTITY_NODE_778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x89")),
      children: &[],
    };

static ENTITY_NODE_779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x89")),
      children: &[Some(ENTITY_NODE_778)],
    };

static ENTITY_NODE_780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_779)],
    };

static ENTITY_NODE_781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_780)],
    };

static ENTITY_NODE_782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_781)],
    };

static ENTITY_NODE_783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_782)],
    };

static ENTITY_NODE_784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x9a")),
      children: &[],
    };

static ENTITY_NODE_785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_784)],
    };

static ENTITY_NODE_786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_785)],
    };

static ENTITY_NODE_787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_786)],
    };

static ENTITY_NODE_788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_787)],
    };

static ENTITY_NODE_789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x8a")),
      children: &[],
    };

static ENTITY_NODE_790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x8a")),
      children: &[Some(ENTITY_NODE_789)],
    };

static ENTITY_NODE_791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_790)],
    };

static ENTITY_NODE_792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_791)],
    };

static ENTITY_NODE_793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xad")),
      children: &[],
    };

static ENTITY_NODE_794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_793)],
    };

static ENTITY_NODE_795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_788), None, None, None, None, None, None, None, Some(ENTITY_NODE_792), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_794)],
    };

static ENTITY_NODE_796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x96")),
      children: &[],
    };

static ENTITY_NODE_797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_796)],
    };

static ENTITY_NODE_798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_797)],
    };

static ENTITY_NODE_799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_798)],
    };

static ENTITY_NODE_800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x88")),
      children: &[],
    };

static ENTITY_NODE_801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_800)],
    };

static ENTITY_NODE_802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_801)],
    };

static ENTITY_NODE_803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x88")),
      children: &[],
    };

static ENTITY_NODE_804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x88")),
      children: &[Some(ENTITY_NODE_803)],
    };

static ENTITY_NODE_805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_804)],
    };

static ENTITY_NODE_806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_805)],
    };

static ENTITY_NODE_807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_806)],
    };

static ENTITY_NODE_808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_807)],
    };

static ENTITY_NODE_809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x88")),
      children: &[],
    };

static ENTITY_NODE_810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_809)],
    };

static ENTITY_NODE_811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_810)],
    };

static ENTITY_NODE_812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_811)],
    };

static ENTITY_NODE_813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_812)],
    };

static ENTITY_NODE_814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_813)],
    };

static ENTITY_NODE_815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_814)],
    };

static ENTITY_NODE_816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x92")),
      children: &[],
    };

static ENTITY_NODE_817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_816)],
    };

static ENTITY_NODE_818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_817)],
    };

static ENTITY_NODE_819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_818)],
    };

static ENTITY_NODE_820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\xbb")),
      children: &[],
    };

static ENTITY_NODE_821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_820)],
    };

static ENTITY_NODE_822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_821)],
    };

static ENTITY_NODE_823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_822)],
    };

static ENTITY_NODE_824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_823)],
    };

static ENTITY_NODE_825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_824)],
    };

static ENTITY_NODE_826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_825)],
    };

static ENTITY_NODE_827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_826)],
    };

static ENTITY_NODE_828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_827)],
    };

static ENTITY_NODE_829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_828)],
    };

static ENTITY_NODE_830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_829)],
    };

static ENTITY_NODE_831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_830)],
    };

static ENTITY_NODE_832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xab")),
      children: &[],
    };

static ENTITY_NODE_833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_832)],
    };

static ENTITY_NODE_834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_833)],
    };

static ENTITY_NODE_835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_834)],
    };

static ENTITY_NODE_836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_835)],
    };

static ENTITY_NODE_837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_836)],
    };

static ENTITY_NODE_838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_837)],
    };

static ENTITY_NODE_839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_838)],
    };

static ENTITY_NODE_840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_839)],
    };

static ENTITY_NODE_841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_840)],
    };

static ENTITY_NODE_842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_841)],
    };

static ENTITY_NODE_843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_842)],
    };

static ENTITY_NODE_844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_843)],
    };

static ENTITY_NODE_845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_844)],
    };

static ENTITY_NODE_846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_845)],
    };

static ENTITY_NODE_847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_846)],
    };

static ENTITY_NODE_848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_831), None, None, Some(ENTITY_NODE_847)],
    };

static ENTITY_NODE_849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_848)],
    };

static ENTITY_NODE_850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_849)],
    };

static ENTITY_NODE_851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_819), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_850)],
    };

static ENTITY_NODE_852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x98")),
      children: &[],
    };

static ENTITY_NODE_853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_852)],
    };

static ENTITY_NODE_854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_853)],
    };

static ENTITY_NODE_855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_854)],
    };

static ENTITY_NODE_856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xbc")),
      children: &[],
    };

static ENTITY_NODE_857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_856)],
    };

static ENTITY_NODE_858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_857)],
    };

static ENTITY_NODE_859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_855), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_858)],
    };

static ENTITY_NODE_860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x95")),
      children: &[],
    };

static ENTITY_NODE_861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_860)],
    };

static ENTITY_NODE_862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_861)],
    };

static ENTITY_NODE_863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_862)],
    };

static ENTITY_NODE_864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_863)],
    };

static ENTITY_NODE_865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_864)],
    };

static ENTITY_NODE_866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_865)],
    };

static ENTITY_NODE_867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb5")),
      children: &[],
    };

static ENTITY_NODE_868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x82")),
      children: &[],
    };

static ENTITY_NODE_869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_868)],
    };

static ENTITY_NODE_870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_869)],
    };

static ENTITY_NODE_871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_870)],
    };

static ENTITY_NODE_872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_871)],
    };

static ENTITY_NODE_873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_872)],
    };

static ENTITY_NODE_874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_867), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_873)],
    };

static ENTITY_NODE_875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_874)],
    };

static ENTITY_NODE_876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x8c")),
      children: &[],
    };

static ENTITY_NODE_877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_876)],
    };

static ENTITY_NODE_878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_877)],
    };

static ENTITY_NODE_879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_878)],
    };

static ENTITY_NODE_880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_879)],
    };

static ENTITY_NODE_881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_880)],
    };

static ENTITY_NODE_882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_881)],
    };

static ENTITY_NODE_883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_882)],
    };

static ENTITY_NODE_884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_883)],
    };

static ENTITY_NODE_885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_875), None, None, None, None, None, None, None, Some(ENTITY_NODE_884)],
    };

static ENTITY_NODE_886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_885)],
    };

static ENTITY_NODE_887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb0")),
      children: &[],
    };

static ENTITY_NODE_888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_887)],
    };

static ENTITY_NODE_889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_888)],
    };

static ENTITY_NODE_890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb3")),
      children: &[],
    };

static ENTITY_NODE_891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_890)],
    };

static ENTITY_NODE_892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_891)],
    };

static ENTITY_NODE_893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_889), None, None, None, None, None, Some(ENTITY_NODE_892)],
    };

static ENTITY_NODE_894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x97")),
      children: &[],
    };

static ENTITY_NODE_895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_894)],
    };

static ENTITY_NODE_896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_895)],
    };

static ENTITY_NODE_897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x8b")),
      children: &[],
    };

static ENTITY_NODE_898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x8b")),
      children: &[Some(ENTITY_NODE_897)],
    };

static ENTITY_NODE_899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_898)],
    };

static ENTITY_NODE_900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_899)],
    };

static ENTITY_NODE_901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x83")),
      children: &[],
    };

static ENTITY_NODE_902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_901)],
    };

static ENTITY_NODE_903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_902)],
    };

static ENTITY_NODE_904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_903)],
    };

static ENTITY_NODE_905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_904)],
    };

static ENTITY_NODE_906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x87")),
      children: &[],
    };

static ENTITY_NODE_907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_906)],
    };

static ENTITY_NODE_908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_907)],
    };

static ENTITY_NODE_909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_908)],
    };

static ENTITY_NODE_910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_909)],
    };

static ENTITY_NODE_911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_910)],
    };

static ENTITY_NODE_912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_911)],
    };

static ENTITY_NODE_913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_912)],
    };

static ENTITY_NODE_914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_913)],
    };

static ENTITY_NODE_915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_914)],
    };

static ENTITY_NODE_916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_915)],
    };

static ENTITY_NODE_917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_905), None, None, None, None, None, None, Some(ENTITY_NODE_916)],
    };

static ENTITY_NODE_918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 78,
      value: None,
      children: &[Some(ENTITY_NODE_774), None, None, None, None, None, Some(ENTITY_NODE_777), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_783), None, Some(ENTITY_NODE_795), Some(ENTITY_NODE_799), None, Some(ENTITY_NODE_802), Some(ENTITY_NODE_808), None, None, None, None, Some(ENTITY_NODE_815), Some(ENTITY_NODE_851), None, Some(ENTITY_NODE_859), Some(ENTITY_NODE_866), Some(ENTITY_NODE_886), None, Some(ENTITY_NODE_893), Some(ENTITY_NODE_896), Some(ENTITY_NODE_900), None, None, Some(ENTITY_NODE_917)],
    };

static ENTITY_NODE_919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa4")),
      children: &[],
    };

static ENTITY_NODE_920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_919)],
    };

static ENTITY_NODE_921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_920)],
    };

static ENTITY_NODE_922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x89")),
      children: &[],
    };

static ENTITY_NODE_923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_922)],
    };

static ENTITY_NODE_924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_923)],
    };

static ENTITY_NODE_925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\xbc")),
      children: &[],
    };

static ENTITY_NODE_926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_925)],
    };

static ENTITY_NODE_927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_926)],
    };

static ENTITY_NODE_928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_927)],
    };

static ENTITY_NODE_929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_928)],
    };

static ENTITY_NODE_930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_929)],
    };

static ENTITY_NODE_931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_930)],
    };

static ENTITY_NODE_932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_931)],
    };

static ENTITY_NODE_933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_932)],
    };

static ENTITY_NODE_934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_933)],
    };

static ENTITY_NODE_935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_934)],
    };

static ENTITY_NODE_936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_935)],
    };

static ENTITY_NODE_937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xaa")),
      children: &[],
    };

static ENTITY_NODE_938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_937)],
    };

static ENTITY_NODE_939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_938)],
    };

static ENTITY_NODE_940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_939)],
    };

static ENTITY_NODE_941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_940)],
    };

static ENTITY_NODE_942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_941)],
    };

static ENTITY_NODE_943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_942)],
    };

static ENTITY_NODE_944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_943)],
    };

static ENTITY_NODE_945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_944)],
    };

static ENTITY_NODE_946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_945)],
    };

static ENTITY_NODE_947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_946)],
    };

static ENTITY_NODE_948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_947)],
    };

static ENTITY_NODE_949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_948)],
    };

static ENTITY_NODE_950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_949)],
    };

static ENTITY_NODE_951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_950)],
    };

static ENTITY_NODE_952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_951)],
    };

static ENTITY_NODE_953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_936), None, None, Some(ENTITY_NODE_952)],
    };

static ENTITY_NODE_954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_953)],
    };

static ENTITY_NODE_955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_954)],
    };

static ENTITY_NODE_956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_955)],
    };

static ENTITY_NODE_957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_956)],
    };

static ENTITY_NODE_958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xbd")),
      children: &[],
    };

static ENTITY_NODE_959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_958)],
    };

static ENTITY_NODE_960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_959)],
    };

static ENTITY_NODE_961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x80")),
      children: &[],
    };

static ENTITY_NODE_962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_961)],
    };

static ENTITY_NODE_963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_962)],
    };

static ENTITY_NODE_964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_963)],
    };

static ENTITY_NODE_965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_964)],
    };

static ENTITY_NODE_966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb1")),
      children: &[],
    };

static ENTITY_NODE_967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_966)],
    };

static ENTITY_NODE_968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_967)],
    };

static ENTITY_NODE_969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_968)],
    };

static ENTITY_NODE_970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_969)],
    };

static ENTITY_NODE_971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_970)],
    };

static ENTITY_NODE_972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_971)],
    };

static ENTITY_NODE_973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_972)],
    };

static ENTITY_NODE_974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_973)],
    };

static ENTITY_NODE_975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_960), None, Some(ENTITY_NODE_965), None, None, Some(ENTITY_NODE_974)],
    };

static ENTITY_NODE_976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_967)],
    };

static ENTITY_NODE_977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_976)],
    };

static ENTITY_NODE_978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_921), None, None, Some(ENTITY_NODE_924), None, None, Some(ENTITY_NODE_957), None, None, None, None, None, Some(ENTITY_NODE_975), None, None, None, Some(ENTITY_NODE_977)],
    };

static ENTITY_NODE_979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x83")),
      children: &[],
    };

static ENTITY_NODE_980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_979)],
    };

static ENTITY_NODE_981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_980)],
    };

static ENTITY_NODE_982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_981)],
    };

static ENTITY_NODE_983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b">")),
      children: &[],
    };

static ENTITY_NODE_984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b">")),
      children: &[Some(ENTITY_NODE_983)],
    };

static ENTITY_NODE_985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x93")),
      children: &[],
    };

static ENTITY_NODE_986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x9c")),
      children: &[],
    };

static ENTITY_NODE_987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_986)],
    };

static ENTITY_NODE_988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_985), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_987)],
    };

static ENTITY_NODE_989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_988)],
    };

static ENTITY_NODE_990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_989)],
    };

static ENTITY_NODE_991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_990)],
    };

static ENTITY_NODE_992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x9e")),
      children: &[],
    };

static ENTITY_NODE_993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_992)],
    };

static ENTITY_NODE_994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_993)],
    };

static ENTITY_NODE_995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_994)],
    };

static ENTITY_NODE_996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_995)],
    };

static ENTITY_NODE_997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_996)],
    };

static ENTITY_NODE_998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa2")),
      children: &[],
    };

static ENTITY_NODE_999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_998)],
    };

static ENTITY_NODE_1000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_999)],
    };

static ENTITY_NODE_1001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1000)],
    };

static ENTITY_NODE_1002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1001)],
    };

static ENTITY_NODE_1003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x9c")),
      children: &[],
    };

static ENTITY_NODE_1004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1003)],
    };

static ENTITY_NODE_1005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1004)],
    };

static ENTITY_NODE_1006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1005)],
    };

static ENTITY_NODE_1007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x93")),
      children: &[],
    };

static ENTITY_NODE_1008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1007)],
    };

static ENTITY_NODE_1009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1002), None, None, None, Some(ENTITY_NODE_1006), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1008)],
    };

static ENTITY_NODE_1010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa0")),
      children: &[],
    };

static ENTITY_NODE_1011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1010)],
    };

static ENTITY_NODE_1012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1011)],
    };

static ENTITY_NODE_1013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1012)],
    };

static ENTITY_NODE_1014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x8a")),
      children: &[],
    };

static ENTITY_NODE_1015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1014)],
    };

static ENTITY_NODE_1016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1015)],
    };

static ENTITY_NODE_1017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x99")),
      children: &[],
    };

static ENTITY_NODE_1018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1017)],
    };

static ENTITY_NODE_1019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xbe")),
      children: &[],
    };

static ENTITY_NODE_1020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1019)],
    };

static ENTITY_NODE_1021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1020)],
    };

static ENTITY_NODE_1022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1021)],
    };

static ENTITY_NODE_1023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa5")),
      children: &[],
    };

static ENTITY_NODE_1024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x9b")),
      children: &[],
    };

static ENTITY_NODE_1025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1024)],
    };

static ENTITY_NODE_1026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1025)],
    };

static ENTITY_NODE_1027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1026)],
    };

static ENTITY_NODE_1028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1027)],
    };

static ENTITY_NODE_1029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1023), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1028)],
    };

static ENTITY_NODE_1030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1029)],
    };

static ENTITY_NODE_1031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1030)],
    };

static ENTITY_NODE_1032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1031)],
    };

static ENTITY_NODE_1033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1032)],
    };

static ENTITY_NODE_1034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa7")),
      children: &[],
    };

static ENTITY_NODE_1035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1034)],
    };

static ENTITY_NODE_1036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1035)],
    };

static ENTITY_NODE_1037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1036)],
    };

static ENTITY_NODE_1038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1037)],
    };

static ENTITY_NODE_1039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1038)],
    };

static ENTITY_NODE_1040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1039)],
    };

static ENTITY_NODE_1041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1040)],
    };

static ENTITY_NODE_1042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1041)],
    };

static ENTITY_NODE_1043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1042)],
    };

static ENTITY_NODE_1044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa2")),
      children: &[],
    };

static ENTITY_NODE_1045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1044)],
    };

static ENTITY_NODE_1046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1045)],
    };

static ENTITY_NODE_1047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1046)],
    };

static ENTITY_NODE_1048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1047)],
    };

static ENTITY_NODE_1049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1048)],
    };

static ENTITY_NODE_1050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1049)],
    };

static ENTITY_NODE_1051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1050)],
    };

static ENTITY_NODE_1052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb7")),
      children: &[],
    };

static ENTITY_NODE_1053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1052)],
    };

static ENTITY_NODE_1054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1053)],
    };

static ENTITY_NODE_1055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1054)],
    };

static ENTITY_NODE_1056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1055)],
    };

static ENTITY_NODE_1057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xbe")),
      children: &[],
    };

static ENTITY_NODE_1058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1057)],
    };

static ENTITY_NODE_1059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1058)],
    };

static ENTITY_NODE_1060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1059)],
    };

static ENTITY_NODE_1061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1060)],
    };

static ENTITY_NODE_1062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1061)],
    };

static ENTITY_NODE_1063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1062)],
    };

static ENTITY_NODE_1064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1063)],
    };

static ENTITY_NODE_1065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1064)],
    };

static ENTITY_NODE_1066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1065)],
    };

static ENTITY_NODE_1067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1066)],
    };

static ENTITY_NODE_1068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb3")),
      children: &[],
    };

static ENTITY_NODE_1069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1068)],
    };

static ENTITY_NODE_1070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1069)],
    };

static ENTITY_NODE_1071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1070)],
    };

static ENTITY_NODE_1072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1071)],
    };

static ENTITY_NODE_1073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1072)],
    };

static ENTITY_NODE_1074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1033), Some(ENTITY_NODE_1043), Some(ENTITY_NODE_1051), None, None, None, None, Some(ENTITY_NODE_1056), None, None, None, None, None, None, Some(ENTITY_NODE_1067), Some(ENTITY_NODE_1073)],
    };

static ENTITY_NODE_1075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1074)],
    };

static ENTITY_NODE_1076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1075)],
    };

static ENTITY_NODE_1077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1076)],
    };

static ENTITY_NODE_1078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1077)],
    };

static ENTITY_NODE_1079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1078)],
    };

static ENTITY_NODE_1080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xa2")),
      children: &[],
    };

static ENTITY_NODE_1081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1080)],
    };

static ENTITY_NODE_1082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1081)],
    };

static ENTITY_NODE_1083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1082)],
    };

static ENTITY_NODE_1084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xab")),
      children: &[],
    };

static ENTITY_NODE_1085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1084)],
    };

static ENTITY_NODE_1086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 74,
      value: None,
      children: &[Some(ENTITY_NODE_982), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_984), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_991), Some(ENTITY_NODE_997), Some(ENTITY_NODE_1009), Some(ENTITY_NODE_1013), None, Some(ENTITY_NODE_1016), Some(ENTITY_NODE_1018), None, None, None, None, None, None, None, Some(ENTITY_NODE_1022), None, None, Some(ENTITY_NODE_1079), Some(ENTITY_NODE_1083), Some(ENTITY_NODE_1085)],
    };

static ENTITY_NODE_1087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xaa")),
      children: &[],
    };

static ENTITY_NODE_1088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1087)],
    };

static ENTITY_NODE_1089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1088)],
    };

static ENTITY_NODE_1090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1089)],
    };

static ENTITY_NODE_1091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_1090)],
    };

static ENTITY_NODE_1092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 82,
      value: None,
      children: &[Some(ENTITY_NODE_1091)],
    };

static ENTITY_NODE_1093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x87")),
      children: &[],
    };

static ENTITY_NODE_1094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1093)],
    };

static ENTITY_NODE_1095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1094)],
    };

static ENTITY_NODE_1096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1095)],
    };

static ENTITY_NODE_1097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"^")),
      children: &[],
    };

static ENTITY_NODE_1098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1097)],
    };

static ENTITY_NODE_1099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1096), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1098)],
    };

static ENTITY_NODE_1100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa4")),
      children: &[],
    };

static ENTITY_NODE_1101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1100)],
    };

static ENTITY_NODE_1102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1101)],
    };

static ENTITY_NODE_1103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1102)],
    };

static ENTITY_NODE_1104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1103)],
    };

static ENTITY_NODE_1105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x8c")),
      children: &[],
    };

static ENTITY_NODE_1106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1105)],
    };

static ENTITY_NODE_1107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1106)],
    };

static ENTITY_NODE_1108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x8b")),
      children: &[],
    };

static ENTITY_NODE_1109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1108)],
    };

static ENTITY_NODE_1110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1109)],
    };

static ENTITY_NODE_1111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1110)],
    };

static ENTITY_NODE_1112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1111)],
    };

static ENTITY_NODE_1113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1112)],
    };

static ENTITY_NODE_1114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_1113)],
    };

static ENTITY_NODE_1115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1114)],
    };

static ENTITY_NODE_1116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1115)],
    };

static ENTITY_NODE_1117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1116)],
    };

static ENTITY_NODE_1118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_1117)],
    };

static ENTITY_NODE_1119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1118)],
    };

static ENTITY_NODE_1120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x8d")),
      children: &[],
    };

static ENTITY_NODE_1121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1120)],
    };

static ENTITY_NODE_1122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1121)],
    };

static ENTITY_NODE_1123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\x80")),
      children: &[],
    };

static ENTITY_NODE_1124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1123)],
    };

static ENTITY_NODE_1125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1124)],
    };

static ENTITY_NODE_1126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1125)],
    };

static ENTITY_NODE_1127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1126)],
    };

static ENTITY_NODE_1128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_1127)],
    };

static ENTITY_NODE_1129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1128)],
    };

static ENTITY_NODE_1130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1129)],
    };

static ENTITY_NODE_1131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1130)],
    };

static ENTITY_NODE_1132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1131)],
    };

static ENTITY_NODE_1133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1132)],
    };

static ENTITY_NODE_1134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 122,
      value: None,
      children: &[Some(ENTITY_NODE_1133)],
    };

static ENTITY_NODE_1135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1134)],
    };

static ENTITY_NODE_1136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1122), None, Some(ENTITY_NODE_1135)],
    };

static ENTITY_NODE_1137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1109)],
    };

static ENTITY_NODE_1138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa6")),
      children: &[],
    };

static ENTITY_NODE_1139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1138)],
    };

static ENTITY_NODE_1140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1139)],
    };

static ENTITY_NODE_1141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1140)],
    };

static ENTITY_NODE_1142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1141)],
    };

static ENTITY_NODE_1143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1137), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1142)],
    };

static ENTITY_NODE_1144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_152)],
    };

static ENTITY_NODE_1145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1144)],
    };

static ENTITY_NODE_1146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1145)],
    };

static ENTITY_NODE_1147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_1146)],
    };

static ENTITY_NODE_1148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1147)],
    };

static ENTITY_NODE_1149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1148)],
    };

static ENTITY_NODE_1150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1149)],
    };

static ENTITY_NODE_1151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8f")),
      children: &[],
    };

static ENTITY_NODE_1152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1151)],
    };

static ENTITY_NODE_1153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1152)],
    };

static ENTITY_NODE_1154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1153)],
    };

static ENTITY_NODE_1155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1154)],
    };

static ENTITY_NODE_1156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1155)],
    };

static ENTITY_NODE_1157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_1150), Some(ENTITY_NODE_1156)],
    };

static ENTITY_NODE_1158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1157)],
    };

static ENTITY_NODE_1159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1158)],
    };

static ENTITY_NODE_1160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1092), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1099), None, Some(ENTITY_NODE_1104), None, None, Some(ENTITY_NODE_1107), None, None, Some(ENTITY_NODE_1119), None, None, None, None, None, Some(ENTITY_NODE_1136), None, None, None, Some(ENTITY_NODE_1143), None, Some(ENTITY_NODE_1159)],
    };

static ENTITY_NODE_1161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x95")),
      children: &[],
    };

static ENTITY_NODE_1162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1161)],
    };

static ENTITY_NODE_1163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1162)],
    };

static ENTITY_NODE_1164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1163)],
    };

static ENTITY_NODE_1165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb2")),
      children: &[],
    };

static ENTITY_NODE_1166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1165)],
    };

static ENTITY_NODE_1167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1166)],
    };

static ENTITY_NODE_1168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1167)],
    };

static ENTITY_NODE_1169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1168)],
    };

static ENTITY_NODE_1170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x81")),
      children: &[],
    };

static ENTITY_NODE_1171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1170)],
    };

static ENTITY_NODE_1172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1171)],
    };

static ENTITY_NODE_1173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1172)],
    };

static ENTITY_NODE_1174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x8d")),
      children: &[],
    };

static ENTITY_NODE_1175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x8d")),
      children: &[Some(ENTITY_NODE_1174)],
    };

static ENTITY_NODE_1176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1175)],
    };

static ENTITY_NODE_1177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1176)],
    };

static ENTITY_NODE_1178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1177)],
    };

static ENTITY_NODE_1179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1178)],
    };

static ENTITY_NODE_1180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x8e")),
      children: &[],
    };

static ENTITY_NODE_1181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x8e")),
      children: &[Some(ENTITY_NODE_1180)],
    };

static ENTITY_NODE_1182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1181)],
    };

static ENTITY_NODE_1183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1182)],
    };

static ENTITY_NODE_1184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x98")),
      children: &[],
    };

static ENTITY_NODE_1185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1184)],
    };

static ENTITY_NODE_1186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1183), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1185)],
    };

static ENTITY_NODE_1187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb0")),
      children: &[],
    };

static ENTITY_NODE_1188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1187)],
    };

static ENTITY_NODE_1189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1188)],
    };

static ENTITY_NODE_1190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1189)],
    };

static ENTITY_NODE_1191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x91")),
      children: &[],
    };

static ENTITY_NODE_1192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1191)],
    };

static ENTITY_NODE_1193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1192)],
    };

static ENTITY_NODE_1194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x8c")),
      children: &[],
    };

static ENTITY_NODE_1195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x8c")),
      children: &[Some(ENTITY_NODE_1194)],
    };

static ENTITY_NODE_1196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1195)],
    };

static ENTITY_NODE_1197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_1196)],
    };

static ENTITY_NODE_1198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1197)],
    };

static ENTITY_NODE_1199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1198)],
    };

static ENTITY_NODE_1200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xaa")),
      children: &[],
    };

static ENTITY_NODE_1201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1200)],
    };

static ENTITY_NODE_1202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1201)],
    };

static ENTITY_NODE_1203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x88")),
      children: &[],
    };

static ENTITY_NODE_1204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1203)],
    };

static ENTITY_NODE_1205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 73,
      value: None,
      children: &[Some(ENTITY_NODE_1204)],
    };

static ENTITY_NODE_1206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1205)],
    };

static ENTITY_NODE_1207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1206)],
    };

static ENTITY_NODE_1208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1207)],
    };

static ENTITY_NODE_1209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1208)],
    };

static ENTITY_NODE_1210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1209)],
    };

static ENTITY_NODE_1211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1202), None, None, None, Some(ENTITY_NODE_1210)],
    };

static ENTITY_NODE_1212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_614)],
    };

static ENTITY_NODE_1213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1212)],
    };

static ENTITY_NODE_1214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1213)],
    };

static ENTITY_NODE_1215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1214)],
    };

static ENTITY_NODE_1216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1191), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1211), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1215)],
    };

static ENTITY_NODE_1217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xac")),
      children: &[],
    };

static ENTITY_NODE_1218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xab")),
      children: &[],
    };

static ENTITY_NODE_1219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1218)],
    };

static ENTITY_NODE_1220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1219)],
    };

static ENTITY_NODE_1221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1220)],
    };

static ENTITY_NODE_1222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1221)],
    };

static ENTITY_NODE_1223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x82")),
      children: &[],
    };

static ENTITY_NODE_1224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1223)],
    };

static ENTITY_NODE_1225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1224)],
    };

static ENTITY_NODE_1226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1225)],
    };

static ENTITY_NODE_1227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1226)],
    };

static ENTITY_NODE_1228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1227)],
    };

static ENTITY_NODE_1229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1228)],
    };

static ENTITY_NODE_1230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1229)],
    };

static ENTITY_NODE_1231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1230)],
    };

static ENTITY_NODE_1232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1222), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1231)],
    };

static ENTITY_NODE_1233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1217), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1232)],
    };

static ENTITY_NODE_1234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\xa3")),
      children: &[],
    };

static ENTITY_NODE_1235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1234)],
    };

static ENTITY_NODE_1236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1235)],
    };

static ENTITY_NODE_1237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1236)],
    };

static ENTITY_NODE_1238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1237)],
    };

static ENTITY_NODE_1239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1238)],
    };

static ENTITY_NODE_1240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\xa2")),
      children: &[],
    };

static ENTITY_NODE_1241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1240)],
    };

static ENTITY_NODE_1242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1241)],
    };

static ENTITY_NODE_1243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1242)],
    };

static ENTITY_NODE_1244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1243)],
    };

static ENTITY_NODE_1245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1244)],
    };

static ENTITY_NODE_1246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_1239), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1245)],
    };

static ENTITY_NODE_1247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1246)],
    };

static ENTITY_NODE_1248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1247)],
    };

static ENTITY_NODE_1249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_1248)],
    };

static ENTITY_NODE_1250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1249)],
    };

static ENTITY_NODE_1251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1250)],
    };

static ENTITY_NODE_1252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1251)],
    };

static ENTITY_NODE_1253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1233), None, Some(ENTITY_NODE_1252)],
    };

static ENTITY_NODE_1254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xae")),
      children: &[],
    };

static ENTITY_NODE_1255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1254)],
    };

static ENTITY_NODE_1256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1255)],
    };

static ENTITY_NODE_1257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1256)],
    };

static ENTITY_NODE_1258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x80")),
      children: &[],
    };

static ENTITY_NODE_1259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1258)],
    };

static ENTITY_NODE_1260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1259)],
    };

static ENTITY_NODE_1261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x99")),
      children: &[],
    };

static ENTITY_NODE_1262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1261)],
    };

static ENTITY_NODE_1263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1262)],
    };

static ENTITY_NODE_1264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1257), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1260), None, None, None, Some(ENTITY_NODE_1263)],
    };

static ENTITY_NODE_1265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x90")),
      children: &[],
    };

static ENTITY_NODE_1266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1265)],
    };

static ENTITY_NODE_1267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1266)],
    };

static ENTITY_NODE_1268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1267)],
    };

static ENTITY_NODE_1269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa8")),
      children: &[],
    };

static ENTITY_NODE_1270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1269)],
    };

static ENTITY_NODE_1271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1270)],
    };

static ENTITY_NODE_1272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1271)],
    };

static ENTITY_NODE_1273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1272)],
    };

static ENTITY_NODE_1274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1273)],
    };

static ENTITY_NODE_1275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x86")),
      children: &[],
    };

static ENTITY_NODE_1276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1275)],
    };

static ENTITY_NODE_1277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1276)],
    };

static ENTITY_NODE_1278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1277)],
    };

static ENTITY_NODE_1279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x8f")),
      children: &[],
    };

static ENTITY_NODE_1280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x8f")),
      children: &[Some(ENTITY_NODE_1279)],
    };

static ENTITY_NODE_1281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1280)],
    };

static ENTITY_NODE_1282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1278), None, Some(ENTITY_NODE_1281)],
    };

static ENTITY_NODE_1283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1164), None, None, None, None, Some(ENTITY_NODE_1169), None, None, None, None, Some(ENTITY_NODE_1173), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1179), None, Some(ENTITY_NODE_1186), Some(ENTITY_NODE_1190), None, Some(ENTITY_NODE_1193), Some(ENTITY_NODE_1199), None, None, None, None, None, Some(ENTITY_NODE_1216), Some(ENTITY_NODE_1253), Some(ENTITY_NODE_1264), None, None, None, Some(ENTITY_NODE_1268), Some(ENTITY_NODE_1274), Some(ENTITY_NODE_1282)],
    };

static ENTITY_NODE_1284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb4")),
      children: &[],
    };

static ENTITY_NODE_1285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1284)],
    };

static ENTITY_NODE_1286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1285)],
    };

static ENTITY_NODE_1287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1286)],
    };

static ENTITY_NODE_1288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x99")),
      children: &[],
    };

static ENTITY_NODE_1289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1288)],
    };

static ENTITY_NODE_1290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1287), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1289)],
    };

static ENTITY_NODE_1291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x8d")),
      children: &[],
    };

static ENTITY_NODE_1292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1291)],
    };

static ENTITY_NODE_1293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1292)],
    };

static ENTITY_NODE_1294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x81")),
      children: &[],
    };

static ENTITY_NODE_1295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1294)],
    };

static ENTITY_NODE_1296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1295)],
    };

static ENTITY_NODE_1297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1296)],
    };

static ENTITY_NODE_1298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xa5")),
      children: &[],
    };

static ENTITY_NODE_1299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1298)],
    };

static ENTITY_NODE_1300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1299)],
    };

static ENTITY_NODE_1301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x88")),
      children: &[],
    };

static ENTITY_NODE_1302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1301)],
    };

static ENTITY_NODE_1303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1302)],
    };

static ENTITY_NODE_1304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1303)],
    };

static ENTITY_NODE_1305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1304)],
    };

static ENTITY_NODE_1306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1300), None, Some(ENTITY_NODE_1305)],
    };

static ENTITY_NODE_1307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x84")),
      children: &[],
    };

static ENTITY_NODE_1308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1307)],
    };

static ENTITY_NODE_1309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1308)],
    };

static ENTITY_NODE_1310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1309)],
    };

static ENTITY_NODE_1311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1310)],
    };

static ENTITY_NODE_1312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1290), None, None, Some(ENTITY_NODE_1293), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1297), None, None, None, Some(ENTITY_NODE_1306), None, Some(ENTITY_NODE_1311)],
    };

static ENTITY_NODE_1313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa5")),
      children: &[],
    };

static ENTITY_NODE_1314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1313)],
    };

static ENTITY_NODE_1315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1314)],
    };

static ENTITY_NODE_1316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1315)],
    };

static ENTITY_NODE_1317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x8c")),
      children: &[],
    };

static ENTITY_NODE_1318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1317)],
    };

static ENTITY_NODE_1319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1318)],
    };

static ENTITY_NODE_1320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1319)],
    };

static ENTITY_NODE_1321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x9a")),
      children: &[],
    };

static ENTITY_NODE_1322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1321)],
    };

static ENTITY_NODE_1323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1322)],
    };

static ENTITY_NODE_1324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1323)],
    };

static ENTITY_NODE_1325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1324)],
    };

static ENTITY_NODE_1326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb6")),
      children: &[],
    };

static ENTITY_NODE_1327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1326)],
    };

static ENTITY_NODE_1328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1327)],
    };

static ENTITY_NODE_1329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1328)],
    };

static ENTITY_NODE_1330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1329)],
    };

static ENTITY_NODE_1331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x9a")),
      children: &[],
    };

static ENTITY_NODE_1332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1331)],
    };

static ENTITY_NODE_1333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1330), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1332)],
    };

static ENTITY_NODE_1334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x8e")),
      children: &[],
    };

static ENTITY_NODE_1335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1334)],
    };

static ENTITY_NODE_1336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1335)],
    };

static ENTITY_NODE_1337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x82")),
      children: &[],
    };

static ENTITY_NODE_1338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1337)],
    };

static ENTITY_NODE_1339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1338)],
    };

static ENTITY_NODE_1340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1339)],
    };

static ENTITY_NODE_1341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xa6")),
      children: &[],
    };

static ENTITY_NODE_1342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1341)],
    };

static ENTITY_NODE_1343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1342)],
    };

static ENTITY_NODE_1344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1343)],
    };

static ENTITY_NODE_1345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_1316), None, Some(ENTITY_NODE_1320), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1325), None, Some(ENTITY_NODE_1333), None, None, Some(ENTITY_NODE_1336), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1340), None, None, None, Some(ENTITY_NODE_1344)],
    };

static ENTITY_NODE_1346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x89")),
      children: &[],
    };

static ENTITY_NODE_1347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1346)],
    };

static ENTITY_NODE_1348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1347)],
    };

static ENTITY_NODE_1349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1348)],
    };

static ENTITY_NODE_1350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"<")),
      children: &[],
    };

static ENTITY_NODE_1351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"<")),
      children: &[Some(ENTITY_NODE_1350)],
    };

static ENTITY_NODE_1352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb9")),
      children: &[],
    };

static ENTITY_NODE_1353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1352)],
    };

static ENTITY_NODE_1354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1353)],
    };

static ENTITY_NODE_1355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1354)],
    };

static ENTITY_NODE_1356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1355)],
    };

static ENTITY_NODE_1357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x9b")),
      children: &[],
    };

static ENTITY_NODE_1358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1357)],
    };

static ENTITY_NODE_1359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1358)],
    };

static ENTITY_NODE_1360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1359)],
    };

static ENTITY_NODE_1361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_1360)],
    };

static ENTITY_NODE_1362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xaa")),
      children: &[],
    };

static ENTITY_NODE_1363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1362)],
    };

static ENTITY_NODE_1364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1363)],
    };

static ENTITY_NODE_1365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x92")),
      children: &[],
    };

static ENTITY_NODE_1366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1365)],
    };

static ENTITY_NODE_1367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1366)],
    };

static ENTITY_NODE_1368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1367)],
    };

static ENTITY_NODE_1369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1368)],
    };

static ENTITY_NODE_1370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1369)],
    };

static ENTITY_NODE_1371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1370)],
    };

static ENTITY_NODE_1372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1371)],
    };

static ENTITY_NODE_1373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1372)],
    };

static ENTITY_NODE_1374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x9e")),
      children: &[],
    };

static ENTITY_NODE_1375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1374)],
    };

static ENTITY_NODE_1376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1375)],
    };

static ENTITY_NODE_1377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1356), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1361), Some(ENTITY_NODE_1364), None, Some(ENTITY_NODE_1373), None, Some(ENTITY_NODE_1376)],
    };

static ENTITY_NODE_1378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xbd")),
      children: &[],
    };

static ENTITY_NODE_1379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1378)],
    };

static ENTITY_NODE_1380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1379)],
    };

static ENTITY_NODE_1381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1380)],
    };

static ENTITY_NODE_1382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1381)],
    };

static ENTITY_NODE_1383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xbb")),
      children: &[],
    };

static ENTITY_NODE_1384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1383)],
    };

static ENTITY_NODE_1385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1384)],
    };

static ENTITY_NODE_1386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1385)],
    };

static ENTITY_NODE_1387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1386)],
    };

static ENTITY_NODE_1388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x9b")),
      children: &[],
    };

static ENTITY_NODE_1389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1388)],
    };

static ENTITY_NODE_1390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1382), None, None, None, Some(ENTITY_NODE_1387), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1389)],
    };

static ENTITY_NODE_1391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xa8")),
      children: &[],
    };

static ENTITY_NODE_1392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1391)],
    };

static ENTITY_NODE_1393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1392)],
    };

static ENTITY_NODE_1394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1393)],
    };

static ENTITY_NODE_1395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1394)],
    };

static ENTITY_NODE_1396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1395)],
    };

static ENTITY_NODE_1397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1396)],
    };

static ENTITY_NODE_1398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1397)],
    };

static ENTITY_NODE_1399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_1398)],
    };

static ENTITY_NODE_1400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1399)],
    };

static ENTITY_NODE_1401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1400)],
    };

static ENTITY_NODE_1402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1401)],
    };

static ENTITY_NODE_1403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x90")),
      children: &[],
    };

static ENTITY_NODE_1404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\xa4")),
      children: &[],
    };

static ENTITY_NODE_1405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1404)],
    };

static ENTITY_NODE_1406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1405)],
    };

static ENTITY_NODE_1407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1406)],
    };

static ENTITY_NODE_1408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x86")),
      children: &[],
    };

static ENTITY_NODE_1409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1408)],
    };

static ENTITY_NODE_1410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1409)],
    };

static ENTITY_NODE_1411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1410)],
    };

static ENTITY_NODE_1412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1411)],
    };

static ENTITY_NODE_1413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1412)],
    };

static ENTITY_NODE_1414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1413)],
    };

static ENTITY_NODE_1415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1414)],
    };

static ENTITY_NODE_1416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1415)],
    };

static ENTITY_NODE_1417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1416)],
    };

static ENTITY_NODE_1418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1417)],
    };

static ENTITY_NODE_1419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1403), None, None, None, None, None, None, Some(ENTITY_NODE_1407), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1418)],
    };

static ENTITY_NODE_1420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1419)],
    };

static ENTITY_NODE_1421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1420)],
    };

static ENTITY_NODE_1422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1421)],
    };

static ENTITY_NODE_1423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1402), None, None, None, Some(ENTITY_NODE_1422)],
    };

static ENTITY_NODE_1424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x88")),
      children: &[],
    };

static ENTITY_NODE_1425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1424)],
    };

static ENTITY_NODE_1426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1425)],
    };

static ENTITY_NODE_1427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1426)],
    };

static ENTITY_NODE_1428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1427)],
    };

static ENTITY_NODE_1429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1428)],
    };

static ENTITY_NODE_1430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1429)],
    };

static ENTITY_NODE_1431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1430)],
    };

static ENTITY_NODE_1432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xa6")),
      children: &[],
    };

static ENTITY_NODE_1433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1432)],
    };

static ENTITY_NODE_1434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1433)],
    };

static ENTITY_NODE_1435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1434)],
    };

static ENTITY_NODE_1436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1435)],
    };

static ENTITY_NODE_1437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1436)],
    };

static ENTITY_NODE_1438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1437)],
    };

static ENTITY_NODE_1439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1438)],
    };

static ENTITY_NODE_1440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_1439)],
    };

static ENTITY_NODE_1441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1440)],
    };

static ENTITY_NODE_1442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1441)],
    };

static ENTITY_NODE_1443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_1442)],
    };

static ENTITY_NODE_1444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa1")),
      children: &[],
    };

static ENTITY_NODE_1445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1444)],
    };

static ENTITY_NODE_1446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1445)],
    };

static ENTITY_NODE_1447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1446)],
    };

static ENTITY_NODE_1448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1447)],
    };

static ENTITY_NODE_1449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1448)],
    };

static ENTITY_NODE_1450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1449)],
    };

static ENTITY_NODE_1451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_1450)],
    };

static ENTITY_NODE_1452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1451)],
    };

static ENTITY_NODE_1453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1452)],
    };

static ENTITY_NODE_1454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x83")),
      children: &[],
    };

static ENTITY_NODE_1455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x99")),
      children: &[],
    };

static ENTITY_NODE_1456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1455)],
    };

static ENTITY_NODE_1457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1456)],
    };

static ENTITY_NODE_1458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1457)],
    };

static ENTITY_NODE_1459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1454), None, None, None, None, None, None, Some(ENTITY_NODE_1458)],
    };

static ENTITY_NODE_1460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1459)],
    };

static ENTITY_NODE_1461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1460)],
    };

static ENTITY_NODE_1462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1461)],
    };

static ENTITY_NODE_1463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1462)],
    };

static ENTITY_NODE_1464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1463)],
    };

static ENTITY_NODE_1465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_1453), None, Some(ENTITY_NODE_1464)],
    };

static ENTITY_NODE_1466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1465)],
    };

static ENTITY_NODE_1467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1443), None, Some(ENTITY_NODE_1466)],
    };

static ENTITY_NODE_1468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1467)],
    };

static ENTITY_NODE_1469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x8a")),
      children: &[],
    };

static ENTITY_NODE_1470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1469)],
    };

static ENTITY_NODE_1471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1470)],
    };

static ENTITY_NODE_1472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1471)],
    };

static ENTITY_NODE_1473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1472)],
    };

static ENTITY_NODE_1474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1473)],
    };

static ENTITY_NODE_1475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x94")),
      children: &[],
    };

static ENTITY_NODE_1476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1475)],
    };

static ENTITY_NODE_1477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1476)],
    };

static ENTITY_NODE_1478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1477)],
    };

static ENTITY_NODE_1479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1478)],
    };

static ENTITY_NODE_1480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1479)],
    };

static ENTITY_NODE_1481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x8e")),
      children: &[],
    };

static ENTITY_NODE_1482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1481)],
    };

static ENTITY_NODE_1483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1482)],
    };

static ENTITY_NODE_1484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1483)],
    };

static ENTITY_NODE_1485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1484)],
    };

static ENTITY_NODE_1486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1485)],
    };

static ENTITY_NODE_1487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1486)],
    };

static ENTITY_NODE_1488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1480), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1487)],
    };

static ENTITY_NODE_1489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1488)],
    };

static ENTITY_NODE_1490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1489)],
    };

static ENTITY_NODE_1491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1490)],
    };

static ENTITY_NODE_1492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1491)],
    };

static ENTITY_NODE_1493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa3")),
      children: &[],
    };

static ENTITY_NODE_1494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa4")),
      children: &[],
    };

static ENTITY_NODE_1495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1494)],
    };

static ENTITY_NODE_1496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1495)],
    };

static ENTITY_NODE_1497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1496)],
    };

static ENTITY_NODE_1498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1497)],
    };

static ENTITY_NODE_1499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1498)],
    };

static ENTITY_NODE_1500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x9a")),
      children: &[],
    };

static ENTITY_NODE_1501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1500)],
    };

static ENTITY_NODE_1502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1501)],
    };

static ENTITY_NODE_1503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1502)],
    };

static ENTITY_NODE_1504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1503)],
    };

static ENTITY_NODE_1505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1504)],
    };

static ENTITY_NODE_1506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1505)],
    };

static ENTITY_NODE_1507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1493), None, None, None, None, None, Some(ENTITY_NODE_1499), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1506)],
    };

static ENTITY_NODE_1508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1507)],
    };

static ENTITY_NODE_1509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb2")),
      children: &[],
    };

static ENTITY_NODE_1510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x8f")),
      children: &[],
    };

static ENTITY_NODE_1511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1510)],
    };

static ENTITY_NODE_1512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1511)],
    };

static ENTITY_NODE_1513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1512)],
    };

static ENTITY_NODE_1514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb4")),
      children: &[],
    };

static ENTITY_NODE_1515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1514)],
    };

static ENTITY_NODE_1516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1515)],
    };

static ENTITY_NODE_1517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1516)],
    };

static ENTITY_NODE_1518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1517)],
    };

static ENTITY_NODE_1519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1518)],
    };

static ENTITY_NODE_1520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1509), None, None, None, None, None, None, Some(ENTITY_NODE_1513), None, None, Some(ENTITY_NODE_1519)],
    };

static ENTITY_NODE_1521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1520)],
    };

static ENTITY_NODE_1522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1521)],
    };

static ENTITY_NODE_1523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1522)],
    };

static ENTITY_NODE_1524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1523)],
    };

static ENTITY_NODE_1525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1524)],
    };

static ENTITY_NODE_1526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1525)],
    };

static ENTITY_NODE_1527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1508), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1526)],
    };

static ENTITY_NODE_1528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x91")),
      children: &[],
    };

static ENTITY_NODE_1529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1528)],
    };

static ENTITY_NODE_1530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1529)],
    };

static ENTITY_NODE_1531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1530)],
    };

static ENTITY_NODE_1532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1531)],
    };

static ENTITY_NODE_1533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1532)],
    };

static ENTITY_NODE_1534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1533)],
    };

static ENTITY_NODE_1535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_1534)],
    };

static ENTITY_NODE_1536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1535)],
    };

static ENTITY_NODE_1537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1536)],
    };

static ENTITY_NODE_1538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1537)],
    };

static ENTITY_NODE_1539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa0")),
      children: &[],
    };

static ENTITY_NODE_1540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1539)],
    };

static ENTITY_NODE_1541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1540)],
    };

static ENTITY_NODE_1542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1541)],
    };

static ENTITY_NODE_1543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1542)],
    };

static ENTITY_NODE_1544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1543)],
    };

static ENTITY_NODE_1545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1544)],
    };

static ENTITY_NODE_1546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_1545)],
    };

static ENTITY_NODE_1547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1546)],
    };

static ENTITY_NODE_1548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1547)],
    };

static ENTITY_NODE_1549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xbf")),
      children: &[],
    };

static ENTITY_NODE_1550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x98")),
      children: &[],
    };

static ENTITY_NODE_1551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1550)],
    };

static ENTITY_NODE_1552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1551)],
    };

static ENTITY_NODE_1553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1552)],
    };

static ENTITY_NODE_1554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1549), None, None, None, None, None, None, Some(ENTITY_NODE_1553)],
    };

static ENTITY_NODE_1555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1554)],
    };

static ENTITY_NODE_1556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1555)],
    };

static ENTITY_NODE_1557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1556)],
    };

static ENTITY_NODE_1558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1557)],
    };

static ENTITY_NODE_1559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1558)],
    };

static ENTITY_NODE_1560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_1538), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1548), None, Some(ENTITY_NODE_1559)],
    };

static ENTITY_NODE_1561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1560)],
    };

static ENTITY_NODE_1562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xbc")),
      children: &[],
    };

static ENTITY_NODE_1563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x92")),
      children: &[],
    };

static ENTITY_NODE_1564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1563)],
    };

static ENTITY_NODE_1565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1564)],
    };

static ENTITY_NODE_1566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1565)],
    };

static ENTITY_NODE_1567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1562), None, None, None, None, None, None, Some(ENTITY_NODE_1566)],
    };

static ENTITY_NODE_1568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1567)],
    };

static ENTITY_NODE_1569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1568)],
    };

static ENTITY_NODE_1570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1569)],
    };

static ENTITY_NODE_1571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1570)],
    };

static ENTITY_NODE_1572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1571)],
    };

static ENTITY_NODE_1573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_566)],
    };

static ENTITY_NODE_1574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1573)],
    };

static ENTITY_NODE_1575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1574)],
    };

static ENTITY_NODE_1576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1575)],
    };

static ENTITY_NODE_1577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1576)],
    };

static ENTITY_NODE_1578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1423), None, Some(ENTITY_NODE_1431), Some(ENTITY_NODE_1468), None, Some(ENTITY_NODE_1474), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1492), None, Some(ENTITY_NODE_1527), Some(ENTITY_NODE_1561), Some(ENTITY_NODE_1572), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_560), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1577)],
    };

static ENTITY_NODE_1579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1578)],
    };

static ENTITY_NODE_1580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x9a")),
      children: &[],
    };

static ENTITY_NODE_1581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1580)],
    };

static ENTITY_NODE_1582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1581)],
    };

static ENTITY_NODE_1583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1582)],
    };

static ENTITY_NODE_1584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1583)],
    };

static ENTITY_NODE_1585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1584)],
    };

static ENTITY_NODE_1586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1585)],
    };

static ENTITY_NODE_1587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1586)],
    };

static ENTITY_NODE_1588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_1587)],
    };

static ENTITY_NODE_1589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1588)],
    };

static ENTITY_NODE_1590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1589)],
    };

static ENTITY_NODE_1591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1590)],
    };

static ENTITY_NODE_1592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1591)],
    };

static ENTITY_NODE_1593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa6")),
      children: &[],
    };

static ENTITY_NODE_1594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1593)],
    };

static ENTITY_NODE_1595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1594)],
    };

static ENTITY_NODE_1596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1595)],
    };

static ENTITY_NODE_1597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1596)],
    };

static ENTITY_NODE_1598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1597)],
    };

static ENTITY_NODE_1599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1598)],
    };

static ENTITY_NODE_1600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1599)],
    };

static ENTITY_NODE_1601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1600)],
    };

static ENTITY_NODE_1602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1601)],
    };

static ENTITY_NODE_1603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb6")),
      children: &[],
    };

static ENTITY_NODE_1604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1603)],
    };

static ENTITY_NODE_1605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1604)],
    };

static ENTITY_NODE_1606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1605)],
    };

static ENTITY_NODE_1607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1606)],
    };

static ENTITY_NODE_1608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1607)],
    };

static ENTITY_NODE_1609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1608)],
    };

static ENTITY_NODE_1610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1609)],
    };

static ENTITY_NODE_1611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa1")),
      children: &[],
    };

static ENTITY_NODE_1612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1611)],
    };

static ENTITY_NODE_1613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1612)],
    };

static ENTITY_NODE_1614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1613)],
    };

static ENTITY_NODE_1615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1614)],
    };

static ENTITY_NODE_1616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xbd")),
      children: &[],
    };

static ENTITY_NODE_1617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1616)],
    };

static ENTITY_NODE_1618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1617)],
    };

static ENTITY_NODE_1619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1618)],
    };

static ENTITY_NODE_1620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1619)],
    };

static ENTITY_NODE_1621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1620)],
    };

static ENTITY_NODE_1622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1621)],
    };

static ENTITY_NODE_1623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1622)],
    };

static ENTITY_NODE_1624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1623)],
    };

static ENTITY_NODE_1625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1624)],
    };

static ENTITY_NODE_1626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1625)],
    };

static ENTITY_NODE_1627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb2")),
      children: &[],
    };

static ENTITY_NODE_1628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1627)],
    };

static ENTITY_NODE_1629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1628)],
    };

static ENTITY_NODE_1630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1629)],
    };

static ENTITY_NODE_1631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1630)],
    };

static ENTITY_NODE_1632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1631)],
    };

static ENTITY_NODE_1633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1592), Some(ENTITY_NODE_1602), Some(ENTITY_NODE_1610), None, None, None, None, Some(ENTITY_NODE_1615), None, None, None, None, None, None, Some(ENTITY_NODE_1626), Some(ENTITY_NODE_1632)],
    };

static ENTITY_NODE_1634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1633)],
    };

static ENTITY_NODE_1635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1579), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1634)],
    };

static ENTITY_NODE_1636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x8f")),
      children: &[],
    };

static ENTITY_NODE_1637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1636)],
    };

static ENTITY_NODE_1638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1637)],
    };

static ENTITY_NODE_1639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x98")),
      children: &[],
    };

static ENTITY_NODE_1640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x9a")),
      children: &[],
    };

static ENTITY_NODE_1641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1640)],
    };

static ENTITY_NODE_1642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1641)],
    };

static ENTITY_NODE_1643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1642)],
    };

static ENTITY_NODE_1644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1643)],
    };

static ENTITY_NODE_1645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1644)],
    };

static ENTITY_NODE_1646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1645)],
    };

static ENTITY_NODE_1647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1646)],
    };

static ENTITY_NODE_1648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1647)],
    };

static ENTITY_NODE_1649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1639), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1648)],
    };

static ENTITY_NODE_1650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xbf")),
      children: &[],
    };

static ENTITY_NODE_1651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1650)],
    };

static ENTITY_NODE_1652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1651)],
    };

static ENTITY_NODE_1653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1652)],
    };

static ENTITY_NODE_1654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1653)],
    };

static ENTITY_NODE_1655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1654)],
    };

static ENTITY_NODE_1656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xb5")),
      children: &[],
    };

static ENTITY_NODE_1657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1656)],
    };

static ENTITY_NODE_1658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1657)],
    };

static ENTITY_NODE_1659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1658)],
    };

static ENTITY_NODE_1660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1659)],
    };

static ENTITY_NODE_1661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1660)],
    };

static ENTITY_NODE_1662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xb7")),
      children: &[],
    };

static ENTITY_NODE_1663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1662)],
    };

static ENTITY_NODE_1664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1663)],
    };

static ENTITY_NODE_1665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1664)],
    };

static ENTITY_NODE_1666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1665)],
    };

static ENTITY_NODE_1667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1666)],
    };

static ENTITY_NODE_1668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1667)],
    };

static ENTITY_NODE_1669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1668)],
    };

static ENTITY_NODE_1670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1669)],
    };

static ENTITY_NODE_1671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1670)],
    };

static ENTITY_NODE_1672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1671)],
    };

static ENTITY_NODE_1673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1661), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1672)],
    };

static ENTITY_NODE_1674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1673)],
    };

static ENTITY_NODE_1675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1674)],
    };

static ENTITY_NODE_1676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1675)],
    };

static ENTITY_NODE_1677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xb6")),
      children: &[],
    };

static ENTITY_NODE_1678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1677)],
    };

static ENTITY_NODE_1679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1678)],
    };

static ENTITY_NODE_1680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1679)],
    };

static ENTITY_NODE_1681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1680)],
    };

static ENTITY_NODE_1682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1681)],
    };

static ENTITY_NODE_1683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1682)],
    };

static ENTITY_NODE_1684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1683)],
    };

static ENTITY_NODE_1685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1684)],
    };

static ENTITY_NODE_1686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1685)],
    };

static ENTITY_NODE_1687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1686)],
    };

static ENTITY_NODE_1688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_588)],
    };

static ENTITY_NODE_1689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1688)],
    };

static ENTITY_NODE_1690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1689)],
    };

static ENTITY_NODE_1691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1690)],
    };

static ENTITY_NODE_1692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1691)],
    };

static ENTITY_NODE_1693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_582), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1692)],
    };

static ENTITY_NODE_1694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1693)],
    };

static ENTITY_NODE_1695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1694)],
    };

static ENTITY_NODE_1696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1695)],
    };

static ENTITY_NODE_1697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_603)],
    };

static ENTITY_NODE_1698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1697)],
    };

static ENTITY_NODE_1699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1698)],
    };

static ENTITY_NODE_1700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1699)],
    };

static ENTITY_NODE_1701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1700)],
    };

static ENTITY_NODE_1702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_1676), None, None, None, None, None, Some(ENTITY_NODE_1687), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1696), None, None, None, None, None, Some(ENTITY_NODE_1701)],
    };

static ENTITY_NODE_1703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1702)],
    };

static ENTITY_NODE_1704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x83")),
      children: &[],
    };

static ENTITY_NODE_1705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1704)],
    };

static ENTITY_NODE_1706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1705)],
    };

static ENTITY_NODE_1707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x99")),
      children: &[],
    };

static ENTITY_NODE_1708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1707)],
    };

static ENTITY_NODE_1709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1708)],
    };

static ENTITY_NODE_1710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1709)],
    };

static ENTITY_NODE_1711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1710)],
    };

static ENTITY_NODE_1712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1711)],
    };

static ENTITY_NODE_1713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1712)],
    };

static ENTITY_NODE_1714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1713)],
    };

static ENTITY_NODE_1715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1714)],
    };

static ENTITY_NODE_1716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1715)],
    };

static ENTITY_NODE_1717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x98")),
      children: &[],
    };

static ENTITY_NODE_1718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1717)],
    };

static ENTITY_NODE_1719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1718)],
    };

static ENTITY_NODE_1720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1719)],
    };

static ENTITY_NODE_1721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1720)],
    };

static ENTITY_NODE_1722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1721)],
    };

static ENTITY_NODE_1723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_1722)],
    };

static ENTITY_NODE_1724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1723)],
    };

static ENTITY_NODE_1725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1724)],
    };

static ENTITY_NODE_1726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1725)],
    };

static ENTITY_NODE_1727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1726)],
    };

static ENTITY_NODE_1728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_1716), None, None, None, None, None, Some(ENTITY_NODE_1727)],
    };

static ENTITY_NODE_1729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1728)],
    };

static ENTITY_NODE_1730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1729)],
    };

static ENTITY_NODE_1731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1703), None, Some(ENTITY_NODE_1706), None, None, None, None, None, None, Some(ENTITY_NODE_1730)],
    };

static ENTITY_NODE_1732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1366)],
    };

static ENTITY_NODE_1733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xb0")),
      children: &[],
    };

static ENTITY_NODE_1734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1733)],
    };

static ENTITY_NODE_1735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x81")),
      children: &[],
    };

static ENTITY_NODE_1736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1735)],
    };

static ENTITY_NODE_1737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1736)],
    };

static ENTITY_NODE_1738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1737)],
    };

static ENTITY_NODE_1739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1738)],
    };

static ENTITY_NODE_1740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1732), None, None, None, None, Some(ENTITY_NODE_1734), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1739)],
    };

static ENTITY_NODE_1741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xaa")),
      children: &[],
    };

static ENTITY_NODE_1742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1741)],
    };

static ENTITY_NODE_1743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 74,
      value: None,
      children: &[Some(ENTITY_NODE_1349), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1351), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1377), None, Some(ENTITY_NODE_1390), None, Some(ENTITY_NODE_1635), Some(ENTITY_NODE_1638), None, None, None, None, None, Some(ENTITY_NODE_1649), Some(ENTITY_NODE_1655), None, Some(ENTITY_NODE_1731), None, None, None, Some(ENTITY_NODE_1740), Some(ENTITY_NODE_1742)],
    };

static ENTITY_NODE_1744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x85")),
      children: &[],
    };

static ENTITY_NODE_1745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1744)],
    };

static ENTITY_NODE_1746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1745)],
    };

static ENTITY_NODE_1747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x9c")),
      children: &[],
    };

static ENTITY_NODE_1748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1747)],
    };

static ENTITY_NODE_1749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1748)],
    };

static ENTITY_NODE_1750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\x9f")),
      children: &[],
    };

static ENTITY_NODE_1751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1750)],
    };

static ENTITY_NODE_1752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1751)],
    };

static ENTITY_NODE_1753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1752)],
    };

static ENTITY_NODE_1754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1753)],
    };

static ENTITY_NODE_1755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1754)],
    };

static ENTITY_NODE_1756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_1755)],
    };

static ENTITY_NODE_1757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1756)],
    };

static ENTITY_NODE_1758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1757)],
    };

static ENTITY_NODE_1759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1758)],
    };

static ENTITY_NODE_1760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb3")),
      children: &[],
    };

static ENTITY_NODE_1761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1760)],
    };

static ENTITY_NODE_1762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1761)],
    };

static ENTITY_NODE_1763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1762)],
    };

static ENTITY_NODE_1764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1763)],
    };

static ENTITY_NODE_1765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1764)],
    };

static ENTITY_NODE_1766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1765)],
    };

static ENTITY_NODE_1767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1766)],
    };

static ENTITY_NODE_1768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1759), None, None, None, None, None, None, None, Some(ENTITY_NODE_1767)],
    };

static ENTITY_NODE_1769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x90")),
      children: &[],
    };

static ENTITY_NODE_1770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1769)],
    };

static ENTITY_NODE_1771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1770)],
    };

static ENTITY_NODE_1772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x93")),
      children: &[],
    };

static ENTITY_NODE_1773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1772)],
    };

static ENTITY_NODE_1774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1773)],
    };

static ENTITY_NODE_1775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1774)],
    };

static ENTITY_NODE_1776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1775)],
    };

static ENTITY_NODE_1777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 80,
      value: None,
      children: &[Some(ENTITY_NODE_1776)],
    };

static ENTITY_NODE_1778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1777)],
    };

static ENTITY_NODE_1779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1778)],
    };

static ENTITY_NODE_1780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1779)],
    };

static ENTITY_NODE_1781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x84")),
      children: &[],
    };

static ENTITY_NODE_1782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1781)],
    };

static ENTITY_NODE_1783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1782)],
    };

static ENTITY_NODE_1784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1783)],
    };

static ENTITY_NODE_1785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1761)],
    };

static ENTITY_NODE_1786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1785)],
    };

static ENTITY_NODE_1787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x9c")),
      children: &[],
    };

static ENTITY_NODE_1788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1787)],
    };

static ENTITY_NODE_1789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1746), None, Some(ENTITY_NODE_1749), None, Some(ENTITY_NODE_1768), Some(ENTITY_NODE_1771), None, None, Some(ENTITY_NODE_1780), None, None, None, None, None, Some(ENTITY_NODE_1784), None, None, None, Some(ENTITY_NODE_1786), None, Some(ENTITY_NODE_1788)],
    };

static ENTITY_NODE_1790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x8a")),
      children: &[],
    };

static ENTITY_NODE_1791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1790)],
    };

static ENTITY_NODE_1792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1791)],
    };

static ENTITY_NODE_1793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1792)],
    };

static ENTITY_NODE_1794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x83")),
      children: &[],
    };

static ENTITY_NODE_1795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1794)],
    };

static ENTITY_NODE_1796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1795)],
    };

static ENTITY_NODE_1797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1796)],
    };

static ENTITY_NODE_1798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1797)],
    };

static ENTITY_NODE_1799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1798)],
    };

static ENTITY_NODE_1800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x87")),
      children: &[],
    };

static ENTITY_NODE_1801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1800)],
    };

static ENTITY_NODE_1802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1801)],
    };

static ENTITY_NODE_1803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1802)],
    };

static ENTITY_NODE_1804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1803)],
    };

static ENTITY_NODE_1805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x85")),
      children: &[],
    };

static ENTITY_NODE_1806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1805)],
    };

static ENTITY_NODE_1807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1806)],
    };

static ENTITY_NODE_1808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1807)],
    };

static ENTITY_NODE_1809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1808)],
    };

static ENTITY_NODE_1810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x9d")),
      children: &[],
    };

static ENTITY_NODE_1811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1810)],
    };

static ENTITY_NODE_1812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1804), None, None, None, Some(ENTITY_NODE_1809), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1811)],
    };

static ENTITY_NODE_1813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x8b")),
      children: &[],
    };

static ENTITY_NODE_1814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1813)],
    };

static ENTITY_NODE_1815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1814)],
    };

static ENTITY_NODE_1816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1815)],
    };

static ENTITY_NODE_1817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1816)],
    };

static ENTITY_NODE_1818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1817)],
    };

static ENTITY_NODE_1819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_1818)],
    };

static ENTITY_NODE_1820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1819)],
    };

static ENTITY_NODE_1821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1820)],
    };

static ENTITY_NODE_1822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1821)],
    };

static ENTITY_NODE_1823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1822)],
    };

static ENTITY_NODE_1824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1823)],
    };

static ENTITY_NODE_1825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1819)],
    };

static ENTITY_NODE_1826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1825), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1819)],
    };

static ENTITY_NODE_1827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1826)],
    };

static ENTITY_NODE_1828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1827)],
    };

static ENTITY_NODE_1829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1819)],
    };

static ENTITY_NODE_1830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1829)],
    };

static ENTITY_NODE_1831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1830)],
    };

static ENTITY_NODE_1832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_1831)],
    };

static ENTITY_NODE_1833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_1832)],
    };

static ENTITY_NODE_1834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1833)],
    };

static ENTITY_NODE_1835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1834)],
    };

static ENTITY_NODE_1836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 77,
      value: None,
      children: &[Some(ENTITY_NODE_1824), None, None, None, None, None, None, Some(ENTITY_NODE_1828), None, Some(ENTITY_NODE_1835)],
    };

static ENTITY_NODE_1837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1836)],
    };

static ENTITY_NODE_1838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_1837)],
    };

static ENTITY_NODE_1839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1838)],
    };

static ENTITY_NODE_1840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1839)],
    };

static ENTITY_NODE_1841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1840)],
    };

static ENTITY_NODE_1842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1085)],
    };

static ENTITY_NODE_1843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1842)],
    };

static ENTITY_NODE_1844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1843)],
    };

static ENTITY_NODE_1845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1844)],
    };

static ENTITY_NODE_1846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1845)],
    };

static ENTITY_NODE_1847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1846)],
    };

static ENTITY_NODE_1848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_1847)],
    };

static ENTITY_NODE_1849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1848)],
    };

static ENTITY_NODE_1850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1849)],
    };

static ENTITY_NODE_1851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1850)],
    };

static ENTITY_NODE_1852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1851)],
    };

static ENTITY_NODE_1853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1852)],
    };

static ENTITY_NODE_1854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1853)],
    };

static ENTITY_NODE_1855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1742)],
    };

static ENTITY_NODE_1856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1855)],
    };

static ENTITY_NODE_1857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1856)],
    };

static ENTITY_NODE_1858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_1857)],
    };

static ENTITY_NODE_1859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1858)],
    };

static ENTITY_NODE_1860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1859)],
    };

static ENTITY_NODE_1861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1860)],
    };

static ENTITY_NODE_1862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_1854), None, None, None, None, Some(ENTITY_NODE_1861)],
    };

static ENTITY_NODE_1863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1862)],
    };

static ENTITY_NODE_1864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1863)],
    };

static ENTITY_NODE_1865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1864)],
    };

static ENTITY_NODE_1866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\x0a")),
      children: &[],
    };

static ENTITY_NODE_1867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1866)],
    };

static ENTITY_NODE_1868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1867)],
    };

static ENTITY_NODE_1869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1868)],
    };

static ENTITY_NODE_1870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1869)],
    };

static ENTITY_NODE_1871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_1870)],
    };

static ENTITY_NODE_1872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1841), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1865), None, None, None, Some(ENTITY_NODE_1871)],
    };

static ENTITY_NODE_1873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x91")),
      children: &[],
    };

static ENTITY_NODE_1874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1873)],
    };

static ENTITY_NODE_1875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1874)],
    };

static ENTITY_NODE_1876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\xa0")),
      children: &[],
    };

static ENTITY_NODE_1877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1876)],
    };

static ENTITY_NODE_1878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1877)],
    };

static ENTITY_NODE_1879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1878)],
    };

static ENTITY_NODE_1880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1879)],
    };

static ENTITY_NODE_1881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1880)],
    };

static ENTITY_NODE_1882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa0")),
      children: &[],
    };

static ENTITY_NODE_1883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1882)],
    };

static ENTITY_NODE_1884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1883)],
    };

static ENTITY_NODE_1885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1884)],
    };

static ENTITY_NODE_1886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1885)],
    };

static ENTITY_NODE_1887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1886)],
    };

static ENTITY_NODE_1888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_1887)],
    };

static ENTITY_NODE_1889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1888)],
    };

static ENTITY_NODE_1890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1889)],
    };

static ENTITY_NODE_1891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1890)],
    };

static ENTITY_NODE_1892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1891)],
    };

static ENTITY_NODE_1893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1892)],
    };

static ENTITY_NODE_1894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1893)],
    };

static ENTITY_NODE_1895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1894)],
    };

static ENTITY_NODE_1896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_1895)],
    };

static ENTITY_NODE_1897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x95")),
      children: &[],
    };

static ENTITY_NODE_1898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1897)],
    };

static ENTITY_NODE_1899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_1898)],
    };

static ENTITY_NODE_1900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xac")),
      children: &[],
    };

static ENTITY_NODE_1901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa2")),
      children: &[],
    };

static ENTITY_NODE_1902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1901)],
    };

static ENTITY_NODE_1903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1902)],
    };

static ENTITY_NODE_1904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1903)],
    };

static ENTITY_NODE_1905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1904)],
    };

static ENTITY_NODE_1906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1905)],
    };

static ENTITY_NODE_1907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1906)],
    };

static ENTITY_NODE_1908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_1907)],
    };

static ENTITY_NODE_1909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1908)],
    };

static ENTITY_NODE_1910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xad")),
      children: &[],
    };

static ENTITY_NODE_1911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1910)],
    };

static ENTITY_NODE_1912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1911)],
    };

static ENTITY_NODE_1913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1912)],
    };

static ENTITY_NODE_1914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_1913)],
    };

static ENTITY_NODE_1915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1914)],
    };

static ENTITY_NODE_1916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1909), None, None, None, None, None, Some(ENTITY_NODE_1915)],
    };

static ENTITY_NODE_1917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa6")),
      children: &[],
    };

static ENTITY_NODE_1918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1917)],
    };

static ENTITY_NODE_1919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1918)],
    };

static ENTITY_NODE_1920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1919)],
    };

static ENTITY_NODE_1921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_1920)],
    };

static ENTITY_NODE_1922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1921)],
    };

static ENTITY_NODE_1923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1922)],
    };

static ENTITY_NODE_1924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_1923)],
    };

static ENTITY_NODE_1925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1924)],
    };

static ENTITY_NODE_1926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1925)],
    };

static ENTITY_NODE_1927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1926)],
    };

static ENTITY_NODE_1928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1927)],
    };

static ENTITY_NODE_1929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_1928)],
    };

static ENTITY_NODE_1930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1929)],
    };

static ENTITY_NODE_1931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1930)],
    };

static ENTITY_NODE_1932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_1931)],
    };

static ENTITY_NODE_1933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1932)],
    };

static ENTITY_NODE_1934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_1933)],
    };

static ENTITY_NODE_1935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x89")),
      children: &[],
    };

static ENTITY_NODE_1936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1935)],
    };

static ENTITY_NODE_1937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1936)],
    };

static ENTITY_NODE_1938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1937)],
    };

static ENTITY_NODE_1939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1938)],
    };

static ENTITY_NODE_1940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1939)],
    };

static ENTITY_NODE_1941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1940)],
    };

static ENTITY_NODE_1942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa0")),
      children: &[],
    };

static ENTITY_NODE_1943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x82\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_1944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1943)],
    };

static ENTITY_NODE_1945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1944)],
    };

static ENTITY_NODE_1946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_1945)],
    };

static ENTITY_NODE_1947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1946)],
    };

static ENTITY_NODE_1948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1947)],
    };

static ENTITY_NODE_1949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1942), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1948)],
    };

static ENTITY_NODE_1950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1949)],
    };

static ENTITY_NODE_1951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1950)],
    };

static ENTITY_NODE_1952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1951)],
    };

static ENTITY_NODE_1953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x84")),
      children: &[],
    };

static ENTITY_NODE_1954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1953)],
    };

static ENTITY_NODE_1955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1954)],
    };

static ENTITY_NODE_1956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1955)],
    };

static ENTITY_NODE_1957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1956)],
    };

static ENTITY_NODE_1958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_1957)],
    };

static ENTITY_NODE_1959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1941), None, None, None, None, Some(ENTITY_NODE_1952), None, None, None, None, None, None, Some(ENTITY_NODE_1958)],
    };

static ENTITY_NODE_1960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xaf")),
      children: &[],
    };

static ENTITY_NODE_1961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb1")),
      children: &[],
    };

static ENTITY_NODE_1962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1961)],
    };

static ENTITY_NODE_1963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1962)],
    };

static ENTITY_NODE_1964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1963)],
    };

static ENTITY_NODE_1965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1964)],
    };

static ENTITY_NODE_1966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1965)],
    };

static ENTITY_NODE_1967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa7\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_1968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1967)],
    };

static ENTITY_NODE_1969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1968)],
    };

static ENTITY_NODE_1970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1969)],
    };

static ENTITY_NODE_1971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1970)],
    };

static ENTITY_NODE_1972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1971)],
    };

static ENTITY_NODE_1973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1972)],
    };

static ENTITY_NODE_1974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1973)],
    };

static ENTITY_NODE_1975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1974)],
    };

static ENTITY_NODE_1976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1975)],
    };

static ENTITY_NODE_1977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xab\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_1978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1977)],
    };

static ENTITY_NODE_1979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1978)],
    };

static ENTITY_NODE_1980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1979)],
    };

static ENTITY_NODE_1981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1980)],
    };

static ENTITY_NODE_1982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1981)],
    };

static ENTITY_NODE_1983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1982)],
    };

static ENTITY_NODE_1984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1983)],
    };

static ENTITY_NODE_1985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb9")),
      children: &[],
    };

static ENTITY_NODE_1986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1985)],
    };

static ENTITY_NODE_1987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1986)],
    };

static ENTITY_NODE_1988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1987)],
    };

static ENTITY_NODE_1989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1988)],
    };

static ENTITY_NODE_1990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xbe\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_1991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1990)],
    };

static ENTITY_NODE_1992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1991)],
    };

static ENTITY_NODE_1993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1992)],
    };

static ENTITY_NODE_1994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_1993)],
    };

static ENTITY_NODE_1995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1994)],
    };

static ENTITY_NODE_1996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1995)],
    };

static ENTITY_NODE_1997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1996)],
    };

static ENTITY_NODE_1998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1997)],
    };

static ENTITY_NODE_1999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1998)],
    };

static ENTITY_NODE_2000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1999)],
    };

static ENTITY_NODE_2001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb5")),
      children: &[],
    };

static ENTITY_NODE_2002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2001)],
    };

static ENTITY_NODE_2003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2002)],
    };

static ENTITY_NODE_2004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2003)],
    };

static ENTITY_NODE_2005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2004)],
    };

static ENTITY_NODE_2006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2005)],
    };

static ENTITY_NODE_2007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1960), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1966), Some(ENTITY_NODE_1976), Some(ENTITY_NODE_1984), None, None, None, None, Some(ENTITY_NODE_1989), None, None, None, None, None, None, Some(ENTITY_NODE_2000), Some(ENTITY_NODE_2006)],
    };

static ENTITY_NODE_2008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2007)],
    };

static ENTITY_NODE_2009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2008)],
    };

static ENTITY_NODE_2010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2009)],
    };

static ENTITY_NODE_2011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2010)],
    };

static ENTITY_NODE_2012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2011)],
    };

static ENTITY_NODE_2013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2012)],
    };

static ENTITY_NODE_2014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8e\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2014)],
    };

static ENTITY_NODE_2016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2015)],
    };

static ENTITY_NODE_2017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2016)],
    };

static ENTITY_NODE_2018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2017)],
    };

static ENTITY_NODE_2019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_2018)],
    };

static ENTITY_NODE_2020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2019)],
    };

static ENTITY_NODE_2021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2020)],
    };

static ENTITY_NODE_2022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2021)],
    };

static ENTITY_NODE_2023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8f\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2023)],
    };

static ENTITY_NODE_2025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2024)],
    };

static ENTITY_NODE_2026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2025)],
    };

static ENTITY_NODE_2027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2026)],
    };

static ENTITY_NODE_2028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2027)],
    };

static ENTITY_NODE_2029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_2022), Some(ENTITY_NODE_2028)],
    };

static ENTITY_NODE_2030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2029)],
    };

static ENTITY_NODE_2031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2030)],
    };

static ENTITY_NODE_2032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2031)],
    };

static ENTITY_NODE_2033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xaa")),
      children: &[],
    };

static ENTITY_NODE_2034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x8f\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2034)],
    };

static ENTITY_NODE_2036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2035)],
    };

static ENTITY_NODE_2037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2036)],
    };

static ENTITY_NODE_2038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xac")),
      children: &[],
    };

static ENTITY_NODE_2039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2038)],
    };

static ENTITY_NODE_2040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2039)],
    };

static ENTITY_NODE_2041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2040)],
    };

static ENTITY_NODE_2042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2041)],
    };

static ENTITY_NODE_2043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2042)],
    };

static ENTITY_NODE_2044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2033), None, None, None, None, None, None, Some(ENTITY_NODE_2037), None, None, Some(ENTITY_NODE_2043)],
    };

static ENTITY_NODE_2045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2044)],
    };

static ENTITY_NODE_2046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2045)],
    };

static ENTITY_NODE_2047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2046)],
    };

static ENTITY_NODE_2048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2047)],
    };

static ENTITY_NODE_2049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2048)],
    };

static ENTITY_NODE_2050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2049)],
    };

static ENTITY_NODE_2051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2050)],
    };

static ENTITY_NODE_2052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_2051)],
    };

static ENTITY_NODE_2053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2052)],
    };

static ENTITY_NODE_2054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xae")),
      children: &[],
    };

static ENTITY_NODE_2055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb0")),
      children: &[],
    };

static ENTITY_NODE_2056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2055)],
    };

static ENTITY_NODE_2057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2056)],
    };

static ENTITY_NODE_2058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2057)],
    };

static ENTITY_NODE_2059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2058)],
    };

static ENTITY_NODE_2060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2059)],
    };

static ENTITY_NODE_2061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb8")),
      children: &[],
    };

static ENTITY_NODE_2062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2061)],
    };

static ENTITY_NODE_2063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2062)],
    };

static ENTITY_NODE_2064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2063)],
    };

static ENTITY_NODE_2065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2064)],
    };

static ENTITY_NODE_2066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2065)],
    };

static ENTITY_NODE_2067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2066)],
    };

static ENTITY_NODE_2068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2067)],
    };

static ENTITY_NODE_2069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xaa\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2069)],
    };

static ENTITY_NODE_2071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2070)],
    };

static ENTITY_NODE_2072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2071)],
    };

static ENTITY_NODE_2073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2072)],
    };

static ENTITY_NODE_2074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xbd\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2074)],
    };

static ENTITY_NODE_2076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2075)],
    };

static ENTITY_NODE_2077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2076)],
    };

static ENTITY_NODE_2078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2077)],
    };

static ENTITY_NODE_2079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2078)],
    };

static ENTITY_NODE_2080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2079)],
    };

static ENTITY_NODE_2081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2080)],
    };

static ENTITY_NODE_2082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2081)],
    };

static ENTITY_NODE_2083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2082)],
    };

static ENTITY_NODE_2084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2083)],
    };

static ENTITY_NODE_2085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xb4")),
      children: &[],
    };

static ENTITY_NODE_2086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2085)],
    };

static ENTITY_NODE_2087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2086)],
    };

static ENTITY_NODE_2088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2087)],
    };

static ENTITY_NODE_2089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2088)],
    };

static ENTITY_NODE_2090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2089)],
    };

static ENTITY_NODE_2091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2054), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2060), None, Some(ENTITY_NODE_2068), None, None, None, None, Some(ENTITY_NODE_2073), None, None, None, None, None, None, Some(ENTITY_NODE_2084), Some(ENTITY_NODE_2090)],
    };

static ENTITY_NODE_2092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2091)],
    };

static ENTITY_NODE_2093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2053), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2092)],
    };

static ENTITY_NODE_2094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2093)],
    };

static ENTITY_NODE_2095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa2\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2095)],
    };

static ENTITY_NODE_2097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2096)],
    };

static ENTITY_NODE_2098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2097)],
    };

static ENTITY_NODE_2099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2098)],
    };

static ENTITY_NODE_2100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2099)],
    };

static ENTITY_NODE_2101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2100)],
    };

static ENTITY_NODE_2102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2101)],
    };

static ENTITY_NODE_2103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_2102)],
    };

static ENTITY_NODE_2104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2103)],
    };

static ENTITY_NODE_2105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2104)],
    };

static ENTITY_NODE_2106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2105)],
    };

static ENTITY_NODE_2107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2106)],
    };

static ENTITY_NODE_2108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2107)],
    };

static ENTITY_NODE_2109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2108)],
    };

static ENTITY_NODE_2110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa1\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2110)],
    };

static ENTITY_NODE_2112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2111)],
    };

static ENTITY_NODE_2113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2112)],
    };

static ENTITY_NODE_2114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2113)],
    };

static ENTITY_NODE_2115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_2114)],
    };

static ENTITY_NODE_2116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2115)],
    };

static ENTITY_NODE_2117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2116)],
    };

static ENTITY_NODE_2118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2117)],
    };

static ENTITY_NODE_2119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_2109), None, None, None, None, Some(ENTITY_NODE_2118)],
    };

static ENTITY_NODE_2120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2119)],
    };

static ENTITY_NODE_2121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2120)],
    };

static ENTITY_NODE_2122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2121)],
    };

static ENTITY_NODE_2123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2122)],
    };

static ENTITY_NODE_2124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2123)],
    };

static ENTITY_NODE_2125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x80")),
      children: &[],
    };

static ENTITY_NODE_2126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xaf\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2126)],
    };

static ENTITY_NODE_2128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2127)],
    };

static ENTITY_NODE_2129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2128)],
    };

static ENTITY_NODE_2130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2129)],
    };

static ENTITY_NODE_2131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2130)],
    };

static ENTITY_NODE_2132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa0")),
      children: &[],
    };

static ENTITY_NODE_2133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2132)],
    };

static ENTITY_NODE_2134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2133)],
    };

static ENTITY_NODE_2135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2134)],
    };

static ENTITY_NODE_2136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2135)],
    };

static ENTITY_NODE_2137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2136)],
    };

static ENTITY_NODE_2138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2137)],
    };

static ENTITY_NODE_2139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2138)],
    };

static ENTITY_NODE_2140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2139)],
    };

static ENTITY_NODE_2141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2140)],
    };

static ENTITY_NODE_2142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2141)],
    };

static ENTITY_NODE_2143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2125), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2131), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2142)],
    };

static ENTITY_NODE_2144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2143)],
    };

static ENTITY_NODE_2145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2144)],
    };

static ENTITY_NODE_2146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2145)],
    };

static ENTITY_NODE_2147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2146)],
    };

static ENTITY_NODE_2148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2147)],
    };

static ENTITY_NODE_2149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2148)],
    };

static ENTITY_NODE_2150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2149)],
    };

static ENTITY_NODE_2151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x8c")),
      children: &[],
    };

static ENTITY_NODE_2152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2151)],
    };

static ENTITY_NODE_2153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2152)],
    };

static ENTITY_NODE_2154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2153)],
    };

static ENTITY_NODE_2155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2154)],
    };

static ENTITY_NODE_2156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2155)],
    };

static ENTITY_NODE_2157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2156)],
    };

static ENTITY_NODE_2158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2157)],
    };

static ENTITY_NODE_2159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2158)],
    };

static ENTITY_NODE_2160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2159)],
    };

static ENTITY_NODE_2161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2160)],
    };

static ENTITY_NODE_2162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2161)],
    };

static ENTITY_NODE_2163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2162)],
    };

static ENTITY_NODE_2164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_2163)],
    };

static ENTITY_NODE_2165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xab")),
      children: &[],
    };

static ENTITY_NODE_2166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x90\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2166)],
    };

static ENTITY_NODE_2168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2167)],
    };

static ENTITY_NODE_2169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2168)],
    };

static ENTITY_NODE_2170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xad")),
      children: &[],
    };

static ENTITY_NODE_2171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2170)],
    };

static ENTITY_NODE_2172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2171)],
    };

static ENTITY_NODE_2173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2172)],
    };

static ENTITY_NODE_2174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2173)],
    };

static ENTITY_NODE_2175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2174)],
    };

static ENTITY_NODE_2176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2165), None, None, None, None, None, None, Some(ENTITY_NODE_2169), None, None, Some(ENTITY_NODE_2175)],
    };

static ENTITY_NODE_2177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2176)],
    };

static ENTITY_NODE_2178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2177)],
    };

static ENTITY_NODE_2179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2178)],
    };

static ENTITY_NODE_2180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2179)],
    };

static ENTITY_NODE_2181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2180)],
    };

static ENTITY_NODE_2182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2181)],
    };

static ENTITY_NODE_2183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2182)],
    };

static ENTITY_NODE_2184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_2183)],
    };

static ENTITY_NODE_2185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2184)],
    };

static ENTITY_NODE_2186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_2185)],
    };

static ENTITY_NODE_2187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2186)],
    };

static ENTITY_NODE_2188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2164), None, None, None, Some(ENTITY_NODE_2187)],
    };

static ENTITY_NODE_2189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8f\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa2")),
      children: &[],
    };

static ENTITY_NODE_2191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2190)],
    };

static ENTITY_NODE_2192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2191)],
    };

static ENTITY_NODE_2193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2192)],
    };

static ENTITY_NODE_2194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2193)],
    };

static ENTITY_NODE_2195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2194)],
    };

static ENTITY_NODE_2196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2189), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2195)],
    };

static ENTITY_NODE_2197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2196)],
    };

static ENTITY_NODE_2198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2197)],
    };

static ENTITY_NODE_2199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2198)],
    };

static ENTITY_NODE_2200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x90\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa3")),
      children: &[],
    };

static ENTITY_NODE_2202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2201)],
    };

static ENTITY_NODE_2203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2202)],
    };

static ENTITY_NODE_2204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2203)],
    };

static ENTITY_NODE_2205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2204)],
    };

static ENTITY_NODE_2206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2205)],
    };

static ENTITY_NODE_2207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2200), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2206)],
    };

static ENTITY_NODE_2208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2207)],
    };

static ENTITY_NODE_2209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2208)],
    };

static ENTITY_NODE_2210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2209)],
    };

static ENTITY_NODE_2211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2210)],
    };

static ENTITY_NODE_2212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2211)],
    };

static ENTITY_NODE_2213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_2199), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2212)],
    };

static ENTITY_NODE_2214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2213)],
    };

static ENTITY_NODE_2215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_2214)],
    };

static ENTITY_NODE_2216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2215)],
    };

static ENTITY_NODE_2217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2216)],
    };

static ENTITY_NODE_2218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2217)],
    };

static ENTITY_NODE_2219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2218)],
    };

static ENTITY_NODE_2220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x82\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_2221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x88")),
      children: &[],
    };

static ENTITY_NODE_2222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2221)],
    };

static ENTITY_NODE_2223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2222)],
    };

static ENTITY_NODE_2224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2223)],
    };

static ENTITY_NODE_2225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2224)],
    };

static ENTITY_NODE_2226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2225)],
    };

static ENTITY_NODE_2227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2220), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2226)],
    };

static ENTITY_NODE_2228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2227)],
    };

static ENTITY_NODE_2229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2228)],
    };

static ENTITY_NODE_2230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2229)],
    };

static ENTITY_NODE_2231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x81")),
      children: &[],
    };

static ENTITY_NODE_2232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb0\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2232)],
    };

static ENTITY_NODE_2234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2233)],
    };

static ENTITY_NODE_2235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2234)],
    };

static ENTITY_NODE_2236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2235)],
    };

static ENTITY_NODE_2237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2236)],
    };

static ENTITY_NODE_2238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa1")),
      children: &[],
    };

static ENTITY_NODE_2239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2238)],
    };

static ENTITY_NODE_2240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2239)],
    };

static ENTITY_NODE_2241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2240)],
    };

static ENTITY_NODE_2242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2241)],
    };

static ENTITY_NODE_2243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2242)],
    };

static ENTITY_NODE_2244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2243)],
    };

static ENTITY_NODE_2245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2244)],
    };

static ENTITY_NODE_2246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2245)],
    };

static ENTITY_NODE_2247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2246)],
    };

static ENTITY_NODE_2248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2247)],
    };

static ENTITY_NODE_2249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xbf\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_2250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2249)],
    };

static ENTITY_NODE_2251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2250)],
    };

static ENTITY_NODE_2252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2251)],
    };

static ENTITY_NODE_2253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2252)],
    };

static ENTITY_NODE_2254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2253)],
    };

static ENTITY_NODE_2255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2231), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2237), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2248), Some(ENTITY_NODE_2254)],
    };

static ENTITY_NODE_2256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2255)],
    };

static ENTITY_NODE_2257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2256)],
    };

static ENTITY_NODE_2258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2257)],
    };

static ENTITY_NODE_2259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2258)],
    };

static ENTITY_NODE_2260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2259)],
    };

static ENTITY_NODE_2261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x83\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_2262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x89")),
      children: &[],
    };

static ENTITY_NODE_2263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2262)],
    };

static ENTITY_NODE_2264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2263)],
    };

static ENTITY_NODE_2265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2264)],
    };

static ENTITY_NODE_2266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2265)],
    };

static ENTITY_NODE_2267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2266)],
    };

static ENTITY_NODE_2268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2261), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2267)],
    };

static ENTITY_NODE_2269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2268)],
    };

static ENTITY_NODE_2270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2269)],
    };

static ENTITY_NODE_2271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2270)],
    };

static ENTITY_NODE_2272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2271)],
    };

static ENTITY_NODE_2273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2272)],
    };

static ENTITY_NODE_2274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_2230), Some(ENTITY_NODE_2260), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2273)],
    };

static ENTITY_NODE_2275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2219), None, None, None, Some(ENTITY_NODE_2274)],
    };

static ENTITY_NODE_2276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x81")),
      children: &[],
    };

static ENTITY_NODE_2277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x84")),
      children: &[],
    };

static ENTITY_NODE_2278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2277)],
    };

static ENTITY_NODE_2279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2278)],
    };

static ENTITY_NODE_2280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2279)],
    };

static ENTITY_NODE_2281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2280)],
    };

static ENTITY_NODE_2282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2281)],
    };

static ENTITY_NODE_2283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x87")),
      children: &[],
    };

static ENTITY_NODE_2284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2283)],
    };

static ENTITY_NODE_2285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2284)],
    };

static ENTITY_NODE_2286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2285)],
    };

static ENTITY_NODE_2287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2286)],
    };

static ENTITY_NODE_2288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2287)],
    };

static ENTITY_NODE_2289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2288)],
    };

static ENTITY_NODE_2290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2289)],
    };

static ENTITY_NODE_2291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2290)],
    };

static ENTITY_NODE_2292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2291)],
    };

static ENTITY_NODE_2293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x89")),
      children: &[],
    };

static ENTITY_NODE_2294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2293)],
    };

static ENTITY_NODE_2295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2294)],
    };

static ENTITY_NODE_2296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2295)],
    };

static ENTITY_NODE_2297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2296)],
    };

static ENTITY_NODE_2298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2297)],
    };

static ENTITY_NODE_2299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2276), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2282), Some(ENTITY_NODE_2292), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2298)],
    };

static ENTITY_NODE_2300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2299)],
    };

static ENTITY_NODE_2301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2300)],
    };

static ENTITY_NODE_2302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2301)],
    };

static ENTITY_NODE_2303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2302)],
    };

static ENTITY_NODE_2304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa4")),
      children: &[],
    };

static ENTITY_NODE_2305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2304)],
    };

static ENTITY_NODE_2306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2305)],
    };

static ENTITY_NODE_2307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2306)],
    };

static ENTITY_NODE_2308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_2307)],
    };

static ENTITY_NODE_2309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2308)],
    };

static ENTITY_NODE_2310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2309)],
    };

static ENTITY_NODE_2311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2310)],
    };

static ENTITY_NODE_2312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2311)],
    };

static ENTITY_NODE_2313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2312)],
    };

static ENTITY_NODE_2314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2313)],
    };

static ENTITY_NODE_2315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2314)],
    };

static ENTITY_NODE_2316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1900), None, None, None, None, None, None, None, Some(ENTITY_NODE_1916), Some(ENTITY_NODE_1934), Some(ENTITY_NODE_1959), None, Some(ENTITY_NODE_2013), Some(ENTITY_NODE_2032), None, None, None, Some(ENTITY_NODE_2094), None, Some(ENTITY_NODE_2124), None, Some(ENTITY_NODE_2150), None, Some(ENTITY_NODE_2188), Some(ENTITY_NODE_2275), Some(ENTITY_NODE_2303), None, Some(ENTITY_NODE_2315)],
    };

static ENTITY_NODE_2317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_1881), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1896), None, Some(ENTITY_NODE_1899), None, None, None, Some(ENTITY_NODE_2316)],
    };

static ENTITY_NODE_2318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xa9")),
      children: &[],
    };

static ENTITY_NODE_2319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2318)],
    };

static ENTITY_NODE_2320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2319)],
    };

static ENTITY_NODE_2321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2320)],
    };

static ENTITY_NODE_2322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x91")),
      children: &[],
    };

static ENTITY_NODE_2323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x91")),
      children: &[Some(ENTITY_NODE_2322)],
    };

static ENTITY_NODE_2324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2323)],
    };

static ENTITY_NODE_2325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2324)],
    };

static ENTITY_NODE_2326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2325)],
    };

static ENTITY_NODE_2327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2326)],
    };

static ENTITY_NODE_2328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x9d")),
      children: &[],
    };

static ENTITY_NODE_2329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2328)],
    };

static ENTITY_NODE_2330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 74,
      value: None,
      children: &[Some(ENTITY_NODE_1793), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1799), None, Some(ENTITY_NODE_1812), None, Some(ENTITY_NODE_1872), Some(ENTITY_NODE_1875), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2317), None, None, None, Some(ENTITY_NODE_2321), Some(ENTITY_NODE_2327), Some(ENTITY_NODE_2329)],
    };

static ENTITY_NODE_2331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x92")),
      children: &[],
    };

static ENTITY_NODE_2332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2331)],
    };

static ENTITY_NODE_2333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2332)],
    };

static ENTITY_NODE_2334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2333)],
    };

static ENTITY_NODE_2335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2334)],
    };

static ENTITY_NODE_2336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x93")),
      children: &[],
    };

static ENTITY_NODE_2337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x93")),
      children: &[Some(ENTITY_NODE_2336)],
    };

static ENTITY_NODE_2338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2337)],
    };

static ENTITY_NODE_2339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2338)],
    };

static ENTITY_NODE_2340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2339)],
    };

static ENTITY_NODE_2341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2340)],
    };

static ENTITY_NODE_2342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x94")),
      children: &[],
    };

static ENTITY_NODE_2343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x94")),
      children: &[Some(ENTITY_NODE_2342)],
    };

static ENTITY_NODE_2344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2343)],
    };

static ENTITY_NODE_2345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2344)],
    };

static ENTITY_NODE_2346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x9e")),
      children: &[],
    };

static ENTITY_NODE_2347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2346)],
    };

static ENTITY_NODE_2348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2345), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2347)],
    };

static ENTITY_NODE_2349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x90")),
      children: &[],
    };

static ENTITY_NODE_2350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2349)],
    };

static ENTITY_NODE_2351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2350)],
    };

static ENTITY_NODE_2352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2351)],
    };

static ENTITY_NODE_2353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2352)],
    };

static ENTITY_NODE_2354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_2353)],
    };

static ENTITY_NODE_2355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x92")),
      children: &[],
    };

static ENTITY_NODE_2356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2355)],
    };

static ENTITY_NODE_2357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2356)],
    };

static ENTITY_NODE_2358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x92")),
      children: &[],
    };

static ENTITY_NODE_2359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x92")),
      children: &[Some(ENTITY_NODE_2358)],
    };

static ENTITY_NODE_2360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2359)],
    };

static ENTITY_NODE_2361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_2360)],
    };

static ENTITY_NODE_2362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2361)],
    };

static ENTITY_NODE_2363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2362)],
    };

static ENTITY_NODE_2364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x8c")),
      children: &[],
    };

static ENTITY_NODE_2365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2364)],
    };

static ENTITY_NODE_2366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2365)],
    };

static ENTITY_NODE_2367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2366)],
    };

static ENTITY_NODE_2368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa9")),
      children: &[],
    };

static ENTITY_NODE_2369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2368)],
    };

static ENTITY_NODE_2370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2369)],
    };

static ENTITY_NODE_2371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2370)],
    };

static ENTITY_NODE_2372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x9f")),
      children: &[],
    };

static ENTITY_NODE_2373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2372)],
    };

static ENTITY_NODE_2374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2373)],
    };

static ENTITY_NODE_2375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2374)],
    };

static ENTITY_NODE_2376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2375)],
    };

static ENTITY_NODE_2377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2376)],
    };

static ENTITY_NODE_2378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2367), None, None, None, Some(ENTITY_NODE_2371), None, None, None, Some(ENTITY_NODE_2377)],
    };

static ENTITY_NODE_2379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x86")),
      children: &[],
    };

static ENTITY_NODE_2380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2379)],
    };

static ENTITY_NODE_2381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2380)],
    };

static ENTITY_NODE_2382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2381)],
    };

static ENTITY_NODE_2383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x9c")),
      children: &[],
    };

static ENTITY_NODE_2384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2383)],
    };

static ENTITY_NODE_2385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2384)],
    };

static ENTITY_NODE_2386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2385)],
    };

static ENTITY_NODE_2387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2386)],
    };

static ENTITY_NODE_2388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2387)],
    };

static ENTITY_NODE_2389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 81,
      value: None,
      children: &[Some(ENTITY_NODE_2388)],
    };

static ENTITY_NODE_2390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2389)],
    };

static ENTITY_NODE_2391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2390)],
    };

static ENTITY_NODE_2392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_2391)],
    };

static ENTITY_NODE_2393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2392)],
    };

static ENTITY_NODE_2394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2393)],
    };

static ENTITY_NODE_2395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x98")),
      children: &[],
    };

static ENTITY_NODE_2396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2395)],
    };

static ENTITY_NODE_2397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2396)],
    };

static ENTITY_NODE_2398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2397)],
    };

static ENTITY_NODE_2399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2398)],
    };

static ENTITY_NODE_2400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2399)],
    };

static ENTITY_NODE_2401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_2394), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2400)],
    };

static ENTITY_NODE_2402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_2401)],
    };

static ENTITY_NODE_2403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2402)],
    };

static ENTITY_NODE_2404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2403)],
    };

static ENTITY_NODE_2405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2404)],
    };

static ENTITY_NODE_2406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_2405)],
    };

static ENTITY_NODE_2407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2406)],
    };

static ENTITY_NODE_2408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2407)],
    };

static ENTITY_NODE_2409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x94")),
      children: &[],
    };

static ENTITY_NODE_2410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2409)],
    };

static ENTITY_NODE_2411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xaa")),
      children: &[],
    };

static ENTITY_NODE_2412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2411)],
    };

static ENTITY_NODE_2413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2412)],
    };

static ENTITY_NODE_2414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x98")),
      children: &[],
    };

static ENTITY_NODE_2415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x98")),
      children: &[Some(ENTITY_NODE_2414)],
    };

static ENTITY_NODE_2416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_2415)],
    };

static ENTITY_NODE_2417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2416)],
    };

static ENTITY_NODE_2418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2417)],
    };

static ENTITY_NODE_2419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2413), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2418)],
    };

static ENTITY_NODE_2420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x95")),
      children: &[],
    };

static ENTITY_NODE_2421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x95")),
      children: &[Some(ENTITY_NODE_2420)],
    };

static ENTITY_NODE_2422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2421)],
    };

static ENTITY_NODE_2423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2422)],
    };

static ENTITY_NODE_2424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb7")),
      children: &[],
    };

static ENTITY_NODE_2425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2424)],
    };

static ENTITY_NODE_2426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2425)],
    };

static ENTITY_NODE_2427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2426)],
    };

static ENTITY_NODE_2428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2423), Some(ENTITY_NODE_2427)],
    };

static ENTITY_NODE_2429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2428)],
    };

static ENTITY_NODE_2430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x96")),
      children: &[],
    };

static ENTITY_NODE_2431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x96")),
      children: &[Some(ENTITY_NODE_2430)],
    };

static ENTITY_NODE_2432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2431)],
    };

static ENTITY_NODE_2433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2432)],
    };

static ENTITY_NODE_2434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xbe")),
      children: &[],
    };

static ENTITY_NODE_2435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2434)],
    };

static ENTITY_NODE_2436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2435)],
    };

static ENTITY_NODE_2437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8f\x9e")),
      children: &[],
    };

static ENTITY_NODE_2438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2437)],
    };

static ENTITY_NODE_2439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8e\xb4")),
      children: &[],
    };

static ENTITY_NODE_2440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2439)],
    };

static ENTITY_NODE_2441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2440)],
    };

static ENTITY_NODE_2442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2441)],
    };

static ENTITY_NODE_2443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2438), None, None, None, None, None, Some(ENTITY_NODE_2442)],
    };

static ENTITY_NODE_2444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2443)],
    };

static ENTITY_NODE_2445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2444)],
    };

static ENTITY_NODE_2446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2436), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2445)],
    };

static ENTITY_NODE_2447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8f\x9c")),
      children: &[],
    };

static ENTITY_NODE_2448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2447)],
    };

static ENTITY_NODE_2449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2448)],
    };

static ENTITY_NODE_2450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2449)],
    };

static ENTITY_NODE_2451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2450)],
    };

static ENTITY_NODE_2452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2451)],
    };

static ENTITY_NODE_2453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_2452)],
    };

static ENTITY_NODE_2454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2453)],
    };

static ENTITY_NODE_2455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2454)],
    };

static ENTITY_NODE_2456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2455)],
    };

static ENTITY_NODE_2457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2456)],
    };

static ENTITY_NODE_2458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2457)],
    };

static ENTITY_NODE_2459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_2446), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2458)],
    };

static ENTITY_NODE_2460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2459)],
    };

static ENTITY_NODE_2461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2460)],
    };

static ENTITY_NODE_2462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2335), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2341), None, Some(ENTITY_NODE_2348), Some(ENTITY_NODE_2354), None, Some(ENTITY_NODE_2357), Some(ENTITY_NODE_2363), None, None, None, None, None, Some(ENTITY_NODE_2378), None, Some(ENTITY_NODE_2382), Some(ENTITY_NODE_2408), None, Some(ENTITY_NODE_2410), Some(ENTITY_NODE_2419), Some(ENTITY_NODE_2429), Some(ENTITY_NODE_2433), Some(ENTITY_NODE_2461)],
    };

static ENTITY_NODE_2463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x82")),
      children: &[],
    };

static ENTITY_NODE_2464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2463)],
    };

static ENTITY_NODE_2465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_2464)],
    };

static ENTITY_NODE_2466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2465)],
    };

static ENTITY_NODE_2467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2466)],
    };

static ENTITY_NODE_2468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2467)],
    };

static ENTITY_NODE_2469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2468)],
    };

static ENTITY_NODE_2470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2469)],
    };

static ENTITY_NODE_2471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x9f")),
      children: &[],
    };

static ENTITY_NODE_2472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2471)],
    };

static ENTITY_NODE_2473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_2472)],
    };

static ENTITY_NODE_2474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x93")),
      children: &[],
    };

static ENTITY_NODE_2475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2474)],
    };

static ENTITY_NODE_2476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2475)],
    };

static ENTITY_NODE_2477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa6")),
      children: &[],
    };

static ENTITY_NODE_2478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2477)],
    };

static ENTITY_NODE_2479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2478)],
    };

static ENTITY_NODE_2480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa0")),
      children: &[],
    };

static ENTITY_NODE_2481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2480)],
    };

static ENTITY_NODE_2482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb1")),
      children: &[],
    };

static ENTITY_NODE_2483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2482)],
    };

static ENTITY_NODE_2484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2483)],
    };

static ENTITY_NODE_2485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2484)],
    };

static ENTITY_NODE_2486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2485)],
    };

static ENTITY_NODE_2487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2486)],
    };

static ENTITY_NODE_2488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 77,
      value: None,
      children: &[Some(ENTITY_NODE_2487)],
    };

static ENTITY_NODE_2489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2488)],
    };

static ENTITY_NODE_2490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2489)],
    };

static ENTITY_NODE_2491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1106)],
    };

static ENTITY_NODE_2492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2491)],
    };

static ENTITY_NODE_2493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2492)],
    };

static ENTITY_NODE_2494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2493)],
    };

static ENTITY_NODE_2495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2494)],
    };

static ENTITY_NODE_2496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2495)],
    };

static ENTITY_NODE_2497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2496)],
    };

static ENTITY_NODE_2498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2497)],
    };

static ENTITY_NODE_2499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2498)],
    };

static ENTITY_NODE_2500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2499)],
    };

static ENTITY_NODE_2501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x99")),
      children: &[],
    };

static ENTITY_NODE_2502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2501)],
    };

static ENTITY_NODE_2503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2502)],
    };

static ENTITY_NODE_2504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2500), None, None, None, None, None, None, Some(ENTITY_NODE_2503)],
    };

static ENTITY_NODE_2505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xbb")),
      children: &[],
    };

static ENTITY_NODE_2506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xba")),
      children: &[],
    };

static ENTITY_NODE_2507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xaf")),
      children: &[],
    };

static ENTITY_NODE_2508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2507)],
    };

static ENTITY_NODE_2509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2508)],
    };

static ENTITY_NODE_2510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2509)],
    };

static ENTITY_NODE_2511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2510)],
    };

static ENTITY_NODE_2512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2511)],
    };

static ENTITY_NODE_2513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xbc")),
      children: &[],
    };

static ENTITY_NODE_2514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2513)],
    };

static ENTITY_NODE_2515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2514)],
    };

static ENTITY_NODE_2516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2515)],
    };

static ENTITY_NODE_2517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2516)],
    };

static ENTITY_NODE_2518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2517)],
    };

static ENTITY_NODE_2519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2518)],
    };

static ENTITY_NODE_2520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2519)],
    };

static ENTITY_NODE_2521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2520)],
    };

static ENTITY_NODE_2522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2521)],
    };

static ENTITY_NODE_2523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2522)],
    };

static ENTITY_NODE_2524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xbe")),
      children: &[],
    };

static ENTITY_NODE_2525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2524)],
    };

static ENTITY_NODE_2526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2525)],
    };

static ENTITY_NODE_2527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2526)],
    };

static ENTITY_NODE_2528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2527)],
    };

static ENTITY_NODE_2529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2528)],
    };

static ENTITY_NODE_2530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2506), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2512), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2523), Some(ENTITY_NODE_2529)],
    };

static ENTITY_NODE_2531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2530)],
    };

static ENTITY_NODE_2532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2531)],
    };

static ENTITY_NODE_2533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2532)],
    };

static ENTITY_NODE_2534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2533)],
    };

static ENTITY_NODE_2535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2534)],
    };

static ENTITY_NODE_2536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xb3")),
      children: &[],
    };

static ENTITY_NODE_2537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2536)],
    };

static ENTITY_NODE_2538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2537)],
    };

static ENTITY_NODE_2539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2538)],
    };

static ENTITY_NODE_2540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x8f")),
      children: &[],
    };

static ENTITY_NODE_2541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2540)],
    };

static ENTITY_NODE_2542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2541)],
    };

static ENTITY_NODE_2543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2542)],
    };

static ENTITY_NODE_2544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2543)],
    };

static ENTITY_NODE_2545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x9d")),
      children: &[],
    };

static ENTITY_NODE_2546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2545)],
    };

static ENTITY_NODE_2547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2546)],
    };

static ENTITY_NODE_2548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_317), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2547)],
    };

static ENTITY_NODE_2549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2548)],
    };

static ENTITY_NODE_2550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2549)],
    };

static ENTITY_NODE_2551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2550)],
    };

static ENTITY_NODE_2552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2551)],
    };

static ENTITY_NODE_2553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2552)],
    };

static ENTITY_NODE_2554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2553)],
    };

static ENTITY_NODE_2555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2544), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2554)],
    };

static ENTITY_NODE_2556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2505), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2535), None, None, None, Some(ENTITY_NODE_2539), None, None, None, None, None, Some(ENTITY_NODE_2555)],
    };

static ENTITY_NODE_2557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xab")),
      children: &[],
    };

static ENTITY_NODE_2558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2557)],
    };

static ENTITY_NODE_2559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2558)],
    };

static ENTITY_NODE_2560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa8")),
      children: &[],
    };

static ENTITY_NODE_2561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2560)],
    };

static ENTITY_NODE_2562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2559), None, None, None, None, None, Some(ENTITY_NODE_2561)],
    };

static ENTITY_NODE_2563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2470), None, Some(ENTITY_NODE_2473), None, None, Some(ENTITY_NODE_2476), None, Some(ENTITY_NODE_2479), Some(ENTITY_NODE_2481), None, None, Some(ENTITY_NODE_2490), None, None, Some(ENTITY_NODE_2504), None, None, Some(ENTITY_NODE_2556), Some(ENTITY_NODE_2562)],
    };

static ENTITY_NODE_2564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\x22")),
      children: &[],
    };

static ENTITY_NODE_2565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\x22")),
      children: &[Some(ENTITY_NODE_2564)],
    };

static ENTITY_NODE_2566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_2565)],
    };

static ENTITY_NODE_2567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 79,
      value: None,
      children: &[Some(ENTITY_NODE_2566)],
    };

static ENTITY_NODE_2568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x94")),
      children: &[],
    };

static ENTITY_NODE_2569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2568)],
    };

static ENTITY_NODE_2570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2569)],
    };

static ENTITY_NODE_2571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x9a")),
      children: &[],
    };

static ENTITY_NODE_2572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2571)],
    };

static ENTITY_NODE_2573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2572)],
    };

static ENTITY_NODE_2574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2573)],
    };

static ENTITY_NODE_2575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xac")),
      children: &[],
    };

static ENTITY_NODE_2576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2575)],
    };

static ENTITY_NODE_2577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2576)],
    };

static ENTITY_NODE_2578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2577)],
    };

static ENTITY_NODE_2579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 85,
      value: None,
      children: &[Some(ENTITY_NODE_2567), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2570), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2574), None, None, None, Some(ENTITY_NODE_2578)],
    };

static ENTITY_NODE_2580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x90")),
      children: &[],
    };

static ENTITY_NODE_2581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2580)],
    };

static ENTITY_NODE_2582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2581)],
    };

static ENTITY_NODE_2583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2582)],
    };

static ENTITY_NODE_2584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2583)],
    };

static ENTITY_NODE_2585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xae")),
      children: &[],
    };

static ENTITY_NODE_2586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xae")),
      children: &[Some(ENTITY_NODE_2585)],
    };

static ENTITY_NODE_2587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_2586)],
    };

static ENTITY_NODE_2588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x94")),
      children: &[],
    };

static ENTITY_NODE_2589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2588)],
    };

static ENTITY_NODE_2590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2589)],
    };

static ENTITY_NODE_2591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2590)],
    };

static ENTITY_NODE_2592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2591)],
    };

static ENTITY_NODE_2593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xab")),
      children: &[],
    };

static ENTITY_NODE_2594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2593)],
    };

static ENTITY_NODE_2595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2594)],
    };

static ENTITY_NODE_2596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa0")),
      children: &[],
    };

static ENTITY_NODE_2597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x96")),
      children: &[],
    };

static ENTITY_NODE_2598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2597)],
    };

static ENTITY_NODE_2599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2598)],
    };

static ENTITY_NODE_2600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2596), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2599)],
    };

static ENTITY_NODE_2601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2600)],
    };

static ENTITY_NODE_2602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2592), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2595), None, None, None, Some(ENTITY_NODE_2601)],
    };

static ENTITY_NODE_2603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x98")),
      children: &[],
    };

static ENTITY_NODE_2604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2603)],
    };

static ENTITY_NODE_2605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2604)],
    };

static ENTITY_NODE_2606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2605)],
    };

static ENTITY_NODE_2607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2606)],
    };

static ENTITY_NODE_2608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x96")),
      children: &[],
    };

static ENTITY_NODE_2609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2608)],
    };

static ENTITY_NODE_2610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2609)],
    };

static ENTITY_NODE_2611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2610)],
    };

static ENTITY_NODE_2612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2611)],
    };

static ENTITY_NODE_2613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa0")),
      children: &[],
    };

static ENTITY_NODE_2614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2613)],
    };

static ENTITY_NODE_2615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2607), None, None, None, Some(ENTITY_NODE_2612), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2614)],
    };

static ENTITY_NODE_2616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x9c")),
      children: &[],
    };

static ENTITY_NODE_2617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x8b")),
      children: &[],
    };

static ENTITY_NODE_2618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2617)],
    };

static ENTITY_NODE_2619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2618)],
    };

static ENTITY_NODE_2620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2619)],
    };

static ENTITY_NODE_2621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2620)],
    };

static ENTITY_NODE_2622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2621)],
    };

static ENTITY_NODE_2623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2622)],
    };

static ENTITY_NODE_2624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x8b")),
      children: &[],
    };

static ENTITY_NODE_2625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2624)],
    };

static ENTITY_NODE_2626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2625)],
    };

static ENTITY_NODE_2627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2626)],
    };

static ENTITY_NODE_2628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2627)],
    };

static ENTITY_NODE_2629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2628)],
    };

static ENTITY_NODE_2630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_2629)],
    };

static ENTITY_NODE_2631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2630)],
    };

static ENTITY_NODE_2632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2631)],
    };

static ENTITY_NODE_2633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2632)],
    };

static ENTITY_NODE_2634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2633)],
    };

static ENTITY_NODE_2635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2623), None, None, None, None, Some(ENTITY_NODE_2634)],
    };

static ENTITY_NODE_2636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xaf")),
      children: &[],
    };

static ENTITY_NODE_2637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2636)],
    };

static ENTITY_NODE_2638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2637)],
    };

static ENTITY_NODE_2639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2638)],
    };

static ENTITY_NODE_2640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2639)],
    };

static ENTITY_NODE_2641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2640)],
    };

static ENTITY_NODE_2642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_2641)],
    };

static ENTITY_NODE_2643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2642)],
    };

static ENTITY_NODE_2644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2643)],
    };

static ENTITY_NODE_2645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2644)],
    };

static ENTITY_NODE_2646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2645)],
    };

static ENTITY_NODE_2647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2646)],
    };

static ENTITY_NODE_2648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2647)],
    };

static ENTITY_NODE_2649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2648)],
    };

static ENTITY_NODE_2650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_2635), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2649)],
    };

static ENTITY_NODE_2651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2650)],
    };

static ENTITY_NODE_2652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2651)],
    };

static ENTITY_NODE_2653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2652)],
    };

static ENTITY_NODE_2654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2653)],
    };

static ENTITY_NODE_2655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2616), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2654)],
    };

static ENTITY_NODE_2656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2616)],
    };

static ENTITY_NODE_2657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2656)],
    };

static ENTITY_NODE_2658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa1")),
      children: &[],
    };

static ENTITY_NODE_2659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2658)],
    };

static ENTITY_NODE_2660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2659)],
    };

static ENTITY_NODE_2661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xa9")),
      children: &[],
    };

static ENTITY_NODE_2662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2661)],
    };

static ENTITY_NODE_2663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2662)],
    };

static ENTITY_NODE_2664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2663)],
    };

static ENTITY_NODE_2665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_2664)],
    };

static ENTITY_NODE_2666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2665)],
    };

static ENTITY_NODE_2667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2666)],
    };

static ENTITY_NODE_2668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2667)],
    };

static ENTITY_NODE_2669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_2668)],
    };

static ENTITY_NODE_2670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2669)],
    };

static ENTITY_NODE_2671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2670)],
    };

static ENTITY_NODE_2672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2671)],
    };

static ENTITY_NODE_2673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x92")),
      children: &[],
    };

static ENTITY_NODE_2674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\xa5")),
      children: &[],
    };

static ENTITY_NODE_2675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2674)],
    };

static ENTITY_NODE_2676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2675)],
    };

static ENTITY_NODE_2677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2676)],
    };

static ENTITY_NODE_2678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x84")),
      children: &[],
    };

static ENTITY_NODE_2679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2678)],
    };

static ENTITY_NODE_2680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2679)],
    };

static ENTITY_NODE_2681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2680)],
    };

static ENTITY_NODE_2682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2681)],
    };

static ENTITY_NODE_2683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2682)],
    };

static ENTITY_NODE_2684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_2683)],
    };

static ENTITY_NODE_2685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2684)],
    };

static ENTITY_NODE_2686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2685)],
    };

static ENTITY_NODE_2687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2686)],
    };

static ENTITY_NODE_2688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2673), None, None, None, None, None, None, Some(ENTITY_NODE_2677), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2687)],
    };

static ENTITY_NODE_2689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2688)],
    };

static ENTITY_NODE_2690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2689)],
    };

static ENTITY_NODE_2691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2690)],
    };

static ENTITY_NODE_2692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2672), None, None, None, Some(ENTITY_NODE_2691)],
    };

static ENTITY_NODE_2693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x89")),
      children: &[],
    };

static ENTITY_NODE_2694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2693)],
    };

static ENTITY_NODE_2695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2694)],
    };

static ENTITY_NODE_2696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2695)],
    };

static ENTITY_NODE_2697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2696)],
    };

static ENTITY_NODE_2698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2697)],
    };

static ENTITY_NODE_2699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2698)],
    };

static ENTITY_NODE_2700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2699)],
    };

static ENTITY_NODE_2701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xa7")),
      children: &[],
    };

static ENTITY_NODE_2702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2701)],
    };

static ENTITY_NODE_2703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2702)],
    };

static ENTITY_NODE_2704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2703)],
    };

static ENTITY_NODE_2705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_2704)],
    };

static ENTITY_NODE_2706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2705)],
    };

static ENTITY_NODE_2707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2706)],
    };

static ENTITY_NODE_2708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2707)],
    };

static ENTITY_NODE_2709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_2708)],
    };

static ENTITY_NODE_2710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2709)],
    };

static ENTITY_NODE_2711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2710)],
    };

static ENTITY_NODE_2712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_2711)],
    };

static ENTITY_NODE_2713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x9d")),
      children: &[],
    };

static ENTITY_NODE_2714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2713)],
    };

static ENTITY_NODE_2715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2714)],
    };

static ENTITY_NODE_2716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2715)],
    };

static ENTITY_NODE_2717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2716)],
    };

static ENTITY_NODE_2718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2717)],
    };

static ENTITY_NODE_2719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2718)],
    };

static ENTITY_NODE_2720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_2719)],
    };

static ENTITY_NODE_2721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2720)],
    };

static ENTITY_NODE_2722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2721)],
    };

static ENTITY_NODE_2723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x82")),
      children: &[],
    };

static ENTITY_NODE_2724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x95")),
      children: &[],
    };

static ENTITY_NODE_2725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2724)],
    };

static ENTITY_NODE_2726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2725)],
    };

static ENTITY_NODE_2727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2726)],
    };

static ENTITY_NODE_2728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2723), None, None, None, None, None, None, Some(ENTITY_NODE_2727)],
    };

static ENTITY_NODE_2729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2728)],
    };

static ENTITY_NODE_2730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2729)],
    };

static ENTITY_NODE_2731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2730)],
    };

static ENTITY_NODE_2732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2731)],
    };

static ENTITY_NODE_2733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2732)],
    };

static ENTITY_NODE_2734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_2722), None, Some(ENTITY_NODE_2733)],
    };

static ENTITY_NODE_2735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2734)],
    };

static ENTITY_NODE_2736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2712), None, Some(ENTITY_NODE_2735)],
    };

static ENTITY_NODE_2737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2736)],
    };

static ENTITY_NODE_2738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x8b")),
      children: &[],
    };

static ENTITY_NODE_2739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2738)],
    };

static ENTITY_NODE_2740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2739)],
    };

static ENTITY_NODE_2741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2740)],
    };

static ENTITY_NODE_2742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2741)],
    };

static ENTITY_NODE_2743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2742)],
    };

static ENTITY_NODE_2744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa2")),
      children: &[],
    };

static ENTITY_NODE_2745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa6")),
      children: &[],
    };

static ENTITY_NODE_2746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2745)],
    };

static ENTITY_NODE_2747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2746)],
    };

static ENTITY_NODE_2748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2747)],
    };

static ENTITY_NODE_2749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2748)],
    };

static ENTITY_NODE_2750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2749)],
    };

static ENTITY_NODE_2751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x9b")),
      children: &[],
    };

static ENTITY_NODE_2752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2751)],
    };

static ENTITY_NODE_2753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2752)],
    };

static ENTITY_NODE_2754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2753)],
    };

static ENTITY_NODE_2755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2754)],
    };

static ENTITY_NODE_2756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2755)],
    };

static ENTITY_NODE_2757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2756)],
    };

static ENTITY_NODE_2758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2744), None, None, None, None, None, Some(ENTITY_NODE_2750), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2757)],
    };

static ENTITY_NODE_2759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2758)],
    };

static ENTITY_NODE_2760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb3")),
      children: &[],
    };

static ENTITY_NODE_2761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x90")),
      children: &[],
    };

static ENTITY_NODE_2762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2761)],
    };

static ENTITY_NODE_2763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2762)],
    };

static ENTITY_NODE_2764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2763)],
    };

static ENTITY_NODE_2765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb5")),
      children: &[],
    };

static ENTITY_NODE_2766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2765)],
    };

static ENTITY_NODE_2767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2766)],
    };

static ENTITY_NODE_2768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2767)],
    };

static ENTITY_NODE_2769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2768)],
    };

static ENTITY_NODE_2770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2769)],
    };

static ENTITY_NODE_2771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2760), None, None, None, None, None, None, Some(ENTITY_NODE_2764), None, None, Some(ENTITY_NODE_2770)],
    };

static ENTITY_NODE_2772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2771)],
    };

static ENTITY_NODE_2773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2772)],
    };

static ENTITY_NODE_2774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2773)],
    };

static ENTITY_NODE_2775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2774)],
    };

static ENTITY_NODE_2776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2775)],
    };

static ENTITY_NODE_2777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2776)],
    };

static ENTITY_NODE_2778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2759), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2777)],
    };

static ENTITY_NODE_2779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x8f")),
      children: &[],
    };

static ENTITY_NODE_2780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2779)],
    };

static ENTITY_NODE_2781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2780)],
    };

static ENTITY_NODE_2782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2781)],
    };

static ENTITY_NODE_2783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2782)],
    };

static ENTITY_NODE_2784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2783)],
    };

static ENTITY_NODE_2785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2784)],
    };

static ENTITY_NODE_2786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_2785)],
    };

static ENTITY_NODE_2787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2786)],
    };

static ENTITY_NODE_2788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2787)],
    };

static ENTITY_NODE_2789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2788)],
    };

static ENTITY_NODE_2790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x9c")),
      children: &[],
    };

static ENTITY_NODE_2791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2790)],
    };

static ENTITY_NODE_2792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2791)],
    };

static ENTITY_NODE_2793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2792)],
    };

static ENTITY_NODE_2794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2793)],
    };

static ENTITY_NODE_2795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2794)],
    };

static ENTITY_NODE_2796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2795)],
    };

static ENTITY_NODE_2797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 86,
      value: None,
      children: &[Some(ENTITY_NODE_2796)],
    };

static ENTITY_NODE_2798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2797)],
    };

static ENTITY_NODE_2799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2798)],
    };

static ENTITY_NODE_2800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xbe")),
      children: &[],
    };

static ENTITY_NODE_2801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x94")),
      children: &[],
    };

static ENTITY_NODE_2802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2801)],
    };

static ENTITY_NODE_2803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2802)],
    };

static ENTITY_NODE_2804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2803)],
    };

static ENTITY_NODE_2805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2800), None, None, None, None, None, None, Some(ENTITY_NODE_2804)],
    };

static ENTITY_NODE_2806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2805)],
    };

static ENTITY_NODE_2807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2806)],
    };

static ENTITY_NODE_2808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2807)],
    };

static ENTITY_NODE_2809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2808)],
    };

static ENTITY_NODE_2810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2809)],
    };

static ENTITY_NODE_2811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_2789), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2799), None, Some(ENTITY_NODE_2810)],
    };

static ENTITY_NODE_2812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2811)],
    };

static ENTITY_NODE_2813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x80")),
      children: &[],
    };

static ENTITY_NODE_2814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x93")),
      children: &[],
    };

static ENTITY_NODE_2815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2814)],
    };

static ENTITY_NODE_2816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2815)],
    };

static ENTITY_NODE_2817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2816)],
    };

static ENTITY_NODE_2818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2813), None, None, None, None, None, None, Some(ENTITY_NODE_2817)],
    };

static ENTITY_NODE_2819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2818)],
    };

static ENTITY_NODE_2820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2819)],
    };

static ENTITY_NODE_2821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2820)],
    };

static ENTITY_NODE_2822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2821)],
    };

static ENTITY_NODE_2823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2822)],
    };

static ENTITY_NODE_2824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_2692), None, Some(ENTITY_NODE_2700), Some(ENTITY_NODE_2737), None, Some(ENTITY_NODE_2743), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2778), Some(ENTITY_NODE_2812), Some(ENTITY_NODE_2823), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_618)],
    };

static ENTITY_NODE_2825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2824)],
    };

static ENTITY_NODE_2826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_2825)],
    };

static ENTITY_NODE_2827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2826)],
    };

static ENTITY_NODE_2828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x9d")),
      children: &[],
    };

static ENTITY_NODE_2829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2828)],
    };

static ENTITY_NODE_2830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2829)],
    };

static ENTITY_NODE_2831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb0")),
      children: &[],
    };

static ENTITY_NODE_2832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2831)],
    };

static ENTITY_NODE_2833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2832)],
    };

static ENTITY_NODE_2834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2833)],
    };

static ENTITY_NODE_2835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2834)],
    };

static ENTITY_NODE_2836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2835)],
    };

static ENTITY_NODE_2837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2836)],
    };

static ENTITY_NODE_2838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2837)],
    };

static ENTITY_NODE_2839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 73,
      value: None,
      children: &[Some(ENTITY_NODE_2838)],
    };

static ENTITY_NODE_2840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2839)],
    };

static ENTITY_NODE_2841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2840)],
    };

static ENTITY_NODE_2842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2830), None, None, None, None, Some(ENTITY_NODE_2841)],
    };

static ENTITY_NODE_2843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x9b")),
      children: &[],
    };

static ENTITY_NODE_2844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2843)],
    };

static ENTITY_NODE_2845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2844)],
    };

static ENTITY_NODE_2846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2845)],
    };

static ENTITY_NODE_2847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2846)],
    };

static ENTITY_NODE_2848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2847)],
    };

static ENTITY_NODE_2849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2848)],
    };

static ENTITY_NODE_2850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2849)],
    };

static ENTITY_NODE_2851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_2850)],
    };

static ENTITY_NODE_2852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2851)],
    };

static ENTITY_NODE_2853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2852)],
    };

static ENTITY_NODE_2854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x9b")),
      children: &[],
    };

static ENTITY_NODE_2855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2854)],
    };

static ENTITY_NODE_2856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2855)],
    };

static ENTITY_NODE_2857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xb1")),
      children: &[],
    };

static ENTITY_NODE_2858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2857)],
    };

static ENTITY_NODE_2859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2856), None, None, None, None, Some(ENTITY_NODE_2858)],
    };

static ENTITY_NODE_2860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\xb4")),
      children: &[],
    };

static ENTITY_NODE_2861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2860)],
    };

static ENTITY_NODE_2862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2861)],
    };

static ENTITY_NODE_2863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2862)],
    };

static ENTITY_NODE_2864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_2863)],
    };

static ENTITY_NODE_2865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2864)],
    };

static ENTITY_NODE_2866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2865)],
    };

static ENTITY_NODE_2867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2866)],
    };

static ENTITY_NODE_2868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_2867)],
    };

static ENTITY_NODE_2869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2868)],
    };

static ENTITY_NODE_2870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2869)],
    };

static ENTITY_NODE_2871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_2584), None, None, Some(ENTITY_NODE_2587), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2602), None, Some(ENTITY_NODE_2615), None, Some(ENTITY_NODE_2655), Some(ENTITY_NODE_2657), None, Some(ENTITY_NODE_2660), Some(ENTITY_NODE_2827), None, None, None, None, None, Some(ENTITY_NODE_2842), None, None, Some(ENTITY_NODE_2853), Some(ENTITY_NODE_2859), None, Some(ENTITY_NODE_2870)],
    };

static ENTITY_NODE_2872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa9")),
      children: &[],
    };

static ENTITY_NODE_2873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2872)],
    };

static ENTITY_NODE_2874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_2873)],
    };

static ENTITY_NODE_2875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2874)],
    };

static ENTITY_NODE_2876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_2875)],
    };

static ENTITY_NODE_2877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa8")),
      children: &[],
    };

static ENTITY_NODE_2878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2877)],
    };

static ENTITY_NODE_2879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_2878)],
    };

static ENTITY_NODE_2880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_2876), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2879)],
    };

static ENTITY_NODE_2881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xac")),
      children: &[],
    };

static ENTITY_NODE_2882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2881)],
    };

static ENTITY_NODE_2883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_2882)],
    };

static ENTITY_NODE_2884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2883)],
    };

static ENTITY_NODE_2885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_2884)],
    };

static ENTITY_NODE_2886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 70,
      value: None,
      children: &[Some(ENTITY_NODE_2885)],
    };

static ENTITY_NODE_2887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x9a")),
      children: &[],
    };

static ENTITY_NODE_2888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2887)],
    };

static ENTITY_NODE_2889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2888)],
    };

static ENTITY_NODE_2890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2889)],
    };

static ENTITY_NODE_2891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2890)],
    };

static ENTITY_NODE_2892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2891)],
    };

static ENTITY_NODE_2893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xbc")),
      children: &[],
    };

static ENTITY_NODE_2894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa0")),
      children: &[],
    };

static ENTITY_NODE_2895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2894)],
    };

static ENTITY_NODE_2896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2895)],
    };

static ENTITY_NODE_2897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2896)],
    };

static ENTITY_NODE_2898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2897)],
    };

static ENTITY_NODE_2899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x9e")),
      children: &[],
    };

static ENTITY_NODE_2900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2899)],
    };

static ENTITY_NODE_2901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2900)],
    };

static ENTITY_NODE_2902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2901)],
    };

static ENTITY_NODE_2903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2902)],
    };

static ENTITY_NODE_2904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x9c")),
      children: &[],
    };

static ENTITY_NODE_2905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2904)],
    };

static ENTITY_NODE_2906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2905)],
    };

static ENTITY_NODE_2907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2906)],
    };

static ENTITY_NODE_2908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa1")),
      children: &[],
    };

static ENTITY_NODE_2909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2908)],
    };

static ENTITY_NODE_2910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2893), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2898), None, None, None, Some(ENTITY_NODE_2903), None, None, None, Some(ENTITY_NODE_2907), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2909)],
    };

static ENTITY_NODE_2911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x96")),
      children: &[],
    };

static ENTITY_NODE_2912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2911)],
    };

static ENTITY_NODE_2913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2912)],
    };

static ENTITY_NODE_2914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_662)],
    };

static ENTITY_NODE_2915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2914)],
    };

static ENTITY_NODE_2916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2915)],
    };

static ENTITY_NODE_2917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2916)],
    };

static ENTITY_NODE_2918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2917)],
    };

static ENTITY_NODE_2919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_2918)],
    };

static ENTITY_NODE_2920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2919)],
    };

static ENTITY_NODE_2921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2920)],
    };

static ENTITY_NODE_2922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2921)],
    };

static ENTITY_NODE_2923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1403)],
    };

static ENTITY_NODE_2924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2923)],
    };

static ENTITY_NODE_2925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2924)],
    };

static ENTITY_NODE_2926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2925)],
    };

static ENTITY_NODE_2927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2926)],
    };

static ENTITY_NODE_2928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_2927)],
    };

static ENTITY_NODE_2929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2928)],
    };

static ENTITY_NODE_2930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2929)],
    };

static ENTITY_NODE_2931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2930)],
    };

static ENTITY_NODE_2932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2673)],
    };

static ENTITY_NODE_2933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2932)],
    };

static ENTITY_NODE_2934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2933)],
    };

static ENTITY_NODE_2935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2934)],
    };

static ENTITY_NODE_2936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2935)],
    };

static ENTITY_NODE_2937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_2936)],
    };

static ENTITY_NODE_2938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2937)],
    };

static ENTITY_NODE_2939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_2938)],
    };

static ENTITY_NODE_2940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2939)],
    };

static ENTITY_NODE_2941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2940)],
    };

static ENTITY_NODE_2942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x91")),
      children: &[],
    };

static ENTITY_NODE_2943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2942)],
    };

static ENTITY_NODE_2944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2943)],
    };

static ENTITY_NODE_2945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2944)],
    };

static ENTITY_NODE_2946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2945)],
    };

static ENTITY_NODE_2947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2946)],
    };

static ENTITY_NODE_2948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_2947)],
    };

static ENTITY_NODE_2949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2948)],
    };

static ENTITY_NODE_2950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_2922), None, None, None, None, None, None, None, Some(ENTITY_NODE_2931), None, None, None, None, None, Some(ENTITY_NODE_2941), None, None, Some(ENTITY_NODE_2949)],
    };

static ENTITY_NODE_2951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2950)],
    };

static ENTITY_NODE_2952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2951)],
    };

static ENTITY_NODE_2953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2952)],
    };

static ENTITY_NODE_2954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa3")),
      children: &[],
    };

static ENTITY_NODE_2955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2954)],
    };

static ENTITY_NODE_2956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2955)],
    };

static ENTITY_NODE_2957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2956)],
    };

static ENTITY_NODE_2958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2957)],
    };

static ENTITY_NODE_2959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x98")),
      children: &[],
    };

static ENTITY_NODE_2960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2959)],
    };

static ENTITY_NODE_2961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2960)],
    };

static ENTITY_NODE_2962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2961)],
    };

static ENTITY_NODE_2963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2962)],
    };

static ENTITY_NODE_2964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2963)],
    };

static ENTITY_NODE_2965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2964)],
    };

static ENTITY_NODE_2966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 67,
      value: None,
      children: &[Some(ENTITY_NODE_2965)],
    };

static ENTITY_NODE_2967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2966)],
    };

static ENTITY_NODE_2968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2967)],
    };

static ENTITY_NODE_2969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2968)],
    };

static ENTITY_NODE_2970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x8a")),
      children: &[],
    };

static ENTITY_NODE_2971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2970)],
    };

static ENTITY_NODE_2972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_2971)],
    };

static ENTITY_NODE_2973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2972)],
    };

static ENTITY_NODE_2974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x9a")),
      children: &[],
    };

static ENTITY_NODE_2975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2974)],
    };

static ENTITY_NODE_2976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2975)],
    };

static ENTITY_NODE_2977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xa1")),
      children: &[],
    };

static ENTITY_NODE_2978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x93")),
      children: &[],
    };

static ENTITY_NODE_2979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2978)],
    };

static ENTITY_NODE_2980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2979)],
    };

static ENTITY_NODE_2981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2980)],
    };

static ENTITY_NODE_2982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_2981)],
    };

static ENTITY_NODE_2983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2982)],
    };

static ENTITY_NODE_2984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2983)],
    };

static ENTITY_NODE_2985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2984)],
    };

static ENTITY_NODE_2986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2985)],
    };

static ENTITY_NODE_2987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2986)],
    };

static ENTITY_NODE_2988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2987)],
    };

static ENTITY_NODE_2989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2988)],
    };

static ENTITY_NODE_2990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2989)],
    };

static ENTITY_NODE_2991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8f")),
      children: &[],
    };

static ENTITY_NODE_2992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x91")),
      children: &[],
    };

static ENTITY_NODE_2993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2992)],
    };

static ENTITY_NODE_2994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2993)],
    };

static ENTITY_NODE_2995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2994)],
    };

static ENTITY_NODE_2996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_2995)],
    };

static ENTITY_NODE_2997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2996)],
    };

static ENTITY_NODE_2998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2991), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2997)],
    };

static ENTITY_NODE_2999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2998)],
    };

static ENTITY_NODE_3000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2999)],
    };

static ENTITY_NODE_3001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3000)],
    };

static ENTITY_NODE_3002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x90")),
      children: &[],
    };

static ENTITY_NODE_3003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x92")),
      children: &[],
    };

static ENTITY_NODE_3004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3003)],
    };

static ENTITY_NODE_3005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3004)],
    };

static ENTITY_NODE_3006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3005)],
    };

static ENTITY_NODE_3007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3006)],
    };

static ENTITY_NODE_3008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3007)],
    };

static ENTITY_NODE_3009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3002), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3008)],
    };

static ENTITY_NODE_3010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3009)],
    };

static ENTITY_NODE_3011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3010)],
    };

static ENTITY_NODE_3012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3011)],
    };

static ENTITY_NODE_3013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3012)],
    };

static ENTITY_NODE_3014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3013)],
    };

static ENTITY_NODE_3015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3001), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3014)],
    };

static ENTITY_NODE_3016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3015)],
    };

static ENTITY_NODE_3017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x94")),
      children: &[],
    };

static ENTITY_NODE_3018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3017)],
    };

static ENTITY_NODE_3019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3018)],
    };

static ENTITY_NODE_3020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3019)],
    };

static ENTITY_NODE_3021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3020)],
    };

static ENTITY_NODE_3022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3021)],
    };

static ENTITY_NODE_3023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2977), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2990), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3016), None, Some(ENTITY_NODE_3022)],
    };

static ENTITY_NODE_3024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3023)],
    };

static ENTITY_NODE_3025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3024)],
    };

static ENTITY_NODE_3026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3025)],
    };

static ENTITY_NODE_3027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2976), None, None, Some(ENTITY_NODE_3026)],
    };

static ENTITY_NODE_3028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xae")),
      children: &[],
    };

static ENTITY_NODE_3029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3028)],
    };

static ENTITY_NODE_3030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3029)],
    };

static ENTITY_NODE_3031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3030)],
    };

static ENTITY_NODE_3032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x86")),
      children: &[],
    };

static ENTITY_NODE_3033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3032)],
    };

static ENTITY_NODE_3034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3033)],
    };

static ENTITY_NODE_3035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3034)],
    };

static ENTITY_NODE_3036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x90")),
      children: &[],
    };

static ENTITY_NODE_3037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x86")),
      children: &[],
    };

static ENTITY_NODE_3038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3037)],
    };

static ENTITY_NODE_3039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3038)],
    };

static ENTITY_NODE_3040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3039)],
    };

static ENTITY_NODE_3041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3040)],
    };

static ENTITY_NODE_3042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3041)],
    };

static ENTITY_NODE_3043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3036), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3042)],
    };

static ENTITY_NODE_3044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3043)],
    };

static ENTITY_NODE_3045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3044)],
    };

static ENTITY_NODE_3046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3036), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3045)],
    };

static ENTITY_NODE_3047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xbb")),
      children: &[],
    };

static ENTITY_NODE_3048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb0")),
      children: &[],
    };

static ENTITY_NODE_3049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3048)],
    };

static ENTITY_NODE_3050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3049)],
    };

static ENTITY_NODE_3051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3050)],
    };

static ENTITY_NODE_3052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3051)],
    };

static ENTITY_NODE_3053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3052)],
    };

static ENTITY_NODE_3054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xbd")),
      children: &[],
    };

static ENTITY_NODE_3055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3054)],
    };

static ENTITY_NODE_3056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3055)],
    };

static ENTITY_NODE_3057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3056)],
    };

static ENTITY_NODE_3058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3057)],
    };

static ENTITY_NODE_3059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3058)],
    };

static ENTITY_NODE_3060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_3059)],
    };

static ENTITY_NODE_3061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3060)],
    };

static ENTITY_NODE_3062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3061)],
    };

static ENTITY_NODE_3063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3062)],
    };

static ENTITY_NODE_3064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3063)],
    };

static ENTITY_NODE_3065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xbf")),
      children: &[],
    };

static ENTITY_NODE_3066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3065)],
    };

static ENTITY_NODE_3067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3066)],
    };

static ENTITY_NODE_3068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3067)],
    };

static ENTITY_NODE_3069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3068)],
    };

static ENTITY_NODE_3070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3069)],
    };

static ENTITY_NODE_3071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3047), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3053), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3064), Some(ENTITY_NODE_3070)],
    };

static ENTITY_NODE_3072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3071)],
    };

static ENTITY_NODE_3073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3072)],
    };

static ENTITY_NODE_3074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3073)],
    };

static ENTITY_NODE_3075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3074)],
    };

static ENTITY_NODE_3076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2619)],
    };

static ENTITY_NODE_3077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3076)],
    };

static ENTITY_NODE_3078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_3077)],
    };

static ENTITY_NODE_3079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3075), None, None, None, None, Some(ENTITY_NODE_3078)],
    };

static ENTITY_NODE_3080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x91")),
      children: &[],
    };

static ENTITY_NODE_3081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3080)],
    };

static ENTITY_NODE_3082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x91")),
      children: &[],
    };

static ENTITY_NODE_3083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x83")),
      children: &[],
    };

static ENTITY_NODE_3084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x87")),
      children: &[],
    };

static ENTITY_NODE_3085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3084)],
    };

static ENTITY_NODE_3086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3085)],
    };

static ENTITY_NODE_3087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3086)],
    };

static ENTITY_NODE_3088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3087)],
    };

static ENTITY_NODE_3089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3088)],
    };

static ENTITY_NODE_3090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3083), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3089)],
    };

static ENTITY_NODE_3091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3090)],
    };

static ENTITY_NODE_3092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3091)],
    };

static ENTITY_NODE_3093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3092)],
    };

static ENTITY_NODE_3094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3093)],
    };

static ENTITY_NODE_3095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3082)],
    };

static ENTITY_NODE_3096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3095)],
    };

static ENTITY_NODE_3097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3096)],
    };

static ENTITY_NODE_3098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3082), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3094), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3097)],
    };

static ENTITY_NODE_3099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3046), Some(ENTITY_NODE_3079), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3081), None, None, Some(ENTITY_NODE_3098)],
    };

static ENTITY_NODE_3100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_2880), None, None, None, None, None, None, Some(ENTITY_NODE_2886), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2892), None, Some(ENTITY_NODE_2910), None, None, Some(ENTITY_NODE_2913), None, Some(ENTITY_NODE_2953), Some(ENTITY_NODE_2958), None, None, None, Some(ENTITY_NODE_2969), None, Some(ENTITY_NODE_2973), None, Some(ENTITY_NODE_3027), None, Some(ENTITY_NODE_3031), Some(ENTITY_NODE_3035), Some(ENTITY_NODE_3099)],
    };

static ENTITY_NODE_3101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x9e")),
      children: &[],
    };

static ENTITY_NODE_3102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x9e")),
      children: &[Some(ENTITY_NODE_3101)],
    };

static ENTITY_NODE_3103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 78,
      value: None,
      children: &[Some(ENTITY_NODE_3102)],
    };

static ENTITY_NODE_3104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 82,
      value: None,
      children: &[Some(ENTITY_NODE_3103)],
    };

static ENTITY_NODE_3105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 79,
      value: None,
      children: &[Some(ENTITY_NODE_3104)],
    };

static ENTITY_NODE_3106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xa2")),
      children: &[],
    };

static ENTITY_NODE_3107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3106)],
    };

static ENTITY_NODE_3108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_3107)],
    };

static ENTITY_NODE_3109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_3108)],
    };

static ENTITY_NODE_3110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_3109)],
    };

static ENTITY_NODE_3111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x8b")),
      children: &[],
    };

static ENTITY_NODE_3112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3111)],
    };

static ENTITY_NODE_3113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3112)],
    };

static ENTITY_NODE_3114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3113)],
    };

static ENTITY_NODE_3115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa6")),
      children: &[],
    };

static ENTITY_NODE_3116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3115)],
    };

static ENTITY_NODE_3117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3116)],
    };

static ENTITY_NODE_3118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_3114), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3117)],
    };

static ENTITY_NODE_3119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\x09")),
      children: &[],
    };

static ENTITY_NODE_3120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3119)],
    };

static ENTITY_NODE_3121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa4")),
      children: &[],
    };

static ENTITY_NODE_3122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3121)],
    };

static ENTITY_NODE_3123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3120), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3122)],
    };

static ENTITY_NODE_3124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa4")),
      children: &[],
    };

static ENTITY_NODE_3125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3124)],
    };

static ENTITY_NODE_3126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3125)],
    };

static ENTITY_NODE_3127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3126)],
    };

static ENTITY_NODE_3128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3127)],
    };

static ENTITY_NODE_3129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa2")),
      children: &[],
    };

static ENTITY_NODE_3130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3129)],
    };

static ENTITY_NODE_3131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3130)],
    };

static ENTITY_NODE_3132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3131)],
    };

static ENTITY_NODE_3133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3132)],
    };

static ENTITY_NODE_3134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa2")),
      children: &[],
    };

static ENTITY_NODE_3135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3134)],
    };

static ENTITY_NODE_3136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3128), None, None, None, Some(ENTITY_NODE_3133), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3135)],
    };

static ENTITY_NODE_3137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x97")),
      children: &[],
    };

static ENTITY_NODE_3138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3137)],
    };

static ENTITY_NODE_3139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3138)],
    };

static ENTITY_NODE_3140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb4")),
      children: &[],
    };

static ENTITY_NODE_3141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3140)],
    };

static ENTITY_NODE_3142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3141)],
    };

static ENTITY_NODE_3143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3142)],
    };

static ENTITY_NODE_3144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3143)],
    };

static ENTITY_NODE_3145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3144)],
    };

static ENTITY_NODE_3146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3145)],
    };

static ENTITY_NODE_3147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x98")),
      children: &[],
    };

static ENTITY_NODE_3148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3147)],
    };

static ENTITY_NODE_3149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3148)],
    };

static ENTITY_NODE_3150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3146), None, Some(ENTITY_NODE_3149)],
    };

static ENTITY_NODE_3151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\x9f\xe2\x80\x8a")),
      children: &[],
    };

static ENTITY_NODE_3152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3151)],
    };

static ENTITY_NODE_3153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3152)],
    };

static ENTITY_NODE_3154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3153)],
    };

static ENTITY_NODE_3155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3154)],
    };

static ENTITY_NODE_3156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3155)],
    };

static ENTITY_NODE_3157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_3156)],
    };

static ENTITY_NODE_3158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_3157)],
    };

static ENTITY_NODE_3159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x89")),
      children: &[],
    };

static ENTITY_NODE_3160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3159)],
    };

static ENTITY_NODE_3161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3160)],
    };

static ENTITY_NODE_3162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3161)],
    };

static ENTITY_NODE_3163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3162)],
    };

static ENTITY_NODE_3164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3163)],
    };

static ENTITY_NODE_3165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_3164)],
    };

static ENTITY_NODE_3166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3158), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3165)],
    };

static ENTITY_NODE_3167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3150), None, None, None, Some(ENTITY_NODE_3166)],
    };

static ENTITY_NODE_3168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbc")),
      children: &[],
    };

static ENTITY_NODE_3169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x83")),
      children: &[],
    };

static ENTITY_NODE_3170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3169)],
    };

static ENTITY_NODE_3171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3170)],
    };

static ENTITY_NODE_3172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3171)],
    };

static ENTITY_NODE_3173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3172)],
    };

static ENTITY_NODE_3174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3173)],
    };

static ENTITY_NODE_3175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x85")),
      children: &[],
    };

static ENTITY_NODE_3176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3175)],
    };

static ENTITY_NODE_3177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3176)],
    };

static ENTITY_NODE_3178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3177)],
    };

static ENTITY_NODE_3179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3178)],
    };

static ENTITY_NODE_3180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3179)],
    };

static ENTITY_NODE_3181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_3180)],
    };

static ENTITY_NODE_3182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3181)],
    };

static ENTITY_NODE_3183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3182)],
    };

static ENTITY_NODE_3184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3183)],
    };

static ENTITY_NODE_3185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x88")),
      children: &[],
    };

static ENTITY_NODE_3186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3185)],
    };

static ENTITY_NODE_3187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3186)],
    };

static ENTITY_NODE_3188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3187)],
    };

static ENTITY_NODE_3189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3188)],
    };

static ENTITY_NODE_3190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3189)],
    };

static ENTITY_NODE_3191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3168), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3174), Some(ENTITY_NODE_3184), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3190)],
    };

static ENTITY_NODE_3192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3191)],
    };

static ENTITY_NODE_3193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3192)],
    };

static ENTITY_NODE_3194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3193)],
    };

static ENTITY_NODE_3195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x8b")),
      children: &[],
    };

static ENTITY_NODE_3196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3195)],
    };

static ENTITY_NODE_3197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3196)],
    };

static ENTITY_NODE_3198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3197)],
    };

static ENTITY_NODE_3199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x83\x9b")),
      children: &[],
    };

static ENTITY_NODE_3200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3199)],
    };

static ENTITY_NODE_3201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3200)],
    };

static ENTITY_NODE_3202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3201)],
    };

static ENTITY_NODE_3203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_3202)],
    };

static ENTITY_NODE_3204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3203)],
    };

static ENTITY_NODE_3205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3204)],
    };

static ENTITY_NODE_3206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3205)],
    };

static ENTITY_NODE_3207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3206)],
    };

static ENTITY_NODE_3208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xaf")),
      children: &[],
    };

static ENTITY_NODE_3209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3208)],
    };

static ENTITY_NODE_3210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3209)],
    };

static ENTITY_NODE_3211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa6")),
      children: &[],
    };

static ENTITY_NODE_3212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3211)],
    };

static ENTITY_NODE_3213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_3212)],
    };

static ENTITY_NODE_3214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3213)],
    };

static ENTITY_NODE_3215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3214)],
    };

static ENTITY_NODE_3216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3210), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3215)],
    };

static ENTITY_NODE_3217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_3105), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3110), Some(ENTITY_NODE_3118), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3123), None, Some(ENTITY_NODE_3136), None, None, Some(ENTITY_NODE_3139), None, Some(ENTITY_NODE_3167), Some(ENTITY_NODE_3194), None, None, None, None, None, Some(ENTITY_NODE_3198), None, None, Some(ENTITY_NODE_3207), Some(ENTITY_NODE_3216)],
    };

static ENTITY_NODE_3218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x9a")),
      children: &[],
    };

static ENTITY_NODE_3219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x9a")),
      children: &[Some(ENTITY_NODE_3218)],
    };

static ENTITY_NODE_3220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3219)],
    };

static ENTITY_NODE_3221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3220)],
    };

static ENTITY_NODE_3222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3221)],
    };

static ENTITY_NODE_3223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x9f")),
      children: &[],
    };

static ENTITY_NODE_3224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x89")),
      children: &[],
    };

static ENTITY_NODE_3225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3224)],
    };

static ENTITY_NODE_3226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3225)],
    };

static ENTITY_NODE_3227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3226)],
    };

static ENTITY_NODE_3228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3227)],
    };

static ENTITY_NODE_3229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3223), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3228)],
    };

static ENTITY_NODE_3230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3229)],
    };

static ENTITY_NODE_3231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3222), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3230)],
    };

static ENTITY_NODE_3232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x8e")),
      children: &[],
    };

static ENTITY_NODE_3233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3232)],
    };

static ENTITY_NODE_3234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3233)],
    };

static ENTITY_NODE_3235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xac")),
      children: &[],
    };

static ENTITY_NODE_3236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3235)],
    };

static ENTITY_NODE_3237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3236)],
    };

static ENTITY_NODE_3238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_3237)],
    };

static ENTITY_NODE_3239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3234), None, Some(ENTITY_NODE_3238)],
    };

static ENTITY_NODE_3240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3239)],
    };

static ENTITY_NODE_3241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x9b")),
      children: &[],
    };

static ENTITY_NODE_3242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x9b")),
      children: &[Some(ENTITY_NODE_3241)],
    };

static ENTITY_NODE_3243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3242)],
    };

static ENTITY_NODE_3244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3243)],
    };

static ENTITY_NODE_3245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xa3")),
      children: &[],
    };

static ENTITY_NODE_3246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3245)],
    };

static ENTITY_NODE_3247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3244), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3246)],
    };

static ENTITY_NODE_3248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb0")),
      children: &[],
    };

static ENTITY_NODE_3249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3248)],
    };

static ENTITY_NODE_3250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3249)],
    };

static ENTITY_NODE_3251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3250)],
    };

static ENTITY_NODE_3252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3251)],
    };

static ENTITY_NODE_3253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3252)],
    };

static ENTITY_NODE_3254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x98")),
      children: &[],
    };

static ENTITY_NODE_3255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3254)],
    };

static ENTITY_NODE_3256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3255)],
    };

static ENTITY_NODE_3257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x99")),
      children: &[],
    };

static ENTITY_NODE_3258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x99")),
      children: &[Some(ENTITY_NODE_3257)],
    };

static ENTITY_NODE_3259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3258)],
    };

static ENTITY_NODE_3260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_3259)],
    };

static ENTITY_NODE_3261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3260)],
    };

static ENTITY_NODE_3262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3261)],
    };

static ENTITY_NODE_3263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xaa")),
      children: &[],
    };

static ENTITY_NODE_3264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3263)],
    };

static ENTITY_NODE_3265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3264)],
    };

static ENTITY_NODE_3266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3265)],
    };

static ENTITY_NODE_3267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3266)],
    };

static ENTITY_NODE_3268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"_")),
      children: &[],
    };

static ENTITY_NODE_3269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3268)],
    };

static ENTITY_NODE_3270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3269)],
    };

static ENTITY_NODE_3271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8f\x9f")),
      children: &[],
    };

static ENTITY_NODE_3272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3271)],
    };

static ENTITY_NODE_3273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8e\xb5")),
      children: &[],
    };

static ENTITY_NODE_3274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3273)],
    };

static ENTITY_NODE_3275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3274)],
    };

static ENTITY_NODE_3276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3275)],
    };

static ENTITY_NODE_3277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3272), None, None, None, None, None, Some(ENTITY_NODE_3276)],
    };

static ENTITY_NODE_3278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3277)],
    };

static ENTITY_NODE_3279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3278)],
    };

static ENTITY_NODE_3280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3270), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3279)],
    };

static ENTITY_NODE_3281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8f\x9d")),
      children: &[],
    };

static ENTITY_NODE_3282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3281)],
    };

static ENTITY_NODE_3283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3282)],
    };

static ENTITY_NODE_3284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3283)],
    };

static ENTITY_NODE_3285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3284)],
    };

static ENTITY_NODE_3286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3285)],
    };

static ENTITY_NODE_3287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3286)],
    };

static ENTITY_NODE_3288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3287)],
    };

static ENTITY_NODE_3289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3288)],
    };

static ENTITY_NODE_3290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3289)],
    };

static ENTITY_NODE_3291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3290)],
    };

static ENTITY_NODE_3292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3291)],
    };

static ENTITY_NODE_3293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_3280), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3292)],
    };

static ENTITY_NODE_3294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3293)],
    };

static ENTITY_NODE_3295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3294)],
    };

static ENTITY_NODE_3296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x83")),
      children: &[],
    };

static ENTITY_NODE_3297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8e")),
      children: &[],
    };

static ENTITY_NODE_3298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3297)],
    };

static ENTITY_NODE_3299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3298)],
    };

static ENTITY_NODE_3300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3299)],
    };

static ENTITY_NODE_3301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3300)],
    };

static ENTITY_NODE_3302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3296), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3301)],
    };

static ENTITY_NODE_3303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3302)],
    };

static ENTITY_NODE_3304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3303)],
    };

static ENTITY_NODE_3305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3295), None, None, None, None, Some(ENTITY_NODE_3304)],
    };

static ENTITY_NODE_3306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb2")),
      children: &[],
    };

static ENTITY_NODE_3307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3306)],
    };

static ENTITY_NODE_3308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3307)],
    };

static ENTITY_NODE_3309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3308)],
    };

static ENTITY_NODE_3310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x8c")),
      children: &[],
    };

static ENTITY_NODE_3311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3310)],
    };

static ENTITY_NODE_3312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3311)],
    };

static ENTITY_NODE_3313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3309), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3312)],
    };

static ENTITY_NODE_3314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x92")),
      children: &[],
    };

static ENTITY_NODE_3315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3314)],
    };

static ENTITY_NODE_3316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3315)],
    };

static ENTITY_NODE_3317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3316)],
    };

static ENTITY_NODE_3318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x85")),
      children: &[],
    };

static ENTITY_NODE_3319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3318)],
    };

static ENTITY_NODE_3320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3319)],
    };

static ENTITY_NODE_3321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3320)],
    };

static ENTITY_NODE_3322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3321)],
    };

static ENTITY_NODE_3323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3322)],
    };

static ENTITY_NODE_3324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_3323)],
    };

static ENTITY_NODE_3325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3324)],
    };

static ENTITY_NODE_3326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3325)],
    };

static ENTITY_NODE_3327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3326)],
    };

static ENTITY_NODE_3328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2942), None, None, None, None, None, None, Some(ENTITY_NODE_3317), None, Some(ENTITY_NODE_3327)],
    };

static ENTITY_NODE_3329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3328)],
    };

static ENTITY_NODE_3330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3329)],
    };

static ENTITY_NODE_3331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3330)],
    };

static ENTITY_NODE_3332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3331)],
    };

static ENTITY_NODE_3333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x95")),
      children: &[],
    };

static ENTITY_NODE_3334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3333)],
    };

static ENTITY_NODE_3335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3334)],
    };

static ENTITY_NODE_3336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3335)],
    };

static ENTITY_NODE_3337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3336)],
    };

static ENTITY_NODE_3338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3337)],
    };

static ENTITY_NODE_3339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_3338)],
    };

static ENTITY_NODE_3340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3339)],
    };

static ENTITY_NODE_3341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3340)],
    };

static ENTITY_NODE_3342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3341)],
    };

static ENTITY_NODE_3343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xae")),
      children: &[],
    };

static ENTITY_NODE_3344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3343)],
    };

static ENTITY_NODE_3345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3344)],
    };

static ENTITY_NODE_3346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3345)],
    };

static ENTITY_NODE_3347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3346)],
    };

static ENTITY_NODE_3348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3347)],
    };

static ENTITY_NODE_3349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3348)],
    };

static ENTITY_NODE_3350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3349)],
    };

static ENTITY_NODE_3351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3350)],
    };

static ENTITY_NODE_3352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3351)],
    };

static ENTITY_NODE_3353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3352)],
    };

static ENTITY_NODE_3354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3353)],
    };

static ENTITY_NODE_3355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa5")),
      children: &[],
    };

static ENTITY_NODE_3356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa5")),
      children: &[],
    };

static ENTITY_NODE_3357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3356)],
    };

static ENTITY_NODE_3358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3357)],
    };

static ENTITY_NODE_3359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3358)],
    };

static ENTITY_NODE_3360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3359)],
    };

static ENTITY_NODE_3361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3360)],
    };

static ENTITY_NODE_3362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3355), None, None, None, None, None, Some(ENTITY_NODE_3361)],
    };

static ENTITY_NODE_3363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3362)],
    };

static ENTITY_NODE_3364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3363)],
    };

static ENTITY_NODE_3365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_639)],
    };

static ENTITY_NODE_3366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3365)],
    };

static ENTITY_NODE_3367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3366)],
    };

static ENTITY_NODE_3368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3367)],
    };

static ENTITY_NODE_3369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x96")),
      children: &[],
    };

static ENTITY_NODE_3370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3369)],
    };

static ENTITY_NODE_3371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3370)],
    };

static ENTITY_NODE_3372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3371)],
    };

static ENTITY_NODE_3373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3372)],
    };

static ENTITY_NODE_3374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3373)],
    };

static ENTITY_NODE_3375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_3374)],
    };

static ENTITY_NODE_3376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3375)],
    };

static ENTITY_NODE_3377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3376)],
    };

static ENTITY_NODE_3378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3377)],
    };

static ENTITY_NODE_3379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x97")),
      children: &[],
    };

static ENTITY_NODE_3380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3379)],
    };

static ENTITY_NODE_3381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3380)],
    };

static ENTITY_NODE_3382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3381)],
    };

static ENTITY_NODE_3383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3382)],
    };

static ENTITY_NODE_3384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3383)],
    };

static ENTITY_NODE_3385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_3384)],
    };

static ENTITY_NODE_3386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3385)],
    };

static ENTITY_NODE_3387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3386)],
    };

static ENTITY_NODE_3388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3387)],
    };

static ENTITY_NODE_3389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3388)],
    };

static ENTITY_NODE_3390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_3378), None, None, None, None, None, Some(ENTITY_NODE_3389)],
    };

static ENTITY_NODE_3391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3390)],
    };

static ENTITY_NODE_3392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3391)],
    };

static ENTITY_NODE_3393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x92")),
      children: &[],
    };

static ENTITY_NODE_3394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xa5")),
      children: &[],
    };

static ENTITY_NODE_3395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3394)],
    };

static ENTITY_NODE_3396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3395)],
    };

static ENTITY_NODE_3397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3396)],
    };

static ENTITY_NODE_3398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3393), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3397)],
    };

static ENTITY_NODE_3399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3398)],
    };

static ENTITY_NODE_3400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_3332), None, None, Some(ENTITY_NODE_3342), Some(ENTITY_NODE_3354), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3364), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_633), None, None, Some(ENTITY_NODE_3368), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3392), None, None, Some(ENTITY_NODE_3399)],
    };

static ENTITY_NODE_3401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xae")),
      children: &[],
    };

static ENTITY_NODE_3402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3401)],
    };

static ENTITY_NODE_3403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3402)],
    };

static ENTITY_NODE_3404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3403)],
    };

static ENTITY_NODE_3405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3404)],
    };

static ENTITY_NODE_3406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb0")),
      children: &[],
    };

static ENTITY_NODE_3407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3406)],
    };

static ENTITY_NODE_3408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3407)],
    };

static ENTITY_NODE_3409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3408)],
    };

static ENTITY_NODE_3410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa8")),
      children: &[],
    };

static ENTITY_NODE_3411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3410)],
    };

static ENTITY_NODE_3412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3411)],
    };

static ENTITY_NODE_3413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3412)],
    };

static ENTITY_NODE_3414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3413)],
    };

static ENTITY_NODE_3415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3414)],
    };

static ENTITY_NODE_3416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x9c")),
      children: &[],
    };

static ENTITY_NODE_3417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x9c")),
      children: &[Some(ENTITY_NODE_3416)],
    };

static ENTITY_NODE_3418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3417)],
    };

static ENTITY_NODE_3419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3418)],
    };

static ENTITY_NODE_3420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3231), Some(ENTITY_NODE_3240), Some(ENTITY_NODE_3247), Some(ENTITY_NODE_3253), None, Some(ENTITY_NODE_3256), Some(ENTITY_NODE_3262), None, None, None, None, None, Some(ENTITY_NODE_3267), Some(ENTITY_NODE_3305), Some(ENTITY_NODE_3313), Some(ENTITY_NODE_3400), None, Some(ENTITY_NODE_3405), Some(ENTITY_NODE_3409), Some(ENTITY_NODE_3415), Some(ENTITY_NODE_3419)],
    };

static ENTITY_NODE_3421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xab")),
      children: &[],
    };

static ENTITY_NODE_3422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3421)],
    };

static ENTITY_NODE_3423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3422)],
    };

static ENTITY_NODE_3424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3423)],
    };

static ENTITY_NODE_3425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3424)],
    };

static ENTITY_NODE_3426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xab")),
      children: &[],
    };

static ENTITY_NODE_3427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3426)],
    };

static ENTITY_NODE_3428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3427)],
    };

static ENTITY_NODE_3429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3428)],
    };

static ENTITY_NODE_3430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x92")),
      children: &[],
    };

static ENTITY_NODE_3431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3430)],
    };

static ENTITY_NODE_3432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3431)],
    };

static ENTITY_NODE_3433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa9")),
      children: &[],
    };

static ENTITY_NODE_3434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xa6")),
      children: &[],
    };

static ENTITY_NODE_3435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3434)],
    };

static ENTITY_NODE_3436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3433), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3435)],
    };

static ENTITY_NODE_3437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3436)],
    };

static ENTITY_NODE_3438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3437)],
    };

static ENTITY_NODE_3439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3438)],
    };

static ENTITY_NODE_3440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x81")),
      children: &[],
    };

static ENTITY_NODE_3441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3440)],
    };

static ENTITY_NODE_3442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x96")),
      children: &[],
    };

static ENTITY_NODE_3443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3442)],
    };

static ENTITY_NODE_3444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3443)],
    };

static ENTITY_NODE_3445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3444)],
    };

static ENTITY_NODE_3446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa3")),
      children: &[],
    };

static ENTITY_NODE_3447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3446)],
    };

static ENTITY_NODE_3448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3447)],
    };

static ENTITY_NODE_3449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3448)],
    };

static ENTITY_NODE_3450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"|")),
      children: &[],
    };

static ENTITY_NODE_3451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3450)],
    };

static ENTITY_NODE_3452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3451)],
    };

static ENTITY_NODE_3453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3452)],
    };

static ENTITY_NODE_3454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3453)],
    };

static ENTITY_NODE_3455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9d\x98")),
      children: &[],
    };

static ENTITY_NODE_3456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3455)],
    };

static ENTITY_NODE_3457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3456)],
    };

static ENTITY_NODE_3458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3457)],
    };

static ENTITY_NODE_3459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3458)],
    };

static ENTITY_NODE_3460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3459)],
    };

static ENTITY_NODE_3461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3460)],
    };

static ENTITY_NODE_3462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3461)],
    };

static ENTITY_NODE_3463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3462)],
    };

static ENTITY_NODE_3464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3463)],
    };

static ENTITY_NODE_3465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x80")),
      children: &[],
    };

static ENTITY_NODE_3466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3465)],
    };

static ENTITY_NODE_3467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3466)],
    };

static ENTITY_NODE_3468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3467)],
    };

static ENTITY_NODE_3469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3468)],
    };

static ENTITY_NODE_3470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3469)],
    };

static ENTITY_NODE_3471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 66,
      value: None,
      children: &[Some(ENTITY_NODE_3449), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3454), None, None, None, None, None, None, Some(ENTITY_NODE_3464), Some(ENTITY_NODE_3470)],
    };

static ENTITY_NODE_3472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3471)],
    };

static ENTITY_NODE_3473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3472)],
    };

static ENTITY_NODE_3474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3473)],
    };

static ENTITY_NODE_3475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3442), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3474)],
    };

static ENTITY_NODE_3476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x8a")),
      children: &[],
    };

static ENTITY_NODE_3477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3476)],
    };

static ENTITY_NODE_3478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3477)],
    };

static ENTITY_NODE_3479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3478)],
    };

static ENTITY_NODE_3480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3479)],
    };

static ENTITY_NODE_3481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3480)],
    };

static ENTITY_NODE_3482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_3481)],
    };

static ENTITY_NODE_3483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3482)],
    };

static ENTITY_NODE_3484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3483)],
    };

static ENTITY_NODE_3485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3484)],
    };

static ENTITY_NODE_3486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 84,
      value: None,
      children: &[Some(ENTITY_NODE_3485)],
    };

static ENTITY_NODE_3487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3445), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3475), None, None, None, None, Some(ENTITY_NODE_3486)],
    };

static ENTITY_NODE_3488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3441), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3487)],
    };

static ENTITY_NODE_3489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x99")),
      children: &[],
    };

static ENTITY_NODE_3490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3489)],
    };

static ENTITY_NODE_3491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3490)],
    };

static ENTITY_NODE_3492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x8d")),
      children: &[],
    };

static ENTITY_NODE_3493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3492)],
    };

static ENTITY_NODE_3494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3493)],
    };

static ENTITY_NODE_3495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3494)],
    };

static ENTITY_NODE_3496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb1")),
      children: &[],
    };

static ENTITY_NODE_3497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3496)],
    };

static ENTITY_NODE_3498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3497)],
    };

static ENTITY_NODE_3499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3498)],
    };

static ENTITY_NODE_3500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xaa")),
      children: &[],
    };

static ENTITY_NODE_3501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3500)],
    };

static ENTITY_NODE_3502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3501)],
    };

static ENTITY_NODE_3503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3502)],
    };

static ENTITY_NODE_3504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3503)],
    };

static ENTITY_NODE_3505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3504)],
    };

static ENTITY_NODE_3506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_3425), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3429), Some(ENTITY_NODE_3432), Some(ENTITY_NODE_3439), Some(ENTITY_NODE_3488), Some(ENTITY_NODE_3491), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3495), None, None, None, Some(ENTITY_NODE_3499), None, None, Some(ENTITY_NODE_3505)],
    };

static ENTITY_NODE_3507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb4")),
      children: &[],
    };

static ENTITY_NODE_3508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3507)],
    };

static ENTITY_NODE_3509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3508)],
    };

static ENTITY_NODE_3510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3509)],
    };

static ENTITY_NODE_3511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3510)],
    };

static ENTITY_NODE_3512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x80")),
      children: &[],
    };

static ENTITY_NODE_3513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3512)],
    };

static ENTITY_NODE_3514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3513)],
    };

static ENTITY_NODE_3515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3514)],
    };

static ENTITY_NODE_3516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3515)],
    };

static ENTITY_NODE_3517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x9a")),
      children: &[],
    };

static ENTITY_NODE_3518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3517)],
    };

static ENTITY_NODE_3519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3518)],
    };

static ENTITY_NODE_3520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x8e")),
      children: &[],
    };

static ENTITY_NODE_3521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3520)],
    };

static ENTITY_NODE_3522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3521)],
    };

static ENTITY_NODE_3523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3522)],
    };

static ENTITY_NODE_3524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb2")),
      children: &[],
    };

static ENTITY_NODE_3525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3524)],
    };

static ENTITY_NODE_3526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3525)],
    };

static ENTITY_NODE_3527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3526)],
    };

static ENTITY_NODE_3528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3511), None, Some(ENTITY_NODE_3516), Some(ENTITY_NODE_3519), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3523), None, None, None, Some(ENTITY_NODE_3527)],
    };

static ENTITY_NODE_3529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x9b")),
      children: &[],
    };

static ENTITY_NODE_3530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3529)],
    };

static ENTITY_NODE_3531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3530)],
    };

static ENTITY_NODE_3532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x9e")),
      children: &[],
    };

static ENTITY_NODE_3533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3532)],
    };

static ENTITY_NODE_3534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x8f")),
      children: &[],
    };

static ENTITY_NODE_3535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3534)],
    };

static ENTITY_NODE_3536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3535)],
    };

static ENTITY_NODE_3537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3536)],
    };

static ENTITY_NODE_3538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb3")),
      children: &[],
    };

static ENTITY_NODE_3539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3538)],
    };

static ENTITY_NODE_3540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3539)],
    };

static ENTITY_NODE_3541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3540)],
    };

static ENTITY_NODE_3542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3531), None, None, Some(ENTITY_NODE_3533), None, None, None, None, None, Some(ENTITY_NODE_3537), None, None, None, Some(ENTITY_NODE_3541)],
    };

static ENTITY_NODE_3543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xaf")),
      children: &[],
    };

static ENTITY_NODE_3544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3543)],
    };

static ENTITY_NODE_3545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3544)],
    };

static ENTITY_NODE_3546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3545)],
    };

static ENTITY_NODE_3547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x87")),
      children: &[],
    };

static ENTITY_NODE_3548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3547)],
    };

static ENTITY_NODE_3549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3548)],
    };

static ENTITY_NODE_3550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3549)],
    };

static ENTITY_NODE_3551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xae")),
      children: &[],
    };

static ENTITY_NODE_3552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3551)],
    };

static ENTITY_NODE_3553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3552)],
    };

static ENTITY_NODE_3554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3553)],
    };

static ENTITY_NODE_3555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x9d")),
      children: &[],
    };

static ENTITY_NODE_3556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x9d")),
      children: &[Some(ENTITY_NODE_3555)],
    };

static ENTITY_NODE_3557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3556)],
    };

static ENTITY_NODE_3558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3557)],
    };

static ENTITY_NODE_3559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3558)],
    };

static ENTITY_NODE_3560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3559)],
    };

static ENTITY_NODE_3561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb6")),
      children: &[],
    };

static ENTITY_NODE_3562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3561)],
    };

static ENTITY_NODE_3563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3562)],
    };

static ENTITY_NODE_3564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3563)],
    };

static ENTITY_NODE_3565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xab")),
      children: &[],
    };

static ENTITY_NODE_3566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3565)],
    };

static ENTITY_NODE_3567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3564), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3566)],
    };

static ENTITY_NODE_3568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x9c")),
      children: &[],
    };

static ENTITY_NODE_3569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3568)],
    };

static ENTITY_NODE_3570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3569)],
    };

static ENTITY_NODE_3571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x90")),
      children: &[],
    };

static ENTITY_NODE_3572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3571)],
    };

static ENTITY_NODE_3573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3572)],
    };

static ENTITY_NODE_3574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3573)],
    };

static ENTITY_NODE_3575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb4")),
      children: &[],
    };

static ENTITY_NODE_3576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3575)],
    };

static ENTITY_NODE_3577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3576)],
    };

static ENTITY_NODE_3578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3577)],
    };

static ENTITY_NODE_3579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb8")),
      children: &[],
    };

static ENTITY_NODE_3580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3579)],
    };

static ENTITY_NODE_3581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3580)],
    };

static ENTITY_NODE_3582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3581)],
    };

static ENTITY_NODE_3583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_3546), None, None, None, None, None, None, None, Some(ENTITY_NODE_3550), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3554), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3560), None, Some(ENTITY_NODE_3567), None, None, Some(ENTITY_NODE_3570), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3574), None, None, None, Some(ENTITY_NODE_3578), None, Some(ENTITY_NODE_3582)],
    };

static ENTITY_NODE_3584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x96")),
      children: &[],
    };

static ENTITY_NODE_3585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3584)],
    };

static ENTITY_NODE_3586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3585)],
    };

static ENTITY_NODE_3587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3586)],
    };

static ENTITY_NODE_3588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb9")),
      children: &[],
    };

static ENTITY_NODE_3589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3588)],
    };

static ENTITY_NODE_3590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3589)],
    };

static ENTITY_NODE_3591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3590)],
    };

static ENTITY_NODE_3592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3591)],
    };

static ENTITY_NODE_3593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3592)],
    };

static ENTITY_NODE_3594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xbd")),
      children: &[],
    };

static ENTITY_NODE_3595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3594)],
    };

static ENTITY_NODE_3596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3595)],
    };

static ENTITY_NODE_3597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3596)],
    };

static ENTITY_NODE_3598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3597)],
    };

static ENTITY_NODE_3599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\x97")),
      children: &[],
    };

static ENTITY_NODE_3600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3599)],
    };

static ENTITY_NODE_3601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3598), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3600)],
    };

static ENTITY_NODE_3602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xbb")),
      children: &[],
    };

static ENTITY_NODE_3603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3602)],
    };

static ENTITY_NODE_3604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3603)],
    };

static ENTITY_NODE_3605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3604)],
    };

static ENTITY_NODE_3606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_1819)],
    };

static ENTITY_NODE_3607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3606)],
    };

static ENTITY_NODE_3608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3607)],
    };

static ENTITY_NODE_3609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3608)],
    };

static ENTITY_NODE_3610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 87,
      value: None,
      children: &[Some(ENTITY_NODE_3609)],
    };

static ENTITY_NODE_3611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3610)],
    };

static ENTITY_NODE_3612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\x96")),
      children: &[],
    };

static ENTITY_NODE_3613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3612)],
    };

static ENTITY_NODE_3614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3613)],
    };

static ENTITY_NODE_3615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3611), None, Some(ENTITY_NODE_3614)],
    };

static ENTITY_NODE_3616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xa8")),
      children: &[],
    };

static ENTITY_NODE_3617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3616)],
    };

static ENTITY_NODE_3618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3617)],
    };

static ENTITY_NODE_3619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xa4")),
      children: &[],
    };

static ENTITY_NODE_3620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3619)],
    };

static ENTITY_NODE_3621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3620)],
    };

static ENTITY_NODE_3622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3621)],
    };

static ENTITY_NODE_3623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb5")),
      children: &[],
    };

static ENTITY_NODE_3624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3623)],
    };

static ENTITY_NODE_3625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3624)],
    };

static ENTITY_NODE_3626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3625)],
    };

static ENTITY_NODE_3627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 72,
      value: None,
      children: &[Some(ENTITY_NODE_3587), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3593), None, Some(ENTITY_NODE_3601), Some(ENTITY_NODE_3605), Some(ENTITY_NODE_3615), Some(ENTITY_NODE_3618), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3622), None, None, None, Some(ENTITY_NODE_3626)],
    };

static ENTITY_NODE_3628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa1")),
      children: &[],
    };

static ENTITY_NODE_3629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa1")),
      children: &[Some(ENTITY_NODE_3628)],
    };

static ENTITY_NODE_3630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3629)],
    };

static ENTITY_NODE_3631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3630)],
    };

static ENTITY_NODE_3632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3631)],
    };

static ENTITY_NODE_3633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3632)],
    };

static ENTITY_NODE_3634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x83")),
      children: &[],
    };

static ENTITY_NODE_3635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3634)],
    };

static ENTITY_NODE_3636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3635)],
    };

static ENTITY_NODE_3637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_3636)],
    };

static ENTITY_NODE_3638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3637)],
    };

static ENTITY_NODE_3639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3638)],
    };

static ENTITY_NODE_3640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbe")),
      children: &[],
    };

static ENTITY_NODE_3641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbe\xcc\xb3")),
      children: &[],
    };

static ENTITY_NODE_3642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3641)],
    };

static ENTITY_NODE_3643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbf")),
      children: &[],
    };

static ENTITY_NODE_3644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3643)],
    };

static ENTITY_NODE_3645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa2")),
      children: &[],
    };

static ENTITY_NODE_3646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa2")),
      children: &[Some(ENTITY_NODE_3645)],
    };

static ENTITY_NODE_3647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3646)],
    };

static ENTITY_NODE_3648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3647)],
    };

static ENTITY_NODE_3649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb4")),
      children: &[Some(ENTITY_NODE_456)],
    };

static ENTITY_NODE_3650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3649)],
    };

static ENTITY_NODE_3651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3650)],
    };

static ENTITY_NODE_3652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb0")),
      children: &[],
    };

static ENTITY_NODE_3653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3652)],
    };

static ENTITY_NODE_3654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3640), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3642), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3644), None, None, None, None, Some(ENTITY_NODE_3648), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3651), None, None, None, Some(ENTITY_NODE_3653)],
    };

static ENTITY_NODE_3655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa6")),
      children: &[],
    };

static ENTITY_NODE_3656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa6")),
      children: &[Some(ENTITY_NODE_3655)],
    };

static ENTITY_NODE_3657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3656)],
    };

static ENTITY_NODE_3658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3657)],
    };

static ENTITY_NODE_3659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3658)],
    };

static ENTITY_NODE_3660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x9e")),
      children: &[],
    };

static ENTITY_NODE_3661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3660)],
    };

static ENTITY_NODE_3662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_61), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3661)],
    };

static ENTITY_NODE_3663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa0")),
      children: &[],
    };

static ENTITY_NODE_3664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa0")),
      children: &[Some(ENTITY_NODE_3663)],
    };

static ENTITY_NODE_3665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3664)],
    };

static ENTITY_NODE_3666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_3665)],
    };

static ENTITY_NODE_3667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3666)],
    };

static ENTITY_NODE_3668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3667)],
    };

static ENTITY_NODE_3669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb5")),
      children: &[],
    };

static ENTITY_NODE_3670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3669)],
    };

static ENTITY_NODE_3671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3670)],
    };

static ENTITY_NODE_3672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3671)],
    };

static ENTITY_NODE_3673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3672)],
    };

static ENTITY_NODE_3674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3670)],
    };

static ENTITY_NODE_3675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3673), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3674)],
    };

static ENTITY_NODE_3676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb1")),
      children: &[],
    };

static ENTITY_NODE_3677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3676)],
    };

static ENTITY_NODE_3678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3677)],
    };

static ENTITY_NODE_3679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3678)],
    };

static ENTITY_NODE_3680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3675), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3679)],
    };

static ENTITY_NODE_3681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x81")),
      children: &[],
    };

static ENTITY_NODE_3682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3681)],
    };

static ENTITY_NODE_3683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3682)],
    };

static ENTITY_NODE_3684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xbf")),
      children: &[],
    };

static ENTITY_NODE_3685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3684)],
    };

static ENTITY_NODE_3686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3685)],
    };

static ENTITY_NODE_3687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3683), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3686)],
    };

static ENTITY_NODE_3688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3687), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_10)],
    };

static ENTITY_NODE_3689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa7")),
      children: &[],
    };

static ENTITY_NODE_3690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x95")),
      children: &[],
    };

static ENTITY_NODE_3691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3690)],
    };

static ENTITY_NODE_3692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3691)],
    };

static ENTITY_NODE_3693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3692)],
    };

static ENTITY_NODE_3694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x9c")),
      children: &[],
    };

static ENTITY_NODE_3695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3694)],
    };

static ENTITY_NODE_3696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x98")),
      children: &[],
    };

static ENTITY_NODE_3697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3696)],
    };

static ENTITY_NODE_3698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3697)],
    };

static ENTITY_NODE_3699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3698)],
    };

static ENTITY_NODE_3700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3699)],
    };

static ENTITY_NODE_3701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3700)],
    };

static ENTITY_NODE_3702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x9a")),
      children: &[],
    };

static ENTITY_NODE_3703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3702)],
    };

static ENTITY_NODE_3704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3689), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3693), None, None, Some(ENTITY_NODE_3695), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3701), None, None, Some(ENTITY_NODE_3703)],
    };

static ENTITY_NODE_3705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa0")),
      children: &[],
    };

static ENTITY_NODE_3706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xa4")),
      children: &[],
    };

static ENTITY_NODE_3707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3706)],
    };

static ENTITY_NODE_3708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3705)],
    };

static ENTITY_NODE_3709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3708)],
    };

static ENTITY_NODE_3710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa1")),
      children: &[],
    };

static ENTITY_NODE_3711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xa8")),
      children: &[],
    };

static ENTITY_NODE_3712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3711)],
    };

static ENTITY_NODE_3713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xa9")),
      children: &[],
    };

static ENTITY_NODE_3714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3713)],
    };

static ENTITY_NODE_3715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xaa")),
      children: &[],
    };

static ENTITY_NODE_3716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3715)],
    };

static ENTITY_NODE_3717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xab")),
      children: &[],
    };

static ENTITY_NODE_3718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3717)],
    };

static ENTITY_NODE_3719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xac")),
      children: &[],
    };

static ENTITY_NODE_3720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3719)],
    };

static ENTITY_NODE_3721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xad")),
      children: &[],
    };

static ENTITY_NODE_3722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3721)],
    };

static ENTITY_NODE_3723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xae")),
      children: &[],
    };

static ENTITY_NODE_3724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3723)],
    };

static ENTITY_NODE_3725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xaf")),
      children: &[],
    };

static ENTITY_NODE_3726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3725)],
    };

static ENTITY_NODE_3727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3712), Some(ENTITY_NODE_3714), Some(ENTITY_NODE_3716), Some(ENTITY_NODE_3718), Some(ENTITY_NODE_3720), Some(ENTITY_NODE_3722), Some(ENTITY_NODE_3724), Some(ENTITY_NODE_3726)],
    };

static ENTITY_NODE_3728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3710), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3727)],
    };

static ENTITY_NODE_3729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3728)],
    };

static ENTITY_NODE_3730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3729)],
    };

static ENTITY_NODE_3731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x9f")),
      children: &[],
    };

static ENTITY_NODE_3732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xbe")),
      children: &[],
    };

static ENTITY_NODE_3733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x9d")),
      children: &[],
    };

static ENTITY_NODE_3734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3733)],
    };

static ENTITY_NODE_3735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3732), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3734)],
    };

static ENTITY_NODE_3736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3735)],
    };

static ENTITY_NODE_3737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3731), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3736)],
    };

static ENTITY_NODE_3738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3737)],
    };

static ENTITY_NODE_3739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa2")),
      children: &[],
    };

static ENTITY_NODE_3740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3739)],
    };

static ENTITY_NODE_3741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3740)],
    };

static ENTITY_NODE_3742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_74)],
    };

static ENTITY_NODE_3743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3741), None, None, None, Some(ENTITY_NODE_3742)],
    };

static ENTITY_NODE_3744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8d\xbc")),
      children: &[],
    };

static ENTITY_NODE_3745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3744)],
    };

static ENTITY_NODE_3746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3745)],
    };

static ENTITY_NODE_3747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3746)],
    };

static ENTITY_NODE_3748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3747)],
    };

static ENTITY_NODE_3749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3705), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3707), None, None, None, None, None, None, Some(ENTITY_NODE_3709), Some(ENTITY_NODE_3730), None, None, None, None, Some(ENTITY_NODE_3738), Some(ENTITY_NODE_3743), None, None, None, None, None, None, Some(ENTITY_NODE_3748)],
    };

static ENTITY_NODE_3750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3704), None, None, Some(ENTITY_NODE_3749)],
    };

static ENTITY_NODE_3751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x85")),
      children: &[],
    };

static ENTITY_NODE_3752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3751)],
    };

static ENTITY_NODE_3753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3752)],
    };

static ENTITY_NODE_3754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3753)],
    };

static ENTITY_NODE_3755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x92")),
      children: &[],
    };

static ENTITY_NODE_3756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3755)],
    };

static ENTITY_NODE_3757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3756)],
    };

static ENTITY_NODE_3758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3754), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3757)],
    };

static ENTITY_NODE_3759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb0")),
      children: &[],
    };

static ENTITY_NODE_3760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3759)],
    };

static ENTITY_NODE_3761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xaf")),
      children: &[],
    };

static ENTITY_NODE_3762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3761)],
    };

static ENTITY_NODE_3763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3762)],
    };

static ENTITY_NODE_3764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3763)],
    };

static ENTITY_NODE_3765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3764)],
    };

static ENTITY_NODE_3766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8a")),
      children: &[],
    };

static ENTITY_NODE_3767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3766)],
    };

static ENTITY_NODE_3768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8b")),
      children: &[],
    };

static ENTITY_NODE_3769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3768)],
    };

static ENTITY_NODE_3770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3769)],
    };

static ENTITY_NODE_3771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"'")),
      children: &[],
    };

static ENTITY_NODE_3772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3771)],
    };

static ENTITY_NODE_3773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3772)],
    };

static ENTITY_NODE_3774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3767)],
    };

static ENTITY_NODE_3775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3185), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3774)],
    };

static ENTITY_NODE_3776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_3775)],
    };

static ENTITY_NODE_3777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3776)],
    };

static ENTITY_NODE_3778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3777)],
    };

static ENTITY_NODE_3779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3185), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3760), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3765), None, None, None, Some(ENTITY_NODE_3767), None, None, None, Some(ENTITY_NODE_3770), None, None, None, None, None, Some(ENTITY_NODE_3773), Some(ENTITY_NODE_3778)],
    };

static ENTITY_NODE_3780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa5")),
      children: &[],
    };

static ENTITY_NODE_3781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa5")),
      children: &[Some(ENTITY_NODE_3780)],
    };

static ENTITY_NODE_3782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3781)],
    };

static ENTITY_NODE_3783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3782)],
    };

static ENTITY_NODE_3784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3783)],
    };

static ENTITY_NODE_3785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb6")),
      children: &[],
    };

static ENTITY_NODE_3786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3785)],
    };

static ENTITY_NODE_3787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3786)],
    };

static ENTITY_NODE_3788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"*")),
      children: &[],
    };

static ENTITY_NODE_3789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3788)],
    };

static ENTITY_NODE_3790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_400)],
    };

static ENTITY_NODE_3791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3185), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3790)],
    };

static ENTITY_NODE_3792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3791)],
    };

static ENTITY_NODE_3793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3792)],
    };

static ENTITY_NODE_3794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3787), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3789), None, None, None, None, Some(ENTITY_NODE_3793)],
    };

static ENTITY_NODE_3795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa3")),
      children: &[],
    };

static ENTITY_NODE_3796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa3")),
      children: &[Some(ENTITY_NODE_3795)],
    };

static ENTITY_NODE_3797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3796)],
    };

static ENTITY_NODE_3798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3797)],
    };

static ENTITY_NODE_3799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3798)],
    };

static ENTITY_NODE_3800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3799)],
    };

static ENTITY_NODE_3801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa4")),
      children: &[],
    };

static ENTITY_NODE_3802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa4")),
      children: &[Some(ENTITY_NODE_3801)],
    };

static ENTITY_NODE_3803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3802)],
    };

static ENTITY_NODE_3804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3803)],
    };

static ENTITY_NODE_3805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_359)],
    };

static ENTITY_NODE_3806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3805)],
    };

static ENTITY_NODE_3807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3806)],
    };

static ENTITY_NODE_3808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3807)],
    };

static ENTITY_NODE_3809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3808)],
    };

static ENTITY_NODE_3810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x91")),
      children: &[],
    };

static ENTITY_NODE_3811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3810)],
    };

static ENTITY_NODE_3812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3811)],
    };

static ENTITY_NODE_3813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3812)],
    };

static ENTITY_NODE_3814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3809), None, None, None, None, None, Some(ENTITY_NODE_3813)],
    };

static ENTITY_NODE_3815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3633), Some(ENTITY_NODE_3639), Some(ENTITY_NODE_3654), None, Some(ENTITY_NODE_3659), Some(ENTITY_NODE_3662), Some(ENTITY_NODE_3668), None, None, None, None, Some(ENTITY_NODE_3680), Some(ENTITY_NODE_3688), Some(ENTITY_NODE_3750), Some(ENTITY_NODE_3758), Some(ENTITY_NODE_3779), None, Some(ENTITY_NODE_3784), Some(ENTITY_NODE_3794), Some(ENTITY_NODE_3800), Some(ENTITY_NODE_3804), None, Some(ENTITY_NODE_3814)],
    };

static ENTITY_NODE_3816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xad")),
      children: &[],
    };

static ENTITY_NODE_3817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3816)],
    };

static ENTITY_NODE_3818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3817)],
    };

static ENTITY_NODE_3819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3818)],
    };

static ENTITY_NODE_3820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8c")),
      children: &[],
    };

static ENTITY_NODE_3821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3820)],
    };

static ENTITY_NODE_3822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3821)],
    };

static ENTITY_NODE_3823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3822)],
    };

static ENTITY_NODE_3824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3823)],
    };

static ENTITY_NODE_3825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\xb6")),
      children: &[],
    };

static ENTITY_NODE_3826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3825)],
    };

static ENTITY_NODE_3827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3826)],
    };

static ENTITY_NODE_3828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3827)],
    };

static ENTITY_NODE_3829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3828)],
    };

static ENTITY_NODE_3830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3829)],
    };

static ENTITY_NODE_3831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3830)],
    };

static ENTITY_NODE_3832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3831)],
    };

static ENTITY_NODE_3833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xb5")),
      children: &[],
    };

static ENTITY_NODE_3834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3833)],
    };

static ENTITY_NODE_3835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3834)],
    };

static ENTITY_NODE_3836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3835)],
    };

static ENTITY_NODE_3837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3836)],
    };

static ENTITY_NODE_3838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3837)],
    };

static ENTITY_NODE_3839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbd")),
      children: &[],
    };

static ENTITY_NODE_3840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x8d")),
      children: &[],
    };

static ENTITY_NODE_3841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3840)],
    };

static ENTITY_NODE_3842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3841)],
    };

static ENTITY_NODE_3843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3839), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3842)],
    };

static ENTITY_NODE_3844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3843)],
    };

static ENTITY_NODE_3845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3844)],
    };

static ENTITY_NODE_3846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3824), None, Some(ENTITY_NODE_3832), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3838), None, None, Some(ENTITY_NODE_3845)],
    };

static ENTITY_NODE_3847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_3846)],
    };

static ENTITY_NODE_3848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xbd")),
      children: &[],
    };

static ENTITY_NODE_3849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3848)],
    };

static ENTITY_NODE_3850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3849)],
    };

static ENTITY_NODE_3851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3850)],
    };

static ENTITY_NODE_3852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x85")),
      children: &[],
    };

static ENTITY_NODE_3853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3852)],
    };

static ENTITY_NODE_3854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3853)],
    };

static ENTITY_NODE_3855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3852), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3854)],
    };

static ENTITY_NODE_3856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3855)],
    };

static ENTITY_NODE_3857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3856)],
    };

static ENTITY_NODE_3858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_3851), Some(ENTITY_NODE_3857)],
    };

static ENTITY_NODE_3859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3847), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3858)],
    };

static ENTITY_NODE_3860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8e\xb6")),
      children: &[],
    };

static ENTITY_NODE_3861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3860)],
    };

static ENTITY_NODE_3862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_3861)],
    };

static ENTITY_NODE_3863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3862)],
    };

static ENTITY_NODE_3864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_3863)],
    };

static ENTITY_NODE_3865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3273), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3864)],
    };

static ENTITY_NODE_3866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_3865)],
    };

static ENTITY_NODE_3867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3866)],
    };

static ENTITY_NODE_3868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb1")),
      children: &[],
    };

static ENTITY_NODE_3869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3868)],
    };

static ENTITY_NODE_3870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3823), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3869)],
    };

static ENTITY_NODE_3871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x9e")),
      children: &[],
    };

static ENTITY_NODE_3872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3871)],
    };

static ENTITY_NODE_3873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3872)],
    };

static ENTITY_NODE_3874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3873)],
    };

static ENTITY_NODE_3875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3874)],
    };

static ENTITY_NODE_3876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_118), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_119)],
    };

static ENTITY_NODE_3877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3876)],
    };

static ENTITY_NODE_3878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3877)],
    };

static ENTITY_NODE_3879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3878)],
    };

static ENTITY_NODE_3880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb0")),
      children: &[],
    };

static ENTITY_NODE_3881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3880)],
    };

static ENTITY_NODE_3882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_3881)],
    };

static ENTITY_NODE_3883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_3882)],
    };

static ENTITY_NODE_3884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3883)],
    };

static ENTITY_NODE_3885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3884)],
    };

static ENTITY_NODE_3886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3826)],
    };

static ENTITY_NODE_3887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3886)],
    };

static ENTITY_NODE_3888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_125)],
    };

static ENTITY_NODE_3889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3888)],
    };

static ENTITY_NODE_3890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3889)],
    };

static ENTITY_NODE_3891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb2")),
      children: &[],
    };

static ENTITY_NODE_3892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3891)],
    };

static ENTITY_NODE_3893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb6")),
      children: &[],
    };

static ENTITY_NODE_3894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3893)],
    };

static ENTITY_NODE_3895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xac")),
      children: &[],
    };

static ENTITY_NODE_3896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3895)],
    };

static ENTITY_NODE_3897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3896)],
    };

static ENTITY_NODE_3898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3897)],
    };

static ENTITY_NODE_3899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3898)],
    };

static ENTITY_NODE_3900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3892), None, None, None, None, None, None, Some(ENTITY_NODE_3894), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3899)],
    };

static ENTITY_NODE_3901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3879), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3885), None, None, Some(ENTITY_NODE_3887), None, Some(ENTITY_NODE_3890), None, Some(ENTITY_NODE_3900)],
    };

static ENTITY_NODE_3902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\x9f")),
      children: &[],
    };

static ENTITY_NODE_3903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3902)],
    };

static ENTITY_NODE_3904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3903)],
    };

static ENTITY_NODE_3905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1224)],
    };

static ENTITY_NODE_3906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\xaf")),
      children: &[],
    };

static ENTITY_NODE_3907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3906)],
    };

static ENTITY_NODE_3908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3907)],
    };

static ENTITY_NODE_3909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3908)],
    };

static ENTITY_NODE_3910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3296)],
    };

static ENTITY_NODE_3911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3910)],
    };

static ENTITY_NODE_3912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3905), None, None, None, None, None, None, None, Some(ENTITY_NODE_3909), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3911)],
    };

static ENTITY_NODE_3913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x80")),
      children: &[],
    };

static ENTITY_NODE_3914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3913)],
    };

static ENTITY_NODE_3915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3914)],
    };

static ENTITY_NODE_3916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3915)],
    };

static ENTITY_NODE_3917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x81")),
      children: &[],
    };

static ENTITY_NODE_3918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3917)],
    };

static ENTITY_NODE_3919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3918)],
    };

static ENTITY_NODE_3920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3919)],
    };

static ENTITY_NODE_3921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3920)],
    };

static ENTITY_NODE_3922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x82")),
      children: &[],
    };

static ENTITY_NODE_3923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3922)],
    };

static ENTITY_NODE_3924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3923)],
    };

static ENTITY_NODE_3925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3924)],
    };

static ENTITY_NODE_3926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3925)],
    };

static ENTITY_NODE_3927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3926)],
    };

static ENTITY_NODE_3928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3916), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3921), None, None, None, Some(ENTITY_NODE_3927)],
    };

static ENTITY_NODE_3929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x86")),
      children: &[],
    };

static ENTITY_NODE_3930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3929)],
    };

static ENTITY_NODE_3931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3930)],
    };

static ENTITY_NODE_3932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3931)],
    };

static ENTITY_NODE_3933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3932)],
    };

static ENTITY_NODE_3934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x98\x85")),
      children: &[],
    };

static ENTITY_NODE_3935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3934)],
    };

static ENTITY_NODE_3936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3935)],
    };

static ENTITY_NODE_3937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3936)],
    };

static ENTITY_NODE_3938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3933), None, None, Some(ENTITY_NODE_3937)],
    };

static ENTITY_NODE_3939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xbd")),
      children: &[],
    };

static ENTITY_NODE_3940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3939)],
    };

static ENTITY_NODE_3941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3940)],
    };

static ENTITY_NODE_3942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3941)],
    };

static ENTITY_NODE_3943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3942)],
    };

static ENTITY_NODE_3944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xb3")),
      children: &[],
    };

static ENTITY_NODE_3945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3944)],
    };

static ENTITY_NODE_3946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3945)],
    };

static ENTITY_NODE_3947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3943), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3946)],
    };

static ENTITY_NODE_3948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3947)],
    };

static ENTITY_NODE_3949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3948)],
    };

static ENTITY_NODE_3950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3949)],
    };

static ENTITY_NODE_3951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3950)],
    };

static ENTITY_NODE_3952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3951)],
    };

static ENTITY_NODE_3953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3952)],
    };

static ENTITY_NODE_3954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3953)],
    };

static ENTITY_NODE_3955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x84")),
      children: &[],
    };

static ENTITY_NODE_3956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3955)],
    };

static ENTITY_NODE_3957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3956)],
    };

static ENTITY_NODE_3958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_3957)],
    };

static ENTITY_NODE_3959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3958)],
    };

static ENTITY_NODE_3960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3959)],
    };

static ENTITY_NODE_3961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3441)],
    };

static ENTITY_NODE_3962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3961)],
    };

static ENTITY_NODE_3963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3516)],
    };

static ENTITY_NODE_3964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3912), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3928), None, None, None, Some(ENTITY_NODE_3938), Some(ENTITY_NODE_3954), Some(ENTITY_NODE_3960), Some(ENTITY_NODE_3962), Some(ENTITY_NODE_3963)],
    };

static ENTITY_NODE_3965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3964)],
    };

static ENTITY_NODE_3966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x8d")),
      children: &[],
    };

static ENTITY_NODE_3967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3966)],
    };

static ENTITY_NODE_3968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3967)],
    };

static ENTITY_NODE_3969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3968)],
    };

static ENTITY_NODE_3970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3969)],
    };

static ENTITY_NODE_3971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3970)],
    };

static ENTITY_NODE_3972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\xab")),
      children: &[],
    };

static ENTITY_NODE_3973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3972)],
    };

static ENTITY_NODE_3974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3973)],
    };

static ENTITY_NODE_3975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3974)],
    };

static ENTITY_NODE_3976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3975)],
    };

static ENTITY_NODE_3977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3976)],
    };

static ENTITY_NODE_3978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 122,
      value: None,
      children: &[Some(ENTITY_NODE_3977)],
    };

static ENTITY_NODE_3979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3978)],
    };

static ENTITY_NODE_3980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xb4")),
      children: &[],
    };

static ENTITY_NODE_3981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xbe")),
      children: &[],
    };

static ENTITY_NODE_3982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3981)],
    };

static ENTITY_NODE_3983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_3982)],
    };

static ENTITY_NODE_3984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_3983)],
    };

static ENTITY_NODE_3985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_3984)],
    };

static ENTITY_NODE_3986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\x82")),
      children: &[],
    };

static ENTITY_NODE_3987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3986)],
    };

static ENTITY_NODE_3988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3987)],
    };

static ENTITY_NODE_3989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3988)],
    };

static ENTITY_NODE_3990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3989)],
    };

static ENTITY_NODE_3991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xb8")),
      children: &[],
    };

static ENTITY_NODE_3992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3991)],
    };

static ENTITY_NODE_3993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3992)],
    };

static ENTITY_NODE_3994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3993)],
    };

static ENTITY_NODE_3995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3994)],
    };

static ENTITY_NODE_3996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3995)],
    };

static ENTITY_NODE_3997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3980), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3985), None, None, None, None, None, None, None, Some(ENTITY_NODE_3990), None, None, None, None, None, Some(ENTITY_NODE_3996)],
    };

static ENTITY_NODE_3998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3997)],
    };

static ENTITY_NODE_3999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3998)],
    };

static ENTITY_NODE_4000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_3999)],
    };

static ENTITY_NODE_4001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4000)],
    };

static ENTITY_NODE_4002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4001)],
    };

static ENTITY_NODE_4003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4002)],
    };

static ENTITY_NODE_4004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4003)],
    };

static ENTITY_NODE_4005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_3979), None, None, None, None, None, None, Some(ENTITY_NODE_943), Some(ENTITY_NODE_4004)],
    };

static ENTITY_NODE_4006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4005)],
    };

static ENTITY_NODE_4007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x90\xa3")),
      children: &[],
    };

static ENTITY_NODE_4008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4007)],
    };

static ENTITY_NODE_4009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4008)],
    };

static ENTITY_NODE_4010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4006), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4009)],
    };

static ENTITY_NODE_4011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\x92")),
      children: &[],
    };

static ENTITY_NODE_4012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4011)],
    };

static ENTITY_NODE_4013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\x91")),
      children: &[],
    };

static ENTITY_NODE_4014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4013)],
    };

static ENTITY_NODE_4015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 50,
      value: None,
      children: &[Some(ENTITY_NODE_4012), None, Some(ENTITY_NODE_4014)],
    };

static ENTITY_NODE_4016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\x93")),
      children: &[],
    };

static ENTITY_NODE_4017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4016)],
    };

static ENTITY_NODE_4018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 52,
      value: None,
      children: &[Some(ENTITY_NODE_4017)],
    };

static ENTITY_NODE_4019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 49,
      value: None,
      children: &[Some(ENTITY_NODE_4015), None, Some(ENTITY_NODE_4018)],
    };

static ENTITY_NODE_4020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\x88")),
      children: &[],
    };

static ENTITY_NODE_4021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4020)],
    };

static ENTITY_NODE_4022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4021)],
    };

static ENTITY_NODE_4023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4022)],
    };

static ENTITY_NODE_4024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4010), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4019), None, None, None, Some(ENTITY_NODE_4023)],
    };

static ENTITY_NODE_4025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"=\xe2\x83\xa5")),
      children: &[],
    };

static ENTITY_NODE_4026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa1\xe2\x83\xa5")),
      children: &[],
    };

static ENTITY_NODE_4027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4026)],
    };

static ENTITY_NODE_4028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_4027)],
    };

static ENTITY_NODE_4029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4028)],
    };

static ENTITY_NODE_4030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4029)],
    };

static ENTITY_NODE_4031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4025), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4030)],
    };

static ENTITY_NODE_4032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x90")),
      children: &[],
    };

static ENTITY_NODE_4033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4032)],
    };

static ENTITY_NODE_4034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4033)],
    };

static ENTITY_NODE_4035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4031), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4034)],
    };

static ENTITY_NODE_4036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x93")),
      children: &[],
    };

static ENTITY_NODE_4037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4036)],
    };

static ENTITY_NODE_4038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_4037)],
    };

static ENTITY_NODE_4039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3355)],
    };

static ENTITY_NODE_4040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4039)],
    };

static ENTITY_NODE_4041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4040)],
    };

static ENTITY_NODE_4042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3355), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4041)],
    };

static ENTITY_NODE_4043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x88")),
      children: &[],
    };

static ENTITY_NODE_4044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4043)],
    };

static ENTITY_NODE_4045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4044)],
    };

static ENTITY_NODE_4046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4045)],
    };

static ENTITY_NODE_4047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4046)],
    };

static ENTITY_NODE_4048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x97")),
      children: &[],
    };

static ENTITY_NODE_4049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4048)],
    };

static ENTITY_NODE_4050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x94")),
      children: &[],
    };

static ENTITY_NODE_4051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4050)],
    };

static ENTITY_NODE_4052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x96")),
      children: &[],
    };

static ENTITY_NODE_4053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4052)],
    };

static ENTITY_NODE_4054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x93")),
      children: &[],
    };

static ENTITY_NODE_4055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4054)],
    };

static ENTITY_NODE_4056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_4049), None, None, None, None, None, Some(ENTITY_NODE_4051), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4053), None, None, None, None, None, Some(ENTITY_NODE_4055)],
    };

static ENTITY_NODE_4057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x90")),
      children: &[],
    };

static ENTITY_NODE_4058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa6")),
      children: &[],
    };

static ENTITY_NODE_4059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4058)],
    };

static ENTITY_NODE_4060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa9")),
      children: &[],
    };

static ENTITY_NODE_4061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4060)],
    };

static ENTITY_NODE_4062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa4")),
      children: &[],
    };

static ENTITY_NODE_4063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4062)],
    };

static ENTITY_NODE_4064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa7")),
      children: &[],
    };

static ENTITY_NODE_4065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4064)],
    };

static ENTITY_NODE_4066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4057), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4059), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4061), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4063), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4065)],
    };

static ENTITY_NODE_4067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x9d")),
      children: &[],
    };

static ENTITY_NODE_4068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4067)],
    };

static ENTITY_NODE_4069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x9a")),
      children: &[],
    };

static ENTITY_NODE_4070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4069)],
    };

static ENTITY_NODE_4071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x9c")),
      children: &[],
    };

static ENTITY_NODE_4072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4071)],
    };

static ENTITY_NODE_4073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x99")),
      children: &[],
    };

static ENTITY_NODE_4074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4073)],
    };

static ENTITY_NODE_4075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_4068), None, None, None, None, None, Some(ENTITY_NODE_4070), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4072), None, None, None, None, None, Some(ENTITY_NODE_4074)],
    };

static ENTITY_NODE_4076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x91")),
      children: &[],
    };

static ENTITY_NODE_4077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xac")),
      children: &[],
    };

static ENTITY_NODE_4078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4077)],
    };

static ENTITY_NODE_4079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa3")),
      children: &[],
    };

static ENTITY_NODE_4080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4079)],
    };

static ENTITY_NODE_4081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa0")),
      children: &[],
    };

static ENTITY_NODE_4082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4081)],
    };

static ENTITY_NODE_4083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xab")),
      children: &[],
    };

static ENTITY_NODE_4084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4083)],
    };

static ENTITY_NODE_4085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa2")),
      children: &[],
    };

static ENTITY_NODE_4086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4085)],
    };

static ENTITY_NODE_4087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x9f")),
      children: &[],
    };

static ENTITY_NODE_4088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4087)],
    };

static ENTITY_NODE_4089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4076), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4078), None, None, None, Some(ENTITY_NODE_4080), None, None, None, None, None, Some(ENTITY_NODE_4082), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4084), None, None, None, Some(ENTITY_NODE_4086), None, None, None, None, None, Some(ENTITY_NODE_4088)],
    };

static ENTITY_NODE_4090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x89")),
      children: &[],
    };

static ENTITY_NODE_4091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4090)],
    };

static ENTITY_NODE_4092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_4091)],
    };

static ENTITY_NODE_4093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4092)],
    };

static ENTITY_NODE_4094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x95")),
      children: &[],
    };

static ENTITY_NODE_4095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4094)],
    };

static ENTITY_NODE_4096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x92")),
      children: &[],
    };

static ENTITY_NODE_4097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4096)],
    };

static ENTITY_NODE_4098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\x90")),
      children: &[],
    };

static ENTITY_NODE_4099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4098)],
    };

static ENTITY_NODE_4100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\x8c")),
      children: &[],
    };

static ENTITY_NODE_4101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4100)],
    };

static ENTITY_NODE_4102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_4095), None, None, None, None, None, Some(ENTITY_NODE_4097), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4099), None, None, None, None, None, Some(ENTITY_NODE_4101)],
    };

static ENTITY_NODE_4103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa5")),
      children: &[],
    };

static ENTITY_NODE_4104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4103)],
    };

static ENTITY_NODE_4105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa8")),
      children: &[],
    };

static ENTITY_NODE_4106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4105)],
    };

static ENTITY_NODE_4107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\xac")),
      children: &[],
    };

static ENTITY_NODE_4108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4107)],
    };

static ENTITY_NODE_4109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\xb4")),
      children: &[],
    };

static ENTITY_NODE_4110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4109)],
    };

static ENTITY_NODE_4111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1123), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4104), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4106), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4108), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4110)],
    };

static ENTITY_NODE_4112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x9f")),
      children: &[],
    };

static ENTITY_NODE_4113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4112)],
    };

static ENTITY_NODE_4114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4113)],
    };

static ENTITY_NODE_4115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4114)],
    };

static ENTITY_NODE_4116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4115)],
    };

static ENTITY_NODE_4117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4116)],
    };

static ENTITY_NODE_4118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x9e")),
      children: &[],
    };

static ENTITY_NODE_4119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4118)],
    };

static ENTITY_NODE_4120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4119)],
    };

static ENTITY_NODE_4121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4120)],
    };

static ENTITY_NODE_4122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4121)],
    };

static ENTITY_NODE_4123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa0")),
      children: &[],
    };

static ENTITY_NODE_4124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4123)],
    };

static ENTITY_NODE_4125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4124)],
    };

static ENTITY_NODE_4126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4125)],
    };

static ENTITY_NODE_4127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4126)],
    };

static ENTITY_NODE_4128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4127)],
    };

static ENTITY_NODE_4129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x9b")),
      children: &[],
    };

static ENTITY_NODE_4130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4129)],
    };

static ENTITY_NODE_4131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x98")),
      children: &[],
    };

static ENTITY_NODE_4132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4131)],
    };

static ENTITY_NODE_4133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\x98")),
      children: &[],
    };

static ENTITY_NODE_4134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4133)],
    };

static ENTITY_NODE_4135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\x94")),
      children: &[],
    };

static ENTITY_NODE_4136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4135)],
    };

static ENTITY_NODE_4137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 76,
      value: None,
      children: &[Some(ENTITY_NODE_4130), None, None, None, None, None, Some(ENTITY_NODE_4132), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4134), None, None, None, None, None, Some(ENTITY_NODE_4136)],
    };

static ENTITY_NODE_4138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\x82")),
      children: &[],
    };

static ENTITY_NODE_4139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xaa")),
      children: &[],
    };

static ENTITY_NODE_4140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4139)],
    };

static ENTITY_NODE_4141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\xa1")),
      children: &[],
    };

static ENTITY_NODE_4142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4141)],
    };

static ENTITY_NODE_4143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x95\x9e")),
      children: &[],
    };

static ENTITY_NODE_4144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4143)],
    };

static ENTITY_NODE_4145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\xbc")),
      children: &[],
    };

static ENTITY_NODE_4146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4145)],
    };

static ENTITY_NODE_4147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\xa4")),
      children: &[],
    };

static ENTITY_NODE_4148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4147)],
    };

static ENTITY_NODE_4149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x94\x9c")),
      children: &[],
    };

static ENTITY_NODE_4150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4149)],
    };

static ENTITY_NODE_4151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4138), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4140), None, None, None, Some(ENTITY_NODE_4142), None, None, None, None, None, Some(ENTITY_NODE_4144), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4146), None, None, None, Some(ENTITY_NODE_4148), None, None, None, None, None, Some(ENTITY_NODE_4150)],
    };

static ENTITY_NODE_4152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_4056), None, None, None, Some(ENTITY_NODE_4066), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4075), Some(ENTITY_NODE_4089), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4093), None, Some(ENTITY_NODE_4102), None, None, None, Some(ENTITY_NODE_4111), None, None, None, None, Some(ENTITY_NODE_4117), None, None, Some(ENTITY_NODE_4122), None, None, None, Some(ENTITY_NODE_4128), Some(ENTITY_NODE_4137), Some(ENTITY_NODE_4151)],
    };

static ENTITY_NODE_4153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4038), None, None, None, Some(ENTITY_NODE_4042), None, None, Some(ENTITY_NODE_4047), Some(ENTITY_NODE_4152)],
    };

static ENTITY_NODE_4154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa6")),
      children: &[],
    };

static ENTITY_NODE_4155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa6")),
      children: &[Some(ENTITY_NODE_4154)],
    };

static ENTITY_NODE_4156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4155)],
    };

static ENTITY_NODE_4157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4156)],
    };

static ENTITY_NODE_4158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_4157)],
    };

static ENTITY_NODE_4159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_147), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4158)],
    };

static ENTITY_NODE_4160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb7")),
      children: &[],
    };

static ENTITY_NODE_4161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4160)],
    };

static ENTITY_NODE_4162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4161)],
    };

static ENTITY_NODE_4163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\x8f")),
      children: &[],
    };

static ENTITY_NODE_4164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4163)],
    };

static ENTITY_NODE_4165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4164)],
    };

static ENTITY_NODE_4166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4165)],
    };

static ENTITY_NODE_4167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3839), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3841)],
    };

static ENTITY_NODE_4168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4167)],
    };

static ENTITY_NODE_4169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\x5c")),
      children: &[],
    };

static ENTITY_NODE_4170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x85")),
      children: &[],
    };

static ENTITY_NODE_4171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4170)],
    };

static ENTITY_NODE_4172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\x88")),
      children: &[],
    };

static ENTITY_NODE_4173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4172)],
    };

static ENTITY_NODE_4174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_4173)],
    };

static ENTITY_NODE_4175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4174)],
    };

static ENTITY_NODE_4176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4175)],
    };

static ENTITY_NODE_4177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4169), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4171), None, None, None, None, None, Some(ENTITY_NODE_4176)],
    };

static ENTITY_NODE_4178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4177)],
    };

static ENTITY_NODE_4179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4162), None, Some(ENTITY_NODE_4166), None, None, None, Some(ENTITY_NODE_4168), None, None, None, None, None, Some(ENTITY_NODE_4178)],
    };

static ENTITY_NODE_4180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xa2")),
      children: &[],
    };

static ENTITY_NODE_4181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4180)],
    };

static ENTITY_NODE_4182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4181)],
    };

static ENTITY_NODE_4183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4180), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4182)],
    };

static ENTITY_NODE_4184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4183)],
    };

static ENTITY_NODE_4185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xae")),
      children: &[],
    };

static ENTITY_NODE_4186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4185)],
    };

static ENTITY_NODE_4187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1151), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1152)],
    };

static ENTITY_NODE_4188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_151), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4186), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4187)],
    };

static ENTITY_NODE_4189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4188)],
    };

static ENTITY_NODE_4190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4184), Some(ENTITY_NODE_4189)],
    };

static ENTITY_NODE_4191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 78,
      value: None,
      children: &[Some(ENTITY_NODE_3819), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3859), Some(ENTITY_NODE_3867), Some(ENTITY_NODE_3870), Some(ENTITY_NODE_3875), Some(ENTITY_NODE_3901), Some(ENTITY_NODE_3904), None, None, Some(ENTITY_NODE_3965), None, Some(ENTITY_NODE_3971), Some(ENTITY_NODE_4024), None, Some(ENTITY_NODE_4035), Some(ENTITY_NODE_4153), Some(ENTITY_NODE_3838), None, Some(ENTITY_NODE_4159), Some(ENTITY_NODE_4179), None, Some(ENTITY_NODE_4190)],
    };

static ENTITY_NODE_4192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x87")),
      children: &[],
    };

static ENTITY_NODE_4193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4192)],
    };

static ENTITY_NODE_4194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4193)],
    };

static ENTITY_NODE_4195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4194)],
    };

static ENTITY_NODE_4196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4195)],
    };

static ENTITY_NODE_4197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa9")),
      children: &[],
    };

static ENTITY_NODE_4198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x84")),
      children: &[],
    };

static ENTITY_NODE_4199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4198)],
    };

static ENTITY_NODE_4200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4199)],
    };

static ENTITY_NODE_4201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4200)],
    };

static ENTITY_NODE_4202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x89")),
      children: &[],
    };

static ENTITY_NODE_4203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4202)],
    };

static ENTITY_NODE_4204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4203)],
    };

static ENTITY_NODE_4205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4204)],
    };

static ENTITY_NODE_4206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4205)],
    };

static ENTITY_NODE_4207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4206)],
    };

static ENTITY_NODE_4208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x8b")),
      children: &[],
    };

static ENTITY_NODE_4209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4208)],
    };

static ENTITY_NODE_4210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4209)],
    };

static ENTITY_NODE_4211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x87")),
      children: &[],
    };

static ENTITY_NODE_4212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4211)],
    };

static ENTITY_NODE_4213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4212)],
    };

static ENTITY_NODE_4214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4210), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4213)],
    };

static ENTITY_NODE_4215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x80")),
      children: &[],
    };

static ENTITY_NODE_4216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4215)],
    };

static ENTITY_NODE_4217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4216)],
    };

static ENTITY_NODE_4218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4217)],
    };

static ENTITY_NODE_4219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa9\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_4220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4219)],
    };

static ENTITY_NODE_4221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4197), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4201), Some(ENTITY_NODE_4207), Some(ENTITY_NODE_4214), Some(ENTITY_NODE_4218), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4220)],
    };

static ENTITY_NODE_4222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\x81")),
      children: &[],
    };

static ENTITY_NODE_4223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4222)],
    };

static ENTITY_NODE_4224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4223)],
    };

static ENTITY_NODE_4225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1094)],
    };

static ENTITY_NODE_4226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4224), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4225)],
    };

static ENTITY_NODE_4227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4196), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4221), None, Some(ENTITY_NODE_4226)],
    };

static ENTITY_NODE_4228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x8d")),
      children: &[],
    };

static ENTITY_NODE_4229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4228)],
    };

static ENTITY_NODE_4230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4229)],
    };

static ENTITY_NODE_4231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x8d")),
      children: &[],
    };

static ENTITY_NODE_4232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4231)],
    };

static ENTITY_NODE_4233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4232)],
    };

static ENTITY_NODE_4234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4233)],
    };

static ENTITY_NODE_4235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4230), None, Some(ENTITY_NODE_4234)],
    };

static ENTITY_NODE_4236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa7")),
      children: &[],
    };

static ENTITY_NODE_4237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa7")),
      children: &[Some(ENTITY_NODE_4236)],
    };

static ENTITY_NODE_4238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4237)],
    };

static ENTITY_NODE_4239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4238)],
    };

static ENTITY_NODE_4240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4239)],
    };

static ENTITY_NODE_4241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x89")),
      children: &[],
    };

static ENTITY_NODE_4242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4241)],
    };

static ENTITY_NODE_4243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4242)],
    };

static ENTITY_NODE_4244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4243)],
    };

static ENTITY_NODE_4245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x8c")),
      children: &[],
    };

static ENTITY_NODE_4246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x90")),
      children: &[],
    };

static ENTITY_NODE_4247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4246)],
    };

static ENTITY_NODE_4248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4247)],
    };

static ENTITY_NODE_4249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4245), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4248)],
    };

static ENTITY_NODE_4250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4249)],
    };

static ENTITY_NODE_4251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4250)],
    };

static ENTITY_NODE_4252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4235), None, None, None, Some(ENTITY_NODE_4240), None, None, None, Some(ENTITY_NODE_4244), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4251)],
    };

static ENTITY_NODE_4253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x8b")),
      children: &[],
    };

static ENTITY_NODE_4254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4253)],
    };

static ENTITY_NODE_4255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4254)],
    };

static ENTITY_NODE_4256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4255)],
    };

static ENTITY_NODE_4257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb8")),
      children: &[Some(ENTITY_NODE_223)],
    };

static ENTITY_NODE_4258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4257)],
    };

static ENTITY_NODE_4259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4258)],
    };

static ENTITY_NODE_4260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb2")),
      children: &[],
    };

static ENTITY_NODE_4261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4260)],
    };

static ENTITY_NODE_4262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_4261)],
    };

static ENTITY_NODE_4263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4262)],
    };

static ENTITY_NODE_4264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4263)],
    };

static ENTITY_NODE_4265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4264)],
    };

static ENTITY_NODE_4266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa2")),
      children: &[],
    };

static ENTITY_NODE_4267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_232)],
    };

static ENTITY_NODE_4268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4267)],
    };

static ENTITY_NODE_4269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa2")),
      children: &[Some(ENTITY_NODE_4266), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4268)],
    };

static ENTITY_NODE_4270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4269)],
    };

static ENTITY_NODE_4271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4259), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4265), Some(ENTITY_NODE_4270)],
    };

static ENTITY_NODE_4272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa0")),
      children: &[],
    };

static ENTITY_NODE_4273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4272)],
    };

static ENTITY_NODE_4274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4273)],
    };

static ENTITY_NODE_4275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x87")),
      children: &[],
    };

static ENTITY_NODE_4276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4275)],
    };

static ENTITY_NODE_4277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4276)],
    };

static ENTITY_NODE_4278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9c\x93")),
      children: &[],
    };

static ENTITY_NODE_4279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4278)],
    };

static ENTITY_NODE_4280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4279)],
    };

static ENTITY_NODE_4281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4280)],
    };

static ENTITY_NODE_4282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4281)],
    };

static ENTITY_NODE_4283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4278), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4282)],
    };

static ENTITY_NODE_4284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4283)],
    };

static ENTITY_NODE_4285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4284)],
    };

static ENTITY_NODE_4286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x87")),
      children: &[],
    };

static ENTITY_NODE_4287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4286)],
    };

static ENTITY_NODE_4288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4277), None, Some(ENTITY_NODE_4285), None, None, None, Some(ENTITY_NODE_4287)],
    };

static ENTITY_NODE_4289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\x8b")),
      children: &[],
    };

static ENTITY_NODE_4290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x83")),
      children: &[],
    };

static ENTITY_NODE_4291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4290)],
    };

static ENTITY_NODE_4292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x86")),
      children: &[],
    };

static ENTITY_NODE_4293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x97")),
      children: &[],
    };

static ENTITY_NODE_4294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4293)],
    };

static ENTITY_NODE_4295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4294)],
    };

static ENTITY_NODE_4296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xba")),
      children: &[],
    };

static ENTITY_NODE_4297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4296)],
    };

static ENTITY_NODE_4298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4297)],
    };

static ENTITY_NODE_4299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_4298)],
    };

static ENTITY_NODE_4300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4299)],
    };

static ENTITY_NODE_4301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xbb")),
      children: &[],
    };

static ENTITY_NODE_4302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4301)],
    };

static ENTITY_NODE_4303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4302)],
    };

static ENTITY_NODE_4304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_4303)],
    };

static ENTITY_NODE_4305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4304)],
    };

static ENTITY_NODE_4306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4305)],
    };

static ENTITY_NODE_4307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4300), None, None, None, None, None, Some(ENTITY_NODE_4306)],
    };

static ENTITY_NODE_4308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_4307)],
    };

static ENTITY_NODE_4309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4308)],
    };

static ENTITY_NODE_4310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4309)],
    };

static ENTITY_NODE_4311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4310)],
    };

static ENTITY_NODE_4312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2585)],
    };

static ENTITY_NODE_4313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x93\x88")),
      children: &[],
    };

static ENTITY_NODE_4314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4313)],
    };

static ENTITY_NODE_4315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x9b")),
      children: &[],
    };

static ENTITY_NODE_4316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4315)],
    };

static ENTITY_NODE_4317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4316)],
    };

static ENTITY_NODE_4318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4317)],
    };

static ENTITY_NODE_4319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x9a")),
      children: &[],
    };

static ENTITY_NODE_4320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4319)],
    };

static ENTITY_NODE_4321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4320)],
    };

static ENTITY_NODE_4322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4321)],
    };

static ENTITY_NODE_4323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4322)],
    };

static ENTITY_NODE_4324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x9d")),
      children: &[],
    };

static ENTITY_NODE_4325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4324)],
    };

static ENTITY_NODE_4326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_4325)],
    };

static ENTITY_NODE_4327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4326)],
    };

static ENTITY_NODE_4328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4327)],
    };

static ENTITY_NODE_4329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 82,
      value: None,
      children: &[Some(ENTITY_NODE_4312), Some(ENTITY_NODE_4314), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4318), None, Some(ENTITY_NODE_4323), Some(ENTITY_NODE_4328)],
    };

static ENTITY_NODE_4330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4311), None, None, Some(ENTITY_NODE_4329)],
    };

static ENTITY_NODE_4331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4330)],
    };

static ENTITY_NODE_4332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4292), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4295), None, None, None, None, None, None, Some(ENTITY_NODE_4331)],
    };

static ENTITY_NODE_4333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x90")),
      children: &[],
    };

static ENTITY_NODE_4334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4333)],
    };

static ENTITY_NODE_4335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4334)],
    };

static ENTITY_NODE_4336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4335)],
    };

static ENTITY_NODE_4337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4336)],
    };

static ENTITY_NODE_4338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4337)],
    };

static ENTITY_NODE_4339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xaf")),
      children: &[],
    };

static ENTITY_NODE_4340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4339)],
    };

static ENTITY_NODE_4341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4340)],
    };

static ENTITY_NODE_4342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4341)],
    };

static ENTITY_NODE_4343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x82")),
      children: &[],
    };

static ENTITY_NODE_4344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4343)],
    };

static ENTITY_NODE_4345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4344)],
    };

static ENTITY_NODE_4346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4345)],
    };

static ENTITY_NODE_4347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4346)],
    };

static ENTITY_NODE_4348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4289), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4291), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4332), None, Some(ENTITY_NODE_4294), Some(ENTITY_NODE_4338), None, None, None, None, None, None, Some(ENTITY_NODE_4342), None, None, None, None, None, Some(ENTITY_NODE_4347)],
    };

static ENTITY_NODE_4349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4348)],
    };

static ENTITY_NODE_4350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xa3")),
      children: &[],
    };

static ENTITY_NODE_4351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4350)],
    };

static ENTITY_NODE_4352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4351)],
    };

static ENTITY_NODE_4353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4352)],
    };

static ENTITY_NODE_4354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4350), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4353)],
    };

static ENTITY_NODE_4355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4354)],
    };

static ENTITY_NODE_4356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_4355)],
    };

static ENTITY_NODE_4357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4356)],
    };

static ENTITY_NODE_4358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b":")),
      children: &[],
    };

static ENTITY_NODE_4359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_82), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_83)],
    };

static ENTITY_NODE_4360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4358), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4359)],
    };

static ENTITY_NODE_4361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4360)],
    };

static ENTITY_NODE_4362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4361)],
    };

static ENTITY_NODE_4363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b",")),
      children: &[],
    };

static ENTITY_NODE_4364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"@")),
      children: &[],
    };

static ENTITY_NODE_4365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4364)],
    };

static ENTITY_NODE_4366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4363), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4365)],
    };

static ENTITY_NODE_4367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4366)],
    };

static ENTITY_NODE_4368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x81")),
      children: &[],
    };

static ENTITY_NODE_4369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_2960)],
    };

static ENTITY_NODE_4370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4368)],
    };

static ENTITY_NODE_4371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4370)],
    };

static ENTITY_NODE_4372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4371)],
    };

static ENTITY_NODE_4373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4372)],
    };

static ENTITY_NODE_4374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_349)],
    };

static ENTITY_NODE_4375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4374)],
    };

static ENTITY_NODE_4376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4373), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4375)],
    };

static ENTITY_NODE_4377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4376)],
    };

static ENTITY_NODE_4378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4368), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4369), None, None, None, None, None, Some(ENTITY_NODE_4377)],
    };

static ENTITY_NODE_4379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4367), None, None, Some(ENTITY_NODE_4378)],
    };

static ENTITY_NODE_4380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xad")),
      children: &[],
    };

static ENTITY_NODE_4381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4380)],
    };

static ENTITY_NODE_4382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4381)],
    };

static ENTITY_NODE_4383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4382)],
    };

static ENTITY_NODE_4384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3175), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4383)],
    };

static ENTITY_NODE_4385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_335)],
    };

static ENTITY_NODE_4386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4385)],
    };

static ENTITY_NODE_4387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4384), None, Some(ENTITY_NODE_4386)],
    };

static ENTITY_NODE_4388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x94")),
      children: &[],
    };

static ENTITY_NODE_4389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4388)],
    };

static ENTITY_NODE_4390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_351)],
    };

static ENTITY_NODE_4391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4390)],
    };

static ENTITY_NODE_4392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x97")),
      children: &[],
    };

static ENTITY_NODE_4393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4392)],
    };

static ENTITY_NODE_4394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4393)],
    };

static ENTITY_NODE_4395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa9")),
      children: &[Some(ENTITY_NODE_162), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4394)],
    };

static ENTITY_NODE_4396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_4389), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4391), None, None, None, None, None, None, Some(ENTITY_NODE_4395)],
    };

static ENTITY_NODE_4397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4362), Some(ENTITY_NODE_4379), Some(ENTITY_NODE_4387), None, Some(ENTITY_NODE_4396)],
    };

static ENTITY_NODE_4398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xb5")),
      children: &[],
    };

static ENTITY_NODE_4399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4398)],
    };

static ENTITY_NODE_4400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4399)],
    };

static ENTITY_NODE_4401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4400)],
    };

static ENTITY_NODE_4402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9c\x97")),
      children: &[],
    };

static ENTITY_NODE_4403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4402)],
    };

static ENTITY_NODE_4404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4403)],
    };

static ENTITY_NODE_4405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4404)],
    };

static ENTITY_NODE_4406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4401), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4405)],
    };

static ENTITY_NODE_4407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb8")),
      children: &[],
    };

static ENTITY_NODE_4408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4407)],
    };

static ENTITY_NODE_4409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4408)],
    };

static ENTITY_NODE_4410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x8f")),
      children: &[],
    };

static ENTITY_NODE_4411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x91")),
      children: &[],
    };

static ENTITY_NODE_4412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4411)],
    };

static ENTITY_NODE_4413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4410), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4412)],
    };

static ENTITY_NODE_4414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x90")),
      children: &[],
    };

static ENTITY_NODE_4415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x92")),
      children: &[],
    };

static ENTITY_NODE_4416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4415)],
    };

static ENTITY_NODE_4417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4414), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4416)],
    };

static ENTITY_NODE_4418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_4413), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4417)],
    };

static ENTITY_NODE_4419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4409), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4418)],
    };

static ENTITY_NODE_4420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xaf")),
      children: &[],
    };

static ENTITY_NODE_4421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4420)],
    };

static ENTITY_NODE_4422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4421)],
    };

static ENTITY_NODE_4423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4422)],
    };

static ENTITY_NODE_4424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4423)],
    };

static ENTITY_NODE_4425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xb8")),
      children: &[],
    };

static ENTITY_NODE_4426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4425)],
    };

static ENTITY_NODE_4427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xb5")),
      children: &[],
    };

static ENTITY_NODE_4428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4427)],
    };

static ENTITY_NODE_4429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4426), None, None, None, None, None, Some(ENTITY_NODE_4428)],
    };

static ENTITY_NODE_4430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4429)],
    };

static ENTITY_NODE_4431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4430)],
    };

static ENTITY_NODE_4432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4431)],
    };

static ENTITY_NODE_4433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x9e")),
      children: &[],
    };

static ENTITY_NODE_4434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4433)],
    };

static ENTITY_NODE_4435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4434)],
    };

static ENTITY_NODE_4436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x9f")),
      children: &[],
    };

static ENTITY_NODE_4437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4436)],
    };

static ENTITY_NODE_4438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4437)],
    };

static ENTITY_NODE_4439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4435), None, None, Some(ENTITY_NODE_4438)],
    };

static ENTITY_NODE_4440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xb6")),
      children: &[],
    };

static ENTITY_NODE_4441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xbd")),
      children: &[],
    };

static ENTITY_NODE_4442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4441)],
    };

static ENTITY_NODE_4443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4440), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4442)],
    };

static ENTITY_NODE_4444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4443)],
    };

static ENTITY_NODE_4445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4444)],
    };

static ENTITY_NODE_4446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4445)],
    };

static ENTITY_NODE_4447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xaa")),
      children: &[],
    };

static ENTITY_NODE_4448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x88")),
      children: &[],
    };

static ENTITY_NODE_4449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4448)],
    };

static ENTITY_NODE_4450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4449)],
    };

static ENTITY_NODE_4451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4450)],
    };

static ENTITY_NODE_4452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4451)],
    };

static ENTITY_NODE_4453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4452)],
    };

static ENTITY_NODE_4454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x86")),
      children: &[],
    };

static ENTITY_NODE_4455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4454)],
    };

static ENTITY_NODE_4456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4455)],
    };

static ENTITY_NODE_4457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x8a")),
      children: &[],
    };

static ENTITY_NODE_4458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4457)],
    };

static ENTITY_NODE_4459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4458)],
    };

static ENTITY_NODE_4460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4456), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4459)],
    };

static ENTITY_NODE_4461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8d")),
      children: &[],
    };

static ENTITY_NODE_4462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4461)],
    };

static ENTITY_NODE_4463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4462)],
    };

static ENTITY_NODE_4464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4463)],
    };

static ENTITY_NODE_4465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x85")),
      children: &[],
    };

static ENTITY_NODE_4466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4465)],
    };

static ENTITY_NODE_4467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4466)],
    };

static ENTITY_NODE_4468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xaa\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_4469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4468)],
    };

static ENTITY_NODE_4470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4447), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4453), Some(ENTITY_NODE_4460), Some(ENTITY_NODE_4464), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4467), None, None, None, Some(ENTITY_NODE_4469)],
    };

static ENTITY_NODE_4471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xb7")),
      children: &[],
    };

static ENTITY_NODE_4472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xbc")),
      children: &[],
    };

static ENTITY_NODE_4473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4472)],
    };

static ENTITY_NODE_4474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4471), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4473)],
    };

static ENTITY_NODE_4475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4474)],
    };

static ENTITY_NODE_4476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4475)],
    };

static ENTITY_NODE_4477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4434)],
    };

static ENTITY_NODE_4478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4477)],
    };

static ENTITY_NODE_4479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4478)],
    };

static ENTITY_NODE_4480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4438)],
    };

static ENTITY_NODE_4481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4480)],
    };

static ENTITY_NODE_4482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4479), None, None, Some(ENTITY_NODE_4481)],
    };

static ENTITY_NODE_4483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4482)],
    };

static ENTITY_NODE_4484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x8e")),
      children: &[],
    };

static ENTITY_NODE_4485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4484)],
    };

static ENTITY_NODE_4486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4485)],
    };

static ENTITY_NODE_4487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4486)],
    };

static ENTITY_NODE_4488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x8f")),
      children: &[],
    };

static ENTITY_NODE_4489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4488)],
    };

static ENTITY_NODE_4490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4489)],
    };

static ENTITY_NODE_4491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4490)],
    };

static ENTITY_NODE_4492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4491)],
    };

static ENTITY_NODE_4493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4492)],
    };

static ENTITY_NODE_4494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4483), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4487), Some(ENTITY_NODE_4493)],
    };

static ENTITY_NODE_4495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4494)],
    };

static ENTITY_NODE_4496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa4")),
      children: &[],
    };

static ENTITY_NODE_4497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa4")),
      children: &[Some(ENTITY_NODE_4496)],
    };

static ENTITY_NODE_4498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4497)],
    };

static ENTITY_NODE_4499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4498)],
    };

static ENTITY_NODE_4500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4440)],
    };

static ENTITY_NODE_4501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4500)],
    };

static ENTITY_NODE_4502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_4501)],
    };

static ENTITY_NODE_4503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4502)],
    };

static ENTITY_NODE_4504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4471)],
    };

static ENTITY_NODE_4505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4504)],
    };

static ENTITY_NODE_4506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_4505)],
    };

static ENTITY_NODE_4507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4506)],
    };

static ENTITY_NODE_4508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4507)],
    };

static ENTITY_NODE_4509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4503), None, None, None, None, None, Some(ENTITY_NODE_4508)],
    };

static ENTITY_NODE_4510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_4509)],
    };

static ENTITY_NODE_4511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4510)],
    };

static ENTITY_NODE_4512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4511)],
    };

static ENTITY_NODE_4513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4512)],
    };

static ENTITY_NODE_4514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4513)],
    };

static ENTITY_NODE_4515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4514)],
    };

static ENTITY_NODE_4516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4476), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4495), None, None, None, None, None, Some(ENTITY_NODE_4499), None, None, None, Some(ENTITY_NODE_4515)],
    };

static ENTITY_NODE_4517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4489)],
    };

static ENTITY_NODE_4518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4517)],
    };

static ENTITY_NODE_4519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4432), Some(ENTITY_NODE_4439), None, None, None, None, None, None, Some(ENTITY_NODE_4446), None, None, None, Some(ENTITY_NODE_4470), None, Some(ENTITY_NODE_4516), None, None, None, Some(ENTITY_NODE_4487), Some(ENTITY_NODE_4518)],
    };

static ENTITY_NODE_4520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_269)],
    };

static ENTITY_NODE_4521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4520)],
    };

static ENTITY_NODE_4522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4521)],
    };

static ENTITY_NODE_4523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4522)],
    };

static ENTITY_NODE_4524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4523)],
    };

static ENTITY_NODE_4525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb1")),
      children: &[],
    };

static ENTITY_NODE_4526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4525)],
    };

static ENTITY_NODE_4527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4526)],
    };

static ENTITY_NODE_4528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4527)],
    };

static ENTITY_NODE_4529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4524), None, None, None, None, None, Some(ENTITY_NODE_4528)],
    };

static ENTITY_NODE_4530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\xad")),
      children: &[],
    };

static ENTITY_NODE_4531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4530)],
    };

static ENTITY_NODE_4532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4531)],
    };

static ENTITY_NODE_4533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4532)],
    };

static ENTITY_NODE_4534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4533)],
    };

static ENTITY_NODE_4535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4534)],
    };

static ENTITY_NODE_4536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4227), None, Some(ENTITY_NODE_4252), Some(ENTITY_NODE_4256), Some(ENTITY_NODE_4271), Some(ENTITY_NODE_4274), None, Some(ENTITY_NODE_4288), Some(ENTITY_NODE_4349), None, None, Some(ENTITY_NODE_4357), None, None, Some(ENTITY_NODE_4397), None, None, Some(ENTITY_NODE_4406), Some(ENTITY_NODE_4419), Some(ENTITY_NODE_4424), Some(ENTITY_NODE_4519), None, Some(ENTITY_NODE_4529), None, Some(ENTITY_NODE_4535)],
    };

static ENTITY_NODE_4537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_546)],
    };

static ENTITY_NODE_4538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4537)],
    };

static ENTITY_NODE_4539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa5")),
      children: &[],
    };

static ENTITY_NODE_4540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4539)],
    };

static ENTITY_NODE_4541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4540)],
    };

static ENTITY_NODE_4542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4541)],
    };

static ENTITY_NODE_4543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xa0")),
      children: &[],
    };

static ENTITY_NODE_4544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4543)],
    };

static ENTITY_NODE_4545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4544)],
    };

static ENTITY_NODE_4546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4545)],
    };

static ENTITY_NODE_4547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4546)],
    };

static ENTITY_NODE_4548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb8")),
      children: &[],
    };

static ENTITY_NODE_4549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4548)],
    };

static ENTITY_NODE_4550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_4549)],
    };

static ENTITY_NODE_4551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4550)],
    };

static ENTITY_NODE_4552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4551)],
    };

static ENTITY_NODE_4553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2914)],
    };

static ENTITY_NODE_4554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x90")),
      children: &[],
    };

static ENTITY_NODE_4555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1493)],
    };

static ENTITY_NODE_4556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4554), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4555)],
    };

static ENTITY_NODE_4557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_4556)],
    };

static ENTITY_NODE_4558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4547), None, None, None, None, Some(ENTITY_NODE_4552), None, None, None, None, None, Some(ENTITY_NODE_4553), Some(ENTITY_NODE_4557)],
    };

static ENTITY_NODE_4559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x8f")),
      children: &[],
    };

static ENTITY_NODE_4560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4559)],
    };

static ENTITY_NODE_4561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_4560)],
    };

static ENTITY_NODE_4562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4561)],
    };

static ENTITY_NODE_4563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4562)],
    };

static ENTITY_NODE_4564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4563)],
    };

static ENTITY_NODE_4565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_465)],
    };

static ENTITY_NODE_4566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4565)],
    };

static ENTITY_NODE_4567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4564), Some(ENTITY_NODE_4566)],
    };

static ENTITY_NODE_4568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x8f")),
      children: &[],
    };

static ENTITY_NODE_4569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4568)],
    };

static ENTITY_NODE_4570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4569)],
    };

static ENTITY_NODE_4571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4570)],
    };

static ENTITY_NODE_4572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4571)],
    };

static ENTITY_NODE_4573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb4")),
      children: &[],
    };

static ENTITY_NODE_4574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4573)],
    };

static ENTITY_NODE_4575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4572), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4574)],
    };

static ENTITY_NODE_4576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x8a")),
      children: &[],
    };

static ENTITY_NODE_4577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4576)],
    };

static ENTITY_NODE_4578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4577)],
    };

static ENTITY_NODE_4579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_430), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4578)],
    };

static ENTITY_NODE_4580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb7")),
      children: &[],
    };

static ENTITY_NODE_4581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4580)],
    };

static ENTITY_NODE_4582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4581)],
    };

static ENTITY_NODE_4583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4582)],
    };

static ENTITY_NODE_4584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4583)],
    };

static ENTITY_NODE_4585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4584)],
    };

static ENTITY_NODE_4586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_502), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4579), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4585)],
    };

static ENTITY_NODE_4587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb0")),
      children: &[],
    };

static ENTITY_NODE_4588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb0")),
      children: &[Some(ENTITY_NODE_4587)],
    };

static ENTITY_NODE_4589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb4")),
      children: &[],
    };

static ENTITY_NODE_4590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4589)],
    };

static ENTITY_NODE_4591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4590)],
    };

static ENTITY_NODE_4592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4591)],
    };

static ENTITY_NODE_4593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb1")),
      children: &[],
    };

static ENTITY_NODE_4594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4593)],
    };

static ENTITY_NODE_4595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_4594)],
    };

static ENTITY_NODE_4596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4595)],
    };

static ENTITY_NODE_4597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4596)],
    };

static ENTITY_NODE_4598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4597)],
    };

static ENTITY_NODE_4599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4588), None, None, None, None, Some(ENTITY_NODE_4592), Some(ENTITY_NODE_4598)],
    };

static ENTITY_NODE_4600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xbf")),
      children: &[],
    };

static ENTITY_NODE_4601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4600)],
    };

static ENTITY_NODE_4602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4601)],
    };

static ENTITY_NODE_4603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_4602)],
    };

static ENTITY_NODE_4604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4603)],
    };

static ENTITY_NODE_4605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa1")),
      children: &[],
    };

static ENTITY_NODE_4606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4605)],
    };

static ENTITY_NODE_4607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4604), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4606)],
    };

static ENTITY_NODE_4608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1454)],
    };

static ENTITY_NODE_4609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2723)],
    };

static ENTITY_NODE_4610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4608), None, None, None, None, None, Some(ENTITY_NODE_4609)],
    };

static ENTITY_NODE_4611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4610)],
    };

static ENTITY_NODE_4612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4611)],
    };

static ENTITY_NODE_4613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xa6")),
      children: &[],
    };

static ENTITY_NODE_4614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4613)],
    };

static ENTITY_NODE_4615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4614)],
    };

static ENTITY_NODE_4616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4615)],
    };

static ENTITY_NODE_4617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4616)],
    };

static ENTITY_NODE_4618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_496), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4617)],
    };

static ENTITY_NODE_4619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4618)],
    };

static ENTITY_NODE_4620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4619)],
    };

static ENTITY_NODE_4621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_496), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4620), None, None, None, Some(ENTITY_NODE_4614)],
    };

static ENTITY_NODE_4622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4621)],
    };

static ENTITY_NODE_4623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x9d")),
      children: &[],
    };

static ENTITY_NODE_4624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4623)],
    };

static ENTITY_NODE_4625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4624)],
    };

static ENTITY_NODE_4626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4625)],
    };

static ENTITY_NODE_4627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4626)],
    };

static ENTITY_NODE_4628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4627)],
    };

static ENTITY_NODE_4629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb2")),
      children: &[],
    };

static ENTITY_NODE_4630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4629)],
    };

static ENTITY_NODE_4631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4630)],
    };

static ENTITY_NODE_4632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4631)],
    };

static ENTITY_NODE_4633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb7")),
      children: &[],
    };

static ENTITY_NODE_4634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x87")),
      children: &[],
    };

static ENTITY_NODE_4635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4634)],
    };

static ENTITY_NODE_4636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4635)],
    };

static ENTITY_NODE_4637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4636)],
    };

static ENTITY_NODE_4638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4637)],
    };

static ENTITY_NODE_4639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4638)],
    };

static ENTITY_NODE_4640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4639)],
    };

static ENTITY_NODE_4641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4640)],
    };

static ENTITY_NODE_4642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb7")),
      children: &[Some(ENTITY_NODE_4633), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4641)],
    };

static ENTITY_NODE_4643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4642)],
    };

static ENTITY_NODE_4644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4643)],
    };

static ENTITY_NODE_4645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_4635)],
    };

static ENTITY_NODE_4646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4645)],
    };

static ENTITY_NODE_4647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4633), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4644), None, None, None, None, None, Some(ENTITY_NODE_4646)],
    };

static ENTITY_NODE_4648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4622), None, None, None, Some(ENTITY_NODE_544), None, Some(ENTITY_NODE_4628), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4632), None, None, Some(ENTITY_NODE_4647)],
    };

static ENTITY_NODE_4649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x92")),
      children: &[],
    };

static ENTITY_NODE_4650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4649)],
    };

static ENTITY_NODE_4651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4650)],
    };

static ENTITY_NODE_4652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4651)],
    };

static ENTITY_NODE_4653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x9e")),
      children: &[],
    };

static ENTITY_NODE_4654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4653)],
    };

static ENTITY_NODE_4655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4654)],
    };

static ENTITY_NODE_4656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4655)],
    };

static ENTITY_NODE_4657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x8d")),
      children: &[],
    };

static ENTITY_NODE_4658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4657)],
    };

static ENTITY_NODE_4659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4658)],
    };

static ENTITY_NODE_4660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4659)],
    };

static ENTITY_NODE_4661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4656), None, None, Some(ENTITY_NODE_4660)],
    };

static ENTITY_NODE_4662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4661)],
    };

static ENTITY_NODE_4663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"$")),
      children: &[],
    };

static ENTITY_NODE_4664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4663)],
    };

static ENTITY_NODE_4665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4664)],
    };

static ENTITY_NODE_4666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4665)],
    };

static ENTITY_NODE_4667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4666)],
    };

static ENTITY_NODE_4668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x95")),
      children: &[],
    };

static ENTITY_NODE_4669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4668)],
    };

static ENTITY_NODE_4670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_4669)],
    };

static ENTITY_NODE_4671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x91")),
      children: &[],
    };

static ENTITY_NODE_4672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4671)],
    };

static ENTITY_NODE_4673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4672)],
    };

static ENTITY_NODE_4674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4673)],
    };

static ENTITY_NODE_4675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_523), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4674)],
    };

static ENTITY_NODE_4676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4675)],
    };

static ENTITY_NODE_4677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb8")),
      children: &[],
    };

static ENTITY_NODE_4678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4677)],
    };

static ENTITY_NODE_4679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4678)],
    };

static ENTITY_NODE_4680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4679)],
    };

static ENTITY_NODE_4681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4680)],
    };

static ENTITY_NODE_4682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4681)],
    };

static ENTITY_NODE_4683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x94")),
      children: &[],
    };

static ENTITY_NODE_4684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4683)],
    };

static ENTITY_NODE_4685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4684)],
    };

static ENTITY_NODE_4686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4685)],
    };

static ENTITY_NODE_4687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4686)],
    };

static ENTITY_NODE_4688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa1")),
      children: &[],
    };

static ENTITY_NODE_4689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4688)],
    };

static ENTITY_NODE_4690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4689)],
    };

static ENTITY_NODE_4691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4690)],
    };

static ENTITY_NODE_4692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4691)],
    };

static ENTITY_NODE_4693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4692)],
    };

static ENTITY_NODE_4694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4693)],
    };

static ENTITY_NODE_4695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_462), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4676), None, None, None, None, None, None, None, Some(ENTITY_NODE_4682), None, None, Some(ENTITY_NODE_4687), None, None, Some(ENTITY_NODE_4694)],
    };

static ENTITY_NODE_4696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_110)],
    };

static ENTITY_NODE_4697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4696)],
    };

static ENTITY_NODE_4698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4697)],
    };

static ENTITY_NODE_4699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4698)],
    };

static ENTITY_NODE_4700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_4699)],
    };

static ENTITY_NODE_4701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4700)],
    };

static ENTITY_NODE_4702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4701)],
    };

static ENTITY_NODE_4703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_4702)],
    };

static ENTITY_NODE_4704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4703)],
    };

static ENTITY_NODE_4705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4704)],
    };

static ENTITY_NODE_4706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_4705)],
    };

static ENTITY_NODE_4707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4577)],
    };

static ENTITY_NODE_4708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_4707)],
    };

static ENTITY_NODE_4709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4708)],
    };

static ENTITY_NODE_4710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4709)],
    };

static ENTITY_NODE_4711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4710)],
    };

static ENTITY_NODE_4712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4711)],
    };

static ENTITY_NODE_4713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4712)],
    };

static ENTITY_NODE_4714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_4713)],
    };

static ENTITY_NODE_4715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4714)],
    };

static ENTITY_NODE_4716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4608)],
    };

static ENTITY_NODE_4717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_4716)],
    };

static ENTITY_NODE_4718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4717)],
    };

static ENTITY_NODE_4719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4609)],
    };

static ENTITY_NODE_4720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_4719)],
    };

static ENTITY_NODE_4721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4720)],
    };

static ENTITY_NODE_4722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4721)],
    };

static ENTITY_NODE_4723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4718), None, None, None, None, None, Some(ENTITY_NODE_4722)],
    };

static ENTITY_NODE_4724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4723)],
    };

static ENTITY_NODE_4725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4724)],
    };

static ENTITY_NODE_4726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4725)],
    };

static ENTITY_NODE_4727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4726)],
    };

static ENTITY_NODE_4728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4727)],
    };

static ENTITY_NODE_4729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4728)],
    };

static ENTITY_NODE_4730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2918), None, None, Some(ENTITY_NODE_4715), None, None, None, Some(ENTITY_NODE_4729)],
    };

static ENTITY_NODE_4731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4730)],
    };

static ENTITY_NODE_4732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4667), None, None, None, Some(ENTITY_NODE_4670), None, None, None, Some(ENTITY_NODE_4695), Some(ENTITY_NODE_4706), None, Some(ENTITY_NODE_4731)],
    };

static ENTITY_NODE_4733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_2581)],
    };

static ENTITY_NODE_4734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4733)],
    };

static ENTITY_NODE_4735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4734)],
    };

static ENTITY_NODE_4736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4735)],
    };

static ENTITY_NODE_4737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4736)],
    };

static ENTITY_NODE_4738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x9f")),
      children: &[],
    };

static ENTITY_NODE_4739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4738)],
    };

static ENTITY_NODE_4740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4739)],
    };

static ENTITY_NODE_4741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4740)],
    };

static ENTITY_NODE_4742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x8c")),
      children: &[],
    };

static ENTITY_NODE_4743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4742)],
    };

static ENTITY_NODE_4744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4743)],
    };

static ENTITY_NODE_4745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4744)],
    };

static ENTITY_NODE_4746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4741), None, None, Some(ENTITY_NODE_4745)],
    };

static ENTITY_NODE_4747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_4737), Some(ENTITY_NODE_4746)],
    };

static ENTITY_NODE_4748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xb9")),
      children: &[],
    };

static ENTITY_NODE_4749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4748)],
    };

static ENTITY_NODE_4750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x95")),
      children: &[],
    };

static ENTITY_NODE_4751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4750)],
    };

static ENTITY_NODE_4752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4749), None, None, None, None, None, None, Some(ENTITY_NODE_4751)],
    };

static ENTITY_NODE_4753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\xb6")),
      children: &[],
    };

static ENTITY_NODE_4754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4753)],
    };

static ENTITY_NODE_4755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4754)],
    };

static ENTITY_NODE_4756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x91")),
      children: &[],
    };

static ENTITY_NODE_4757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4756)],
    };

static ENTITY_NODE_4758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_4757)],
    };

static ENTITY_NODE_4759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4758)],
    };

static ENTITY_NODE_4760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4759)],
    };

static ENTITY_NODE_4761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4752), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4755), None, None, None, None, Some(ENTITY_NODE_4760)],
    };

static ENTITY_NODE_4762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb1")),
      children: &[],
    };

static ENTITY_NODE_4763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4762)],
    };

static ENTITY_NODE_4764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4763)],
    };

static ENTITY_NODE_4765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4764)],
    };

static ENTITY_NODE_4766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xbf")),
      children: &[],
    };

static ENTITY_NODE_4767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4766), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3982)],
    };

static ENTITY_NODE_4768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4767)],
    };

static ENTITY_NODE_4769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_4765), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4768)],
    };

static ENTITY_NODE_4770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_668)],
    };

static ENTITY_NODE_4771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4770)],
    };

static ENTITY_NODE_4772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2637)],
    };

static ENTITY_NODE_4773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4772)],
    };

static ENTITY_NODE_4774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4771), None, None, None, None, None, None, Some(ENTITY_NODE_4773)],
    };

static ENTITY_NODE_4775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xa6")),
      children: &[],
    };

static ENTITY_NODE_4776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4775)],
    };

static ENTITY_NODE_4777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4776)],
    };

static ENTITY_NODE_4778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4777)],
    };

static ENTITY_NODE_4779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4778)],
    };

static ENTITY_NODE_4780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4779)],
    };

static ENTITY_NODE_4781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4780)],
    };

static ENTITY_NODE_4782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x9f")),
      children: &[],
    };

static ENTITY_NODE_4783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4782)],
    };

static ENTITY_NODE_4784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4783)],
    };

static ENTITY_NODE_4785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xbf")),
      children: &[],
    };

static ENTITY_NODE_4786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4785)],
    };

static ENTITY_NODE_4787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4786)],
    };

static ENTITY_NODE_4788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4787)],
    };

static ENTITY_NODE_4789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4788)],
    };

static ENTITY_NODE_4790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4789)],
    };

static ENTITY_NODE_4791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4790)],
    };

static ENTITY_NODE_4792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4784), None, None, None, None, None, Some(ENTITY_NODE_4791)],
    };

static ENTITY_NODE_4793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_4538), None, None, None, None, None, None, Some(ENTITY_NODE_4542), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4558), Some(ENTITY_NODE_4567), Some(ENTITY_NODE_4575), Some(ENTITY_NODE_4586), Some(ENTITY_NODE_4599), Some(ENTITY_NODE_4607), None, Some(ENTITY_NODE_4612), Some(ENTITY_NODE_4648), Some(ENTITY_NODE_4652), None, Some(ENTITY_NODE_4662), None, None, Some(ENTITY_NODE_4732), None, None, Some(ENTITY_NODE_4747), Some(ENTITY_NODE_4761), Some(ENTITY_NODE_4769), Some(ENTITY_NODE_4774), None, Some(ENTITY_NODE_4781), None, None, Some(ENTITY_NODE_4792)],
    };

static ENTITY_NODE_4794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4581)],
    };

static ENTITY_NODE_4795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4794)],
    };

static ENTITY_NODE_4796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_4795), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4673)],
    };

static ENTITY_NODE_4797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa9")),
      children: &[],
    };

static ENTITY_NODE_4798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa9")),
      children: &[Some(ENTITY_NODE_4797)],
    };

static ENTITY_NODE_4799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4798)],
    };

static ENTITY_NODE_4800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4799)],
    };

static ENTITY_NODE_4801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4800)],
    };

static ENTITY_NODE_4802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xae")),
      children: &[],
    };

static ENTITY_NODE_4803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4802)],
    };

static ENTITY_NODE_4804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4803)],
    };

static ENTITY_NODE_4805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4804)],
    };

static ENTITY_NODE_4806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4805)],
    };

static ENTITY_NODE_4807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4801), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4806)],
    };

static ENTITY_NODE_4808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x9b")),
      children: &[],
    };

static ENTITY_NODE_4809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4808)],
    };

static ENTITY_NODE_4810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4809)],
    };

static ENTITY_NODE_4811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4810)],
    };

static ENTITY_NODE_4812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4811)],
    };

static ENTITY_NODE_4813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x96")),
      children: &[],
    };

static ENTITY_NODE_4814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xaa")),
      children: &[],
    };

static ENTITY_NODE_4815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xaa")),
      children: &[Some(ENTITY_NODE_4814)],
    };

static ENTITY_NODE_4816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4813), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4815)],
    };

static ENTITY_NODE_4817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4816)],
    };

static ENTITY_NODE_4818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x95")),
      children: &[],
    };

static ENTITY_NODE_4819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4818)],
    };

static ENTITY_NODE_4820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4819)],
    };

static ENTITY_NODE_4821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4820)],
    };

static ENTITY_NODE_4822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4821)],
    };

static ENTITY_NODE_4823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x8d")),
      children: &[],
    };

static ENTITY_NODE_4824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4823)],
    };

static ENTITY_NODE_4825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4812), None, None, None, None, None, None, None, Some(ENTITY_NODE_4817), None, None, None, None, None, Some(ENTITY_NODE_4822), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4824)],
    };

static ENTITY_NODE_4826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x97")),
      children: &[],
    };

static ENTITY_NODE_4827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4826)],
    };

static ENTITY_NODE_4828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4827)],
    };

static ENTITY_NODE_4829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4828)],
    };

static ENTITY_NODE_4830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x92")),
      children: &[],
    };

static ENTITY_NODE_4831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4830)],
    };

static ENTITY_NODE_4832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4831)],
    };

static ENTITY_NODE_4833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4832)],
    };

static ENTITY_NODE_4834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa2")),
      children: &[],
    };

static ENTITY_NODE_4835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4834)],
    };

static ENTITY_NODE_4836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_4833), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4835)],
    };

static ENTITY_NODE_4837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x9a")),
      children: &[],
    };

static ENTITY_NODE_4838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xa8")),
      children: &[],
    };

static ENTITY_NODE_4839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xa8")),
      children: &[Some(ENTITY_NODE_4838)],
    };

static ENTITY_NODE_4840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4839)],
    };

static ENTITY_NODE_4841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_4840)],
    };

static ENTITY_NODE_4842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4841)],
    };

static ENTITY_NODE_4843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x96")),
      children: &[],
    };

static ENTITY_NODE_4844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x98")),
      children: &[],
    };

static ENTITY_NODE_4845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4844)],
    };

static ENTITY_NODE_4846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4845)],
    };

static ENTITY_NODE_4847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4846)],
    };

static ENTITY_NODE_4848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4843), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4847)],
    };

static ENTITY_NODE_4849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4837), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4842), Some(ENTITY_NODE_4848)],
    };

static ENTITY_NODE_4850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x99")),
      children: &[],
    };

static ENTITY_NODE_4851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8f\xa7")),
      children: &[],
    };

static ENTITY_NODE_4852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4851)],
    };

static ENTITY_NODE_4853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4852)],
    };

static ENTITY_NODE_4854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4853)],
    };

static ENTITY_NODE_4855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4854)],
    };

static ENTITY_NODE_4856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4855)],
    };

static ENTITY_NODE_4857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4856)],
    };

static ENTITY_NODE_4858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x93")),
      children: &[],
    };

static ENTITY_NODE_4859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4858)],
    };

static ENTITY_NODE_4860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x95")),
      children: &[],
    };

static ENTITY_NODE_4861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x97")),
      children: &[],
    };

static ENTITY_NODE_4862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4861)],
    };

static ENTITY_NODE_4863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4862)],
    };

static ENTITY_NODE_4864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4863)],
    };

static ENTITY_NODE_4865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4860), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4864)],
    };

static ENTITY_NODE_4866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4850), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4857), None, None, Some(ENTITY_NODE_4859), None, None, None, None, None, None, Some(ENTITY_NODE_4865)],
    };

static ENTITY_NODE_4867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x93")),
      children: &[],
    };

static ENTITY_NODE_4868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4867)],
    };

static ENTITY_NODE_4869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4868)],
    };

static ENTITY_NODE_4870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4869)],
    };

static ENTITY_NODE_4871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x85")),
      children: &[],
    };

static ENTITY_NODE_4872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4871)],
    };

static ENTITY_NODE_4873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4872)],
    };

static ENTITY_NODE_4874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4873)],
    };

static ENTITY_NODE_4875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4871), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4874), None, None, Some(ENTITY_NODE_4872)],
    };

static ENTITY_NODE_4876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_4875)],
    };

static ENTITY_NODE_4877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4876)],
    };

static ENTITY_NODE_4878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x84")),
      children: &[],
    };

static ENTITY_NODE_4879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4878)],
    };

static ENTITY_NODE_4880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x85")),
      children: &[],
    };

static ENTITY_NODE_4881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4880)],
    };

static ENTITY_NODE_4882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 51,
      value: None,
      children: &[Some(ENTITY_NODE_4879), Some(ENTITY_NODE_4881)],
    };

static ENTITY_NODE_4883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x83")),
      children: &[],
    };

static ENTITY_NODE_4884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 49,
      value: None,
      children: &[Some(ENTITY_NODE_4882), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4883)],
    };

static ENTITY_NODE_4885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4884)],
    };

static ENTITY_NODE_4886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4870), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4877), None, None, Some(ENTITY_NODE_4885)],
    };

static ENTITY_NODE_4887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x8b")),
      children: &[],
    };

static ENTITY_NODE_4888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4887)],
    };

static ENTITY_NODE_4889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x82")),
      children: &[],
    };

static ENTITY_NODE_4890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4889)],
    };

static ENTITY_NODE_4891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4890)],
    };

static ENTITY_NODE_4892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4888), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4891)],
    };

static ENTITY_NODE_4893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x99")),
      children: &[],
    };

static ENTITY_NODE_4894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4893)],
    };

static ENTITY_NODE_4895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4894)],
    };

static ENTITY_NODE_4896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4895)],
    };

static ENTITY_NODE_4897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x96")),
      children: &[],
    };

static ENTITY_NODE_4898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4897)],
    };

static ENTITY_NODE_4899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_4898)],
    };

static ENTITY_NODE_4900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4896), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4899)],
    };

static ENTITY_NODE_4901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x95")),
      children: &[],
    };

static ENTITY_NODE_4902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\xa3")),
      children: &[],
    };

static ENTITY_NODE_4903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4902)],
    };

static ENTITY_NODE_4904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4903)],
    };

static ENTITY_NODE_4905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4901), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4904)],
    };

static ENTITY_NODE_4906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4905)],
    };

static ENTITY_NODE_4907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb1")),
      children: &[],
    };

static ENTITY_NODE_4908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4907)],
    };

static ENTITY_NODE_4909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4908)],
    };

static ENTITY_NODE_4910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_4909)],
    };

static ENTITY_NODE_4911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb5")),
      children: &[],
    };

static ENTITY_NODE_4912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4911)],
    };

static ENTITY_NODE_4913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4912)],
    };

static ENTITY_NODE_4914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4913)],
    };

static ENTITY_NODE_4915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\xb5")),
      children: &[],
    };

static ENTITY_NODE_4916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4915)],
    };

static ENTITY_NODE_4917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4911), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4914), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4916)],
    };

static ENTITY_NODE_4918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4917)],
    };

static ENTITY_NODE_4919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4906), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4910), None, None, None, None, None, None, Some(ENTITY_NODE_4918)],
    };

static ENTITY_NODE_4920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4813)],
    };

static ENTITY_NODE_4921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4920)],
    };

static ENTITY_NODE_4922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4921)],
    };

static ENTITY_NODE_4923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4922), None, None, None, None, None, Some(ENTITY_NODE_4822)],
    };

static ENTITY_NODE_4924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_869)],
    };

static ENTITY_NODE_4925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4843)],
    };

static ENTITY_NODE_4926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4925)],
    };

static ENTITY_NODE_4927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4926)],
    };

static ENTITY_NODE_4928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4860)],
    };

static ENTITY_NODE_4929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4928)],
    };

static ENTITY_NODE_4930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4929)],
    };

static ENTITY_NODE_4931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4930)],
    };

static ENTITY_NODE_4932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4927), None, None, None, None, Some(ENTITY_NODE_4931)],
    };

static ENTITY_NODE_4933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4932)],
    };

static ENTITY_NODE_4934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4933)],
    };

static ENTITY_NODE_4935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4934)],
    };

static ENTITY_NODE_4936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4924), None, None, Some(ENTITY_NODE_4935)],
    };

static ENTITY_NODE_4937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"=")),
      children: &[],
    };

static ENTITY_NODE_4938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4937)],
    };

static ENTITY_NODE_4939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4938)],
    };

static ENTITY_NODE_4940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4939)],
    };

static ENTITY_NODE_4941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x9f")),
      children: &[],
    };

static ENTITY_NODE_4942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4941)],
    };

static ENTITY_NODE_4943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4942)],
    };

static ENTITY_NODE_4944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4943)],
    };

static ENTITY_NODE_4945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb8")),
      children: &[],
    };

static ENTITY_NODE_4946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4945)],
    };

static ENTITY_NODE_4947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_4946)],
    };

static ENTITY_NODE_4948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_323), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4947)],
    };

static ENTITY_NODE_4949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_4948)],
    };

static ENTITY_NODE_4950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4940), None, None, None, Some(ENTITY_NODE_4944), None, None, None, Some(ENTITY_NODE_4949)],
    };

static ENTITY_NODE_4951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\xa5")),
      children: &[],
    };

static ENTITY_NODE_4952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4951)],
    };

static ENTITY_NODE_4953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4952)],
    };

static ENTITY_NODE_4954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4953)],
    };

static ENTITY_NODE_4955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4954)],
    };

static ENTITY_NODE_4956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4955)],
    };

static ENTITY_NODE_4957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_4956)],
    };

static ENTITY_NODE_4958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4923), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4936), None, Some(ENTITY_NODE_4950), Some(ENTITY_NODE_4957)],
    };

static ENTITY_NODE_4959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x93")),
      children: &[],
    };

static ENTITY_NODE_4960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4959)],
    };

static ENTITY_NODE_4961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4960)],
    };

static ENTITY_NODE_4962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4961)],
    };

static ENTITY_NODE_4963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb1")),
      children: &[],
    };

static ENTITY_NODE_4964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4963)],
    };

static ENTITY_NODE_4965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4964)],
    };

static ENTITY_NODE_4966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4965)],
    };

static ENTITY_NODE_4967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_4962), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4966)],
    };

static ENTITY_NODE_4968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xaf")),
      children: &[],
    };

static ENTITY_NODE_4969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4968)],
    };

static ENTITY_NODE_4970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4969)],
    };

static ENTITY_NODE_4971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_524)],
    };

static ENTITY_NODE_4972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4971)],
    };

static ENTITY_NODE_4973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4970), Some(ENTITY_NODE_4972), None, None, None, None, Some(ENTITY_NODE_4924)],
    };

static ENTITY_NODE_4974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb7")),
      children: &[],
    };

static ENTITY_NODE_4975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4974)],
    };

static ENTITY_NODE_4976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb0")),
      children: &[],
    };

static ENTITY_NODE_4977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb0")),
      children: &[Some(ENTITY_NODE_4976)],
    };

static ENTITY_NODE_4978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4975), None, None, None, None, None, None, Some(ENTITY_NODE_4977)],
    };

static ENTITY_NODE_4979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xab")),
      children: &[],
    };

static ENTITY_NODE_4980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xab")),
      children: &[Some(ENTITY_NODE_4979)],
    };

static ENTITY_NODE_4981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4980)],
    };

static ENTITY_NODE_4982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x82\xac")),
      children: &[],
    };

static ENTITY_NODE_4983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4982)],
    };

static ENTITY_NODE_4984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4983)],
    };

static ENTITY_NODE_4985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_4981), None, None, None, None, Some(ENTITY_NODE_4984)],
    };

static ENTITY_NODE_4986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"!")),
      children: &[],
    };

static ENTITY_NODE_4987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4986)],
    };

static ENTITY_NODE_4988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4987)],
    };

static ENTITY_NODE_4989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_902)],
    };

static ENTITY_NODE_4990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_4989)],
    };

static ENTITY_NODE_4991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_888)],
    };

static ENTITY_NODE_4992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4991)],
    };

static ENTITY_NODE_4993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_4992)],
    };

static ENTITY_NODE_4994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4993)],
    };

static ENTITY_NODE_4995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4994)],
    };

static ENTITY_NODE_4996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_4995)],
    };

static ENTITY_NODE_4997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4996)],
    };

static ENTITY_NODE_4998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_907)],
    };

static ENTITY_NODE_4999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_4998)],
    };

static ENTITY_NODE_5000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4999)],
    };

static ENTITY_NODE_5001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5000)],
    };

static ENTITY_NODE_5002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5001)],
    };

static ENTITY_NODE_5003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5002)],
    };

static ENTITY_NODE_5004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5003)],
    };

static ENTITY_NODE_5005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5004)],
    };

static ENTITY_NODE_5006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_4997), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5005)],
    };

static ENTITY_NODE_5007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_4988), None, None, None, None, None, Some(ENTITY_NODE_4990), None, None, None, None, None, None, Some(ENTITY_NODE_5006)],
    };

static ENTITY_NODE_5008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_4796), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4807), None, Some(ENTITY_NODE_4825), Some(ENTITY_NODE_4829), Some(ENTITY_NODE_907), Some(ENTITY_NODE_4836), Some(ENTITY_NODE_4849), None, None, None, None, Some(ENTITY_NODE_4866), Some(ENTITY_NODE_4886), Some(ENTITY_NODE_4892), Some(ENTITY_NODE_4900), Some(ENTITY_NODE_4919), Some(ENTITY_NODE_4958), Some(ENTITY_NODE_4967), Some(ENTITY_NODE_4973), Some(ENTITY_NODE_4978), Some(ENTITY_NODE_4985), None, None, Some(ENTITY_NODE_5007)],
    };

static ENTITY_NODE_5009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4831)],
    };

static ENTITY_NODE_5010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5009)],
    };

static ENTITY_NODE_5011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5010)],
    };

static ENTITY_NODE_5012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5011)],
    };

static ENTITY_NODE_5013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5012)],
    };

static ENTITY_NODE_5014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5013)],
    };

static ENTITY_NODE_5015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5014)],
    };

static ENTITY_NODE_5016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5015)],
    };

static ENTITY_NODE_5017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5016)],
    };

static ENTITY_NODE_5018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5017)],
    };

static ENTITY_NODE_5019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5018)],
    };

static ENTITY_NODE_5020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x84")),
      children: &[],
    };

static ENTITY_NODE_5021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5020)],
    };

static ENTITY_NODE_5022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5021)],
    };

static ENTITY_NODE_5023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\x80")),
      children: &[],
    };

static ENTITY_NODE_5024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5023)],
    };

static ENTITY_NODE_5025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5024)],
    };

static ENTITY_NODE_5026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5025)],
    };

static ENTITY_NODE_5027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5026)],
    };

static ENTITY_NODE_5028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5027)],
    };

static ENTITY_NODE_5029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xef\xac\x83")),
      children: &[],
    };

static ENTITY_NODE_5030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5029)],
    };

static ENTITY_NODE_5031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5030)],
    };

static ENTITY_NODE_5032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5031)],
    };

static ENTITY_NODE_5033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5032)],
    };

static ENTITY_NODE_5034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xef\xac\x80")),
      children: &[],
    };

static ENTITY_NODE_5035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5034)],
    };

static ENTITY_NODE_5036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5035)],
    };

static ENTITY_NODE_5037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xef\xac\x84")),
      children: &[],
    };

static ENTITY_NODE_5038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5037)],
    };

static ENTITY_NODE_5039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5038)],
    };

static ENTITY_NODE_5040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5039)],
    };

static ENTITY_NODE_5041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5036), None, None, Some(ENTITY_NODE_5040)],
    };

static ENTITY_NODE_5042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa3")),
      children: &[],
    };

static ENTITY_NODE_5043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5042)],
    };

static ENTITY_NODE_5044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5033), None, None, Some(ENTITY_NODE_5041), None, None, None, None, None, Some(ENTITY_NODE_5043)],
    };

static ENTITY_NODE_5045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xef\xac\x81")),
      children: &[],
    };

static ENTITY_NODE_5046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5045)],
    };

static ENTITY_NODE_5047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5046)],
    };

static ENTITY_NODE_5048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5047)],
    };

static ENTITY_NODE_5049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5048)],
    };

static ENTITY_NODE_5050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"fj")),
      children: &[],
    };

static ENTITY_NODE_5051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5050)],
    };

static ENTITY_NODE_5052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5051)],
    };

static ENTITY_NODE_5053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5052)],
    };

static ENTITY_NODE_5054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5053)],
    };

static ENTITY_NODE_5055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xad")),
      children: &[],
    };

static ENTITY_NODE_5056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5055)],
    };

static ENTITY_NODE_5057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5056)],
    };

static ENTITY_NODE_5058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xef\xac\x82")),
      children: &[],
    };

static ENTITY_NODE_5059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5058)],
    };

static ENTITY_NODE_5060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5059)],
    };

static ENTITY_NODE_5061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5060)],
    };

static ENTITY_NODE_5062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xb1")),
      children: &[],
    };

static ENTITY_NODE_5063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5062)],
    };

static ENTITY_NODE_5064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5063)],
    };

static ENTITY_NODE_5065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5064)],
    };

static ENTITY_NODE_5066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5057), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5061), None, None, None, None, None, None, None, Some(ENTITY_NODE_5065)],
    };

static ENTITY_NODE_5067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc6\x92")),
      children: &[],
    };

static ENTITY_NODE_5068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5067)],
    };

static ENTITY_NODE_5069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5068)],
    };

static ENTITY_NODE_5070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5069)],
    };

static ENTITY_NODE_5071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x97")),
      children: &[],
    };

static ENTITY_NODE_5072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5071)],
    };

static ENTITY_NODE_5073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5072)],
    };

static ENTITY_NODE_5074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x94")),
      children: &[],
    };

static ENTITY_NODE_5075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x99")),
      children: &[],
    };

static ENTITY_NODE_5076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5075)],
    };

static ENTITY_NODE_5077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5074), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5076)],
    };

static ENTITY_NODE_5078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_964), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5077)],
    };

static ENTITY_NODE_5079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5073), None, Some(ENTITY_NODE_5078)],
    };

static ENTITY_NODE_5080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x8d")),
      children: &[],
    };

static ENTITY_NODE_5081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5080)],
    };

static ENTITY_NODE_5082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5081)],
    };

static ENTITY_NODE_5083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5082)],
    };

static ENTITY_NODE_5084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5083)],
    };

static ENTITY_NODE_5085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5084)],
    };

static ENTITY_NODE_5086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5085)],
    };

static ENTITY_NODE_5087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5086)],
    };

static ENTITY_NODE_5088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xbd")),
      children: &[],
    };

static ENTITY_NODE_5089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xbd")),
      children: &[Some(ENTITY_NODE_5088)],
    };

static ENTITY_NODE_5090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x93")),
      children: &[],
    };

static ENTITY_NODE_5091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5090)],
    };

static ENTITY_NODE_5092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xbc")),
      children: &[],
    };

static ENTITY_NODE_5093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xbc")),
      children: &[Some(ENTITY_NODE_5092)],
    };

static ENTITY_NODE_5094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x95")),
      children: &[],
    };

static ENTITY_NODE_5095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5094)],
    };

static ENTITY_NODE_5096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x99")),
      children: &[],
    };

static ENTITY_NODE_5097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5096)],
    };

static ENTITY_NODE_5098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x9b")),
      children: &[],
    };

static ENTITY_NODE_5099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5098)],
    };

static ENTITY_NODE_5100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 50,
      value: None,
      children: &[Some(ENTITY_NODE_5089), Some(ENTITY_NODE_5091), Some(ENTITY_NODE_5093), Some(ENTITY_NODE_5095), Some(ENTITY_NODE_5097), None, Some(ENTITY_NODE_5099)],
    };

static ENTITY_NODE_5101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x94")),
      children: &[],
    };

static ENTITY_NODE_5102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5101)],
    };

static ENTITY_NODE_5103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x96")),
      children: &[],
    };

static ENTITY_NODE_5104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5103)],
    };

static ENTITY_NODE_5105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 51,
      value: None,
      children: &[Some(ENTITY_NODE_5102), None, Some(ENTITY_NODE_5104)],
    };

static ENTITY_NODE_5106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xbe")),
      children: &[],
    };

static ENTITY_NODE_5107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xbe")),
      children: &[Some(ENTITY_NODE_5106)],
    };

static ENTITY_NODE_5108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x97")),
      children: &[],
    };

static ENTITY_NODE_5109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5108)],
    };

static ENTITY_NODE_5110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x9c")),
      children: &[],
    };

static ENTITY_NODE_5111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5110)],
    };

static ENTITY_NODE_5112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 52,
      value: None,
      children: &[Some(ENTITY_NODE_5107), Some(ENTITY_NODE_5109), None, None, Some(ENTITY_NODE_5111)],
    };

static ENTITY_NODE_5113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x98")),
      children: &[],
    };

static ENTITY_NODE_5114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5113)],
    };

static ENTITY_NODE_5115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 53,
      value: None,
      children: &[Some(ENTITY_NODE_5114)],
    };

static ENTITY_NODE_5116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x9a")),
      children: &[],
    };

static ENTITY_NODE_5117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5116)],
    };

static ENTITY_NODE_5118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x9d")),
      children: &[],
    };

static ENTITY_NODE_5119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5118)],
    };

static ENTITY_NODE_5120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 54,
      value: None,
      children: &[Some(ENTITY_NODE_5117), None, Some(ENTITY_NODE_5119)],
    };

static ENTITY_NODE_5121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x85\x9e")),
      children: &[],
    };

static ENTITY_NODE_5122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5121)],
    };

static ENTITY_NODE_5123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 56,
      value: None,
      children: &[Some(ENTITY_NODE_5122)],
    };

static ENTITY_NODE_5124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 49,
      value: None,
      children: &[Some(ENTITY_NODE_5100), Some(ENTITY_NODE_5105), Some(ENTITY_NODE_5112), Some(ENTITY_NODE_5115), Some(ENTITY_NODE_5120), None, Some(ENTITY_NODE_5123)],
    };

static ENTITY_NODE_5125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\x84")),
      children: &[],
    };

static ENTITY_NODE_5126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5125)],
    };

static ENTITY_NODE_5127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5126)],
    };

static ENTITY_NODE_5128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5124), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5127)],
    };

static ENTITY_NODE_5129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\xa2")),
      children: &[],
    };

static ENTITY_NODE_5130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5129)],
    };

static ENTITY_NODE_5131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5130)],
    };

static ENTITY_NODE_5132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5131)],
    };

static ENTITY_NODE_5133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5128), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5132)],
    };

static ENTITY_NODE_5134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xbb")),
      children: &[],
    };

static ENTITY_NODE_5135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5134)],
    };

static ENTITY_NODE_5136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5135)],
    };

static ENTITY_NODE_5137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5136)],
    };

static ENTITY_NODE_5138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5019), None, Some(ENTITY_NODE_5022), None, Some(ENTITY_NODE_5028), Some(ENTITY_NODE_5044), None, None, Some(ENTITY_NODE_5049), Some(ENTITY_NODE_5054), None, Some(ENTITY_NODE_5066), None, Some(ENTITY_NODE_5070), Some(ENTITY_NODE_5079), Some(ENTITY_NODE_5087), None, Some(ENTITY_NODE_5133), Some(ENTITY_NODE_5137)],
    };

static ENTITY_NODE_5139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x8c")),
      children: &[],
    };

static ENTITY_NODE_5140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5139)],
    };

static ENTITY_NODE_5141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1034), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5140)],
    };

static ENTITY_NODE_5142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc7\xb5")),
      children: &[],
    };

static ENTITY_NODE_5143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5142)],
    };

static ENTITY_NODE_5144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5143)],
    };

static ENTITY_NODE_5145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5144)],
    };

static ENTITY_NODE_5146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5145)],
    };

static ENTITY_NODE_5147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb3")),
      children: &[],
    };

static ENTITY_NODE_5148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5147), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4624)],
    };

static ENTITY_NODE_5149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5148)],
    };

static ENTITY_NODE_5150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5149)],
    };

static ENTITY_NODE_5151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x86")),
      children: &[],
    };

static ENTITY_NODE_5152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5151)],
    };

static ENTITY_NODE_5153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5146), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5150), None, None, Some(ENTITY_NODE_5152)],
    };

static ENTITY_NODE_5154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x9f")),
      children: &[],
    };

static ENTITY_NODE_5155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5154)],
    };

static ENTITY_NODE_5156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5155)],
    };

static ENTITY_NODE_5157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_5156)],
    };

static ENTITY_NODE_5158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5157)],
    };

static ENTITY_NODE_5159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5158)],
    };

static ENTITY_NODE_5160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\x9d")),
      children: &[],
    };

static ENTITY_NODE_5161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5160)],
    };

static ENTITY_NODE_5162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5161)],
    };

static ENTITY_NODE_5163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5162)],
    };

static ENTITY_NODE_5164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb3")),
      children: &[],
    };

static ENTITY_NODE_5165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5164)],
    };

static ENTITY_NODE_5166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5163), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5165)],
    };

static ENTITY_NODE_5167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa1")),
      children: &[],
    };

static ENTITY_NODE_5168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5167)],
    };

static ENTITY_NODE_5169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5168)],
    };

static ENTITY_NODE_5170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5169)],
    };

static ENTITY_NODE_5171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1058)],
    };

static ENTITY_NODE_5172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5171)],
    };

static ENTITY_NODE_5173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5172)],
    };

static ENTITY_NODE_5174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5173)],
    };

static ENTITY_NODE_5175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1023), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1035), None, Some(ENTITY_NODE_5174)],
    };

static ENTITY_NODE_5176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa9")),
      children: &[],
    };

static ENTITY_NODE_5177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5176)],
    };

static ENTITY_NODE_5178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5177)],
    };

static ENTITY_NODE_5179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x80")),
      children: &[],
    };

static ENTITY_NODE_5180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x82")),
      children: &[],
    };

static ENTITY_NODE_5181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x84")),
      children: &[],
    };

static ENTITY_NODE_5182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5181)],
    };

static ENTITY_NODE_5183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5180), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5182)],
    };

static ENTITY_NODE_5184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5179), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5183)],
    };

static ENTITY_NODE_5185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5184)],
    };

static ENTITY_NODE_5186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5185)],
    };

static ENTITY_NODE_5187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x9b\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_5188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x94")),
      children: &[],
    };

static ENTITY_NODE_5189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5188)],
    };

static ENTITY_NODE_5190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5189)],
    };

static ENTITY_NODE_5191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5187), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5190)],
    };

static ENTITY_NODE_5192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1057), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5178), Some(ENTITY_NODE_5186), None, None, None, None, None, None, None, Some(ENTITY_NODE_5191)],
    };

static ENTITY_NODE_5193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1023), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1025), None, None, None, None, Some(ENTITY_NODE_5175), None, Some(ENTITY_NODE_5192)],
    };

static ENTITY_NODE_5194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa4")),
      children: &[],
    };

static ENTITY_NODE_5195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5194)],
    };

static ENTITY_NODE_5196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5195)],
    };

static ENTITY_NODE_5197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1084), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1018)],
    };

static ENTITY_NODE_5198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb7")),
      children: &[],
    };

static ENTITY_NODE_5199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5198)],
    };

static ENTITY_NODE_5200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5199)],
    };

static ENTITY_NODE_5201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5200)],
    };

static ENTITY_NODE_5202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5201)],
    };

static ENTITY_NODE_5203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x93")),
      children: &[],
    };

static ENTITY_NODE_5204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5203)],
    };

static ENTITY_NODE_5205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5204)],
    };

static ENTITY_NODE_5206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5205)],
    };

static ENTITY_NODE_5207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x92")),
      children: &[],
    };

static ENTITY_NODE_5208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5207)],
    };

static ENTITY_NODE_5209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa5")),
      children: &[],
    };

static ENTITY_NODE_5210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5209)],
    };

static ENTITY_NODE_5211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa4")),
      children: &[],
    };

static ENTITY_NODE_5212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5211)],
    };

static ENTITY_NODE_5213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1052), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5208), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5210), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5212)],
    };

static ENTITY_NODE_5214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa9")),
      children: &[],
    };

static ENTITY_NODE_5215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5214)],
    };

static ENTITY_NODE_5216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x8a")),
      children: &[],
    };

static ENTITY_NODE_5217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5216)],
    };

static ENTITY_NODE_5218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_5217)],
    };

static ENTITY_NODE_5219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5218)],
    };

static ENTITY_NODE_5220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5219)],
    };

static ENTITY_NODE_5221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5216), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5220)],
    };

static ENTITY_NODE_5222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5221)],
    };

static ENTITY_NODE_5223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x88")),
      children: &[],
    };

static ENTITY_NODE_5224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5223), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5215)],
    };

static ENTITY_NODE_5225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5223), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5224)],
    };

static ENTITY_NODE_5226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa7")),
      children: &[],
    };

static ENTITY_NODE_5227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5226)],
    };

static ENTITY_NODE_5228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5227)],
    };

static ENTITY_NODE_5229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5228)],
    };

static ENTITY_NODE_5230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_5215), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5222), None, None, None, Some(ENTITY_NODE_5225), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5229)],
    };

static ENTITY_NODE_5231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x98")),
      children: &[],
    };

static ENTITY_NODE_5232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5231)],
    };

static ENTITY_NODE_5233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5232)],
    };

static ENTITY_NODE_5234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5233)],
    };

static ENTITY_NODE_5235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x8a")),
      children: &[],
    };

static ENTITY_NODE_5236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5235)],
    };

static ENTITY_NODE_5237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5236)],
    };

static ENTITY_NODE_5238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x8e")),
      children: &[],
    };

static ENTITY_NODE_5239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5238)],
    };

static ENTITY_NODE_5240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x90")),
      children: &[],
    };

static ENTITY_NODE_5241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5240)],
    };

static ENTITY_NODE_5242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1068), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5239), None, None, None, None, None, None, Some(ENTITY_NODE_5241)],
    };

static ENTITY_NODE_5243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5242)],
    };

static ENTITY_NODE_5244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5237), None, None, None, None, None, Some(ENTITY_NODE_5243)],
    };

static ENTITY_NODE_5245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa7")),
      children: &[],
    };

static ENTITY_NODE_5246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5245)],
    };

static ENTITY_NODE_5247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xba")),
      children: &[],
    };

static ENTITY_NODE_5248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5247)],
    };

static ENTITY_NODE_5249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5248)],
    };

static ENTITY_NODE_5250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5246), None, None, None, None, None, Some(ENTITY_NODE_5249)],
    };

static ENTITY_NODE_5251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x97")),
      children: &[],
    };

static ENTITY_NODE_5252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5251)],
    };

static ENTITY_NODE_5253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5252)],
    };

static ENTITY_NODE_5254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5253)],
    };

static ENTITY_NODE_5255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x95")),
      children: &[],
    };

static ENTITY_NODE_5256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5255)],
    };

static ENTITY_NODE_5257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5256)],
    };

static ENTITY_NODE_5258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5257)],
    };

static ENTITY_NODE_5259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 80,
      value: None,
      children: &[Some(ENTITY_NODE_5258)],
    };

static ENTITY_NODE_5260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xbc")),
      children: &[],
    };

static ENTITY_NODE_5261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5260)],
    };

static ENTITY_NODE_5262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5261)],
    };

static ENTITY_NODE_5263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5262)],
    };

static ENTITY_NODE_5264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5263)],
    };

static ENTITY_NODE_5265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5264)],
    };

static ENTITY_NODE_5266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_5152)],
    };

static ENTITY_NODE_5267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5266)],
    };

static ENTITY_NODE_5268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5267)],
    };

static ENTITY_NODE_5269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5268)],
    };

static ENTITY_NODE_5270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb8")),
      children: &[],
    };

static ENTITY_NODE_5271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5270)],
    };

static ENTITY_NODE_5272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5271)],
    };

static ENTITY_NODE_5273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5269), None, Some(ENTITY_NODE_5272)],
    };

static ENTITY_NODE_5274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5140)],
    };

static ENTITY_NODE_5275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5274)],
    };

static ENTITY_NODE_5276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5275)],
    };

static ENTITY_NODE_5277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5276)],
    };

static ENTITY_NODE_5278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1028), None, None, None, None, Some(ENTITY_NODE_5277)],
    };

static ENTITY_NODE_5279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_5278)],
    };

static ENTITY_NODE_5280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1069)],
    };

static ENTITY_NODE_5281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5280)],
    };

static ENTITY_NODE_5282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5273), None, None, Some(ENTITY_NODE_5254), Some(ENTITY_NODE_5279), None, None, None, None, None, None, Some(ENTITY_NODE_1056), None, None, None, None, None, None, Some(ENTITY_NODE_5281)],
    };

static ENTITY_NODE_5283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b">")),
      children: &[Some(ENTITY_NODE_983), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5250), Some(ENTITY_NODE_5254), None, None, None, None, None, None, None, Some(ENTITY_NODE_5259), None, None, None, None, Some(ENTITY_NODE_5265), Some(ENTITY_NODE_5282)],
    };

static ENTITY_NODE_5284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa9\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_5285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5284)],
    };

static ENTITY_NODE_5286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_5285)],
    };

static ENTITY_NODE_5287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_5286)],
    };

static ENTITY_NODE_5288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5287)],
    };

static ENTITY_NODE_5289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5288)],
    };

static ENTITY_NODE_5290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5289)],
    };

static ENTITY_NODE_5291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5290)],
    };

static ENTITY_NODE_5292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_5285)],
    };

static ENTITY_NODE_5293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5291), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5292)],
    };

static ENTITY_NODE_5294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_5141), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5153), Some(ENTITY_NODE_5159), Some(ENTITY_NODE_5166), Some(ENTITY_NODE_5170), Some(ENTITY_NODE_5193), Some(ENTITY_NODE_5196), Some(ENTITY_NODE_5197), None, Some(ENTITY_NODE_5202), Some(ENTITY_NODE_5206), None, Some(ENTITY_NODE_5213), None, Some(ENTITY_NODE_5230), Some(ENTITY_NODE_5234), None, None, Some(ENTITY_NODE_480), Some(ENTITY_NODE_5244), Some(ENTITY_NODE_5283), None, Some(ENTITY_NODE_5293)],
    };

static ENTITY_NODE_5295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_562)],
    };

static ENTITY_NODE_5296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5295)],
    };

static ENTITY_NODE_5297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3477)],
    };

static ENTITY_NODE_5298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5297)],
    };

static ENTITY_NODE_5299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5298)],
    };

static ENTITY_NODE_5300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5088)],
    };

static ENTITY_NODE_5301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5300)],
    };

static ENTITY_NODE_5302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1109)],
    };

static ENTITY_NODE_5303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5302)],
    };

static ENTITY_NODE_5304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5303)],
    };

static ENTITY_NODE_5305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x8a")),
      children: &[],
    };

static ENTITY_NODE_5306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5305)],
    };

static ENTITY_NODE_5307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5306)],
    };

static ENTITY_NODE_5308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5307)],
    };

static ENTITY_NODE_5309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x88")),
      children: &[],
    };

static ENTITY_NODE_5310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5309)],
    };

static ENTITY_NODE_5311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5310)],
    };

static ENTITY_NODE_5312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5311)],
    };

static ENTITY_NODE_5313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xad")),
      children: &[],
    };

static ENTITY_NODE_5314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5313)],
    };

static ENTITY_NODE_5315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1475), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5312), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5314)],
    };

static ENTITY_NODE_5316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5308), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5315)],
    };

static ENTITY_NODE_5317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5299), None, None, Some(ENTITY_NODE_5301), Some(ENTITY_NODE_5304), None, None, None, None, Some(ENTITY_NODE_5316)],
    };

static ENTITY_NODE_5318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x8f")),
      children: &[],
    };

static ENTITY_NODE_5319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5318)],
    };

static ENTITY_NODE_5320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5319)],
    };

static ENTITY_NODE_5321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5320)],
    };

static ENTITY_NODE_5322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa5")),
      children: &[],
    };

static ENTITY_NODE_5323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5322)],
    };

static ENTITY_NODE_5324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5323)],
    };

static ENTITY_NODE_5325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5324)],
    };

static ENTITY_NODE_5326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5325)],
    };

static ENTITY_NODE_5327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xa5")),
      children: &[],
    };

static ENTITY_NODE_5328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5327)],
    };

static ENTITY_NODE_5329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5328)],
    };

static ENTITY_NODE_5330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5329)],
    };

static ENTITY_NODE_5331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5327), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5330)],
    };

static ENTITY_NODE_5332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5331)],
    };

static ENTITY_NODE_5333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5332)],
    };

static ENTITY_NODE_5334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5333)],
    };

static ENTITY_NODE_5335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xa6")),
      children: &[],
    };

static ENTITY_NODE_5336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5335)],
    };

static ENTITY_NODE_5337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5336)],
    };

static ENTITY_NODE_5338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5337)],
    };

static ENTITY_NODE_5339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5338)],
    };

static ENTITY_NODE_5340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb9")),
      children: &[],
    };

static ENTITY_NODE_5341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5340)],
    };

static ENTITY_NODE_5342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5341)],
    };

static ENTITY_NODE_5343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5342)],
    };

static ENTITY_NODE_5344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5343)],
    };

static ENTITY_NODE_5345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5334), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5339), None, None, None, None, None, Some(ENTITY_NODE_5344)],
    };

static ENTITY_NODE_5346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa5")),
      children: &[],
    };

static ENTITY_NODE_5347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5346)],
    };

static ENTITY_NODE_5348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5347)],
    };

static ENTITY_NODE_5349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa5")),
      children: &[],
    };

static ENTITY_NODE_5350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5349)],
    };

static ENTITY_NODE_5351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5350)],
    };

static ENTITY_NODE_5352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5351)],
    };

static ENTITY_NODE_5353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5352)],
    };

static ENTITY_NODE_5354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5353)],
    };

static ENTITY_NODE_5355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa6")),
      children: &[],
    };

static ENTITY_NODE_5356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5355)],
    };

static ENTITY_NODE_5357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5356)],
    };

static ENTITY_NODE_5358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5357)],
    };

static ENTITY_NODE_5359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5358)],
    };

static ENTITY_NODE_5360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5359)],
    };

static ENTITY_NODE_5361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5354), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5360)],
    };

static ENTITY_NODE_5362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5361)],
    };

static ENTITY_NODE_5363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\xbf")),
      children: &[],
    };

static ENTITY_NODE_5364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5363)],
    };

static ENTITY_NODE_5365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5364)],
    };

static ENTITY_NODE_5366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5365)],
    };

static ENTITY_NODE_5367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbb")),
      children: &[],
    };

static ENTITY_NODE_5368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5367)],
    };

static ENTITY_NODE_5369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5368)],
    };

static ENTITY_NODE_5370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5369)],
    };

static ENTITY_NODE_5371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5370)],
    };

static ENTITY_NODE_5372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa9")),
      children: &[],
    };

static ENTITY_NODE_5373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5372)],
    };

static ENTITY_NODE_5374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5373)],
    };

static ENTITY_NODE_5375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5374)],
    };

static ENTITY_NODE_5376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5375)],
    };

static ENTITY_NODE_5377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5376)],
    };

static ENTITY_NODE_5378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5377)],
    };

static ENTITY_NODE_5379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5378)],
    };

static ENTITY_NODE_5380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5379)],
    };

static ENTITY_NODE_5381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5380)],
    };

static ENTITY_NODE_5382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xaa")),
      children: &[],
    };

static ENTITY_NODE_5383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5382)],
    };

static ENTITY_NODE_5384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5383)],
    };

static ENTITY_NODE_5385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5384)],
    };

static ENTITY_NODE_5386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5385)],
    };

static ENTITY_NODE_5387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5386)],
    };

static ENTITY_NODE_5388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5387)],
    };

static ENTITY_NODE_5389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5388)],
    };

static ENTITY_NODE_5390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5389)],
    };

static ENTITY_NODE_5391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5390)],
    };

static ENTITY_NODE_5392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5391)],
    };

static ENTITY_NODE_5393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5381), None, None, None, None, None, Some(ENTITY_NODE_5392)],
    };

static ENTITY_NODE_5394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5393)],
    };

static ENTITY_NODE_5395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x99")),
      children: &[],
    };

static ENTITY_NODE_5396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5395)],
    };

static ENTITY_NODE_5397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5396)],
    };

static ENTITY_NODE_5398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x95")),
      children: &[],
    };

static ENTITY_NODE_5399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5398)],
    };

static ENTITY_NODE_5400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5399)],
    };

static ENTITY_NODE_5401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5400)],
    };

static ENTITY_NODE_5402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_5401)],
    };

static ENTITY_NODE_5403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5366), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5371), None, Some(ENTITY_NODE_5394), Some(ENTITY_NODE_5397), None, Some(ENTITY_NODE_5402)],
    };

static ENTITY_NODE_5404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xbd")),
      children: &[],
    };

static ENTITY_NODE_5405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5404)],
    };

static ENTITY_NODE_5406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5405)],
    };

static ENTITY_NODE_5407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5319)],
    };

static ENTITY_NODE_5408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5407)],
    };

static ENTITY_NODE_5409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5408)],
    };

static ENTITY_NODE_5410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa7")),
      children: &[],
    };

static ENTITY_NODE_5411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5410)],
    };

static ENTITY_NODE_5412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5411)],
    };

static ENTITY_NODE_5413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5412)],
    };

static ENTITY_NODE_5414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5413)],
    };

static ENTITY_NODE_5415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5406), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5409), None, None, None, None, None, None, None, Some(ENTITY_NODE_5414)],
    };

static ENTITY_NODE_5416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\x83")),
      children: &[],
    };

static ENTITY_NODE_5417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5416)],
    };

static ENTITY_NODE_5418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5417)],
    };

static ENTITY_NODE_5419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5418)],
    };

static ENTITY_NODE_5420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5419)],
    };

static ENTITY_NODE_5421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4554)],
    };

static ENTITY_NODE_5422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5421)],
    };

static ENTITY_NODE_5423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5422)],
    };

static ENTITY_NODE_5424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5423)],
    };

static ENTITY_NODE_5425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_5420), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5424)],
    };

static ENTITY_NODE_5426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_5296), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5317), Some(ENTITY_NODE_5321), Some(ENTITY_NODE_5326), None, Some(ENTITY_NODE_5345), Some(ENTITY_NODE_5348), None, None, None, None, Some(ENTITY_NODE_5362), None, None, None, Some(ENTITY_NODE_5403), None, None, None, Some(ENTITY_NODE_5415), None, None, None, None, None, Some(ENTITY_NODE_5425)],
    };

static ENTITY_NODE_5427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xad")),
      children: &[],
    };

static ENTITY_NODE_5428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xad")),
      children: &[Some(ENTITY_NODE_5427)],
    };

static ENTITY_NODE_5429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5428)],
    };

static ENTITY_NODE_5430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5429)],
    };

static ENTITY_NODE_5431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5430)],
    };

static ENTITY_NODE_5432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5431)],
    };

static ENTITY_NODE_5433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xae")),
      children: &[],
    };

static ENTITY_NODE_5434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xae")),
      children: &[Some(ENTITY_NODE_5433)],
    };

static ENTITY_NODE_5435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5434)],
    };

static ENTITY_NODE_5436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5435)],
    };

static ENTITY_NODE_5437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb8")),
      children: &[],
    };

static ENTITY_NODE_5438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5437)],
    };

static ENTITY_NODE_5439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1234), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5436), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5438)],
    };

static ENTITY_NODE_5440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb5")),
      children: &[],
    };

static ENTITY_NODE_5441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5440)],
    };

static ENTITY_NODE_5442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5441)],
    };

static ENTITY_NODE_5443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa1")),
      children: &[],
    };

static ENTITY_NODE_5444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa1")),
      children: &[Some(ENTITY_NODE_5443)],
    };

static ENTITY_NODE_5445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5444)],
    };

static ENTITY_NODE_5446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5445)],
    };

static ENTITY_NODE_5447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5442), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5446)],
    };

static ENTITY_NODE_5448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa6")),
      children: &[],
    };

static ENTITY_NODE_5449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5448)],
    };

static ENTITY_NODE_5450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_562), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5449)],
    };

static ENTITY_NODE_5451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xac")),
      children: &[],
    };

static ENTITY_NODE_5452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xac")),
      children: &[Some(ENTITY_NODE_5451)],
    };

static ENTITY_NODE_5453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5452)],
    };

static ENTITY_NODE_5454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_5453)],
    };

static ENTITY_NODE_5455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5454)],
    };

static ENTITY_NODE_5456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5455)],
    };

static ENTITY_NODE_5457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x8c")),
      children: &[],
    };

static ENTITY_NODE_5458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5457)],
    };

static ENTITY_NODE_5459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5458)],
    };

static ENTITY_NODE_5460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5459)],
    };

static ENTITY_NODE_5461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xad")),
      children: &[],
    };

static ENTITY_NODE_5462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5461)],
    };

static ENTITY_NODE_5463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5462)],
    };

static ENTITY_NODE_5464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5460), None, None, None, None, Some(ENTITY_NODE_5463)],
    };

static ENTITY_NODE_5465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x9c")),
      children: &[],
    };

static ENTITY_NODE_5466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5465)],
    };

static ENTITY_NODE_5467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5466)],
    };

static ENTITY_NODE_5468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5467)],
    };

static ENTITY_NODE_5469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5468)],
    };

static ENTITY_NODE_5470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xa9")),
      children: &[],
    };

static ENTITY_NODE_5471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5470)],
    };

static ENTITY_NODE_5472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5471)],
    };

static ENTITY_NODE_5473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5472)],
    };

static ENTITY_NODE_5474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1203), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5464), None, None, None, None, Some(ENTITY_NODE_5469), Some(ENTITY_NODE_5473)],
    };

static ENTITY_NODE_5475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb3")),
      children: &[],
    };

static ENTITY_NODE_5476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5475)],
    };

static ENTITY_NODE_5477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5476)],
    };

static ENTITY_NODE_5478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5477)],
    };

static ENTITY_NODE_5479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5478)],
    };

static ENTITY_NODE_5480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xab")),
      children: &[],
    };

static ENTITY_NODE_5481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5480)],
    };

static ENTITY_NODE_5482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5481)],
    };

static ENTITY_NODE_5483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1266)],
    };

static ENTITY_NODE_5484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5483)],
    };

static ENTITY_NODE_5485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5484)],
    };

static ENTITY_NODE_5486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1192)],
    };

static ENTITY_NODE_5487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5486)],
    };

static ENTITY_NODE_5488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5487)],
    };

static ENTITY_NODE_5489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1192), None, None, None, None, None, None, Some(ENTITY_NODE_5485), None, None, None, Some(ENTITY_NODE_5488)],
    };

static ENTITY_NODE_5490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb1")),
      children: &[],
    };

static ENTITY_NODE_5491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5490)],
    };

static ENTITY_NODE_5492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5491)],
    };

static ENTITY_NODE_5493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5482), None, None, None, Some(ENTITY_NODE_5489), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5492)],
    };

static ENTITY_NODE_5494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb7")),
      children: &[],
    };

static ENTITY_NODE_5495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5494)],
    };

static ENTITY_NODE_5496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5495)],
    };

static ENTITY_NODE_5497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc6\xb5")),
      children: &[],
    };

static ENTITY_NODE_5498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5497)],
    };

static ENTITY_NODE_5499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5498)],
    };

static ENTITY_NODE_5500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5499)],
    };

static ENTITY_NODE_5501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5493), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5496), Some(ENTITY_NODE_5500)],
    };

static ENTITY_NODE_5502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x85")),
      children: &[],
    };

static ENTITY_NODE_5503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5502)],
    };

static ENTITY_NODE_5504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5503)],
    };

static ENTITY_NODE_5505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5504)],
    };

static ENTITY_NODE_5506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5505)],
    };

static ENTITY_NODE_5507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x9e")),
      children: &[],
    };

static ENTITY_NODE_5508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x9d")),
      children: &[],
    };

static ENTITY_NODE_5509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5508)],
    };

static ENTITY_NODE_5510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5509)],
    };

static ENTITY_NODE_5511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5510)],
    };

static ENTITY_NODE_5512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5507), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5511)],
    };

static ENTITY_NODE_5513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5512)],
    };

static ENTITY_NODE_5514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5513)],
    };

static ENTITY_NODE_5515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5491)],
    };

static ENTITY_NODE_5516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5515)],
    };

static ENTITY_NODE_5517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5516)],
    };

static ENTITY_NODE_5518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xba")),
      children: &[],
    };

static ENTITY_NODE_5519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5518)],
    };

static ENTITY_NODE_5520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5519)],
    };

static ENTITY_NODE_5521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5520)],
    };

static ENTITY_NODE_5522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_3620)],
    };

static ENTITY_NODE_5523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5522)],
    };

static ENTITY_NODE_5524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5523)],
    };

static ENTITY_NODE_5525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5521)],
    };

static ENTITY_NODE_5526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5524), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5525)],
    };

static ENTITY_NODE_5527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x97")),
      children: &[],
    };

static ENTITY_NODE_5528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5527)],
    };

static ENTITY_NODE_5529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5528)],
    };

static ENTITY_NODE_5530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5529)],
    };

static ENTITY_NODE_5531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5530)],
    };

static ENTITY_NODE_5532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5531)],
    };

static ENTITY_NODE_5533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xbc")),
      children: &[],
    };

static ENTITY_NODE_5534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5533)],
    };

static ENTITY_NODE_5535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5534)],
    };

static ENTITY_NODE_5536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5535)],
    };

static ENTITY_NODE_5537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5536)],
    };

static ENTITY_NODE_5538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1218), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5521), None, Some(ENTITY_NODE_5526), None, None, None, None, None, None, Some(ENTITY_NODE_5532), None, None, None, Some(ENTITY_NODE_5537)],
    };

static ENTITY_NODE_5539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_809), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5506), None, None, Some(ENTITY_NODE_5514), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5517), None, None, None, None, Some(ENTITY_NODE_5538)],
    };

static ENTITY_NODE_5540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x91")),
      children: &[],
    };

static ENTITY_NODE_5541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5540)],
    };

static ENTITY_NODE_5542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5541)],
    };

static ENTITY_NODE_5543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xaf")),
      children: &[],
    };

static ENTITY_NODE_5544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5543)],
    };

static ENTITY_NODE_5545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5544)],
    };

static ENTITY_NODE_5546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5545)],
    };

static ENTITY_NODE_5547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x9a")),
      children: &[],
    };

static ENTITY_NODE_5548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5547)],
    };

static ENTITY_NODE_5549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5548)],
    };

static ENTITY_NODE_5550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb9")),
      children: &[],
    };

static ENTITY_NODE_5551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5550)],
    };

static ENTITY_NODE_5552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5551)],
    };

static ENTITY_NODE_5553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5542), None, None, None, Some(ENTITY_NODE_5546), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5549), None, None, None, Some(ENTITY_NODE_5552)],
    };

static ENTITY_NODE_5554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xbf")),
      children: &[],
    };

static ENTITY_NODE_5555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xbf")),
      children: &[Some(ENTITY_NODE_5554)],
    };

static ENTITY_NODE_5556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5555)],
    };

static ENTITY_NODE_5557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5556)],
    };

static ENTITY_NODE_5558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5557)],
    };

static ENTITY_NODE_5559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5558)],
    };

static ENTITY_NODE_5560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xbe")),
      children: &[],
    };

static ENTITY_NODE_5561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5560)],
    };

static ENTITY_NODE_5562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5561)],
    };

static ENTITY_NODE_5563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb9")),
      children: &[],
    };

static ENTITY_NODE_5564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5563)],
    };

static ENTITY_NODE_5565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb5")),
      children: &[],
    };

static ENTITY_NODE_5566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5565)],
    };

static ENTITY_NODE_5567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5566)],
    };

static ENTITY_NODE_5568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5567)],
    };

static ENTITY_NODE_5569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb4")),
      children: &[],
    };

static ENTITY_NODE_5570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb3")),
      children: &[],
    };

static ENTITY_NODE_5571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5570)],
    };

static ENTITY_NODE_5572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5569), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5571)],
    };

static ENTITY_NODE_5573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_809), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5564), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5568), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5572), None, None, Some(ENTITY_NODE_810)],
    };

static ENTITY_NODE_5574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5573)],
    };

static ENTITY_NODE_5575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5562), None, None, None, None, None, Some(ENTITY_NODE_5574)],
    };

static ENTITY_NODE_5576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xa9")),
      children: &[],
    };

static ENTITY_NODE_5577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5576)],
    };

static ENTITY_NODE_5578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5577)],
    };

static ENTITY_NODE_5579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5578)],
    };

static ENTITY_NODE_5580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5579)],
    };

static ENTITY_NODE_5581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1240), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5580)],
    };

static ENTITY_NODE_5582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x96")),
      children: &[],
    };

static ENTITY_NODE_5583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5582)],
    };

static ENTITY_NODE_5584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5583)],
    };

static ENTITY_NODE_5585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5584)],
    };

static ENTITY_NODE_5586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xaf")),
      children: &[],
    };

static ENTITY_NODE_5587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xaf")),
      children: &[Some(ENTITY_NODE_5586)],
    };

static ENTITY_NODE_5588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5587)],
    };

static ENTITY_NODE_5589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5585), None, Some(ENTITY_NODE_5588)],
    };

static ENTITY_NODE_5590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5432), None, Some(ENTITY_NODE_5439), None, Some(ENTITY_NODE_5447), Some(ENTITY_NODE_5450), Some(ENTITY_NODE_5456), None, Some(ENTITY_NODE_5474), Some(ENTITY_NODE_5479), None, None, Some(ENTITY_NODE_5501), Some(ENTITY_NODE_5539), Some(ENTITY_NODE_5553), Some(ENTITY_NODE_5537), Some(ENTITY_NODE_5559), None, Some(ENTITY_NODE_5575), Some(ENTITY_NODE_5581), Some(ENTITY_NODE_5589)],
    };

static ENTITY_NODE_5591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb5")),
      children: &[],
    };

static ENTITY_NODE_5592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5591)],
    };

static ENTITY_NODE_5593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5592)],
    };

static ENTITY_NODE_5594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5593)],
    };

static ENTITY_NODE_5595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb9")),
      children: &[],
    };

static ENTITY_NODE_5596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5595)],
    };

static ENTITY_NODE_5597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5594), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5596)],
    };

static ENTITY_NODE_5598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa7")),
      children: &[],
    };

static ENTITY_NODE_5599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5598)],
    };

static ENTITY_NODE_5600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5599)],
    };

static ENTITY_NODE_5601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc8\xb7")),
      children: &[],
    };

static ENTITY_NODE_5602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5601)],
    };

static ENTITY_NODE_5603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5602)],
    };

static ENTITY_NODE_5604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5603)],
    };

static ENTITY_NODE_5605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5604)],
    };

static ENTITY_NODE_5606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x9b")),
      children: &[],
    };

static ENTITY_NODE_5607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5606)],
    };

static ENTITY_NODE_5608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5607)],
    };

static ENTITY_NODE_5609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5608)],
    };

static ENTITY_NODE_5610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x92\xbf")),
      children: &[],
    };

static ENTITY_NODE_5611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5610)],
    };

static ENTITY_NODE_5612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5611)],
    };

static ENTITY_NODE_5613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x98")),
      children: &[],
    };

static ENTITY_NODE_5614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5613)],
    };

static ENTITY_NODE_5615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5614)],
    };

static ENTITY_NODE_5616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5615)],
    };

static ENTITY_NODE_5617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5616)],
    };

static ENTITY_NODE_5618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5612), None, Some(ENTITY_NODE_5617)],
    };

static ENTITY_NODE_5619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x94")),
      children: &[],
    };

static ENTITY_NODE_5620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5619)],
    };

static ENTITY_NODE_5621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5620)],
    };

static ENTITY_NODE_5622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5621)],
    };

static ENTITY_NODE_5623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5622)],
    };

static ENTITY_NODE_5624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5597), None, None, Some(ENTITY_NODE_5600), None, None, None, None, None, None, Some(ENTITY_NODE_5605), None, Some(ENTITY_NODE_5609), None, None, None, Some(ENTITY_NODE_5618), None, Some(ENTITY_NODE_5623)],
    };

static ENTITY_NODE_5625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xba")),
      children: &[],
    };

static ENTITY_NODE_5626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\xb0")),
      children: &[],
    };

static ENTITY_NODE_5627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5626)],
    };

static ENTITY_NODE_5628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5625), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5627)],
    };

static ENTITY_NODE_5629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5628)],
    };

static ENTITY_NODE_5630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5629)],
    };

static ENTITY_NODE_5631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5630)],
    };

static ENTITY_NODE_5632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb7")),
      children: &[],
    };

static ENTITY_NODE_5633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5632)],
    };

static ENTITY_NODE_5634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5633)],
    };

static ENTITY_NODE_5635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5634)],
    };

static ENTITY_NODE_5636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5635)],
    };

static ENTITY_NODE_5637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xba")),
      children: &[],
    };

static ENTITY_NODE_5638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5637)],
    };

static ENTITY_NODE_5639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5636), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5638)],
    };

static ENTITY_NODE_5640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa8")),
      children: &[],
    };

static ENTITY_NODE_5641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5640)],
    };

static ENTITY_NODE_5642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5641)],
    };

static ENTITY_NODE_5643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xb8")),
      children: &[],
    };

static ENTITY_NODE_5644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5643)],
    };

static ENTITY_NODE_5645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5644)],
    };

static ENTITY_NODE_5646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5645)],
    };

static ENTITY_NODE_5647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5646)],
    };

static ENTITY_NODE_5648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5647)],
    };

static ENTITY_NODE_5649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x85")),
      children: &[],
    };

static ENTITY_NODE_5650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5649)],
    };

static ENTITY_NODE_5651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5650)],
    };

static ENTITY_NODE_5652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5651)],
    };

static ENTITY_NODE_5653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x9c")),
      children: &[],
    };

static ENTITY_NODE_5654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5653)],
    };

static ENTITY_NODE_5655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5654)],
    };

static ENTITY_NODE_5656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5655)],
    };

static ENTITY_NODE_5657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x9c")),
      children: &[],
    };

static ENTITY_NODE_5658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5657)],
    };

static ENTITY_NODE_5659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5658)],
    };

static ENTITY_NODE_5660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5659)],
    };

static ENTITY_NODE_5661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x80")),
      children: &[],
    };

static ENTITY_NODE_5662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5661)],
    };

static ENTITY_NODE_5663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5662)],
    };

static ENTITY_NODE_5664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5663)],
    };

static ENTITY_NODE_5665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5631), None, Some(ENTITY_NODE_5639), None, None, Some(ENTITY_NODE_5642), Some(ENTITY_NODE_5648), Some(ENTITY_NODE_5652), None, Some(ENTITY_NODE_5656), None, None, None, None, Some(ENTITY_NODE_5660), None, None, None, Some(ENTITY_NODE_5664)],
    };

static ENTITY_NODE_5666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1641)],
    };

static ENTITY_NODE_5667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5666)],
    };

static ENTITY_NODE_5668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_556)],
    };

static ENTITY_NODE_5669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x9b")),
      children: &[],
    };

static ENTITY_NODE_5670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5669)],
    };

static ENTITY_NODE_5671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5670)],
    };

static ENTITY_NODE_5672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5671)],
    };

static ENTITY_NODE_5673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5672)],
    };

static ENTITY_NODE_5674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5667), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5668), None, Some(ENTITY_NODE_5673)],
    };

static ENTITY_NODE_5675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x8e")),
      children: &[],
    };

static ENTITY_NODE_5676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5675)],
    };

static ENTITY_NODE_5677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5676)],
    };

static ENTITY_NODE_5678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5677)],
    };

static ENTITY_NODE_5679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5678)],
    };

static ENTITY_NODE_5680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x8b")),
      children: &[],
    };

static ENTITY_NODE_5681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5680)],
    };

static ENTITY_NODE_5682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1593), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5681)],
    };

static ENTITY_NODE_5683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa2")),
      children: &[],
    };

static ENTITY_NODE_5684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5683)],
    };

static ENTITY_NODE_5685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5684)],
    };

static ENTITY_NODE_5686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5685)],
    };

static ENTITY_NODE_5687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xba")),
      children: &[],
    };

static ENTITY_NODE_5688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5687)],
    };

static ENTITY_NODE_5689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5688)],
    };

static ENTITY_NODE_5690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5689)],
    };

static ENTITY_NODE_5691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5690)],
    };

static ENTITY_NODE_5692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb4")),
      children: &[],
    };

static ENTITY_NODE_5693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5692)],
    };

static ENTITY_NODE_5694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_5693)],
    };

static ENTITY_NODE_5695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5694)],
    };

static ENTITY_NODE_5696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5695)],
    };

static ENTITY_NODE_5697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5696)],
    };

static ENTITY_NODE_5698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5697)],
    };

static ENTITY_NODE_5699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_1366)],
    };

static ENTITY_NODE_5700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5699)],
    };

static ENTITY_NODE_5701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5700)],
    };

static ENTITY_NODE_5702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xbb")),
      children: &[],
    };

static ENTITY_NODE_5703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5702)],
    };

static ENTITY_NODE_5704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5703)],
    };

static ENTITY_NODE_5705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5704)],
    };

static ENTITY_NODE_5706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_5705)],
    };

static ENTITY_NODE_5707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x91")),
      children: &[],
    };

static ENTITY_NODE_5708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5707)],
    };

static ENTITY_NODE_5709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_1392)],
    };

static ENTITY_NODE_5710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1391), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5708), None, None, None, None, None, None, None, Some(ENTITY_NODE_5709)],
    };

static ENTITY_NODE_5711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5710)],
    };

static ENTITY_NODE_5712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x85")),
      children: &[],
    };

static ENTITY_NODE_5713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5712)],
    };

static ENTITY_NODE_5714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xab")),
      children: &[],
    };

static ENTITY_NODE_5715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xab")),
      children: &[Some(ENTITY_NODE_5714)],
    };

static ENTITY_NODE_5716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5715)],
    };

static ENTITY_NODE_5717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5716)],
    };

static ENTITY_NODE_5718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x9f")),
      children: &[],
    };

static ENTITY_NODE_5719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5718)],
    };

static ENTITY_NODE_5720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5719)],
    };

static ENTITY_NODE_5721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1404), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5720)],
    };

static ENTITY_NODE_5722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x9d")),
      children: &[],
    };

static ENTITY_NODE_5723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5722)],
    };

static ENTITY_NODE_5724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5723)],
    };

static ENTITY_NODE_5725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5373)],
    };

static ENTITY_NODE_5726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xab")),
      children: &[],
    };

static ENTITY_NODE_5727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5726)],
    };

static ENTITY_NODE_5728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5727)],
    };

static ENTITY_NODE_5729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xb9")),
      children: &[],
    };

static ENTITY_NODE_5730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5729)],
    };

static ENTITY_NODE_5731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5730)],
    };

static ENTITY_NODE_5732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb3")),
      children: &[],
    };

static ENTITY_NODE_5733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5732)],
    };

static ENTITY_NODE_5734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5733)],
    };

static ENTITY_NODE_5735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5734)],
    };

static ENTITY_NODE_5736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa2")),
      children: &[],
    };

static ENTITY_NODE_5737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5736)],
    };

static ENTITY_NODE_5738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5737)],
    };

static ENTITY_NODE_5739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1403), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5721), None, None, None, Some(ENTITY_NODE_5724), None, Some(ENTITY_NODE_5725), None, None, None, Some(ENTITY_NODE_5728), None, None, None, Some(ENTITY_NODE_5731), None, None, Some(ENTITY_NODE_5735), Some(ENTITY_NODE_5738)],
    };

static ENTITY_NODE_5740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5739)],
    };

static ENTITY_NODE_5741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xab")),
      children: &[],
    };

static ENTITY_NODE_5742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x99")),
      children: &[],
    };

static ENTITY_NODE_5743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5742)],
    };

static ENTITY_NODE_5744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5743)],
    };

static ENTITY_NODE_5745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5744)],
    };

static ENTITY_NODE_5746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xad")),
      children: &[],
    };

static ENTITY_NODE_5747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xad\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_5748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5747)],
    };

static ENTITY_NODE_5749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5746), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5748)],
    };

static ENTITY_NODE_5750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5741), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5745), None, None, None, Some(ENTITY_NODE_5749)],
    };

static ENTITY_NODE_5751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5691), None, Some(ENTITY_NODE_5698), None, Some(ENTITY_NODE_5701), None, None, None, None, None, Some(ENTITY_NODE_5706), Some(ENTITY_NODE_5711), None, Some(ENTITY_NODE_5713), Some(ENTITY_NODE_5717), Some(ENTITY_NODE_5740), None, Some(ENTITY_NODE_5750)],
    };

static ENTITY_NODE_5752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x8c")),
      children: &[],
    };

static ENTITY_NODE_5753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5752)],
    };

static ENTITY_NODE_5754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5753)],
    };

static ENTITY_NODE_5755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5754)],
    };

static ENTITY_NODE_5756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9d\xb2")),
      children: &[],
    };

static ENTITY_NODE_5757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5756)],
    };

static ENTITY_NODE_5758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5757)],
    };

static ENTITY_NODE_5759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5758)],
    };

static ENTITY_NODE_5760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"{")),
      children: &[],
    };

static ENTITY_NODE_5761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5760)],
    };

static ENTITY_NODE_5762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"[")),
      children: &[],
    };

static ENTITY_NODE_5763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5762)],
    };

static ENTITY_NODE_5764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5761), None, None, None, None, None, Some(ENTITY_NODE_5763)],
    };

static ENTITY_NODE_5765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5764)],
    };

static ENTITY_NODE_5766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x8b")),
      children: &[],
    };

static ENTITY_NODE_5767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5766)],
    };

static ENTITY_NODE_5768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x8f")),
      children: &[],
    };

static ENTITY_NODE_5769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5768)],
    };

static ENTITY_NODE_5770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x8d")),
      children: &[],
    };

static ENTITY_NODE_5771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5770)],
    };

static ENTITY_NODE_5772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5769), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5771)],
    };

static ENTITY_NODE_5773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5772)],
    };

static ENTITY_NODE_5774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5767), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5773)],
    };

static ENTITY_NODE_5775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5765), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5774)],
    };

static ENTITY_NODE_5776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5755), Some(ENTITY_NODE_5759), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5775)],
    };

static ENTITY_NODE_5777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xbe")),
      children: &[],
    };

static ENTITY_NODE_5778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5777)],
    };

static ENTITY_NODE_5779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5778)],
    };

static ENTITY_NODE_5780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5779)],
    };

static ENTITY_NODE_5781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5780)],
    };

static ENTITY_NODE_5782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc4\xbc")),
      children: &[],
    };

static ENTITY_NODE_5783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5782)],
    };

static ENTITY_NODE_5784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5783)],
    };

static ENTITY_NODE_5785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5784)],
    };

static ENTITY_NODE_5786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1425)],
    };

static ENTITY_NODE_5787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5785), None, None, None, None, Some(ENTITY_NODE_5786)],
    };

static ENTITY_NODE_5788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_5761)],
    };

static ENTITY_NODE_5789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xbb")),
      children: &[],
    };

static ENTITY_NODE_5790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5789)],
    };

static ENTITY_NODE_5791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5781), None, None, None, Some(ENTITY_NODE_5787), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5788), None, None, None, Some(ENTITY_NODE_5790)],
    };

static ENTITY_NODE_5792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xb6")),
      children: &[],
    };

static ENTITY_NODE_5793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5792)],
    };

static ENTITY_NODE_5794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5793)],
    };

static ENTITY_NODE_5795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2383), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3872)],
    };

static ENTITY_NODE_5796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5795)],
    };

static ENTITY_NODE_5797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5796)],
    };

static ENTITY_NODE_5798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa7")),
      children: &[],
    };

static ENTITY_NODE_5799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5798)],
    };

static ENTITY_NODE_5800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5799)],
    };

static ENTITY_NODE_5801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5800)],
    };

static ENTITY_NODE_5802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5801)],
    };

static ENTITY_NODE_5803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x8b")),
      children: &[],
    };

static ENTITY_NODE_5804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5803)],
    };

static ENTITY_NODE_5805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5804)],
    };

static ENTITY_NODE_5806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5805)],
    };

static ENTITY_NODE_5807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5806)],
    };

static ENTITY_NODE_5808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5807)],
    };

static ENTITY_NODE_5809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5802), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5808)],
    };

static ENTITY_NODE_5810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xb2")),
      children: &[],
    };

static ENTITY_NODE_5811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5810)],
    };

static ENTITY_NODE_5812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5811)],
    };

static ENTITY_NODE_5813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5794), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5797), Some(ENTITY_NODE_5809), Some(ENTITY_NODE_5812)],
    };

static ENTITY_NODE_5814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa4")),
      children: &[],
    };

static ENTITY_NODE_5815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5738)],
    };

static ENTITY_NODE_5816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5815)],
    };

static ENTITY_NODE_5817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1403), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5816)],
    };

static ENTITY_NODE_5818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5817)],
    };

static ENTITY_NODE_5819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5818)],
    };

static ENTITY_NODE_5820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5819)],
    };

static ENTITY_NODE_5821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5820)],
    };

static ENTITY_NODE_5822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_708)],
    };

static ENTITY_NODE_5823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5822)],
    };

static ENTITY_NODE_5824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5823)],
    };

static ENTITY_NODE_5825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5824)],
    };

static ENTITY_NODE_5826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1562)],
    };

static ENTITY_NODE_5827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5826)],
    };

static ENTITY_NODE_5828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5825), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5827)],
    };

static ENTITY_NODE_5829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5828)],
    };

static ENTITY_NODE_5830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5829)],
    };

static ENTITY_NODE_5831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5830)],
    };

static ENTITY_NODE_5832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5831)],
    };

static ENTITY_NODE_5833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5832)],
    };

static ENTITY_NODE_5834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5833)],
    };

static ENTITY_NODE_5835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x87")),
      children: &[],
    };

static ENTITY_NODE_5836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5835)],
    };

static ENTITY_NODE_5837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5836)],
    };

static ENTITY_NODE_5838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5837)],
    };

static ENTITY_NODE_5839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5838)],
    };

static ENTITY_NODE_5840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5839)],
    };

static ENTITY_NODE_5841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5840)],
    };

static ENTITY_NODE_5842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5841)],
    };

static ENTITY_NODE_5843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5842)],
    };

static ENTITY_NODE_5844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_5843)],
    };

static ENTITY_NODE_5845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5844)],
    };

static ENTITY_NODE_5846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1475), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1409)],
    };

static ENTITY_NODE_5847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5846)],
    };

static ENTITY_NODE_5848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5847)],
    };

static ENTITY_NODE_5849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5848)],
    };

static ENTITY_NODE_5850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5849)],
    };

static ENTITY_NODE_5851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2625)],
    };

static ENTITY_NODE_5852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5851)],
    };

static ENTITY_NODE_5853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5852)],
    };

static ENTITY_NODE_5854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5853)],
    };

static ENTITY_NODE_5855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5854)],
    };

static ENTITY_NODE_5856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5855)],
    };

static ENTITY_NODE_5857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5856)],
    };

static ENTITY_NODE_5858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_5314)],
    };

static ENTITY_NODE_5859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5858)],
    };

static ENTITY_NODE_5860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5859)],
    };

static ENTITY_NODE_5861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5860)],
    };

static ENTITY_NODE_5862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5861)],
    };

static ENTITY_NODE_5863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5862)],
    };

static ENTITY_NODE_5864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5863)],
    };

static ENTITY_NODE_5865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5864)],
    };

static ENTITY_NODE_5866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_5865)],
    };

static ENTITY_NODE_5867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5850), None, None, None, None, None, None, Some(ENTITY_NODE_5857), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5866)],
    };

static ENTITY_NODE_5868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5867)],
    };

static ENTITY_NODE_5869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5868)],
    };

static ENTITY_NODE_5870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5869)],
    };

static ENTITY_NODE_5871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5870)],
    };

static ENTITY_NODE_5872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x8b")),
      children: &[],
    };

static ENTITY_NODE_5873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5872)],
    };

static ENTITY_NODE_5874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5873)],
    };

static ENTITY_NODE_5875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5874)],
    };

static ENTITY_NODE_5876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5875)],
    };

static ENTITY_NODE_5877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5876)],
    };

static ENTITY_NODE_5878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5877)],
    };

static ENTITY_NODE_5879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5878)],
    };

static ENTITY_NODE_5880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5879)],
    };

static ENTITY_NODE_5881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5880)],
    };

static ENTITY_NODE_5882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5881)],
    };

static ENTITY_NODE_5883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5821), None, None, None, None, None, None, Some(ENTITY_NODE_5834), None, None, None, Some(ENTITY_NODE_5845), None, None, None, None, None, Some(ENTITY_NODE_5871), None, Some(ENTITY_NODE_5882)],
    };

static ENTITY_NODE_5884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5883)],
    };

static ENTITY_NODE_5885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1617)],
    };

static ENTITY_NODE_5886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5885)],
    };

static ENTITY_NODE_5887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5886)],
    };

static ENTITY_NODE_5888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5887)],
    };

static ENTITY_NODE_5889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5814), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1594), None, Some(ENTITY_NODE_5888)],
    };

static ENTITY_NODE_5890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa8")),
      children: &[],
    };

static ENTITY_NODE_5891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5890)],
    };

static ENTITY_NODE_5892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5891)],
    };

static ENTITY_NODE_5893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xbf")),
      children: &[],
    };

static ENTITY_NODE_5894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x81")),
      children: &[],
    };

static ENTITY_NODE_5895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x83")),
      children: &[],
    };

static ENTITY_NODE_5896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5895)],
    };

static ENTITY_NODE_5897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5894), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5896)],
    };

static ENTITY_NODE_5898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5893), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5897)],
    };

static ENTITY_NODE_5899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5898)],
    };

static ENTITY_NODE_5900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5899)],
    };

static ENTITY_NODE_5901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x9a\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_5902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x93")),
      children: &[],
    };

static ENTITY_NODE_5903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5902)],
    };

static ENTITY_NODE_5904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5903)],
    };

static ENTITY_NODE_5905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5901), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5904)],
    };

static ENTITY_NODE_5906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_5713)],
    };

static ENTITY_NODE_5907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5906)],
    };

static ENTITY_NODE_5908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5907)],
    };

static ENTITY_NODE_5909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5908)],
    };

static ENTITY_NODE_5910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5909)],
    };

static ENTITY_NODE_5911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x96")),
      children: &[],
    };

static ENTITY_NODE_5912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5911)],
    };

static ENTITY_NODE_5913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5912)],
    };

static ENTITY_NODE_5914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5913)],
    };

static ENTITY_NODE_5915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1582)],
    };

static ENTITY_NODE_5916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5681)],
    };

static ENTITY_NODE_5917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5916)],
    };

static ENTITY_NODE_5918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5917)],
    };

static ENTITY_NODE_5919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_5915), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5918)],
    };

static ENTITY_NODE_5920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_5919)],
    };

static ENTITY_NODE_5921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1605)],
    };

static ENTITY_NODE_5922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1628)],
    };

static ENTITY_NODE_5923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5922)],
    };

static ENTITY_NODE_5924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5910), None, None, Some(ENTITY_NODE_5914), Some(ENTITY_NODE_5920), None, Some(ENTITY_NODE_5921), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5923)],
    };

static ENTITY_NODE_5925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1616), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5892), Some(ENTITY_NODE_5900), None, None, Some(ENTITY_NODE_5905), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5924)],
    };

static ENTITY_NODE_5926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5814), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5884), Some(ENTITY_NODE_1581), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5889), None, Some(ENTITY_NODE_5925)],
    };

static ENTITY_NODE_5927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xbc")),
      children: &[],
    };

static ENTITY_NODE_5928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5927)],
    };

static ENTITY_NODE_5929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5928)],
    };

static ENTITY_NODE_5930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5929)],
    };

static ENTITY_NODE_5931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5930)],
    };

static ENTITY_NODE_5932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xa9")),
      children: &[],
    };

static ENTITY_NODE_5933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5932)],
    };

static ENTITY_NODE_5934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5931), None, None, Some(ENTITY_NODE_1473), None, None, None, None, None, Some(ENTITY_NODE_5933)],
    };

static ENTITY_NODE_5935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x91")),
      children: &[],
    };

static ENTITY_NODE_5936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5935)],
    };

static ENTITY_NODE_5937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1603), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5936)],
    };

static ENTITY_NODE_5938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xaa")),
      children: &[],
    };

static ENTITY_NODE_5939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5938)],
    };

static ENTITY_NODE_5940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1562), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5939)],
    };

static ENTITY_NODE_5941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5822), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5940)],
    };

static ENTITY_NODE_5942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5941)],
    };

static ENTITY_NODE_5943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\x84")),
      children: &[],
    };

static ENTITY_NODE_5944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5943)],
    };

static ENTITY_NODE_5945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5944)],
    };

static ENTITY_NODE_5946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_5945)],
    };

static ENTITY_NODE_5947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5942), Some(ENTITY_NODE_5946)],
    };

static ENTITY_NODE_5948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x99")),
      children: &[],
    };

static ENTITY_NODE_5949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5948)],
    };

static ENTITY_NODE_5950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_5949)],
    };

static ENTITY_NODE_5951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5950)],
    };

static ENTITY_NODE_5952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5836)],
    };

static ENTITY_NODE_5953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5952)],
    };

static ENTITY_NODE_5954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4654)],
    };

static ENTITY_NODE_5955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5954)],
    };

static ENTITY_NODE_5956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_5955)],
    };

static ENTITY_NODE_5957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5956)],
    };

static ENTITY_NODE_5958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5957)],
    };

static ENTITY_NODE_5959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xab")),
      children: &[],
    };

static ENTITY_NODE_5960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5959)],
    };

static ENTITY_NODE_5961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5960)],
    };

static ENTITY_NODE_5962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5961)],
    };

static ENTITY_NODE_5963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5962)],
    };

static ENTITY_NODE_5964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\xba")),
      children: &[],
    };

static ENTITY_NODE_5965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5964)],
    };

static ENTITY_NODE_5966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5965)],
    };

static ENTITY_NODE_5967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5966)],
    };

static ENTITY_NODE_5968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1741), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5953), None, Some(ENTITY_NODE_5958), None, None, None, None, Some(ENTITY_NODE_5963), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5967)],
    };

static ENTITY_NODE_5969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x80")),
      children: &[],
    };

static ENTITY_NODE_5970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5969)],
    };

static ENTITY_NODE_5971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5970)],
    };

static ENTITY_NODE_5972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5971)],
    };

static ENTITY_NODE_5973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_5972)],
    };

static ENTITY_NODE_5974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8e\xb0")),
      children: &[],
    };

static ENTITY_NODE_5975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5974)],
    };

static ENTITY_NODE_5976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5975)],
    };

static ENTITY_NODE_5977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_5976)],
    };

static ENTITY_NODE_5978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_5977)],
    };

static ENTITY_NODE_5979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5974), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5978)],
    };

static ENTITY_NODE_5980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5979)],
    };

static ENTITY_NODE_5981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_5980)],
    };

static ENTITY_NODE_5982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_5981)],
    };

static ENTITY_NODE_5983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5973), None, None, None, None, None, Some(ENTITY_NODE_5982)],
    };

static ENTITY_NODE_5984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa8")),
      children: &[],
    };

static ENTITY_NODE_5985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5984)],
    };

static ENTITY_NODE_5986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x89")),
      children: &[],
    };

static ENTITY_NODE_5987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5986)],
    };

static ENTITY_NODE_5988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_5987)],
    };

static ENTITY_NODE_5989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_5988)],
    };

static ENTITY_NODE_5990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5989)],
    };

static ENTITY_NODE_5991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5986), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5990)],
    };

static ENTITY_NODE_5992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_5991)],
    };

static ENTITY_NODE_5993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x87")),
      children: &[],
    };

static ENTITY_NODE_5994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5993), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5985)],
    };

static ENTITY_NODE_5995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5993), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5994)],
    };

static ENTITY_NODE_5996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa6")),
      children: &[],
    };

static ENTITY_NODE_5997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5996)],
    };

static ENTITY_NODE_5998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_5997)],
    };

static ENTITY_NODE_5999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_5998)],
    };

static ENTITY_NODE_6000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_5985), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5992), None, None, None, Some(ENTITY_NODE_5995), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5999)],
    };

static ENTITY_NODE_6001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xac")),
      children: &[],
    };

static ENTITY_NODE_6002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6001)],
    };

static ENTITY_NODE_6003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6002)],
    };

static ENTITY_NODE_6004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\xbd")),
      children: &[],
    };

static ENTITY_NODE_6005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6004)],
    };

static ENTITY_NODE_6006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6005)],
    };

static ENTITY_NODE_6007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6003), None, None, None, Some(ENTITY_NODE_6006)],
    };

static ENTITY_NODE_6008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_1433)],
    };

static ENTITY_NODE_6009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6008)],
    };

static ENTITY_NODE_6010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1667)],
    };

static ENTITY_NODE_6011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6010)],
    };

static ENTITY_NODE_6012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6011)],
    };

static ENTITY_NODE_6013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6012)],
    };

static ENTITY_NODE_6014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6013)],
    };

static ENTITY_NODE_6015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1661), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6014)],
    };

static ENTITY_NODE_6016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6015)],
    };

static ENTITY_NODE_6017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6016)],
    };

static ENTITY_NODE_6018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6017)],
    };

static ENTITY_NODE_6019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xbc")),
      children: &[],
    };

static ENTITY_NODE_6020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6019)],
    };

static ENTITY_NODE_6021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6020)],
    };

static ENTITY_NODE_6022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6021)],
    };

static ENTITY_NODE_6023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6022)],
    };

static ENTITY_NODE_6024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6023)],
    };

static ENTITY_NODE_6025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6024)],
    };

static ENTITY_NODE_6026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1682)],
    };

static ENTITY_NODE_6027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6026)],
    };

static ENTITY_NODE_6028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6027)],
    };

static ENTITY_NODE_6029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6028)],
    };

static ENTITY_NODE_6030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6029)],
    };

static ENTITY_NODE_6031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6018), Some(ENTITY_NODE_6025), None, None, None, None, Some(ENTITY_NODE_6030)],
    };

static ENTITY_NODE_6032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6031)],
    };

static ENTITY_NODE_6033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_5727)],
    };

static ENTITY_NODE_6034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6033)],
    };

static ENTITY_NODE_6035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6034)],
    };

static ENTITY_NODE_6036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xac")),
      children: &[],
    };

static ENTITY_NODE_6037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6036)],
    };

static ENTITY_NODE_6038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6037)],
    };

static ENTITY_NODE_6039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6038)],
    };

static ENTITY_NODE_6040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6039)],
    };

static ENTITY_NODE_6041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6040)],
    };

static ENTITY_NODE_6042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6035), None, None, None, None, None, Some(ENTITY_NODE_6041)],
    };

static ENTITY_NODE_6043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6042)],
    };

static ENTITY_NODE_6044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6043)],
    };

static ENTITY_NODE_6045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6044)],
    };

static ENTITY_NODE_6046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6045)],
    };

static ENTITY_NODE_6047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6046)],
    };

static ENTITY_NODE_6048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6047)],
    };

static ENTITY_NODE_6049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x85")),
      children: &[],
    };

static ENTITY_NODE_6050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6049)],
    };

static ENTITY_NODE_6051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6050)],
    };

static ENTITY_NODE_6052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x9d")),
      children: &[],
    };

static ENTITY_NODE_6053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6052)],
    };

static ENTITY_NODE_6054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xad")),
      children: &[],
    };

static ENTITY_NODE_6055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6054)],
    };

static ENTITY_NODE_6056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6055)],
    };

static ENTITY_NODE_6057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6056)],
    };

static ENTITY_NODE_6058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6051), None, None, None, None, Some(ENTITY_NODE_6053), None, None, None, None, None, Some(ENTITY_NODE_6057)],
    };

static ENTITY_NODE_6059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb4")),
      children: &[],
    };

static ENTITY_NODE_6060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6059)],
    };

static ENTITY_NODE_6061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6060)],
    };

static ENTITY_NODE_6062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6061)],
    };

static ENTITY_NODE_6063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6062)],
    };

static ENTITY_NODE_6064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6063)],
    };

static ENTITY_NODE_6065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x97")),
      children: &[],
    };

static ENTITY_NODE_6066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6065)],
    };

static ENTITY_NODE_6067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6066)],
    };

static ENTITY_NODE_6068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6067)],
    };

static ENTITY_NODE_6069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3270)],
    };

static ENTITY_NODE_6070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6068), Some(ENTITY_NODE_6069)],
    };

static ENTITY_NODE_6071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\x8a")),
      children: &[],
    };

static ENTITY_NODE_6072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6071)],
    };

static ENTITY_NODE_6073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6072)],
    };

static ENTITY_NODE_6074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6073)],
    };

static ENTITY_NODE_6075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6074)],
    };

static ENTITY_NODE_6076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6071), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6075), Some(ENTITY_NODE_3973)],
    };

static ENTITY_NODE_6077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6007), Some(ENTITY_NODE_6009), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6032), Some(ENTITY_NODE_6048), Some(ENTITY_NODE_6058), None, None, None, Some(ENTITY_NODE_6064), None, None, Some(ENTITY_NODE_6070), None, None, Some(ENTITY_NODE_6076)],
    };

static ENTITY_NODE_6078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"(")),
      children: &[],
    };

static ENTITY_NODE_6079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x93")),
      children: &[],
    };

static ENTITY_NODE_6080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6079)],
    };

static ENTITY_NODE_6081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6080)],
    };

static ENTITY_NODE_6082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6078), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6081)],
    };

static ENTITY_NODE_6083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6082)],
    };

static ENTITY_NODE_6084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6083)],
    };

static ENTITY_NODE_6085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1409)],
    };

static ENTITY_NODE_6086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6085)],
    };

static ENTITY_NODE_6087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4739)],
    };

static ENTITY_NODE_6088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6087)],
    };

static ENTITY_NODE_6089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6088)],
    };

static ENTITY_NODE_6090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6089)],
    };

static ENTITY_NODE_6091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6090)],
    };

static ENTITY_NODE_6092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xad")),
      children: &[],
    };

static ENTITY_NODE_6093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6092)],
    };

static ENTITY_NODE_6094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2624), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6093)],
    };

static ENTITY_NODE_6095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6094)],
    };

static ENTITY_NODE_6096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6095)],
    };

static ENTITY_NODE_6097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x8e")),
      children: &[],
    };

static ENTITY_NODE_6098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6097)],
    };

static ENTITY_NODE_6099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xbf")),
      children: &[],
    };

static ENTITY_NODE_6100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6099)],
    };

static ENTITY_NODE_6101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6100)],
    };

static ENTITY_NODE_6102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6101)],
    };

static ENTITY_NODE_6103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6086), None, Some(ENTITY_NODE_6091), None, None, None, None, Some(ENTITY_NODE_6096), None, None, None, None, Some(ENTITY_NODE_6098), None, None, None, None, None, None, Some(ENTITY_NODE_6102)],
    };

static ENTITY_NODE_6104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xb9")),
      children: &[],
    };

static ENTITY_NODE_6105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6104)],
    };

static ENTITY_NODE_6106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6105)],
    };

static ENTITY_NODE_6107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6106)],
    };

static ENTITY_NODE_6108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_6107)],
    };

static ENTITY_NODE_6109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x81")),
      children: &[],
    };

static ENTITY_NODE_6110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6109)],
    };

static ENTITY_NODE_6111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6110)],
    };

static ENTITY_NODE_6112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x8d")),
      children: &[],
    };

static ENTITY_NODE_6113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6112)],
    };

static ENTITY_NODE_6114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x8f")),
      children: &[],
    };

static ENTITY_NODE_6115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6114)],
    };

static ENTITY_NODE_6116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1627), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6113), None, Some(ENTITY_NODE_6115)],
    };

static ENTITY_NODE_6117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6116)],
    };

static ENTITY_NODE_6118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x9a")),
      children: &[],
    };

static ENTITY_NODE_6119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6118)],
    };

static ENTITY_NODE_6120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2395), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6119)],
    };

static ENTITY_NODE_6121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6120)],
    };

static ENTITY_NODE_6122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_5763), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6121)],
    };

static ENTITY_NODE_6123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x82")),
      children: &[],
    };

static ENTITY_NODE_6124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6123)],
    };

static ENTITY_NODE_6125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_6124)],
    };

static ENTITY_NODE_6126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6125)],
    };

static ENTITY_NODE_6127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6126)],
    };

static ENTITY_NODE_6128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6108), None, Some(ENTITY_NODE_6111), None, None, None, None, Some(ENTITY_NODE_1734), Some(ENTITY_NODE_6117), None, None, None, None, None, None, None, Some(ENTITY_NODE_6122), None, None, Some(ENTITY_NODE_6127)],
    };

static ENTITY_NODE_6129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa6")),
      children: &[],
    };

static ENTITY_NODE_6130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6129)],
    };

static ENTITY_NODE_6131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb9")),
      children: &[],
    };

static ENTITY_NODE_6132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6131)],
    };

static ENTITY_NODE_6133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6132)],
    };

static ENTITY_NODE_6134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6130), None, None, None, None, None, Some(ENTITY_NODE_6133)],
    };

static ENTITY_NODE_6135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_5873)],
    };

static ENTITY_NODE_6136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6135)],
    };

static ENTITY_NODE_6137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6136)],
    };

static ENTITY_NODE_6138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x89")),
      children: &[],
    };

static ENTITY_NODE_6139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6138)],
    };

static ENTITY_NODE_6140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6139)],
    };

static ENTITY_NODE_6141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6140)],
    };

static ENTITY_NODE_6142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6141)],
    };

static ENTITY_NODE_6143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb6")),
      children: &[],
    };

static ENTITY_NODE_6144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6143)],
    };

static ENTITY_NODE_6145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6144)],
    };

static ENTITY_NODE_6146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6145)],
    };

static ENTITY_NODE_6147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6146)],
    };

static ENTITY_NODE_6148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xbb")),
      children: &[],
    };

static ENTITY_NODE_6149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6148)],
    };

static ENTITY_NODE_6150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6149)],
    };

static ENTITY_NODE_6151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6150)],
    };

static ENTITY_NODE_6152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6151)],
    };

static ENTITY_NODE_6153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6152)],
    };

static ENTITY_NODE_6154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x96")),
      children: &[],
    };

static ENTITY_NODE_6155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6154)],
    };

static ENTITY_NODE_6156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6155)],
    };

static ENTITY_NODE_6157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6156)],
    };

static ENTITY_NODE_6158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\x83")),
      children: &[],
    };

static ENTITY_NODE_6159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6158), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1515), Some(ENTITY_NODE_3987)],
    };

static ENTITY_NODE_6160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 80,
      value: None,
      children: &[Some(ENTITY_NODE_6157), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6159)],
    };

static ENTITY_NODE_6161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"<")),
      children: &[Some(ENTITY_NODE_1350), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6134), Some(ENTITY_NODE_5914), None, None, None, Some(ENTITY_NODE_6137), Some(ENTITY_NODE_6142), None, None, Some(ENTITY_NODE_6147), None, None, None, None, Some(ENTITY_NODE_6153), Some(ENTITY_NODE_6160)],
    };

static ENTITY_NODE_6162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x8a")),
      children: &[],
    };

static ENTITY_NODE_6163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6162)],
    };

static ENTITY_NODE_6164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6163)],
    };

static ENTITY_NODE_6165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6164)],
    };

static ENTITY_NODE_6166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6165)],
    };

static ENTITY_NODE_6167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6166)],
    };

static ENTITY_NODE_6168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa6")),
      children: &[],
    };

static ENTITY_NODE_6169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6168)],
    };

static ENTITY_NODE_6170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6169)],
    };

static ENTITY_NODE_6171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6170)],
    };

static ENTITY_NODE_6172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6171)],
    };

static ENTITY_NODE_6173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6167), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6172)],
    };

static ENTITY_NODE_6174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6173)],
    };

static ENTITY_NODE_6175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa8\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_6176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6175)],
    };

static ENTITY_NODE_6177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_6176)],
    };

static ENTITY_NODE_6178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_6177)],
    };

static ENTITY_NODE_6179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6178)],
    };

static ENTITY_NODE_6180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6179)],
    };

static ENTITY_NODE_6181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6180)],
    };

static ENTITY_NODE_6182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6181)],
    };

static ENTITY_NODE_6183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_6176)],
    };

static ENTITY_NODE_6184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6182), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6183)],
    };

static ENTITY_NODE_6185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_5674), Some(ENTITY_NODE_5679), None, None, Some(ENTITY_NODE_5682), None, None, Some(ENTITY_NODE_5686), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5751), Some(ENTITY_NODE_5776), Some(ENTITY_NODE_5791), Some(ENTITY_NODE_5813), Some(ENTITY_NODE_5926), Some(ENTITY_NODE_5934), Some(ENTITY_NODE_5937), Some(ENTITY_NODE_5947), None, Some(ENTITY_NODE_5951), None, Some(ENTITY_NODE_5968), Some(ENTITY_NODE_5983), Some(ENTITY_NODE_6000), Some(ENTITY_NODE_6077), Some(ENTITY_NODE_6084), None, Some(ENTITY_NODE_6103), Some(ENTITY_NODE_6128), Some(ENTITY_NODE_6161), Some(ENTITY_NODE_6174), Some(ENTITY_NODE_6184)],
    };

static ENTITY_NODE_6186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xba")),
      children: &[],
    };

static ENTITY_NODE_6187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6186)],
    };

static ENTITY_NODE_6188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6187)],
    };

static ENTITY_NODE_6189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6188)],
    };

static ENTITY_NODE_6190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_6189)],
    };

static ENTITY_NODE_6191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xaf")),
      children: &[],
    };

static ENTITY_NODE_6192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xaf")),
      children: &[Some(ENTITY_NODE_6191)],
    };

static ENTITY_NODE_6193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6192)],
    };

static ENTITY_NODE_6194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\x82")),
      children: &[],
    };

static ENTITY_NODE_6195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6194)],
    };

static ENTITY_NODE_6196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9c\xa0")),
      children: &[],
    };

static ENTITY_NODE_6197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6196)],
    };

static ENTITY_NODE_6198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6197)],
    };

static ENTITY_NODE_6199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6198)],
    };

static ENTITY_NODE_6200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6196), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6199)],
    };

static ENTITY_NODE_6201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6195), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6200)],
    };

static ENTITY_NODE_6202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_751)],
    };

static ENTITY_NODE_6203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6202)],
    };

static ENTITY_NODE_6204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6203)],
    };

static ENTITY_NODE_6205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1495)],
    };

static ENTITY_NODE_6206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6205)],
    };

static ENTITY_NODE_6207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6206)],
    };

static ENTITY_NODE_6208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3357)],
    };

static ENTITY_NODE_6209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2745), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6204), None, None, None, None, None, None, None, Some(ENTITY_NODE_6207), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6208)],
    };

static ENTITY_NODE_6210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6209)],
    };

static ENTITY_NODE_6211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6210)],
    };

static ENTITY_NODE_6212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2745), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6211)],
    };

static ENTITY_NODE_6213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xae")),
      children: &[],
    };

static ENTITY_NODE_6214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6213)],
    };

static ENTITY_NODE_6215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6214)],
    };

static ENTITY_NODE_6216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6215)],
    };

static ENTITY_NODE_6217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_6216)],
    };

static ENTITY_NODE_6218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6193), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6201), None, None, None, Some(ENTITY_NODE_6212), None, Some(ENTITY_NODE_6217)],
    };

static ENTITY_NODE_6219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xa9")),
      children: &[],
    };

static ENTITY_NODE_6220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6219)],
    };

static ENTITY_NODE_6221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6220)],
    };

static ENTITY_NODE_6222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6221)],
    };

static ENTITY_NODE_6223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6222)],
    };

static ENTITY_NODE_6224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xbc")),
      children: &[],
    };

static ENTITY_NODE_6225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6224)],
    };

static ENTITY_NODE_6226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6223), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6225)],
    };

static ENTITY_NODE_6227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x94")),
      children: &[],
    };

static ENTITY_NODE_6228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6227)],
    };

static ENTITY_NODE_6229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6228)],
    };

static ENTITY_NODE_6230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6229)],
    };

static ENTITY_NODE_6231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6230)],
    };

static ENTITY_NODE_6232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3710)],
    };

static ENTITY_NODE_6233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6232)],
    };

static ENTITY_NODE_6234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6233)],
    };

static ENTITY_NODE_6235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6234)],
    };

static ENTITY_NODE_6236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6235)],
    };

static ENTITY_NODE_6237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6236)],
    };

static ENTITY_NODE_6238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6237)],
    };

static ENTITY_NODE_6239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6238)],
    };

static ENTITY_NODE_6240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6239)],
    };

static ENTITY_NODE_6241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6240)],
    };

static ENTITY_NODE_6242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6241)],
    };

static ENTITY_NODE_6243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6242)],
    };

static ENTITY_NODE_6244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xaa")),
      children: &[],
    };

static ENTITY_NODE_6245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6244)],
    };

static ENTITY_NODE_6246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6245)],
    };

static ENTITY_NODE_6247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xa7")),
      children: &[],
    };

static ENTITY_NODE_6248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6247)],
    };

static ENTITY_NODE_6249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6248)],
    };

static ENTITY_NODE_6250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb5")),
      children: &[],
    };

static ENTITY_NODE_6251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb5")),
      children: &[Some(ENTITY_NODE_6250)],
    };

static ENTITY_NODE_6252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6251)],
    };

static ENTITY_NODE_6253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6252)],
    };

static ENTITY_NODE_6254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3789)],
    };

static ENTITY_NODE_6255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6254)],
    };

static ENTITY_NODE_6256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xb0")),
      children: &[],
    };

static ENTITY_NODE_6257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6256)],
    };

static ENTITY_NODE_6258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6257)],
    };

static ENTITY_NODE_6259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6258)],
    };

static ENTITY_NODE_6260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb7")),
      children: &[Some(ENTITY_NODE_229)],
    };

static ENTITY_NODE_6261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6260)],
    };

static ENTITY_NODE_6262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6261)],
    };

static ENTITY_NODE_6263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3446), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6255), None, Some(ENTITY_NODE_6259), Some(ENTITY_NODE_6262)],
    };

static ENTITY_NODE_6264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x92")),
      children: &[],
    };

static ENTITY_NODE_6265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xaa")),
      children: &[],
    };

static ENTITY_NODE_6266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6265)],
    };

static ENTITY_NODE_6267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4677), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6266)],
    };

static ENTITY_NODE_6268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6264), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4113), None, Some(ENTITY_NODE_6267)],
    };

static ENTITY_NODE_6269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6268)],
    };

static ENTITY_NODE_6270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6269)],
    };

static ENTITY_NODE_6271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6253), Some(ENTITY_NODE_6263), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6270)],
    };

static ENTITY_NODE_6272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x9b")),
      children: &[],
    };

static ENTITY_NODE_6273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6272)],
    };

static ENTITY_NODE_6274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6273)],
    };

static ENTITY_NODE_6275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_5336)],
    };

static ENTITY_NODE_6276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6274), Some(ENTITY_NODE_6275)],
    };

static ENTITY_NODE_6277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_1776)],
    };

static ENTITY_NODE_6278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xa7")),
      children: &[],
    };

static ENTITY_NODE_6279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6278)],
    };

static ENTITY_NODE_6280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6279)],
    };

static ENTITY_NODE_6281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6280)],
    };

static ENTITY_NODE_6282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6281)],
    };

static ENTITY_NODE_6283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x9e")),
      children: &[],
    };

static ENTITY_NODE_6284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6283)],
    };

static ENTITY_NODE_6285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6284)],
    };

static ENTITY_NODE_6286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6282), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6285)],
    };

static ENTITY_NODE_6287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x82")),
      children: &[],
    };

static ENTITY_NODE_6288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6287)],
    };

static ENTITY_NODE_6289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6288)],
    };

static ENTITY_NODE_6290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3640)],
    };

static ENTITY_NODE_6291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6290)],
    };

static ENTITY_NODE_6292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6291)],
    };

static ENTITY_NODE_6293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6292)],
    };

static ENTITY_NODE_6294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6289), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6293)],
    };

static ENTITY_NODE_6295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xbc")),
      children: &[],
    };

static ENTITY_NODE_6296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb8")),
      children: &[],
    };

static ENTITY_NODE_6297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6296)],
    };

static ENTITY_NODE_6298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6297)],
    };

static ENTITY_NODE_6299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6298)],
    };

static ENTITY_NODE_6300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6299)],
    };

static ENTITY_NODE_6301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6300)],
    };

static ENTITY_NODE_6302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6301)],
    };

static ENTITY_NODE_6303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6295), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6302), Some(ENTITY_NODE_6299)],
    };

static ENTITY_NODE_6304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_6190), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6218), None, Some(ENTITY_NODE_6226), Some(ENTITY_NODE_6231), Some(ENTITY_NODE_6243), Some(ENTITY_NODE_6246), None, Some(ENTITY_NODE_6249), Some(ENTITY_NODE_6271), None, None, Some(ENTITY_NODE_6276), None, Some(ENTITY_NODE_6277), Some(ENTITY_NODE_6286), Some(ENTITY_NODE_1773), None, None, Some(ENTITY_NODE_6294), None, Some(ENTITY_NODE_6303)],
    };

static ENTITY_NODE_6305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x99\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6305)],
    };

static ENTITY_NODE_6307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xab\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6307), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1978)],
    };

static ENTITY_NODE_6309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6306), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6308)],
    };

static ENTITY_NODE_6310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x8d")),
      children: &[],
    };

static ENTITY_NODE_6311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6310)],
    };

static ENTITY_NODE_6312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6311)],
    };

static ENTITY_NODE_6313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6312)],
    };

static ENTITY_NODE_6314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6313)],
    };

static ENTITY_NODE_6315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6314)],
    };

static ENTITY_NODE_6316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x8e")),
      children: &[],
    };

static ENTITY_NODE_6317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6316)],
    };

static ENTITY_NODE_6318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6317)],
    };

static ENTITY_NODE_6319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6318)],
    };

static ENTITY_NODE_6320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6319)],
    };

static ENTITY_NODE_6321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6320)],
    };

static ENTITY_NODE_6322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6321)],
    };

static ENTITY_NODE_6323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6322)],
    };

static ENTITY_NODE_6324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6323)],
    };

static ENTITY_NODE_6325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6324)],
    };

static ENTITY_NODE_6326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6325)],
    };

static ENTITY_NODE_6327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6315), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6326)],
    };

static ENTITY_NODE_6328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6327)],
    };

static ENTITY_NODE_6329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6328)],
    };

static ENTITY_NODE_6330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x98\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6330)],
    };

static ENTITY_NODE_6332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xaa\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6332), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2070)],
    };

static ENTITY_NODE_6334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6329), None, None, None, None, None, None, Some(ENTITY_NODE_6331), None, None, None, None, None, None, None, Some(ENTITY_NODE_6333)],
    };

static ENTITY_NODE_6335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x8f")),
      children: &[],
    };

static ENTITY_NODE_6336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6335)],
    };

static ENTITY_NODE_6337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6336)],
    };

static ENTITY_NODE_6338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6337)],
    };

static ENTITY_NODE_6339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6338)],
    };

static ENTITY_NODE_6340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6339)],
    };

static ENTITY_NODE_6341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6340)],
    };

static ENTITY_NODE_6342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6341)],
    };

static ENTITY_NODE_6343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6342)],
    };

static ENTITY_NODE_6344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6343)],
    };

static ENTITY_NODE_6345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6344)],
    };

static ENTITY_NODE_6346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xaf")),
      children: &[],
    };

static ENTITY_NODE_6347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6346)],
    };

static ENTITY_NODE_6348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6347)],
    };

static ENTITY_NODE_6349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6348)],
    };

static ENTITY_NODE_6350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6349)],
    };

static ENTITY_NODE_6351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xae")),
      children: &[],
    };

static ENTITY_NODE_6352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6351)],
    };

static ENTITY_NODE_6353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6352)],
    };

static ENTITY_NODE_6354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6353)],
    };

static ENTITY_NODE_6355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6354)],
    };

static ENTITY_NODE_6356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_6350), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6355)],
    };

static ENTITY_NODE_6357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_447)],
    };

static ENTITY_NODE_6358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6357)],
    };

static ENTITY_NODE_6359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6358)],
    };

static ENTITY_NODE_6360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x84")),
      children: &[],
    };

static ENTITY_NODE_6361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6360)],
    };

static ENTITY_NODE_6362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6361)],
    };

static ENTITY_NODE_6363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6362)],
    };

static ENTITY_NODE_6364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6363)],
    };

static ENTITY_NODE_6365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa0\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6365)],
    };

static ENTITY_NODE_6367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6366)],
    };

static ENTITY_NODE_6368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb0\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6368)],
    };

static ENTITY_NODE_6370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8b\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6370)],
    };

static ENTITY_NODE_6372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6371)],
    };

static ENTITY_NODE_6373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x89")),
      children: &[],
    };

static ENTITY_NODE_6374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6373)],
    };

static ENTITY_NODE_6375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6374)],
    };

static ENTITY_NODE_6376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_2294)],
    };

static ENTITY_NODE_6377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6376)],
    };

static ENTITY_NODE_6378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6377)],
    };

static ENTITY_NODE_6379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2293), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6369), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6372), None, None, None, None, None, Some(ENTITY_NODE_6375), Some(ENTITY_NODE_6378)],
    };

static ENTITY_NODE_6380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xae")),
      children: &[],
    };

static ENTITY_NODE_6381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6380), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1898)],
    };

static ENTITY_NODE_6382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6381)],
    };

static ENTITY_NODE_6383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6380), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6382)],
    };

static ENTITY_NODE_6384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6383)],
    };

static ENTITY_NODE_6385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6384)],
    };

static ENTITY_NODE_6386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_6359), Some(ENTITY_NODE_6364), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6367), None, Some(ENTITY_NODE_6379), None, None, None, Some(ENTITY_NODE_6385)],
    };

static ENTITY_NODE_6387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa0")),
      children: &[Some(ENTITY_NODE_1882)],
    };

static ENTITY_NODE_6388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6387)],
    };

static ENTITY_NODE_6389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2014), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2024)],
    };

static ENTITY_NODE_6390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6389)],
    };

static ENTITY_NODE_6391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6390)],
    };

static ENTITY_NODE_6392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6388), None, Some(ENTITY_NODE_6391)],
    };

static ENTITY_NODE_6393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x83")),
      children: &[],
    };

static ENTITY_NODE_6394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6393)],
    };

static ENTITY_NODE_6395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x88")),
      children: &[],
    };

static ENTITY_NODE_6396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6395)],
    };

static ENTITY_NODE_6397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6396)],
    };

static ENTITY_NODE_6398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6397)],
    };

static ENTITY_NODE_6399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6394), None, Some(ENTITY_NODE_6398)],
    };

static ENTITY_NODE_6400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x86")),
      children: &[],
    };

static ENTITY_NODE_6401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6400)],
    };

static ENTITY_NODE_6402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6401)],
    };

static ENTITY_NODE_6403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6402)],
    };

static ENTITY_NODE_6404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6403)],
    };

static ENTITY_NODE_6405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xad\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6405)],
    };

static ENTITY_NODE_6407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6406)],
    };

static ENTITY_NODE_6408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6407)],
    };

static ENTITY_NODE_6409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2283), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6408)],
    };

static ENTITY_NODE_6410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6409)],
    };

static ENTITY_NODE_6411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6410)],
    };

static ENTITY_NODE_6412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x82")),
      children: &[],
    };

static ENTITY_NODE_6413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6412)],
    };

static ENTITY_NODE_6414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6413)],
    };

static ENTITY_NODE_6415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xbd")),
      children: &[],
    };

static ENTITY_NODE_6416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6415)],
    };

static ENTITY_NODE_6417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6399), None, None, None, Some(ENTITY_NODE_6404), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6411), None, None, None, None, None, Some(ENTITY_NODE_6414), None, None, None, Some(ENTITY_NODE_6416)],
    };

static ENTITY_NODE_6418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x93")),
      children: &[],
    };

static ENTITY_NODE_6419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6418)],
    };

static ENTITY_NODE_6420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6419)],
    };

static ENTITY_NODE_6421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6420)],
    };

static ENTITY_NODE_6422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6421)],
    };

static ENTITY_NODE_6423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x97")),
      children: &[],
    };

static ENTITY_NODE_6424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6423)],
    };

static ENTITY_NODE_6425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6424)],
    };

static ENTITY_NODE_6426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6425)],
    };

static ENTITY_NODE_6427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa4")),
      children: &[],
    };

static ENTITY_NODE_6428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6427)],
    };

static ENTITY_NODE_6429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_6428)],
    };

static ENTITY_NODE_6430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3379), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3381)],
    };

static ENTITY_NODE_6431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6429), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6430)],
    };

static ENTITY_NODE_6432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6431)],
    };

static ENTITY_NODE_6433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x90\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6433)],
    };

static ENTITY_NODE_6435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6434)],
    };

static ENTITY_NODE_6436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6435)],
    };

static ENTITY_NODE_6437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_1902)],
    };

static ENTITY_NODE_6438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6437)],
    };

static ENTITY_NODE_6439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6438)],
    };

static ENTITY_NODE_6440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa8")),
      children: &[],
    };

static ENTITY_NODE_6441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6440)],
    };

static ENTITY_NODE_6442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6441)],
    };

static ENTITY_NODE_6443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6442)],
    };

static ENTITY_NODE_6444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_1944)],
    };

static ENTITY_NODE_6445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6443), None, None, None, Some(ENTITY_NODE_6444)],
    };

static ENTITY_NODE_6446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1953), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1954)],
    };

static ENTITY_NODE_6447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6446)],
    };

static ENTITY_NODE_6448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6447)],
    };

static ENTITY_NODE_6449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6448)],
    };

static ENTITY_NODE_6450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1942), None, None, None, None, None, Some(ENTITY_NODE_6426), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6432), None, None, Some(ENTITY_NODE_6436), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6439), None, Some(ENTITY_NODE_6445), None, None, None, None, Some(ENTITY_NODE_6449)],
    };

static ENTITY_NODE_6451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xab")),
      children: &[],
    };

static ENTITY_NODE_6452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6451)],
    };

static ENTITY_NODE_6453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6452)],
    };

static ENTITY_NODE_6454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1991)],
    };

static ENTITY_NODE_6455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6454)],
    };

static ENTITY_NODE_6456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6455)],
    };

static ENTITY_NODE_6457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6456)],
    };

static ENTITY_NODE_6458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1961), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1968), None, Some(ENTITY_NODE_6457)],
    };

static ENTITY_NODE_6459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1961), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6458), None, Some(ENTITY_NODE_1991)],
    };

static ENTITY_NODE_6460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2002)],
    };

static ENTITY_NODE_6461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6460)],
    };

static ENTITY_NODE_6462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1960)],
    };

static ENTITY_NODE_6463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1960), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6462)],
    };

static ENTITY_NODE_6464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_1968), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6459), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6461), Some(ENTITY_NODE_6463)],
    };

static ENTITY_NODE_6465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6317)],
    };

static ENTITY_NODE_6466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6465)],
    };

static ENTITY_NODE_6467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xae")),
      children: &[],
    };

static ENTITY_NODE_6468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6467)],
    };

static ENTITY_NODE_6469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6468)],
    };

static ENTITY_NODE_6470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6469)],
    };

static ENTITY_NODE_6471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xb2")),
      children: &[],
    };

static ENTITY_NODE_6472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6471)],
    };

static ENTITY_NODE_6473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6472)],
    };

static ENTITY_NODE_6474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6473)],
    };

static ENTITY_NODE_6475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_6466), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6470), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6474)],
    };

static ENTITY_NODE_6476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xbc")),
      children: &[],
    };

static ENTITY_NODE_6477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xba")),
      children: &[],
    };

static ENTITY_NODE_6478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6477)],
    };

static ENTITY_NODE_6479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6476), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6478)],
    };

static ENTITY_NODE_6480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2617), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6479), None, None, Some(ENTITY_NODE_2618)],
    };

static ENTITY_NODE_6481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x9a")),
      children: &[],
    };

static ENTITY_NODE_6482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6481)],
    };

static ENTITY_NODE_6483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_6482)],
    };

static ENTITY_NODE_6484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6483)],
    };

static ENTITY_NODE_6485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6311)],
    };

static ENTITY_NODE_6486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6485)],
    };

static ENTITY_NODE_6487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa6\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6487)],
    };

static ENTITY_NODE_6489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x9a")),
      children: &[],
    };

static ENTITY_NODE_6490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6489)],
    };

static ENTITY_NODE_6491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6490)],
    };

static ENTITY_NODE_6492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6491)],
    };

static ENTITY_NODE_6493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xa5")),
      children: &[],
    };

static ENTITY_NODE_6494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6493)],
    };

static ENTITY_NODE_6495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6494)],
    };

static ENTITY_NODE_6496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6490)],
    };

static ENTITY_NODE_6497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6496)],
    };

static ENTITY_NODE_6498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6497)],
    };

static ENTITY_NODE_6499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6498)],
    };

static ENTITY_NODE_6500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6468)],
    };

static ENTITY_NODE_6501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6500)],
    };

static ENTITY_NODE_6502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6501)],
    };

static ENTITY_NODE_6503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6502)],
    };

static ENTITY_NODE_6504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6503)],
    };

static ENTITY_NODE_6505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6504)],
    };

static ENTITY_NODE_6506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6505)],
    };

static ENTITY_NODE_6507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6506)],
    };

static ENTITY_NODE_6508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6507)],
    };

static ENTITY_NODE_6509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6499), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6508)],
    };

static ENTITY_NODE_6510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6509)],
    };

static ENTITY_NODE_6511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2075)],
    };

static ENTITY_NODE_6512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6511)],
    };

static ENTITY_NODE_6513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6512)],
    };

static ENTITY_NODE_6514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6513)],
    };

static ENTITY_NODE_6515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2055), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6488), None, Some(ENTITY_NODE_6514)],
    };

static ENTITY_NODE_6516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2054)],
    };

static ENTITY_NODE_6517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2074), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6516)],
    };

static ENTITY_NODE_6518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2055), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6510), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6515), None, Some(ENTITY_NODE_6517)],
    };

static ENTITY_NODE_6519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2086)],
    };

static ENTITY_NODE_6520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6519)],
    };

static ENTITY_NODE_6521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2033), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2039)],
    };

static ENTITY_NODE_6522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6521)],
    };

static ENTITY_NODE_6523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2054), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6522)],
    };

static ENTITY_NODE_6524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_6486), None, None, None, Some(ENTITY_NODE_6488), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6492), None, None, Some(ENTITY_NODE_6495), Some(ENTITY_NODE_6518), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6520), Some(ENTITY_NODE_6523)],
    };

static ENTITY_NODE_6525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2305)],
    };

static ENTITY_NODE_6526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6525)],
    };

static ENTITY_NODE_6527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\x9f")),
      children: &[],
    };

static ENTITY_NODE_6528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6527)],
    };

static ENTITY_NODE_6529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6528)],
    };

static ENTITY_NODE_6530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xac")),
      children: &[],
    };

static ENTITY_NODE_6531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb9\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6531)],
    };

static ENTITY_NODE_6533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb5\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6533)],
    };

static ENTITY_NODE_6535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6534)],
    };

static ENTITY_NODE_6536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6535)],
    };

static ENTITY_NODE_6537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb7")),
      children: &[],
    };

static ENTITY_NODE_6538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6537)],
    };

static ENTITY_NODE_6539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb6")),
      children: &[],
    };

static ENTITY_NODE_6540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6539)],
    };

static ENTITY_NODE_6541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_1936), Some(ENTITY_NODE_6538), Some(ENTITY_NODE_6540)],
    };

static ENTITY_NODE_6542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1935), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6532), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6536), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6541)],
    };

static ENTITY_NODE_6543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6542)],
    };

static ENTITY_NODE_6544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xbe")),
      children: &[],
    };

static ENTITY_NODE_6545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6544)],
    };

static ENTITY_NODE_6546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xbd")),
      children: &[],
    };

static ENTITY_NODE_6547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6546)],
    };

static ENTITY_NODE_6548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2152), Some(ENTITY_NODE_6545), Some(ENTITY_NODE_6547)],
    };

static ENTITY_NODE_6549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2151), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6548)],
    };

static ENTITY_NODE_6550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6549)],
    };

static ENTITY_NODE_6551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xac")),
      children: &[Some(ENTITY_NODE_6530), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6543), None, None, None, None, Some(ENTITY_NODE_6550)],
    };

static ENTITY_NODE_6552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6529), None, None, None, Some(ENTITY_NODE_6551)],
    };

static ENTITY_NODE_6553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1918)],
    };

static ENTITY_NODE_6554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6553)],
    };

static ENTITY_NODE_6555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6554)],
    };

static ENTITY_NODE_6556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6555)],
    };

static ENTITY_NODE_6557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xbd\xe2\x83\xa5")),
      children: &[],
    };

static ENTITY_NODE_6558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6557)],
    };

static ENTITY_NODE_6559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6558)],
    };

static ENTITY_NODE_6560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\x82\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6560)],
    };

static ENTITY_NODE_6562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1917), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6556), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6559), Some(ENTITY_NODE_6561)],
    };

static ENTITY_NODE_6563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6562)],
    };

static ENTITY_NODE_6564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x94")),
      children: &[],
    };

static ENTITY_NODE_6565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6564)],
    };

static ENTITY_NODE_6566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6565)],
    };

static ENTITY_NODE_6567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6566)],
    };

static ENTITY_NODE_6568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6567)],
    };

static ENTITY_NODE_6569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6568)],
    };

static ENTITY_NODE_6570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2133)],
    };

static ENTITY_NODE_6571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6570)],
    };

static ENTITY_NODE_6572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2127)],
    };

static ENTITY_NODE_6573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2125), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6572)],
    };

static ENTITY_NODE_6574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2126), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6573)],
    };

static ENTITY_NODE_6575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2125), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6571), None, Some(ENTITY_NODE_6574)],
    };

static ENTITY_NODE_6576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6563), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6569), None, None, Some(ENTITY_NODE_6575)],
    };

static ENTITY_NODE_6577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6336)],
    };

static ENTITY_NODE_6578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6577)],
    };

static ENTITY_NODE_6579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x9b")),
      children: &[],
    };

static ENTITY_NODE_6580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xb3\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6580)],
    };

static ENTITY_NODE_6582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x9d\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6582)],
    };

static ENTITY_NODE_6584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6579), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6581), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6583)],
    };

static ENTITY_NODE_6585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6584)],
    };

static ENTITY_NODE_6586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6585)],
    };

static ENTITY_NODE_6587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6579)],
    };

static ENTITY_NODE_6588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_6587)],
    };

static ENTITY_NODE_6589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6588)],
    };

static ENTITY_NODE_6590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6589)],
    };

static ENTITY_NODE_6591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6590)],
    };

static ENTITY_NODE_6592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6591)],
    };

static ENTITY_NODE_6593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6592)],
    };

static ENTITY_NODE_6594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6593)],
    };

static ENTITY_NODE_6595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6594)],
    };

static ENTITY_NODE_6596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2165), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2171)],
    };

static ENTITY_NODE_6597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6596)],
    };

static ENTITY_NODE_6598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6597)],
    };

static ENTITY_NODE_6599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_6578), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6586), None, None, None, None, None, None, None, Some(ENTITY_NODE_6595), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6598)],
    };

static ENTITY_NODE_6600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2239)],
    };

static ENTITY_NODE_6601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6600)],
    };

static ENTITY_NODE_6602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x83")),
      children: &[],
    };

static ENTITY_NODE_6603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6602)],
    };

static ENTITY_NODE_6604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2231), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6601), None, Some(ENTITY_NODE_2233), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6603)],
    };

static ENTITY_NODE_6605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6556)],
    };

static ENTITY_NODE_6606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6605)],
    };

static ENTITY_NODE_6607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6606)],
    };

static ENTITY_NODE_6608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6526), None, None, Some(ENTITY_NODE_6607)],
    };

static ENTITY_NODE_6609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6608)],
    };

static ENTITY_NODE_6610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6609)],
    };

static ENTITY_NODE_6611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6610)],
    };

static ENTITY_NODE_6612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2277), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2278)],
    };

static ENTITY_NODE_6613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2276), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6612)],
    };

static ENTITY_NODE_6614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6613)],
    };

static ENTITY_NODE_6615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2191)],
    };

static ENTITY_NODE_6616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2202)],
    };

static ENTITY_NODE_6617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_6615), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6616)],
    };

static ENTITY_NODE_6618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6617)],
    };

static ENTITY_NODE_6619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6618)],
    };

static ENTITY_NODE_6620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x84")),
      children: &[],
    };

static ENTITY_NODE_6621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x85\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6621)],
    };

static ENTITY_NODE_6623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2221), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6622)],
    };

static ENTITY_NODE_6624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_6623)],
    };

static ENTITY_NODE_6625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2220), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6624)],
    };

static ENTITY_NODE_6626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6625)],
    };

static ENTITY_NODE_6627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6626)],
    };

static ENTITY_NODE_6628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6620), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6622), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2222), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6627)],
    };

static ENTITY_NODE_6629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2233)],
    };

static ENTITY_NODE_6630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2231), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6629)],
    };

static ENTITY_NODE_6631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6630)],
    };

static ENTITY_NODE_6632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x85")),
      children: &[],
    };

static ENTITY_NODE_6633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x86\xcc\xb8")),
      children: &[],
    };

static ENTITY_NODE_6634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6633)],
    };

static ENTITY_NODE_6635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2262), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6634)],
    };

static ENTITY_NODE_6636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_6635)],
    };

static ENTITY_NODE_6637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2261), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6636)],
    };

static ENTITY_NODE_6638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6637)],
    };

static ENTITY_NODE_6639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6638)],
    };

static ENTITY_NODE_6640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6632), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6634), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2263), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6639)],
    };

static ENTITY_NODE_6641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_6628), Some(ENTITY_NODE_6631), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6640)],
    };

static ENTITY_NODE_6642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6604), None, None, None, None, Some(ENTITY_NODE_6611), Some(ENTITY_NODE_6614), None, None, None, Some(ENTITY_NODE_6526), None, None, Some(ENTITY_NODE_1920), Some(ENTITY_NODE_6619), None, None, None, Some(ENTITY_NODE_6641)],
    };

static ENTITY_NODE_6643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_1986)],
    };

static ENTITY_NODE_6644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb1")),
      children: &[],
    };

static ENTITY_NODE_6645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb1")),
      children: &[Some(ENTITY_NODE_6644)],
    };

static ENTITY_NODE_6646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6645)],
    };

static ENTITY_NODE_6647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6646)],
    };

static ENTITY_NODE_6648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6647)],
    };

static ENTITY_NODE_6649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_2062)],
    };

static ENTITY_NODE_6650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2039)],
    };

static ENTITY_NODE_6651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2033), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6650)],
    };

static ENTITY_NODE_6652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6651)],
    };

static ENTITY_NODE_6653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6652)],
    };

static ENTITY_NODE_6654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6653)],
    };

static ENTITY_NODE_6655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2171)],
    };

static ENTITY_NODE_6656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2165), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6655)],
    };

static ENTITY_NODE_6657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6656)],
    };

static ENTITY_NODE_6658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6657)],
    };

static ENTITY_NODE_6659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6658)],
    };

static ENTITY_NODE_6660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6659)],
    };

static ENTITY_NODE_6661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6654), None, None, None, None, None, Some(ENTITY_NODE_6660)],
    };

static ENTITY_NODE_6662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6661)],
    };

static ENTITY_NODE_6663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6662)],
    };

static ENTITY_NODE_6664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6663)],
    };

static ENTITY_NODE_6665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6664)],
    };

static ENTITY_NODE_6666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6665)],
    };

static ENTITY_NODE_6667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6666)],
    };

static ENTITY_NODE_6668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6643), None, Some(ENTITY_NODE_6648), None, None, Some(ENTITY_NODE_6649), None, None, None, None, None, Some(ENTITY_NODE_6667)],
    };

static ENTITY_NODE_6669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xbd")),
      children: &[],
    };

static ENTITY_NODE_6670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"#")),
      children: &[],
    };

static ENTITY_NODE_6671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x96")),
      children: &[],
    };

static ENTITY_NODE_6672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6671)],
    };

static ENTITY_NODE_6673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6672)],
    };

static ENTITY_NODE_6674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6673)],
    };

static ENTITY_NODE_6675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x87")),
      children: &[],
    };

static ENTITY_NODE_6676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6675)],
    };

static ENTITY_NODE_6677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6676)],
    };

static ENTITY_NODE_6678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6670), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6674), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6677)],
    };

static ENTITY_NODE_6679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6669), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6678)],
    };

static ENTITY_NODE_6680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xad")),
      children: &[],
    };

static ENTITY_NODE_6681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6680)],
    };

static ENTITY_NODE_6682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6681)],
    };

static ENTITY_NODE_6683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6682)],
    };

static ENTITY_NODE_6684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6683)],
    };

static ENTITY_NODE_6685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x84")),
      children: &[],
    };

static ENTITY_NODE_6686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6685)],
    };

static ENTITY_NODE_6687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6686)],
    };

static ENTITY_NODE_6688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6687)],
    };

static ENTITY_NODE_6689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6688)],
    };

static ENTITY_NODE_6690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x8d\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6690)],
    };

static ENTITY_NODE_6692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6691)],
    };

static ENTITY_NODE_6693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xac")),
      children: &[],
    };

static ENTITY_NODE_6694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6693)],
    };

static ENTITY_NODE_6695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6694)],
    };

static ENTITY_NODE_6696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6695)],
    };

static ENTITY_NODE_6697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6696)],
    };

static ENTITY_NODE_6698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa5\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6698)],
    };

static ENTITY_NODE_6700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b">\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6700)],
    };

static ENTITY_NODE_6702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6699), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6701)],
    };

static ENTITY_NODE_6703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x9e")),
      children: &[],
    };

static ENTITY_NODE_6704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6703)],
    };

static ENTITY_NODE_6705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6704)],
    };

static ENTITY_NODE_6706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6705)],
    };

static ENTITY_NODE_6707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6706)],
    };

static ENTITY_NODE_6708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6707)],
    };

static ENTITY_NODE_6709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x82")),
      children: &[],
    };

static ENTITY_NODE_6710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6709)],
    };

static ENTITY_NODE_6711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6710)],
    };

static ENTITY_NODE_6712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6711)],
    };

static ENTITY_NODE_6713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\xa4\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6713)],
    };

static ENTITY_NODE_6715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"<\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb4\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6716)],
    };

static ENTITY_NODE_6718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6717)],
    };

static ENTITY_NODE_6719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6718)],
    };

static ENTITY_NODE_6720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6715), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6719)],
    };

static ENTITY_NODE_6721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_6712), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6714), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6720)],
    };

static ENTITY_NODE_6722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x83")),
      children: &[],
    };

static ENTITY_NODE_6723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6722)],
    };

static ENTITY_NODE_6724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6723)],
    };

static ENTITY_NODE_6725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6724)],
    };

static ENTITY_NODE_6726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb5\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6726)],
    };

static ENTITY_NODE_6728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6727)],
    };

static ENTITY_NODE_6729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6728)],
    };

static ENTITY_NODE_6730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6729)],
    };

static ENTITY_NODE_6731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_6725), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6730)],
    };

static ENTITY_NODE_6732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbc\xe2\x83\x92")),
      children: &[],
    };

static ENTITY_NODE_6733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6732)],
    };

static ENTITY_NODE_6734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6733)],
    };

static ENTITY_NODE_6735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6734)],
    };

static ENTITY_NODE_6736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 68,
      value: None,
      children: &[Some(ENTITY_NODE_6684), None, None, None, Some(ENTITY_NODE_6689), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6692), None, None, Some(ENTITY_NODE_6697), None, None, Some(ENTITY_NODE_6702), None, Some(ENTITY_NODE_6708), None, None, Some(ENTITY_NODE_6721), None, None, None, None, None, Some(ENTITY_NODE_6731), Some(ENTITY_NODE_6735)],
    };

static ENTITY_NODE_6737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x96")),
      children: &[],
    };

static ENTITY_NODE_6738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6737)],
    };

static ENTITY_NODE_6739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6738)],
    };

static ENTITY_NODE_6740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6739)],
    };

static ENTITY_NODE_6741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa3")),
      children: &[],
    };

static ENTITY_NODE_6742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6741)],
    };

static ENTITY_NODE_6743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_6742)],
    };

static ENTITY_NODE_6744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3369), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3371)],
    };

static ENTITY_NODE_6745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6743), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6744)],
    };

static ENTITY_NODE_6746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6745)],
    };

static ENTITY_NODE_6747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa7")),
      children: &[],
    };

static ENTITY_NODE_6748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6747)],
    };

static ENTITY_NODE_6749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6748)],
    };

static ENTITY_NODE_6750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6749)],
    };

static ENTITY_NODE_6751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6750)],
    };

static ENTITY_NODE_6752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_6740), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6746), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6751)],
    };

static ENTITY_NODE_6753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 71,
      value: None,
      children: &[Some(ENTITY_NODE_6309), None, None, None, None, Some(ENTITY_NODE_6334), None, None, None, None, None, Some(ENTITY_NODE_6345), None, None, None, Some(ENTITY_NODE_6356), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6386), Some(ENTITY_NODE_6392), Some(ENTITY_NODE_6417), Some(ENTITY_NODE_6422), Some(ENTITY_NODE_6450), Some(ENTITY_NODE_6453), Some(ENTITY_NODE_6464), Some(ENTITY_NODE_6475), Some(ENTITY_NODE_6480), Some(ENTITY_NODE_6484), None, Some(ENTITY_NODE_6524), Some(ENTITY_NODE_6526), None, Some(ENTITY_NODE_6552), Some(ENTITY_NODE_6576), None, Some(ENTITY_NODE_6599), Some(ENTITY_NODE_6642), Some(ENTITY_NODE_6668), Some(ENTITY_NODE_6679), Some(ENTITY_NODE_6736), Some(ENTITY_NODE_6752)],
    };

static ENTITY_NODE_6754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb3")),
      children: &[],
    };

static ENTITY_NODE_6755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb3")),
      children: &[Some(ENTITY_NODE_6754)],
    };

static ENTITY_NODE_6756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6755)],
    };

static ENTITY_NODE_6757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6756)],
    };

static ENTITY_NODE_6758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_6757)],
    };

static ENTITY_NODE_6759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6758), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4317)],
    };

static ENTITY_NODE_6760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb4")),
      children: &[],
    };

static ENTITY_NODE_6761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb4")),
      children: &[Some(ENTITY_NODE_6760)],
    };

static ENTITY_NODE_6762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4319), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6761)],
    };

static ENTITY_NODE_6763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6762)],
    };

static ENTITY_NODE_6764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xbe")),
      children: &[],
    };

static ENTITY_NODE_6765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6764)],
    };

static ENTITY_NODE_6766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6763), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6765)],
    };

static ENTITY_NODE_6767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x91")),
      children: &[],
    };

static ENTITY_NODE_6768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6767)],
    };

static ENTITY_NODE_6769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6768)],
    };

static ENTITY_NODE_6770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6769)],
    };

static ENTITY_NODE_6771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6770)],
    };

static ENTITY_NODE_6772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb8")),
      children: &[],
    };

static ENTITY_NODE_6773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6772)],
    };

static ENTITY_NODE_6774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_6773)],
    };

static ENTITY_NODE_6775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xbc")),
      children: &[],
    };

static ENTITY_NODE_6776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6775)],
    };

static ENTITY_NODE_6777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6776)],
    };

static ENTITY_NODE_6778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6777)],
    };

static ENTITY_NODE_6779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6778)],
    };

static ENTITY_NODE_6780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_4327), Some(ENTITY_NODE_6771), None, None, None, None, None, None, Some(ENTITY_NODE_6774), None, None, None, None, None, Some(ENTITY_NODE_244), None, None, None, Some(ENTITY_NODE_6779)],
    };

static ENTITY_NODE_6781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x93")),
      children: &[],
    };

static ENTITY_NODE_6782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6781)],
    };

static ENTITY_NODE_6783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6782)],
    };

static ENTITY_NODE_6784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6783)],
    };

static ENTITY_NODE_6785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6784)],
    };

static ENTITY_NODE_6786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xbf")),
      children: &[],
    };

static ENTITY_NODE_6787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6786)],
    };

static ENTITY_NODE_6788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6787)],
    };

static ENTITY_NODE_6789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6788)],
    };

static ENTITY_NODE_6790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xac")),
      children: &[],
    };

static ENTITY_NODE_6791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6790)],
    };

static ENTITY_NODE_6792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6789), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6791)],
    };

static ENTITY_NODE_6793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x9b")),
      children: &[],
    };

static ENTITY_NODE_6794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6793)],
    };

static ENTITY_NODE_6795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6794)],
    };

static ENTITY_NODE_6796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb2")),
      children: &[],
    };

static ENTITY_NODE_6797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb2")),
      children: &[Some(ENTITY_NODE_6796)],
    };

static ENTITY_NODE_6798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6797)],
    };

static ENTITY_NODE_6799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_6798)],
    };

static ENTITY_NODE_6800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6799)],
    };

static ENTITY_NODE_6801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x81")),
      children: &[],
    };

static ENTITY_NODE_6802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6801)],
    };

static ENTITY_NODE_6803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6795), None, None, Some(ENTITY_NODE_6800), None, Some(ENTITY_NODE_6802)],
    };

static ENTITY_NODE_6804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb5")),
      children: &[],
    };

static ENTITY_NODE_6805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6804)],
    };

static ENTITY_NODE_6806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6805)],
    };

static ENTITY_NODE_6807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6806)],
    };

static ENTITY_NODE_6808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_6807), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2369)],
    };

static ENTITY_NODE_6809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4297)],
    };

static ENTITY_NODE_6810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6809)],
    };

static ENTITY_NODE_6811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xbe")),
      children: &[],
    };

static ENTITY_NODE_6812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6811)],
    };

static ENTITY_NODE_6813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6812)],
    };

static ENTITY_NODE_6814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xbb")),
      children: &[],
    };

static ENTITY_NODE_6815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6814)],
    };

static ENTITY_NODE_6816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6815)],
    };

static ENTITY_NODE_6817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6816)],
    };

static ENTITY_NODE_6818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6817)],
    };

static ENTITY_NODE_6819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6813), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6818)],
    };

static ENTITY_NODE_6820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2435)],
    };

static ENTITY_NODE_6821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6820)],
    };

static ENTITY_NODE_6822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x80")),
      children: &[],
    };

static ENTITY_NODE_6823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6822)],
    };

static ENTITY_NODE_6824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6810), None, Some(ENTITY_NODE_6819), None, None, None, None, None, Some(ENTITY_NODE_6821), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6823)],
    };

static ENTITY_NODE_6825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x8d")),
      children: &[],
    };

static ENTITY_NODE_6826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6825)],
    };

static ENTITY_NODE_6827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6826)],
    };

static ENTITY_NODE_6828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6827)],
    };

static ENTITY_NODE_6829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x89")),
      children: &[],
    };

static ENTITY_NODE_6830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6829)],
    };

static ENTITY_NODE_6831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6830)],
    };

static ENTITY_NODE_6832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6831)],
    };

static ENTITY_NODE_6833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xbf")),
      children: &[],
    };

static ENTITY_NODE_6834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6833)],
    };

static ENTITY_NODE_6835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6834)],
    };

static ENTITY_NODE_6836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6835)],
    };

static ENTITY_NODE_6837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6836)],
    };

static ENTITY_NODE_6838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb6")),
      children: &[],
    };

static ENTITY_NODE_6839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6838)],
    };

static ENTITY_NODE_6840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6837), Some(ENTITY_NODE_6839), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_249)],
    };

static ENTITY_NODE_6841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6828), None, None, None, Some(ENTITY_NODE_6832), None, None, None, Some(ENTITY_NODE_6840)],
    };

static ENTITY_NODE_6842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa0")),
      children: &[],
    };

static ENTITY_NODE_6843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6842)],
    };

static ENTITY_NODE_6844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6843)],
    };

static ENTITY_NODE_6845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6844)],
    };

static ENTITY_NODE_6846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb7")),
      children: &[],
    };

static ENTITY_NODE_6847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6846)],
    };

static ENTITY_NODE_6848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6847)],
    };

static ENTITY_NODE_6849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb9")),
      children: &[],
    };

static ENTITY_NODE_6850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6849)],
    };

static ENTITY_NODE_6851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6850)],
    };

static ENTITY_NODE_6852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6851)],
    };

static ENTITY_NODE_6853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6848), None, None, None, Some(ENTITY_NODE_6852), None, None, None, None, None, None, Some(ENTITY_NODE_255)],
    };

static ENTITY_NODE_6854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xa8")),
      children: &[],
    };

static ENTITY_NODE_6855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4302)],
    };

static ENTITY_NODE_6856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6855)],
    };

static ENTITY_NODE_6857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x9d")),
      children: &[],
    };

static ENTITY_NODE_6858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\xb4")),
      children: &[],
    };

static ENTITY_NODE_6859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6858)],
    };

static ENTITY_NODE_6860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6859)],
    };

static ENTITY_NODE_6861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6858), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6860)],
    };

static ENTITY_NODE_6862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6861)],
    };

static ENTITY_NODE_6863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xaa")),
      children: &[],
    };

static ENTITY_NODE_6864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xaa")),
      children: &[Some(ENTITY_NODE_6863)],
    };

static ENTITY_NODE_6865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xba")),
      children: &[],
    };

static ENTITY_NODE_6866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xba")),
      children: &[Some(ENTITY_NODE_6865)],
    };

static ENTITY_NODE_6867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6857), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6862), Some(ENTITY_NODE_6864), None, None, None, None, None, None, Some(ENTITY_NODE_6866)],
    };

static ENTITY_NODE_6868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb6")),
      children: &[],
    };

static ENTITY_NODE_6869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6868)],
    };

static ENTITY_NODE_6870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6869)],
    };

static ENTITY_NODE_6871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6870)],
    };

static ENTITY_NODE_6872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_6871)],
    };

static ENTITY_NODE_6873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x96")),
      children: &[],
    };

static ENTITY_NODE_6874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6873)],
    };

static ENTITY_NODE_6875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6874)],
    };

static ENTITY_NODE_6876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x97")),
      children: &[],
    };

static ENTITY_NODE_6877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6876)],
    };

static ENTITY_NODE_6878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6877)],
    };

static ENTITY_NODE_6879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6878)],
    };

static ENTITY_NODE_6880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6879)],
    };

static ENTITY_NODE_6881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6880)],
    };

static ENTITY_NODE_6882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x9b")),
      children: &[],
    };

static ENTITY_NODE_6883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6882)],
    };

static ENTITY_NODE_6884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6854), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6856), None, None, Some(ENTITY_NODE_6867), None, None, None, None, Some(ENTITY_NODE_6872), None, None, None, None, None, Some(ENTITY_NODE_6875), None, None, None, Some(ENTITY_NODE_6881), None, None, Some(ENTITY_NODE_6883)],
    };

static ENTITY_NODE_6885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6859)],
    };

static ENTITY_NODE_6886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb8")),
      children: &[],
    };

static ENTITY_NODE_6887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb8")),
      children: &[Some(ENTITY_NODE_6886)],
    };

static ENTITY_NODE_6888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6887)],
    };

static ENTITY_NODE_6889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6888)],
    };

static ENTITY_NODE_6890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6889)],
    };

static ENTITY_NODE_6891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x98")),
      children: &[],
    };

static ENTITY_NODE_6892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6891)],
    };

static ENTITY_NODE_6893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6892)],
    };

static ENTITY_NODE_6894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6885), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6890), None, None, Some(ENTITY_NODE_6893)],
    };

static ENTITY_NODE_6895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb5")),
      children: &[],
    };

static ENTITY_NODE_6896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb5")),
      children: &[Some(ENTITY_NODE_6895)],
    };

static ENTITY_NODE_6897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6896)],
    };

static ENTITY_NODE_6898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6897)],
    };

static ENTITY_NODE_6899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb6")),
      children: &[],
    };

static ENTITY_NODE_6900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6899)],
    };

static ENTITY_NODE_6901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6900)],
    };

static ENTITY_NODE_6902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_257), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6901)],
    };

static ENTITY_NODE_6903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_6902)],
    };

static ENTITY_NODE_6904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6903)],
    };

static ENTITY_NODE_6905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6898), Some(ENTITY_NODE_6904)],
    };

static ENTITY_NODE_6906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6905)],
    };

static ENTITY_NODE_6907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb6")),
      children: &[],
    };

static ENTITY_NODE_6908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb6")),
      children: &[Some(ENTITY_NODE_6907)],
    };

static ENTITY_NODE_6909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6908)],
    };

static ENTITY_NODE_6910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6909)],
    };

static ENTITY_NODE_6911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\xbd")),
      children: &[],
    };

static ENTITY_NODE_6912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6911)],
    };

static ENTITY_NODE_6913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6912)],
    };

static ENTITY_NODE_6914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6913)],
    };

static ENTITY_NODE_6915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_6914)],
    };

static ENTITY_NODE_6916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 83,
      value: None,
      children: &[Some(ENTITY_NODE_4314), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6759), None, Some(ENTITY_NODE_6766), Some(ENTITY_NODE_6780), Some(ENTITY_NODE_6785), Some(ENTITY_NODE_6792), Some(ENTITY_NODE_6803), Some(ENTITY_NODE_6808), Some(ENTITY_NODE_4386), None, None, Some(ENTITY_NODE_6824), Some(ENTITY_NODE_6841), None, Some(ENTITY_NODE_6845), Some(ENTITY_NODE_6853), None, Some(ENTITY_NODE_6884), Some(ENTITY_NODE_6894), Some(ENTITY_NODE_6906), Some(ENTITY_NODE_6910), Some(ENTITY_NODE_6915)],
    };

static ENTITY_NODE_6917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb6")),
      children: &[],
    };

static ENTITY_NODE_6918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_647)],
    };

static ENTITY_NODE_6919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6918)],
    };

static ENTITY_NODE_6920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6919)],
    };

static ENTITY_NODE_6921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb6")),
      children: &[Some(ENTITY_NODE_6917), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6920)],
    };

static ENTITY_NODE_6922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xb3")),
      children: &[],
    };

static ENTITY_NODE_6923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6922)],
    };

static ENTITY_NODE_6924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6923)],
    };

static ENTITY_NODE_6925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xbd")),
      children: &[],
    };

static ENTITY_NODE_6926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6925)],
    };

static ENTITY_NODE_6927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6924), None, None, Some(ENTITY_NODE_6926)],
    };

static ENTITY_NODE_6928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_646), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6921), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6927), Some(ENTITY_NODE_2464)],
    };

static ENTITY_NODE_6929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6928)],
    };

static ENTITY_NODE_6930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xbf")),
      children: &[],
    };

static ENTITY_NODE_6931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6930)],
    };

static ENTITY_NODE_6932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_6931)],
    };

static ENTITY_NODE_6933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"%")),
      children: &[],
    };

static ENTITY_NODE_6934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6933)],
    };

static ENTITY_NODE_6935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_6934)],
    };

static ENTITY_NODE_6936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6935)],
    };

static ENTITY_NODE_6937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b".")),
      children: &[],
    };

static ENTITY_NODE_6938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6937)],
    };

static ENTITY_NODE_6939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_6938)],
    };

static ENTITY_NODE_6940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6939)],
    };

static ENTITY_NODE_6941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xb0")),
      children: &[],
    };

static ENTITY_NODE_6942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6941)],
    };

static ENTITY_NODE_6943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6942)],
    };

static ENTITY_NODE_6944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6943)],
    };

static ENTITY_NODE_6945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xb1")),
      children: &[],
    };

static ENTITY_NODE_6946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6945)],
    };

static ENTITY_NODE_6947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_6946)],
    };

static ENTITY_NODE_6948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6947)],
    };

static ENTITY_NODE_6949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6948)],
    };

static ENTITY_NODE_6950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6936), None, None, None, None, None, Some(ENTITY_NODE_6940), None, None, None, Some(ENTITY_NODE_6944), None, None, Some(ENTITY_NODE_4039), None, None, None, Some(ENTITY_NODE_6949)],
    };

static ENTITY_NODE_6951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6950)],
    };

static ENTITY_NODE_6952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xad")),
      children: &[],
    };

static ENTITY_NODE_6953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6952)],
    };

static ENTITY_NODE_6954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6953)],
    };

static ENTITY_NODE_6955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x86")),
      children: &[],
    };

static ENTITY_NODE_6956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x95")),
      children: &[],
    };

static ENTITY_NODE_6957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6956)],
    };

static ENTITY_NODE_6958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6955), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6957)],
    };

static ENTITY_NODE_6959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_1761)],
    };

static ENTITY_NODE_6960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6959)],
    };

static ENTITY_NODE_6961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_6960)],
    };

static ENTITY_NODE_6962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x98\x8e")),
      children: &[],
    };

static ENTITY_NODE_6963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6962)],
    };

static ENTITY_NODE_6964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_6963)],
    };

static ENTITY_NODE_6965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6964)],
    };

static ENTITY_NODE_6966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6958), None, None, None, Some(ENTITY_NODE_6961), None, Some(ENTITY_NODE_6965)],
    };

static ENTITY_NODE_6967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x80")),
      children: &[],
    };

static ENTITY_NODE_6968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5074)],
    };

static ENTITY_NODE_6969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_6968)],
    };

static ENTITY_NODE_6970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6969)],
    };

static ENTITY_NODE_6971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6970)],
    };

static ENTITY_NODE_6972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_6971)],
    };

static ENTITY_NODE_6973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_6972)],
    };

static ENTITY_NODE_6974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6973)],
    };

static ENTITY_NODE_6975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x96")),
      children: &[],
    };

static ENTITY_NODE_6976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6975)],
    };

static ENTITY_NODE_6977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6967), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6974), None, Some(ENTITY_NODE_6976)],
    };

static ENTITY_NODE_6978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x8e")),
      children: &[],
    };

static ENTITY_NODE_6979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6978)],
    };

static ENTITY_NODE_6980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_5318), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6979)],
    };

static ENTITY_NODE_6981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_6980)],
    };

static ENTITY_NODE_6982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_5319)],
    };

static ENTITY_NODE_6983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6981), None, None, None, None, None, None, None, Some(ENTITY_NODE_6982)],
    };

static ENTITY_NODE_6984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_6983)],
    };

static ENTITY_NODE_6985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"+")),
      children: &[],
    };

static ENTITY_NODE_6986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xa3")),
      children: &[],
    };

static ENTITY_NODE_6987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6986)],
    };

static ENTITY_NODE_6988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6987)],
    };

static ENTITY_NODE_6989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6988)],
    };

static ENTITY_NODE_6990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_6989)],
    };

static ENTITY_NODE_6991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xa2")),
      children: &[],
    };

static ENTITY_NODE_6992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6991)],
    };

static ENTITY_NODE_6993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_6992)],
    };

static ENTITY_NODE_6994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6993)],
    };

static ENTITY_NODE_6995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xa5")),
      children: &[],
    };

static ENTITY_NODE_6996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6995)],
    };

static ENTITY_NODE_6997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_4684), None, None, None, None, None, Some(ENTITY_NODE_6996)],
    };

static ENTITY_NODE_6998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xb2")),
      children: &[],
    };

static ENTITY_NODE_6999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6998)],
    };

static ENTITY_NODE_7000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb1")),
      children: &[Some(ENTITY_NODE_2482)],
    };

static ENTITY_NODE_7001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7000)],
    };

static ENTITY_NODE_7002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xa6")),
      children: &[],
    };

static ENTITY_NODE_7003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7002)],
    };

static ENTITY_NODE_7004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7003)],
    };

static ENTITY_NODE_7005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7004)],
    };

static ENTITY_NODE_7006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xa7")),
      children: &[],
    };

static ENTITY_NODE_7007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7006)],
    };

static ENTITY_NODE_7008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7007)],
    };

static ENTITY_NODE_7009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7008)],
    };

static ENTITY_NODE_7010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6985), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_6990), Some(ENTITY_NODE_4119), Some(ENTITY_NODE_6994), Some(ENTITY_NODE_6997), Some(ENTITY_NODE_6999), None, None, None, None, None, None, None, Some(ENTITY_NODE_7001), None, None, None, None, None, Some(ENTITY_NODE_7005), Some(ENTITY_NODE_7009)],
    };

static ENTITY_NODE_7011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7010)],
    };

static ENTITY_NODE_7012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6984), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7011)],
    };

static ENTITY_NODE_7013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x95")),
      children: &[],
    };

static ENTITY_NODE_7014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7013)],
    };

static ENTITY_NODE_7015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7014)],
    };

static ENTITY_NODE_7016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7015)],
    };

static ENTITY_NODE_7017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7016)],
    };

static ENTITY_NODE_7018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7017)],
    };

static ENTITY_NODE_7019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7018)],
    };

static ENTITY_NODE_7020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa1")),
      children: &[],
    };

static ENTITY_NODE_7021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7020)],
    };

static ENTITY_NODE_7022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_7021)],
    };

static ENTITY_NODE_7023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa3")),
      children: &[],
    };

static ENTITY_NODE_7024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa3")),
      children: &[Some(ENTITY_NODE_7023)],
    };

static ENTITY_NODE_7025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7024)],
    };

static ENTITY_NODE_7026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7025)],
    };

static ENTITY_NODE_7027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7019), None, None, None, None, None, None, Some(ENTITY_NODE_7022), None, None, None, None, Some(ENTITY_NODE_7026)],
    };

static ENTITY_NODE_7028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb3")),
      children: &[],
    };

static ENTITY_NODE_7029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7028)],
    };

static ENTITY_NODE_7030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb7")),
      children: &[],
    };

static ENTITY_NODE_7031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7030)],
    };

static ENTITY_NODE_7032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7031)],
    };

static ENTITY_NODE_7033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2514)],
    };

static ENTITY_NODE_7034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7033)],
    };

static ENTITY_NODE_7035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_7031)],
    };

static ENTITY_NODE_7036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7035)],
    };

static ENTITY_NODE_7037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7036)],
    };

static ENTITY_NODE_7038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7037)],
    };

static ENTITY_NODE_7039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7038)],
    };

static ENTITY_NODE_7040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2514)],
    };

static ENTITY_NODE_7041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7040)],
    };

static ENTITY_NODE_7042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_7041)],
    };

static ENTITY_NODE_7043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7042)],
    };

static ENTITY_NODE_7044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7043)],
    };

static ENTITY_NODE_7045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7044)],
    };

static ENTITY_NODE_7046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2508)],
    };

static ENTITY_NODE_7047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb9")),
      children: &[],
    };

static ENTITY_NODE_7048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7047)],
    };

static ENTITY_NODE_7049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_7048)],
    };

static ENTITY_NODE_7050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7049)],
    };

static ENTITY_NODE_7051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7050)],
    };

static ENTITY_NODE_7052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7051)],
    };

static ENTITY_NODE_7053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7052)],
    };

static ENTITY_NODE_7054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb5")),
      children: &[],
    };

static ENTITY_NODE_7055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7054)],
    };

static ENTITY_NODE_7056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7055)],
    };

static ENTITY_NODE_7057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7056)],
    };

static ENTITY_NODE_7058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa8")),
      children: &[],
    };

static ENTITY_NODE_7059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7058)],
    };

static ENTITY_NODE_7060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7059)],
    };

static ENTITY_NODE_7061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7060)],
    };

static ENTITY_NODE_7062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7053), None, None, None, Some(ENTITY_NODE_7057), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7061)],
    };

static ENTITY_NODE_7063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_2525)],
    };

static ENTITY_NODE_7064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7063)],
    };

static ENTITY_NODE_7065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2506), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7039), None, Some(ENTITY_NODE_7045), None, Some(ENTITY_NODE_7046), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7062), None, None, None, None, Some(ENTITY_NODE_7064)],
    };

static ENTITY_NODE_7066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2507), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7065)],
    };

static ENTITY_NODE_7067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xb2")),
      children: &[],
    };

static ENTITY_NODE_7068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7067), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2502)],
    };

static ENTITY_NODE_7069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7068)],
    };

static ENTITY_NODE_7070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7069)],
    };

static ENTITY_NODE_7071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7048)],
    };

static ENTITY_NODE_7072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_7055), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7071), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7061)],
    };

static ENTITY_NODE_7073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\xae")),
      children: &[],
    };

static ENTITY_NODE_7074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7073)],
    };

static ENTITY_NODE_7075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7074)],
    };

static ENTITY_NODE_7076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7075)],
    };

static ENTITY_NODE_7077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7076)],
    };

static ENTITY_NODE_7078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x92")),
      children: &[],
    };

static ENTITY_NODE_7079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7078)],
    };

static ENTITY_NODE_7080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7079)],
    };

static ENTITY_NODE_7081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7080)],
    };

static ENTITY_NODE_7082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7081)],
    };

static ENTITY_NODE_7083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x93")),
      children: &[],
    };

static ENTITY_NODE_7084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7083)],
    };

static ENTITY_NODE_7085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_7084)],
    };

static ENTITY_NODE_7086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7085)],
    };

static ENTITY_NODE_7087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7086)],
    };

static ENTITY_NODE_7088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7077), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7082), None, None, None, None, None, None, Some(ENTITY_NODE_7087)],
    };

static ENTITY_NODE_7089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_2546)],
    };

static ENTITY_NODE_7090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2545), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7089)],
    };

static ENTITY_NODE_7091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_2541), None, Some(ENTITY_NODE_7088), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7090)],
    };

static ENTITY_NODE_7092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xb0")),
      children: &[],
    };

static ENTITY_NODE_7093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7092)],
    };

static ENTITY_NODE_7094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7093)],
    };

static ENTITY_NODE_7095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7094)],
    };

static ENTITY_NODE_7096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7095)],
    };

static ENTITY_NODE_7097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2506), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7029), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7032), None, Some(ENTITY_NODE_7034), None, Some(ENTITY_NODE_7066), None, None, None, Some(ENTITY_NODE_7070), None, None, None, None, Some(ENTITY_NODE_7072), Some(ENTITY_NODE_7091), None, None, None, Some(ENTITY_NODE_7064), None, Some(ENTITY_NODE_7096)],
    };

static ENTITY_NODE_7098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x85")),
      children: &[],
    };

static ENTITY_NODE_7099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7098)],
    };

static ENTITY_NODE_7100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7099)],
    };

static ENTITY_NODE_7101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x88")),
      children: &[],
    };

static ENTITY_NODE_7102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7101)],
    };

static ENTITY_NODE_7103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7100), None, None, None, None, None, Some(ENTITY_NODE_7102)],
    };

static ENTITY_NODE_7104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x88")),
      children: &[],
    };

static ENTITY_NODE_7105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7104)],
    };

static ENTITY_NODE_7106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7105)],
    };

static ENTITY_NODE_7107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7106)],
    };

static ENTITY_NODE_7108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7107)],
    };

static ENTITY_NODE_7109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7108)],
    };

static ENTITY_NODE_7110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6929), None, Some(ENTITY_NODE_6932), None, Some(ENTITY_NODE_6951), Some(ENTITY_NODE_6954), None, Some(ENTITY_NODE_6966), Some(ENTITY_NODE_6977), None, None, Some(ENTITY_NODE_7012), Some(ENTITY_NODE_2483), None, Some(ENTITY_NODE_7027), None, None, Some(ENTITY_NODE_7097), Some(ENTITY_NODE_7103), None, Some(ENTITY_NODE_7109)],
    };

static ENTITY_NODE_7111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xae")),
      children: &[],
    };

static ENTITY_NODE_7112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7111)],
    };

static ENTITY_NODE_7113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7112)],
    };

static ENTITY_NODE_7114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa2")),
      children: &[],
    };

static ENTITY_NODE_7115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7114)],
    };

static ENTITY_NODE_7116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_7115)],
    };

static ENTITY_NODE_7117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7116)],
    };

static ENTITY_NODE_7118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x81\x97")),
      children: &[],
    };

static ENTITY_NODE_7119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7118)],
    };

static ENTITY_NODE_7120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7119)],
    };

static ENTITY_NODE_7121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7120)],
    };

static ENTITY_NODE_7122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7121)],
    };

static ENTITY_NODE_7123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7122)],
    };

static ENTITY_NODE_7124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x86")),
      children: &[],
    };

static ENTITY_NODE_7125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7124)],
    };

static ENTITY_NODE_7126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7125)],
    };

static ENTITY_NODE_7127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7126)],
    };

static ENTITY_NODE_7128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_1121)],
    };

static ENTITY_NODE_7129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7128)],
    };

static ENTITY_NODE_7130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7129)],
    };

static ENTITY_NODE_7131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7130)],
    };

static ENTITY_NODE_7132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7131)],
    };

static ENTITY_NODE_7133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7132)],
    };

static ENTITY_NODE_7134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x96")),
      children: &[],
    };

static ENTITY_NODE_7135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7134)],
    };

static ENTITY_NODE_7136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7135)],
    };

static ENTITY_NODE_7137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7136)],
    };

static ENTITY_NODE_7138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7133), None, None, None, Some(ENTITY_NODE_7137)],
    };

static ENTITY_NODE_7139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7138)],
    };

static ENTITY_NODE_7140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"?")),
      children: &[],
    };

static ENTITY_NODE_7141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4942)],
    };

static ENTITY_NODE_7142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7140), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7141)],
    };

static ENTITY_NODE_7143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7142)],
    };

static ENTITY_NODE_7144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7143)],
    };

static ENTITY_NODE_7145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2565)],
    };

static ENTITY_NODE_7146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7139), None, None, None, Some(ENTITY_NODE_7144), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7145)],
    };

static ENTITY_NODE_7147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_7113), None, None, Some(ENTITY_NODE_5460), None, None, None, None, None, Some(ENTITY_NODE_7117), Some(ENTITY_NODE_7123), None, None, Some(ENTITY_NODE_7127), None, Some(ENTITY_NODE_7146)],
    };

static ENTITY_NODE_7148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2844)],
    };

static ENTITY_NODE_7149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7148)],
    };

static ENTITY_NODE_7150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_614)],
    };

static ENTITY_NODE_7151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x9c")),
      children: &[],
    };

static ENTITY_NODE_7152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7151)],
    };

static ENTITY_NODE_7153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7152)],
    };

static ENTITY_NODE_7154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7153)],
    };

static ENTITY_NODE_7155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7154)],
    };

static ENTITY_NODE_7156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7149), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7150), None, Some(ENTITY_NODE_7155)],
    };

static ENTITY_NODE_7157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_4560)],
    };

static ENTITY_NODE_7158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7157)],
    };

static ENTITY_NODE_7159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7158)],
    };

static ENTITY_NODE_7160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa4")),
      children: &[],
    };

static ENTITY_NODE_7161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7160)],
    };

static ENTITY_NODE_7162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7161)],
    };

static ENTITY_NODE_7163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7162)],
    };

static ENTITY_NODE_7164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xbd\xcc\xb1")),
      children: &[],
    };

static ENTITY_NODE_7165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7164)],
    };

static ENTITY_NODE_7166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x95")),
      children: &[],
    };

static ENTITY_NODE_7167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7166)],
    };

static ENTITY_NODE_7168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7167)],
    };

static ENTITY_NODE_7169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7168)],
    };

static ENTITY_NODE_7170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7165), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7169)],
    };

static ENTITY_NODE_7171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_2975)],
    };

static ENTITY_NODE_7172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7171)],
    };

static ENTITY_NODE_7173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xb3")),
      children: &[],
    };

static ENTITY_NODE_7174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7173)],
    };

static ENTITY_NODE_7175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_7174)],
    };

static ENTITY_NODE_7176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_7175)],
    };

static ENTITY_NODE_7177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7176)],
    };

static ENTITY_NODE_7178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7177)],
    };

static ENTITY_NODE_7179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7178)],
    };

static ENTITY_NODE_7180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x92")),
      children: &[],
    };

static ENTITY_NODE_7181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7180)],
    };

static ENTITY_NODE_7182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xa5")),
      children: &[],
    };

static ENTITY_NODE_7183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7182)],
    };

static ENTITY_NODE_7184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2662)],
    };

static ENTITY_NODE_7185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2661), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7181), Some(ENTITY_NODE_7183), None, None, None, None, None, None, Some(ENTITY_NODE_7184)],
    };

static ENTITY_NODE_7186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7185)],
    };

static ENTITY_NODE_7187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xbb")),
      children: &[],
    };

static ENTITY_NODE_7188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xbb")),
      children: &[Some(ENTITY_NODE_7187)],
    };

static ENTITY_NODE_7189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7188)],
    };

static ENTITY_NODE_7190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7189)],
    };

static ENTITY_NODE_7191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb5")),
      children: &[],
    };

static ENTITY_NODE_7192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7191)],
    };

static ENTITY_NODE_7193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7192)],
    };

static ENTITY_NODE_7194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa0")),
      children: &[],
    };

static ENTITY_NODE_7195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7194)],
    };

static ENTITY_NODE_7196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7195)],
    };

static ENTITY_NODE_7197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2674), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7196)],
    };

static ENTITY_NODE_7198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xb3")),
      children: &[],
    };

static ENTITY_NODE_7199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7198)],
    };

static ENTITY_NODE_7200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x9e")),
      children: &[],
    };

static ENTITY_NODE_7201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7200)],
    };

static ENTITY_NODE_7202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7201)],
    };

static ENTITY_NODE_7203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5383)],
    };

static ENTITY_NODE_7204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6037)],
    };

static ENTITY_NODE_7205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\x85")),
      children: &[],
    };

static ENTITY_NODE_7206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7205)],
    };

static ENTITY_NODE_7207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7206)],
    };

static ENTITY_NODE_7208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb4")),
      children: &[],
    };

static ENTITY_NODE_7209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7208)],
    };

static ENTITY_NODE_7210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7209)],
    };

static ENTITY_NODE_7211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7210)],
    };

static ENTITY_NODE_7212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xa3")),
      children: &[],
    };

static ENTITY_NODE_7213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7212)],
    };

static ENTITY_NODE_7214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7213)],
    };

static ENTITY_NODE_7215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\x9d")),
      children: &[],
    };

static ENTITY_NODE_7216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7215)],
    };

static ENTITY_NODE_7217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2673), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7193), Some(ENTITY_NODE_7197), Some(ENTITY_NODE_7199), None, None, Some(ENTITY_NODE_7202), None, Some(ENTITY_NODE_7203), None, None, None, Some(ENTITY_NODE_7204), None, None, None, Some(ENTITY_NODE_7207), None, None, Some(ENTITY_NODE_7211), Some(ENTITY_NODE_7214), None, None, Some(ENTITY_NODE_7216)],
    };

static ENTITY_NODE_7218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7217)],
    };

static ENTITY_NODE_7219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\x9a")),
      children: &[],
    };

static ENTITY_NODE_7220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7219)],
    };

static ENTITY_NODE_7221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7220)],
    };

static ENTITY_NODE_7222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7221)],
    };

static ENTITY_NODE_7223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x88\xb6")),
      children: &[],
    };

static ENTITY_NODE_7224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2572)],
    };

static ENTITY_NODE_7225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7224)],
    };

static ENTITY_NODE_7226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7225)],
    };

static ENTITY_NODE_7227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7223), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7226)],
    };

static ENTITY_NODE_7228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7227)],
    };

static ENTITY_NODE_7229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7222), None, None, None, None, None, None, None, Some(ENTITY_NODE_7228)],
    };

static ENTITY_NODE_7230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7170), Some(ENTITY_NODE_7172), Some(ENTITY_NODE_7179), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7186), None, None, Some(ENTITY_NODE_7190), Some(ENTITY_NODE_7218), None, Some(ENTITY_NODE_7229)],
    };

static ENTITY_NODE_7231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3967)],
    };

static ENTITY_NODE_7232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7231)],
    };

static ENTITY_NODE_7233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9d\xb3")),
      children: &[],
    };

static ENTITY_NODE_7234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7233)],
    };

static ENTITY_NODE_7235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_7234)],
    };

static ENTITY_NODE_7236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7235)],
    };

static ENTITY_NODE_7237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"}")),
      children: &[],
    };

static ENTITY_NODE_7238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7237)],
    };

static ENTITY_NODE_7239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"]")),
      children: &[],
    };

static ENTITY_NODE_7240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7239)],
    };

static ENTITY_NODE_7241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7238), None, None, None, None, None, Some(ENTITY_NODE_7240)],
    };

static ENTITY_NODE_7242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7241)],
    };

static ENTITY_NODE_7243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x8c")),
      children: &[],
    };

static ENTITY_NODE_7244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7243)],
    };

static ENTITY_NODE_7245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x8e")),
      children: &[],
    };

static ENTITY_NODE_7246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7245)],
    };

static ENTITY_NODE_7247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x90")),
      children: &[],
    };

static ENTITY_NODE_7248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7247)],
    };

static ENTITY_NODE_7249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7246), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7248)],
    };

static ENTITY_NODE_7250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7249)],
    };

static ENTITY_NODE_7251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7244), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7250)],
    };

static ENTITY_NODE_7252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7242), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7251)],
    };

static ENTITY_NODE_7253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7232), Some(ENTITY_NODE_7236), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7252)],
    };

static ENTITY_NODE_7254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x99")),
      children: &[],
    };

static ENTITY_NODE_7255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7254)],
    };

static ENTITY_NODE_7256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7255)],
    };

static ENTITY_NODE_7257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7256)],
    };

static ENTITY_NODE_7258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7257)],
    };

static ENTITY_NODE_7259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x97")),
      children: &[],
    };

static ENTITY_NODE_7260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7259)],
    };

static ENTITY_NODE_7261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7260)],
    };

static ENTITY_NODE_7262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7261)],
    };

static ENTITY_NODE_7263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_2694)],
    };

static ENTITY_NODE_7264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7262), None, None, None, None, Some(ENTITY_NODE_7263)],
    };

static ENTITY_NODE_7265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7238)],
    };

static ENTITY_NODE_7266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x80")),
      children: &[],
    };

static ENTITY_NODE_7267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7266)],
    };

static ENTITY_NODE_7268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7258), None, None, None, Some(ENTITY_NODE_7264), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7265), None, None, None, Some(ENTITY_NODE_7267)],
    };

static ENTITY_NODE_7269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xb7")),
      children: &[],
    };

static ENTITY_NODE_7270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7269)],
    };

static ENTITY_NODE_7271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7270)],
    };

static ENTITY_NODE_7272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa9")),
      children: &[],
    };

static ENTITY_NODE_7273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7272)],
    };

static ENTITY_NODE_7274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7273)],
    };

static ENTITY_NODE_7275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7274)],
    };

static ENTITY_NODE_7276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7275)],
    };

static ENTITY_NODE_7277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7276)],
    };

static ENTITY_NODE_7278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_290), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_291)],
    };

static ENTITY_NODE_7279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7278)],
    };

static ENTITY_NODE_7280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7279)],
    };

static ENTITY_NODE_7281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x86\xb3")),
      children: &[],
    };

static ENTITY_NODE_7282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7281)],
    };

static ENTITY_NODE_7283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7282)],
    };

static ENTITY_NODE_7284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7271), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7277), None, None, None, None, Some(ENTITY_NODE_7280), None, Some(ENTITY_NODE_7283)],
    };

static ENTITY_NODE_7285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_2855)],
    };

static ENTITY_NODE_7286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7285)],
    };

static ENTITY_NODE_7287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_2656)],
    };

static ENTITY_NODE_7288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7287)],
    };

static ENTITY_NODE_7289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7288)],
    };

static ENTITY_NODE_7290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2616), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7286), None, None, None, None, None, None, Some(ENTITY_NODE_7289), None, None, Some(ENTITY_NODE_2829)],
    };

static ENTITY_NODE_7291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7290)],
    };

static ENTITY_NODE_7292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xad")),
      children: &[],
    };

static ENTITY_NODE_7293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7292)],
    };

static ENTITY_NODE_7294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7293)],
    };

static ENTITY_NODE_7295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7291), None, Some(ENTITY_NODE_7294), None, None, None, Some(ENTITY_NODE_2586)],
    };

static ENTITY_NODE_7296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xbd")),
      children: &[],
    };

static ENTITY_NODE_7297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7296)],
    };

static ENTITY_NODE_7298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7297)],
    };

static ENTITY_NODE_7299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7298)],
    };

static ENTITY_NODE_7300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7299)],
    };

static ENTITY_NODE_7301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xaf")),
      children: &[],
    };

static ENTITY_NODE_7302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7301)],
    };

static ENTITY_NODE_7303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7300), None, None, Some(ENTITY_NODE_2742), None, None, None, None, None, Some(ENTITY_NODE_7302)],
    };

static ENTITY_NODE_7304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_733)],
    };

static ENTITY_NODE_7305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xac")),
      children: &[],
    };

static ENTITY_NODE_7306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7305)],
    };

static ENTITY_NODE_7307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2813), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7306)],
    };

static ENTITY_NODE_7308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7304), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7307)],
    };

static ENTITY_NODE_7309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7308)],
    };

static ENTITY_NODE_7310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x81")),
      children: &[],
    };

static ENTITY_NODE_7311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\xb1")),
      children: &[],
    };

static ENTITY_NODE_7312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7311)],
    };

static ENTITY_NODE_7313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7310), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7312)],
    };

static ENTITY_NODE_7314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7309), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7313)],
    };

static ENTITY_NODE_7315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7214)],
    };

static ENTITY_NODE_7316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7315)],
    };

static ENTITY_NODE_7317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2673), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7316)],
    };

static ENTITY_NODE_7318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7317)],
    };

static ENTITY_NODE_7319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7318)],
    };

static ENTITY_NODE_7320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7319)],
    };

static ENTITY_NODE_7321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7320)],
    };

static ENTITY_NODE_7322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7304)],
    };

static ENTITY_NODE_7323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7322)],
    };

static ENTITY_NODE_7324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7323)],
    };

static ENTITY_NODE_7325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2813)],
    };

static ENTITY_NODE_7326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7325)],
    };

static ENTITY_NODE_7327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7324), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7326)],
    };

static ENTITY_NODE_7328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7327)],
    };

static ENTITY_NODE_7329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7328)],
    };

static ENTITY_NODE_7330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7329)],
    };

static ENTITY_NODE_7331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7330)],
    };

static ENTITY_NODE_7332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7331)],
    };

static ENTITY_NODE_7333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7332)],
    };

static ENTITY_NODE_7334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_2679)],
    };

static ENTITY_NODE_7335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7334)],
    };

static ENTITY_NODE_7336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7335)],
    };

static ENTITY_NODE_7337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7336)],
    };

static ENTITY_NODE_7338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7337)],
    };

static ENTITY_NODE_7339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_877)],
    };

static ENTITY_NODE_7340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7339)],
    };

static ENTITY_NODE_7341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7340)],
    };

static ENTITY_NODE_7342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7341)],
    };

static ENTITY_NODE_7343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7342)],
    };

static ENTITY_NODE_7344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7343)],
    };

static ENTITY_NODE_7345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7344)],
    };

static ENTITY_NODE_7346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7338), None, None, None, None, None, None, Some(ENTITY_NODE_7345)],
    };

static ENTITY_NODE_7347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7346)],
    };

static ENTITY_NODE_7348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_7347)],
    };

static ENTITY_NODE_7349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7348)],
    };

static ENTITY_NODE_7350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x89")),
      children: &[],
    };

static ENTITY_NODE_7351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7350)],
    };

static ENTITY_NODE_7352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7351)],
    };

static ENTITY_NODE_7353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7352)],
    };

static ENTITY_NODE_7354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7353)],
    };

static ENTITY_NODE_7355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7354)],
    };

static ENTITY_NODE_7356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7355)],
    };

static ENTITY_NODE_7357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7356)],
    };

static ENTITY_NODE_7358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7357)],
    };

static ENTITY_NODE_7359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7358)],
    };

static ENTITY_NODE_7360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7359)],
    };

static ENTITY_NODE_7361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7360)],
    };

static ENTITY_NODE_7362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7216)],
    };

static ENTITY_NODE_7363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7362)],
    };

static ENTITY_NODE_7364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7363)],
    };

static ENTITY_NODE_7365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7364)],
    };

static ENTITY_NODE_7366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7365)],
    };

static ENTITY_NODE_7367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7366)],
    };

static ENTITY_NODE_7368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7367)],
    };

static ENTITY_NODE_7369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7368)],
    };

static ENTITY_NODE_7370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7369)],
    };

static ENTITY_NODE_7371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x8c")),
      children: &[],
    };

static ENTITY_NODE_7372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7371)],
    };

static ENTITY_NODE_7373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7372)],
    };

static ENTITY_NODE_7374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7373)],
    };

static ENTITY_NODE_7375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7374)],
    };

static ENTITY_NODE_7376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7375)],
    };

static ENTITY_NODE_7377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7376)],
    };

static ENTITY_NODE_7378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7377)],
    };

static ENTITY_NODE_7379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7378)],
    };

static ENTITY_NODE_7380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7379)],
    };

static ENTITY_NODE_7381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7380)],
    };

static ENTITY_NODE_7382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7321), None, None, None, None, None, None, Some(ENTITY_NODE_7333), None, None, None, Some(ENTITY_NODE_7349), None, None, None, None, None, Some(ENTITY_NODE_7361), Some(ENTITY_NODE_7370), Some(ENTITY_NODE_7381)],
    };

static ENTITY_NODE_7383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7382)],
    };

static ENTITY_NODE_7384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7383)],
    };

static ENTITY_NODE_7385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcb\x9a")),
      children: &[],
    };

static ENTITY_NODE_7386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7385)],
    };

static ENTITY_NODE_7387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7386)],
    };

static ENTITY_NODE_7388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_4960)],
    };

static ENTITY_NODE_7389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7388)],
    };

static ENTITY_NODE_7390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7389)],
    };

static ENTITY_NODE_7391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7390)],
    };

static ENTITY_NODE_7392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7391)],
    };

static ENTITY_NODE_7393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7392)],
    };

static ENTITY_NODE_7394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7393)],
    };

static ENTITY_NODE_7395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7394)],
    };

static ENTITY_NODE_7396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7395)],
    };

static ENTITY_NODE_7397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7384), None, None, None, None, None, None, Some(ENTITY_NODE_7387), None, None, None, None, Some(ENTITY_NODE_7396)],
    };

static ENTITY_NODE_7398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2679)],
    };

static ENTITY_NODE_7399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7398)],
    };

static ENTITY_NODE_7400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_877)],
    };

static ENTITY_NODE_7401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7400)],
    };

static ENTITY_NODE_7402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x8f")),
      children: &[],
    };

static ENTITY_NODE_7403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7402)],
    };

static ENTITY_NODE_7404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7399), None, None, None, None, None, None, Some(ENTITY_NODE_7401), None, None, None, None, Some(ENTITY_NODE_7403)],
    };

static ENTITY_NODE_7405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8e\xb1")),
      children: &[],
    };

static ENTITY_NODE_7406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7405)],
    };

static ENTITY_NODE_7407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7406)],
    };

static ENTITY_NODE_7408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7407)],
    };

static ENTITY_NODE_7409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7408)],
    };

static ENTITY_NODE_7410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7405), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7409)],
    };

static ENTITY_NODE_7411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7410)],
    };

static ENTITY_NODE_7412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7411)],
    };

static ENTITY_NODE_7413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7412)],
    };

static ENTITY_NODE_7414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7413)],
    };

static ENTITY_NODE_7415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xae")),
      children: &[],
    };

static ENTITY_NODE_7416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7415)],
    };

static ENTITY_NODE_7417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7416)],
    };

static ENTITY_NODE_7418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7417)],
    };

static ENTITY_NODE_7419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7418)],
    };

static ENTITY_NODE_7420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\xad")),
      children: &[],
    };

static ENTITY_NODE_7421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7420)],
    };

static ENTITY_NODE_7422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7421)],
    };

static ENTITY_NODE_7423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\xbe")),
      children: &[],
    };

static ENTITY_NODE_7424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7423)],
    };

static ENTITY_NODE_7425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7424)],
    };

static ENTITY_NODE_7426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7422), None, None, None, Some(ENTITY_NODE_7425)],
    };

static ENTITY_NODE_7427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_2702)],
    };

static ENTITY_NODE_7428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7427)],
    };

static ENTITY_NODE_7429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x86")),
      children: &[],
    };

static ENTITY_NODE_7430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7429)],
    };

static ENTITY_NODE_7431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7430)],
    };

static ENTITY_NODE_7432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa3")),
      children: &[],
    };

static ENTITY_NODE_7433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7432)],
    };

static ENTITY_NODE_7434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xae")),
      children: &[],
    };

static ENTITY_NODE_7435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7434)],
    };

static ENTITY_NODE_7436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7435)],
    };

static ENTITY_NODE_7437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7436)],
    };

static ENTITY_NODE_7438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7431), None, None, None, None, Some(ENTITY_NODE_7433), None, None, None, None, None, Some(ENTITY_NODE_7437)],
    };

static ENTITY_NODE_7439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb5")),
      children: &[],
    };

static ENTITY_NODE_7440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7439)],
    };

static ENTITY_NODE_7441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7440)],
    };

static ENTITY_NODE_7442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7441)],
    };

static ENTITY_NODE_7443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7442)],
    };

static ENTITY_NODE_7444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7443)],
    };

static ENTITY_NODE_7445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7426), Some(ENTITY_NODE_7428), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7438), None, None, None, Some(ENTITY_NODE_7444)],
    };

static ENTITY_NODE_7446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b")")),
      children: &[],
    };

static ENTITY_NODE_7447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x94")),
      children: &[],
    };

static ENTITY_NODE_7448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7447)],
    };

static ENTITY_NODE_7449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7448)],
    };

static ENTITY_NODE_7450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7446), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7449)],
    };

static ENTITY_NODE_7451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7450)],
    };

static ENTITY_NODE_7452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x92")),
      children: &[],
    };

static ENTITY_NODE_7453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7452)],
    };

static ENTITY_NODE_7454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7453)],
    };

static ENTITY_NODE_7455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7454)],
    };

static ENTITY_NODE_7456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7455)],
    };

static ENTITY_NODE_7457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7456)],
    };

static ENTITY_NODE_7458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7457)],
    };

static ENTITY_NODE_7459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7451), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7458)],
    };

static ENTITY_NODE_7460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7351)],
    };

static ENTITY_NODE_7461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7460)],
    };

static ENTITY_NODE_7462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7461)],
    };

static ENTITY_NODE_7463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xba")),
      children: &[],
    };

static ENTITY_NODE_7464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7463)],
    };

static ENTITY_NODE_7465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7464)],
    };

static ENTITY_NODE_7466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7465)],
    };

static ENTITY_NODE_7467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7466)],
    };

static ENTITY_NODE_7468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x87")),
      children: &[],
    };

static ENTITY_NODE_7469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7468)],
    };

static ENTITY_NODE_7470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7469)],
    };

static ENTITY_NODE_7471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_302), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_303)],
    };

static ENTITY_NODE_7472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7471)],
    };

static ENTITY_NODE_7473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7240), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7472)],
    };

static ENTITY_NODE_7474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7467), None, Some(ENTITY_NODE_7470), None, None, None, None, Some(ENTITY_NODE_2858), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7473)],
    };

static ENTITY_NODE_7475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7372)],
    };

static ENTITY_NODE_7476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7475)],
    };

static ENTITY_NODE_7477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7476)],
    };

static ENTITY_NODE_7478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x8a")),
      children: &[],
    };

static ENTITY_NODE_7479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7478)],
    };

static ENTITY_NODE_7480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7479)],
    };

static ENTITY_NODE_7481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7480)],
    };

static ENTITY_NODE_7482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7481)],
    };

static ENTITY_NODE_7483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xb9")),
      children: &[],
    };

static ENTITY_NODE_7484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x8e")),
      children: &[],
    };

static ENTITY_NODE_7485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7484)],
    };

static ENTITY_NODE_7486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7485)],
    };

static ENTITY_NODE_7487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7486)],
    };

static ENTITY_NODE_7488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7487)],
    };

static ENTITY_NODE_7489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7483), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2766), Some(ENTITY_NODE_3992), None, None, None, None, None, Some(ENTITY_NODE_7488)],
    };

static ENTITY_NODE_7490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7489)],
    };

static ENTITY_NODE_7491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7477), Some(ENTITY_NODE_7482), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7490)],
    };

static ENTITY_NODE_7492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa8")),
      children: &[],
    };

static ENTITY_NODE_7493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7492)],
    };

static ENTITY_NODE_7494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7493)],
    };

static ENTITY_NODE_7495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7494)],
    };

static ENTITY_NODE_7496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7495)],
    };

static ENTITY_NODE_7497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7496)],
    };

static ENTITY_NODE_7498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7497)],
    };

static ENTITY_NODE_7499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x9e")),
      children: &[],
    };

static ENTITY_NODE_7500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7499)],
    };

static ENTITY_NODE_7501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_7156), Some(ENTITY_NODE_7159), None, None, None, None, None, Some(ENTITY_NODE_7163), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7230), Some(ENTITY_NODE_7253), Some(ENTITY_NODE_7268), Some(ENTITY_NODE_7284), Some(ENTITY_NODE_7295), Some(ENTITY_NODE_7303), None, Some(ENTITY_NODE_7314), Some(ENTITY_NODE_7397), None, None, Some(ENTITY_NODE_7404), Some(ENTITY_NODE_7414), Some(ENTITY_NODE_7419), Some(ENTITY_NODE_7445), Some(ENTITY_NODE_7459), None, Some(ENTITY_NODE_7462), Some(ENTITY_NODE_7474), Some(ENTITY_NODE_7491), Some(ENTITY_NODE_7498), None, None, Some(ENTITY_NODE_7500)],
    };

static ENTITY_NODE_7502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x9b")),
      children: &[],
    };

static ENTITY_NODE_7503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7502)],
    };

static ENTITY_NODE_7504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7503)],
    };

static ENTITY_NODE_7505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7504)],
    };

static ENTITY_NODE_7506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7505)],
    };

static ENTITY_NODE_7507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7506)],
    };

static ENTITY_NODE_7508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_6119)],
    };

static ENTITY_NODE_7509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7508)],
    };

static ENTITY_NODE_7510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7509)],
    };

static ENTITY_NODE_7511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb4")),
      children: &[],
    };

static ENTITY_NODE_7512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7511)],
    };

static ENTITY_NODE_7513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb8")),
      children: &[],
    };

static ENTITY_NODE_7514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7513)],
    };

static ENTITY_NODE_7515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa1")),
      children: &[],
    };

static ENTITY_NODE_7516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7515)],
    };

static ENTITY_NODE_7517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7516)],
    };

static ENTITY_NODE_7518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7517)],
    };

static ENTITY_NODE_7519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7514), None, Some(ENTITY_NODE_7518)],
    };

static ENTITY_NODE_7520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3055)],
    };

static ENTITY_NODE_7521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7520)],
    };

static ENTITY_NODE_7522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x9f")),
      children: &[],
    };

static ENTITY_NODE_7523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7522)],
    };

static ENTITY_NODE_7524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7523)],
    };

static ENTITY_NODE_7525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7524)],
    };

static ENTITY_NODE_7526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3048), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7525)],
    };

static ENTITY_NODE_7527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\x9d")),
      children: &[],
    };

static ENTITY_NODE_7528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7527)],
    };

static ENTITY_NODE_7529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7528)],
    };

static ENTITY_NODE_7530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7529)],
    };

static ENTITY_NODE_7531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xb6")),
      children: &[],
    };

static ENTITY_NODE_7532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7531)],
    };

static ENTITY_NODE_7533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xba")),
      children: &[],
    };

static ENTITY_NODE_7534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7533)],
    };

static ENTITY_NODE_7535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7534)],
    };

static ENTITY_NODE_7536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xa9")),
      children: &[],
    };

static ENTITY_NODE_7537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7536)],
    };

static ENTITY_NODE_7538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7537)],
    };

static ENTITY_NODE_7539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7538)],
    };

static ENTITY_NODE_7540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_7532), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7535), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7539)],
    };

static ENTITY_NODE_7541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\x93")),
      children: &[],
    };

static ENTITY_NODE_7542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7541)],
    };

static ENTITY_NODE_7543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7542)],
    };

static ENTITY_NODE_7544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7543)],
    };

static ENTITY_NODE_7545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7544)],
    };

static ENTITY_NODE_7546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7545)],
    };

static ENTITY_NODE_7547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7546)],
    };

static ENTITY_NODE_7548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_3066)],
    };

static ENTITY_NODE_7549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7548)],
    };

static ENTITY_NODE_7550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x81")),
      children: &[],
    };

static ENTITY_NODE_7551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7550)],
    };

static ENTITY_NODE_7552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3047), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7512), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7519), None, Some(ENTITY_NODE_7521), None, Some(ENTITY_NODE_7526), None, None, None, Some(ENTITY_NODE_7530), None, None, None, None, Some(ENTITY_NODE_7540), None, Some(ENTITY_NODE_7547), None, None, Some(ENTITY_NODE_7549), None, None, None, None, None, Some(ENTITY_NODE_7551)],
    };

static ENTITY_NODE_7553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\x85")),
      children: &[],
    };

static ENTITY_NODE_7554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xa6")),
      children: &[],
    };

static ENTITY_NODE_7555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7554)],
    };

static ENTITY_NODE_7556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7553), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_4689), None, None, Some(ENTITY_NODE_7555)],
    };

static ENTITY_NODE_7557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7556)],
    };

static ENTITY_NODE_7558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7557)],
    };

static ENTITY_NODE_7559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x98")),
      children: &[],
    };

static ENTITY_NODE_7560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7559)],
    };

static ENTITY_NODE_7561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7560)],
    };

static ENTITY_NODE_7562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7561)],
    };

static ENTITY_NODE_7563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5350)],
    };

static ENTITY_NODE_7564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1717), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1719)],
    };

static ENTITY_NODE_7565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7563), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7564)],
    };

static ENTITY_NODE_7566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7565)],
    };

static ENTITY_NODE_7567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa7")),
      children: &[],
    };

static ENTITY_NODE_7568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa7")),
      children: &[Some(ENTITY_NODE_7567)],
    };

static ENTITY_NODE_7569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7568)],
    };

static ENTITY_NODE_7570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b";")),
      children: &[],
    };

static ENTITY_NODE_7571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7570)],
    };

static ENTITY_NODE_7572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7571)],
    };

static ENTITY_NODE_7573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xa9")),
      children: &[],
    };

static ENTITY_NODE_7574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7573)],
    };

static ENTITY_NODE_7575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7574)],
    };

static ENTITY_NODE_7576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7575)],
    };

static ENTITY_NODE_7577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7576)],
    };

static ENTITY_NODE_7578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_100)],
    };

static ENTITY_NODE_7579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7578)],
    };

static ENTITY_NODE_7580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7579)],
    };

static ENTITY_NODE_7581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7580), None, None, None, None, Some(ENTITY_NODE_100)],
    };

static ENTITY_NODE_7582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7581)],
    };

static ENTITY_NODE_7583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9c\xb6")),
      children: &[],
    };

static ENTITY_NODE_7584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7583)],
    };

static ENTITY_NODE_7585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7584)],
    };

static ENTITY_NODE_7586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_7562), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7566), None, Some(ENTITY_NODE_7569), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7572), None, None, None, None, None, Some(ENTITY_NODE_7577), Some(ENTITY_NODE_7582), None, None, None, Some(ENTITY_NODE_7585)],
    };

static ENTITY_NODE_7587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb0")),
      children: &[],
    };

static ENTITY_NODE_7588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7587), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_5132)],
    };

static ENTITY_NODE_7589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7588)],
    };

static ENTITY_NODE_7590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xaf")),
      children: &[],
    };

static ENTITY_NODE_7591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7590)],
    };

static ENTITY_NODE_7592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7591)],
    };

static ENTITY_NODE_7593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7592)],
    };

static ENTITY_NODE_7594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x89")),
      children: &[],
    };

static ENTITY_NODE_7595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7594)],
    };

static ENTITY_NODE_7596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_7595)],
    };

static ENTITY_NODE_7597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7596)],
    };

static ENTITY_NODE_7598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x88")),
      children: &[],
    };

static ENTITY_NODE_7599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7598)],
    };

static ENTITY_NODE_7600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7597), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7599)],
    };

static ENTITY_NODE_7601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3447)],
    };

static ENTITY_NODE_7602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7601)],
    };

static ENTITY_NODE_7603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_6920)],
    };

static ENTITY_NODE_7604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7603)],
    };

static ENTITY_NODE_7605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7604)],
    };

static ENTITY_NODE_7606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7605)],
    };

static ENTITY_NODE_7607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7602), None, None, Some(ENTITY_NODE_7606)],
    };

static ENTITY_NODE_7608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7607)],
    };

static ENTITY_NODE_7609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7608)],
    };

static ENTITY_NODE_7610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xad")),
      children: &[],
    };

static ENTITY_NODE_7611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xad")),
      children: &[Some(ENTITY_NODE_7610)],
    };

static ENTITY_NODE_7612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7593), None, Some(ENTITY_NODE_7600), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7609), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7611)],
    };

static ENTITY_NODE_7613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x83")),
      children: &[],
    };

static ENTITY_NODE_7614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x82")),
      children: &[],
    };

static ENTITY_NODE_7615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7614)],
    };

static ENTITY_NODE_7616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7613), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7615), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7615)],
    };

static ENTITY_NODE_7617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7616)],
    };

static ENTITY_NODE_7618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7617)],
    };

static ENTITY_NODE_7619: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\xaa")),
      children: &[],
    };

static ENTITY_NODE_7620: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7619)],
    };

static ENTITY_NODE_7621: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7620)],
    };

static ENTITY_NODE_7622: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7621)],
    };

static ENTITY_NODE_7623: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3169), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3170)],
    };

static ENTITY_NODE_7624: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x9e")),
      children: &[],
    };

static ENTITY_NODE_7625: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xa0")),
      children: &[],
    };

static ENTITY_NODE_7626: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7625)],
    };

static ENTITY_NODE_7627: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7624), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7626)],
    };

static ENTITY_NODE_7628: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x9d")),
      children: &[],
    };

static ENTITY_NODE_7629: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\x9f")),
      children: &[],
    };

static ENTITY_NODE_7630: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7629)],
    };

static ENTITY_NODE_7631: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7628), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7630)],
    };

static ENTITY_NODE_7632: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x86")),
      children: &[],
    };

static ENTITY_NODE_7633: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7632)],
    };

static ENTITY_NODE_7634: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7633)],
    };

static ENTITY_NODE_7635: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xa4")),
      children: &[],
    };

static ENTITY_NODE_7636: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7635)],
    };

static ENTITY_NODE_7637: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7636)],
    };

static ENTITY_NODE_7638: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7637)],
    };

static ENTITY_NODE_7639: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7638)],
    };

static ENTITY_NODE_7640: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb2")),
      children: &[],
    };

static ENTITY_NODE_7641: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7640)],
    };

static ENTITY_NODE_7642: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7641)],
    };

static ENTITY_NODE_7643: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7642)],
    };

static ENTITY_NODE_7644: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7643)],
    };

static ENTITY_NODE_7645: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3168), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7622), Some(ENTITY_NODE_7623), None, Some(ENTITY_NODE_7627), None, None, None, None, Some(ENTITY_NODE_7631), None, Some(ENTITY_NODE_7634), None, Some(ENTITY_NODE_7639), None, Some(ENTITY_NODE_7644)],
    };

static ENTITY_NODE_7646: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7618), None, None, None, None, None, Some(ENTITY_NODE_7645)],
    };

static ENTITY_NODE_7647: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2923)],
    };

static ENTITY_NODE_7648: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7647)],
    };

static ENTITY_NODE_7649: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7648)],
    };

static ENTITY_NODE_7650: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7580)],
    };

static ENTITY_NODE_7651: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7650)],
    };

static ENTITY_NODE_7652: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7651)],
    };

static ENTITY_NODE_7653: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7652)],
    };

static ENTITY_NODE_7654: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7653)],
    };

static ENTITY_NODE_7655: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7654)],
    };

static ENTITY_NODE_7656: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb3")),
      children: &[],
    };

static ENTITY_NODE_7657: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7656)],
    };

static ENTITY_NODE_7658: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7657)],
    };

static ENTITY_NODE_7659: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7658)],
    };

static ENTITY_NODE_7660: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7655), None, None, None, None, None, None, Some(ENTITY_NODE_7659)],
    };

static ENTITY_NODE_7661: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\xa4")),
      children: &[],
    };

static ENTITY_NODE_7662: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7661)],
    };

static ENTITY_NODE_7663: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7662)],
    };

static ENTITY_NODE_7664: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7663)],
    };

static ENTITY_NODE_7665: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7664)],
    };

static ENTITY_NODE_7666: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7665)],
    };

static ENTITY_NODE_7667: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7666)],
    };

static ENTITY_NODE_7668: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\xa3")),
      children: &[],
    };

static ENTITY_NODE_7669: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7668)],
    };

static ENTITY_NODE_7670: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7669)],
    };

static ENTITY_NODE_7671: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3447), None, None, None, None, None, None, None, Some(ENTITY_NODE_7670)],
    };

static ENTITY_NODE_7672: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xaa")),
      children: &[],
    };

static ENTITY_NODE_7673: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xac")),
      children: &[],
    };

static ENTITY_NODE_7674: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xac\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_7675: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7674)],
    };

static ENTITY_NODE_7676: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7673), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7675)],
    };

static ENTITY_NODE_7677: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7672), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7676)],
    };

static ENTITY_NODE_7678: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7660), None, None, None, Some(ENTITY_NODE_7667), None, None, None, Some(ENTITY_NODE_7671), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7677)],
    };

static ENTITY_NODE_7679: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x8c")),
      children: &[],
    };

static ENTITY_NODE_7680: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7679)],
    };

static ENTITY_NODE_7681: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_7680)],
    };

static ENTITY_NODE_7682: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7681)],
    };

static ENTITY_NODE_7683: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7682)],
    };

static ENTITY_NODE_7684: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"/")),
      children: &[],
    };

static ENTITY_NODE_7685: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x84")),
      children: &[],
    };

static ENTITY_NODE_7686: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\xbf")),
      children: &[],
    };

static ENTITY_NODE_7687: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7686)],
    };

static ENTITY_NODE_7688: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7687)],
    };

static ENTITY_NODE_7689: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7685), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7688)],
    };

static ENTITY_NODE_7690: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7684), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7689)],
    };

static ENTITY_NODE_7691: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa4")),
      children: &[],
    };

static ENTITY_NODE_7692: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7691)],
    };

static ENTITY_NODE_7693: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_7692)],
    };

static ENTITY_NODE_7694: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_7683), None, None, None, None, None, Some(ENTITY_NODE_7690), None, None, None, Some(ENTITY_NODE_7693)],
    };

static ENTITY_NODE_7695: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xa0")),
      children: &[],
    };

static ENTITY_NODE_7696: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7695)],
    };

static ENTITY_NODE_7697: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7696)],
    };

static ENTITY_NODE_7698: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7697)],
    };

static ENTITY_NODE_7699: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7695), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7698)],
    };

static ENTITY_NODE_7700: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7699)],
    };

static ENTITY_NODE_7701: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7700)],
    };

static ENTITY_NODE_7702: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7701), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_647)],
    };

static ENTITY_NODE_7703: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7702)],
    };

static ENTITY_NODE_7704: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x93\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_7705: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7704)],
    };

static ENTITY_NODE_7706: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2978), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7705)],
    };

static ENTITY_NODE_7707: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7706)],
    };

static ENTITY_NODE_7708: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x94\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_7709: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7708)],
    };

static ENTITY_NODE_7710: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3017), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7709)],
    };

static ENTITY_NODE_7711: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7710)],
    };

static ENTITY_NODE_7712: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7707), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7711)],
    };

static ENTITY_NODE_7713: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2993)],
    };

static ENTITY_NODE_7714: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2991), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7713)],
    };

static ENTITY_NODE_7715: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7714)],
    };

static ENTITY_NODE_7716: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7715)],
    };

static ENTITY_NODE_7717: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2991), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_2993), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7716)],
    };

static ENTITY_NODE_7718: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3004)],
    };

static ENTITY_NODE_7719: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3002), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7718)],
    };

static ENTITY_NODE_7720: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7719)],
    };

static ENTITY_NODE_7721: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7720)],
    };

static ENTITY_NODE_7722: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3002), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3004), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7721)],
    };

static ENTITY_NODE_7723: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7717), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7722)],
    };

static ENTITY_NODE_7724: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7723)],
    };

static ENTITY_NODE_7725: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2977)],
    };

static ENTITY_NODE_7726: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7725), Some(ENTITY_NODE_938)],
    };

static ENTITY_NODE_7727: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7726)],
    };

static ENTITY_NODE_7728: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2977), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7727), None, None, None, None, Some(ENTITY_NODE_938)],
    };

static ENTITY_NODE_7729: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7712), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7724), None, Some(ENTITY_NODE_7728)],
    };

static ENTITY_NODE_7730: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2932)],
    };

static ENTITY_NODE_7731: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7730)],
    };

static ENTITY_NODE_7732: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7731)],
    };

static ENTITY_NODE_7733: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x88")),
      children: &[],
    };

static ENTITY_NODE_7734: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7733)],
    };

static ENTITY_NODE_7735: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7734)],
    };

static ENTITY_NODE_7736: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_100)],
    };

static ENTITY_NODE_7737: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7736)],
    };

static ENTITY_NODE_7738: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7737)],
    };

static ENTITY_NODE_7739: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7670)],
    };

static ENTITY_NODE_7740: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7739)],
    };

static ENTITY_NODE_7741: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3033)],
    };

static ENTITY_NODE_7742: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7741)],
    };

static ENTITY_NODE_7743: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7742)],
    };

static ENTITY_NODE_7744: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7735), None, Some(ENTITY_NODE_7738), None, None, None, None, None, None, None, Some(ENTITY_NODE_7740), None, None, None, None, None, None, Some(ENTITY_NODE_7743)],
    };

static ENTITY_NODE_7745: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x98\x86")),
      children: &[],
    };

static ENTITY_NODE_7746: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7745), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3935)],
    };

static ENTITY_NODE_7747: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7746)],
    };

static ENTITY_NODE_7748: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_4916)],
    };

static ENTITY_NODE_7749: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7748)],
    };

static ENTITY_NODE_7750: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7749)],
    };

static ENTITY_NODE_7751: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7750)],
    };

static ENTITY_NODE_7752: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7751)],
    };

static ENTITY_NODE_7753: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7752)],
    };

static ENTITY_NODE_7754: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_6957)],
    };

static ENTITY_NODE_7755: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7754)],
    };

static ENTITY_NODE_7756: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7753), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7755)],
    };

static ENTITY_NODE_7757: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7756)],
    };

static ENTITY_NODE_7758: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7757)],
    };

static ENTITY_NODE_7759: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7758)],
    };

static ENTITY_NODE_7760: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7759)],
    };

static ENTITY_NODE_7761: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6191)],
    };

static ENTITY_NODE_7762: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7761)],
    };

static ENTITY_NODE_7763: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7760), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7762)],
    };

static ENTITY_NODE_7764: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7747), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7763)],
    };

static ENTITY_NODE_7765: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x82")),
      children: &[],
    };

static ENTITY_NODE_7766: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x85")),
      children: &[],
    };

static ENTITY_NODE_7767: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7766)],
    };

static ENTITY_NODE_7768: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xbd")),
      children: &[],
    };

static ENTITY_NODE_7769: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7768)],
    };

static ENTITY_NODE_7770: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7769)],
    };

static ENTITY_NODE_7771: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7770)],
    };

static ENTITY_NODE_7772: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x83")),
      children: &[],
    };

static ENTITY_NODE_7773: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7772)],
    };

static ENTITY_NODE_7774: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7773)],
    };

static ENTITY_NODE_7775: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7774)],
    };

static ENTITY_NODE_7776: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3037), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7775)],
    };

static ENTITY_NODE_7777: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x81")),
      children: &[],
    };

static ENTITY_NODE_7778: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7777)],
    };

static ENTITY_NODE_7779: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7778)],
    };

static ENTITY_NODE_7780: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7779)],
    };

static ENTITY_NODE_7781: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7780)],
    };

static ENTITY_NODE_7782: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x8b")),
      children: &[],
    };

static ENTITY_NODE_7783: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7782)],
    };

static ENTITY_NODE_7784: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8a")),
      children: &[],
    };

static ENTITY_NODE_7785: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7784)],
    };

static ENTITY_NODE_7786: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_7783), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7785)],
    };

static ENTITY_NODE_7787: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xbf")),
      children: &[],
    };

static ENTITY_NODE_7788: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7787)],
    };

static ENTITY_NODE_7789: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7788)],
    };

static ENTITY_NODE_7790: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7789)],
    };

static ENTITY_NODE_7791: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7790)],
    };

static ENTITY_NODE_7792: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xb9")),
      children: &[],
    };

static ENTITY_NODE_7793: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7792)],
    };

static ENTITY_NODE_7794: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7793)],
    };

static ENTITY_NODE_7795: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7794)],
    };

static ENTITY_NODE_7796: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7795)],
    };

static ENTITY_NODE_7797: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3037), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7767)],
    };

static ENTITY_NODE_7798: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7797)],
    };

static ENTITY_NODE_7799: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7784), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7783)],
    };

static ENTITY_NODE_7800: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7799)],
    };

static ENTITY_NODE_7801: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7800)],
    };

static ENTITY_NODE_7802: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7765), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7798), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7801)],
    };

static ENTITY_NODE_7803: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7802)],
    };

static ENTITY_NODE_7804: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x87")),
      children: &[],
    };

static ENTITY_NODE_7805: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7804)],
    };

static ENTITY_NODE_7806: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7805)],
    };

static ENTITY_NODE_7807: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x95")),
      children: &[],
    };

static ENTITY_NODE_7808: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7807)],
    };

static ENTITY_NODE_7809: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x93")),
      children: &[],
    };

static ENTITY_NODE_7810: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7809)],
    };

static ENTITY_NODE_7811: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7808), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7810)],
    };

static ENTITY_NODE_7812: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7803), None, None, None, Some(ENTITY_NODE_7806), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7811)],
    };

static ENTITY_NODE_7813: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7765), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7767), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7771), Some(ENTITY_NODE_7776), None, None, None, None, None, None, None, Some(ENTITY_NODE_7781), Some(ENTITY_NODE_7786), None, Some(ENTITY_NODE_7791), None, Some(ENTITY_NODE_7796), Some(ENTITY_NODE_7812)],
    };

static ENTITY_NODE_7814: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_7514)],
    };

static ENTITY_NODE_7815: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7814)],
    };

static ENTITY_NODE_7816: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7815)],
    };

static ENTITY_NODE_7817: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7816)],
    };

static ENTITY_NODE_7818: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7817)],
    };

static ENTITY_NODE_7819: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3055)],
    };

static ENTITY_NODE_7820: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7819)],
    };

static ENTITY_NODE_7821: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_7820)],
    };

static ENTITY_NODE_7822: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7821)],
    };

static ENTITY_NODE_7823: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7822)],
    };

static ENTITY_NODE_7824: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7823)],
    };

static ENTITY_NODE_7825: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_3049)],
    };

static ENTITY_NODE_7826: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_7534)],
    };

static ENTITY_NODE_7827: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7826)],
    };

static ENTITY_NODE_7828: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7827)],
    };

static ENTITY_NODE_7829: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7828)],
    };

static ENTITY_NODE_7830: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7829)],
    };

static ENTITY_NODE_7831: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7532)],
    };

static ENTITY_NODE_7832: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7831)],
    };

static ENTITY_NODE_7833: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7830), None, None, None, Some(ENTITY_NODE_7832), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7539)],
    };

static ENTITY_NODE_7834: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3047), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7818), None, Some(ENTITY_NODE_7824), None, Some(ENTITY_NODE_7825), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7833), None, None, None, None, Some(ENTITY_NODE_7549)],
    };

static ENTITY_NODE_7835: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7834)],
    };

static ENTITY_NODE_7836: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x99\xaa")),
      children: &[],
    };

static ENTITY_NODE_7837: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7836)],
    };

static ENTITY_NODE_7838: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7837)],
    };

static ENTITY_NODE_7839: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb9")),
      children: &[],
    };

static ENTITY_NODE_7840: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb9")),
      children: &[Some(ENTITY_NODE_7839)],
    };

static ENTITY_NODE_7841: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb2")),
      children: &[],
    };

static ENTITY_NODE_7842: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb2")),
      children: &[Some(ENTITY_NODE_7841)],
    };

static ENTITY_NODE_7843: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xb3")),
      children: &[],
    };

static ENTITY_NODE_7844: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xb3")),
      children: &[Some(ENTITY_NODE_7843)],
    };

static ENTITY_NODE_7845: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x86")),
      children: &[],
    };

static ENTITY_NODE_7846: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7845)],
    };

static ENTITY_NODE_7847: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xaa\xbe")),
      children: &[],
    };

static ENTITY_NODE_7848: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7847)],
    };

static ENTITY_NODE_7849: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7848)],
    };

static ENTITY_NODE_7850: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x98")),
      children: &[],
    };

static ENTITY_NODE_7851: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7850)],
    };

static ENTITY_NODE_7852: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7851)],
    };

static ENTITY_NODE_7853: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7852)],
    };

static ENTITY_NODE_7854: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7849), None, None, None, Some(ENTITY_NODE_7853)],
    };

static ENTITY_NODE_7855: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x84")),
      children: &[],
    };

static ENTITY_NODE_7856: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7855)],
    };

static ENTITY_NODE_7857: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7856)],
    };

static ENTITY_NODE_7858: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7857)],
    };

static ENTITY_NODE_7859: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3084), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7858)],
    };

static ENTITY_NODE_7860: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x9f\x89")),
      children: &[],
    };

static ENTITY_NODE_7861: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7860)],
    };

static ENTITY_NODE_7862: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7861)],
    };

static ENTITY_NODE_7863: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x97")),
      children: &[],
    };

static ENTITY_NODE_7864: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7863)],
    };

static ENTITY_NODE_7865: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7864)],
    };

static ENTITY_NODE_7866: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7862), None, None, None, None, None, Some(ENTITY_NODE_7865)],
    };

static ENTITY_NODE_7867: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7866)],
    };

static ENTITY_NODE_7868: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xbb")),
      children: &[],
    };

static ENTITY_NODE_7869: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7868)],
    };

static ENTITY_NODE_7870: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7869)],
    };

static ENTITY_NODE_7871: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7870)],
    };

static ENTITY_NODE_7872: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7871)],
    };

static ENTITY_NODE_7873: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x82")),
      children: &[],
    };

static ENTITY_NODE_7874: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7873)],
    };

static ENTITY_NODE_7875: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7874)],
    };

static ENTITY_NODE_7876: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7875)],
    };

static ENTITY_NODE_7877: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7876)],
    };

static ENTITY_NODE_7878: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x8c")),
      children: &[],
    };

static ENTITY_NODE_7879: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7878)],
    };

static ENTITY_NODE_7880: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8b")),
      children: &[],
    };

static ENTITY_NODE_7881: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7880)],
    };

static ENTITY_NODE_7882: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_7879), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7881)],
    };

static ENTITY_NODE_7883: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x80")),
      children: &[],
    };

static ENTITY_NODE_7884: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7883)],
    };

static ENTITY_NODE_7885: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7884)],
    };

static ENTITY_NODE_7886: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_7885)],
    };

static ENTITY_NODE_7887: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7886)],
    };

static ENTITY_NODE_7888: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3084), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7846)],
    };

static ENTITY_NODE_7889: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7888)],
    };

static ENTITY_NODE_7890: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7880), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7879)],
    };

static ENTITY_NODE_7891: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_7890)],
    };

static ENTITY_NODE_7892: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7891)],
    };

static ENTITY_NODE_7893: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3083), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7889), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7892)],
    };

static ENTITY_NODE_7894: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7893)],
    };

static ENTITY_NODE_7895: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x88")),
      children: &[],
    };

static ENTITY_NODE_7896: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7895)],
    };

static ENTITY_NODE_7897: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7896)],
    };

static ENTITY_NODE_7898: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x94")),
      children: &[],
    };

static ENTITY_NODE_7899: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7898)],
    };

static ENTITY_NODE_7900: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x96")),
      children: &[],
    };

static ENTITY_NODE_7901: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7900)],
    };

static ENTITY_NODE_7902: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7899), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7901)],
    };

static ENTITY_NODE_7903: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7894), None, None, None, Some(ENTITY_NODE_7897), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7902)],
    };

static ENTITY_NODE_7904: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 49,
      value: None,
      children: &[Some(ENTITY_NODE_7840), Some(ENTITY_NODE_7842), Some(ENTITY_NODE_7844), None, None, None, None, None, None, None, Some(ENTITY_NODE_3083), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7846), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7854), Some(ENTITY_NODE_7859), None, None, Some(ENTITY_NODE_7867), None, None, None, Some(ENTITY_NODE_7872), Some(ENTITY_NODE_7877), Some(ENTITY_NODE_7882), None, Some(ENTITY_NODE_7887), None, None, Some(ENTITY_NODE_7903)],
    };

static ENTITY_NODE_7905: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_7813), Some(ENTITY_NODE_7835), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3081), Some(ENTITY_NODE_7838), None, Some(ENTITY_NODE_7904)],
    };

static ENTITY_NODE_7906: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x99")),
      children: &[],
    };

static ENTITY_NODE_7907: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7906)],
    };

static ENTITY_NODE_7908: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7907)],
    };

static ENTITY_NODE_7909: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7908)],
    };

static ENTITY_NODE_7910: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_5356)],
    };

static ENTITY_NODE_7911: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1707), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_1709)],
    };

static ENTITY_NODE_7912: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7910), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7911)],
    };

static ENTITY_NODE_7913: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7912)],
    };

static ENTITY_NODE_7914: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa4\xaa")),
      children: &[],
    };

static ENTITY_NODE_7915: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7914)],
    };

static ENTITY_NODE_7916: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7915)],
    };

static ENTITY_NODE_7917: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7916)],
    };

static ENTITY_NODE_7918: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_7917)],
    };

static ENTITY_NODE_7919: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_7909), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7913), None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7918)],
    };

static ENTITY_NODE_7920: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x9f")),
      children: &[],
    };

static ENTITY_NODE_7921: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x9f")),
      children: &[Some(ENTITY_NODE_7920)],
    };

static ENTITY_NODE_7922: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7921)],
    };

static ENTITY_NODE_7923: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7922)],
    };

static ENTITY_NODE_7924: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7923)],
    };

static ENTITY_NODE_7925: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7507), Some(ENTITY_NODE_7510), Some(ENTITY_NODE_7552), Some(ENTITY_NODE_7558), Some(ENTITY_NODE_7586), Some(ENTITY_NODE_7589), None, Some(ENTITY_NODE_7612), Some(ENTITY_NODE_7646), None, None, Some(ENTITY_NODE_7649), Some(ENTITY_NODE_7678), None, Some(ENTITY_NODE_7694), Some(ENTITY_NODE_7703), Some(ENTITY_NODE_7729), Some(ENTITY_NODE_7732), Some(ENTITY_NODE_7744), Some(ENTITY_NODE_7764), Some(ENTITY_NODE_7905), None, Some(ENTITY_NODE_7919), None, None, Some(ENTITY_NODE_7924)],
    };

static ENTITY_NODE_7926: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x96")),
      children: &[],
    };

static ENTITY_NODE_7927: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7926)],
    };

static ENTITY_NODE_7928: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7927)],
    };

static ENTITY_NODE_7929: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7928)],
    };

static ENTITY_NODE_7930: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_7929)],
    };

static ENTITY_NODE_7931: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x84")),
      children: &[],
    };

static ENTITY_NODE_7932: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7931)],
    };

static ENTITY_NODE_7933: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7930), None, None, Some(ENTITY_NODE_7932)],
    };

static ENTITY_NODE_7934: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_2440)],
    };

static ENTITY_NODE_7935: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7934)],
    };

static ENTITY_NODE_7936: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa5")),
      children: &[],
    };

static ENTITY_NODE_7937: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7936)],
    };

static ENTITY_NODE_7938: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7937)],
    };

static ENTITY_NODE_7939: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7938)],
    };

static ENTITY_NODE_7940: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7939)],
    };

static ENTITY_NODE_7941: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa3")),
      children: &[],
    };

static ENTITY_NODE_7942: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7941)],
    };

static ENTITY_NODE_7943: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7942)],
    };

static ENTITY_NODE_7944: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7943)],
    };

static ENTITY_NODE_7945: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_7944)],
    };

static ENTITY_NODE_7946: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x82")),
      children: &[],
    };

static ENTITY_NODE_7947: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7946)],
    };

static ENTITY_NODE_7948: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7940), None, None, None, Some(ENTITY_NODE_7945), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7947)],
    };

static ENTITY_NODE_7949: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x95")),
      children: &[],
    };

static ENTITY_NODE_7950: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7949)],
    };

static ENTITY_NODE_7951: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7950)],
    };

static ENTITY_NODE_7952: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7951)],
    };

static ENTITY_NODE_7953: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7952)],
    };

static ENTITY_NODE_7954: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_7953)],
    };

static ENTITY_NODE_7955: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb1")),
      children: &[],
    };

static ENTITY_NODE_7956: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7955)],
    };

static ENTITY_NODE_7957: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7956)],
    };

static ENTITY_NODE_7958: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 52,
      value: None,
      children: &[Some(ENTITY_NODE_3141), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3144)],
    };

static ENTITY_NODE_7959: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7958)],
    };

static ENTITY_NODE_7960: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb8")),
      children: &[],
    };

static ENTITY_NODE_7961: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x91")),
      children: &[],
    };

static ENTITY_NODE_7962: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7961)],
    };

static ENTITY_NODE_7963: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7962)],
    };

static ENTITY_NODE_7964: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_7963)],
    };

static ENTITY_NODE_7965: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7960), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7964), None, None, Some(ENTITY_NODE_7962)],
    };

static ENTITY_NODE_7966: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7965)],
    };

static ENTITY_NODE_7967: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7959), None, Some(ENTITY_NODE_7966)],
    };

static ENTITY_NODE_7968: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_3186)],
    };

static ENTITY_NODE_7969: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7968)],
    };

static ENTITY_NODE_7970: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7969)],
    };

static ENTITY_NODE_7971: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7970)],
    };

static ENTITY_NODE_7972: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_7971)],
    };

static ENTITY_NODE_7973: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3168)],
    };

static ENTITY_NODE_7974: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_7973)],
    };

static ENTITY_NODE_7975: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_7974)],
    };

static ENTITY_NODE_7976: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7972), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7975)],
    };

static ENTITY_NODE_7977: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_7976)],
    };

static ENTITY_NODE_7978: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3160)],
    };

static ENTITY_NODE_7979: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7978)],
    };

static ENTITY_NODE_7980: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_7977), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7979)],
    };

static ENTITY_NODE_7981: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3186)],
    };

static ENTITY_NODE_7982: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7981), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7975)],
    };

static ENTITY_NODE_7983: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xbe")),
      children: &[],
    };

static ENTITY_NODE_7984: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xbe")),
      children: &[Some(ENTITY_NODE_7983)],
    };

static ENTITY_NODE_7985: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_7984)],
    };

static ENTITY_NODE_7986: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7985)],
    };

static ENTITY_NODE_7987: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7967), None, None, None, Some(ENTITY_NODE_7980), None, Some(ENTITY_NODE_7982), None, None, None, Some(ENTITY_NODE_7986)],
    };

static ENTITY_NODE_7988: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\x97")),
      children: &[],
    };

static ENTITY_NODE_7989: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb1")),
      children: &[],
    };

static ENTITY_NODE_7990: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7989)],
    };

static ENTITY_NODE_7991: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_7990)],
    };

static ENTITY_NODE_7992: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4123), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7991)],
    };

static ENTITY_NODE_7993: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb0")),
      children: &[],
    };

static ENTITY_NODE_7994: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7993)],
    };

static ENTITY_NODE_7995: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\x97")),
      children: &[Some(ENTITY_NODE_7988), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_7992), None, Some(ENTITY_NODE_7994)],
    };

static ENTITY_NODE_7996: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_7995)],
    };

static ENTITY_NODE_7997: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7996)],
    };

static ENTITY_NODE_7998: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_485), Some(ENTITY_NODE_7997), Some(ENTITY_NODE_5463)],
    };

static ENTITY_NODE_7999: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_6441)],
    };

static ENTITY_NODE_8000: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\xb6")),
      children: &[],
    };

static ENTITY_NODE_8001: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8000)],
    };

static ENTITY_NODE_8002: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8001)],
    };

static ENTITY_NODE_8003: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8002)],
    };

static ENTITY_NODE_8004: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xb1")),
      children: &[],
    };

static ENTITY_NODE_8005: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8004)],
    };

static ENTITY_NODE_8006: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8005)],
    };

static ENTITY_NODE_8007: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8006)],
    };

static ENTITY_NODE_8008: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa5")),
      children: &[],
    };

static ENTITY_NODE_8009: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x9a")),
      children: &[],
    };

static ENTITY_NODE_8010: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8009)],
    };

static ENTITY_NODE_8011: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_8010)],
    };

static ENTITY_NODE_8012: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8011)],
    };

static ENTITY_NODE_8013: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8008), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8012)],
    };

static ENTITY_NODE_8014: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_749), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8003), Some(ENTITY_NODE_8007), None, None, Some(ENTITY_NODE_8013)],
    };

static ENTITY_NODE_8015: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7574)],
    };

static ENTITY_NODE_8016: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7999), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8014), None, None, Some(ENTITY_NODE_8015)],
    };

static ENTITY_NODE_8017: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\xb4")),
      children: &[],
    };

static ENTITY_NODE_8018: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8017)],
    };

static ENTITY_NODE_8019: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8018)],
    };

static ENTITY_NODE_8020: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_8019)],
    };

static ENTITY_NODE_8021: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8020)],
    };

static ENTITY_NODE_8022: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8021)],
    };

static ENTITY_NODE_8023: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3107)],
    };

static ENTITY_NODE_8024: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_8023)],
    };

static ENTITY_NODE_8025: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\xb5")),
      children: &[],
    };

static ENTITY_NODE_8026: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_4766)],
    };

static ENTITY_NODE_8027: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8026)],
    };

static ENTITY_NODE_8028: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_8027)],
    };

static ENTITY_NODE_8029: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8028)],
    };

static ENTITY_NODE_8030: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_1515)],
    };

static ENTITY_NODE_8031: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6158), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8030)],
    };

static ENTITY_NODE_8032: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8031)],
    };

static ENTITY_NODE_8033: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8032)],
    };

static ENTITY_NODE_8034: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8033)],
    };

static ENTITY_NODE_8035: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x9c")),
      children: &[],
    };

static ENTITY_NODE_8036: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8035)],
    };

static ENTITY_NODE_8037: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_2766)],
    };

static ENTITY_NODE_8038: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_7483), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8037)],
    };

static ENTITY_NODE_8039: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8038)],
    };

static ENTITY_NODE_8040: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8039)],
    };

static ENTITY_NODE_8041: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8040)],
    };

static ENTITY_NODE_8042: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8041)],
    };

static ENTITY_NODE_8043: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8025), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8029), None, None, None, None, None, None, None, Some(ENTITY_NODE_8034), None, None, None, None, Some(ENTITY_NODE_8036), Some(ENTITY_NODE_8042)],
    };

static ENTITY_NODE_8044: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8043)],
    };

static ENTITY_NODE_8045: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8044)],
    };

static ENTITY_NODE_8046: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8045)],
    };

static ENTITY_NODE_8047: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8046)],
    };

static ENTITY_NODE_8048: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\xac")),
      children: &[],
    };

static ENTITY_NODE_8049: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8048)],
    };

static ENTITY_NODE_8050: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8049)],
    };

static ENTITY_NODE_8051: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8050)],
    };

static ENTITY_NODE_8052: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xba")),
      children: &[],
    };

static ENTITY_NODE_8053: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8052)],
    };

static ENTITY_NODE_8054: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8053)],
    };

static ENTITY_NODE_8055: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_8054)],
    };

static ENTITY_NODE_8056: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8055)],
    };

static ENTITY_NODE_8057: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8056)],
    };

static ENTITY_NODE_8058: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xb9")),
      children: &[],
    };

static ENTITY_NODE_8059: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8058)],
    };

static ENTITY_NODE_8060: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8059)],
    };

static ENTITY_NODE_8061: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_8060)],
    };

static ENTITY_NODE_8062: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8061)],
    };

static ENTITY_NODE_8063: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa7\x8d")),
      children: &[],
    };

static ENTITY_NODE_8064: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8063)],
    };

static ENTITY_NODE_8065: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_8064)],
    };

static ENTITY_NODE_8066: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa8\xbb")),
      children: &[],
    };

static ENTITY_NODE_8067: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8066)],
    };

static ENTITY_NODE_8068: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8067)],
    };

static ENTITY_NODE_8069: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_8068)],
    };

static ENTITY_NODE_8070: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8069)],
    };

static ENTITY_NODE_8071: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8047), None, None, Some(ENTITY_NODE_8051), Some(ENTITY_NODE_8036), None, None, None, None, None, None, None, Some(ENTITY_NODE_8057), None, None, Some(ENTITY_NODE_8062), None, None, Some(ENTITY_NODE_8065), Some(ENTITY_NODE_8070)],
    };

static ENTITY_NODE_8072: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8f\xa2")),
      children: &[],
    };

static ENTITY_NODE_8073: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8072)],
    };

static ENTITY_NODE_8074: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_8073)],
    };

static ENTITY_NODE_8075: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_8074)],
    };

static ENTITY_NODE_8076: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8075)],
    };

static ENTITY_NODE_8077: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 122,
      value: None,
      children: &[Some(ENTITY_NODE_8076)],
    };

static ENTITY_NODE_8078: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8077)],
    };

static ENTITY_NODE_8079: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8024), None, None, None, None, None, None, None, Some(ENTITY_NODE_8071), None, None, None, None, None, None, Some(ENTITY_NODE_8078)],
    };

static ENTITY_NODE_8080: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x89")),
      children: &[],
    };

static ENTITY_NODE_8081: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8080)],
    };

static ENTITY_NODE_8082: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x86")),
      children: &[],
    };

static ENTITY_NODE_8083: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8082)],
    };

static ENTITY_NODE_8084: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8081), None, None, None, None, None, None, Some(ENTITY_NODE_8083)],
    };

static ENTITY_NODE_8085: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x9b")),
      children: &[],
    };

static ENTITY_NODE_8086: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8085)],
    };

static ENTITY_NODE_8087: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_8086)],
    };

static ENTITY_NODE_8088: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8087)],
    };

static ENTITY_NODE_8089: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa7")),
      children: &[],
    };

static ENTITY_NODE_8090: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8089)],
    };

static ENTITY_NODE_8091: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_8090)],
    };

static ENTITY_NODE_8092: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8091)],
    };

static ENTITY_NODE_8093: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8092)],
    };

static ENTITY_NODE_8094: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8084), None, None, None, None, Some(ENTITY_NODE_8088), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8093)],
    };

static ENTITY_NODE_8095: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_3896)],
    };

static ENTITY_NODE_8096: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 120,
      value: None,
      children: &[Some(ENTITY_NODE_8095)],
    };

static ENTITY_NODE_8097: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_1375)],
    };

static ENTITY_NODE_8098: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8097)],
    };

static ENTITY_NODE_8099: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8098)],
    };

static ENTITY_NODE_8100: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8099)],
    };

static ENTITY_NODE_8101: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8100)],
    };

static ENTITY_NODE_8102: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8101)],
    };

static ENTITY_NODE_8103: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8102)],
    };

static ENTITY_NODE_8104: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8103)],
    };

static ENTITY_NODE_8105: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2596)],
    };

static ENTITY_NODE_8106: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_8105)],
    };

static ENTITY_NODE_8107: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8106)],
    };

static ENTITY_NODE_8108: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8107)],
    };

static ENTITY_NODE_8109: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8108)],
    };

static ENTITY_NODE_8110: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8109)],
    };

static ENTITY_NODE_8111: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8110)],
    };

static ENTITY_NODE_8112: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8111)],
    };

static ENTITY_NODE_8113: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8112)],
    };

static ENTITY_NODE_8114: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8113)],
    };

static ENTITY_NODE_8115: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8104), None, None, None, None, None, Some(ENTITY_NODE_8114)],
    };

static ENTITY_NODE_8116: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_8115)],
    };

static ENTITY_NODE_8117: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8116)],
    };

static ENTITY_NODE_8118: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8117)],
    };

static ENTITY_NODE_8119: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8118)],
    };

static ENTITY_NODE_8120: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8096), None, None, None, None, None, Some(ENTITY_NODE_8119)],
    };

static ENTITY_NODE_8121: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7933), Some(ENTITY_NODE_7935), Some(ENTITY_NODE_7948), Some(ENTITY_NODE_3202), Some(ENTITY_NODE_7954), Some(ENTITY_NODE_7957), None, Some(ENTITY_NODE_7987), Some(ENTITY_NODE_7998), None, None, None, None, None, Some(ENTITY_NODE_8016), Some(ENTITY_NODE_8022), None, Some(ENTITY_NODE_8079), Some(ENTITY_NODE_8094), None, None, None, Some(ENTITY_NODE_8120)],
    };

static ENTITY_NODE_8122: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_629)],
    };

static ENTITY_NODE_8123: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8122)],
    };

static ENTITY_NODE_8124: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xa3")),
      children: &[],
    };

static ENTITY_NODE_8125: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8124)],
    };

static ENTITY_NODE_8126: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8125)],
    };

static ENTITY_NODE_8127: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8126)],
    };

static ENTITY_NODE_8128: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xba")),
      children: &[],
    };

static ENTITY_NODE_8129: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xba")),
      children: &[Some(ENTITY_NODE_8128)],
    };

static ENTITY_NODE_8130: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8129)],
    };

static ENTITY_NODE_8131: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8130)],
    };

static ENTITY_NODE_8132: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_8131)],
    };

static ENTITY_NODE_8133: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_2943)],
    };

static ENTITY_NODE_8134: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8132), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8133)],
    };

static ENTITY_NODE_8135: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x9e")),
      children: &[],
    };

static ENTITY_NODE_8136: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8135)],
    };

static ENTITY_NODE_8137: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_8136)],
    };

static ENTITY_NODE_8138: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xad")),
      children: &[],
    };

static ENTITY_NODE_8139: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8138)],
    };

static ENTITY_NODE_8140: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8139)],
    };

static ENTITY_NODE_8141: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_8140)],
    };

static ENTITY_NODE_8142: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8137), None, Some(ENTITY_NODE_8141)],
    };

static ENTITY_NODE_8143: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8142)],
    };

static ENTITY_NODE_8144: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xbb")),
      children: &[],
    };

static ENTITY_NODE_8145: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xbb")),
      children: &[Some(ENTITY_NODE_8144)],
    };

static ENTITY_NODE_8146: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8145)],
    };

static ENTITY_NODE_8147: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8146)],
    };

static ENTITY_NODE_8148: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x83")),
      children: &[],
    };

static ENTITY_NODE_8149: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8148)],
    };

static ENTITY_NODE_8150: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8147), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8149)],
    };

static ENTITY_NODE_8151: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3319)],
    };

static ENTITY_NODE_8152: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8151)],
    };

static ENTITY_NODE_8153: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb1")),
      children: &[],
    };

static ENTITY_NODE_8154: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8153)],
    };

static ENTITY_NODE_8155: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8154)],
    };

static ENTITY_NODE_8156: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8155)],
    };

static ENTITY_NODE_8157: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8156)],
    };

static ENTITY_NODE_8158: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3344)],
    };

static ENTITY_NODE_8159: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8158)],
    };

static ENTITY_NODE_8160: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8152), Some(ENTITY_NODE_8157), None, None, None, None, None, Some(ENTITY_NODE_8159)],
    };

static ENTITY_NODE_8161: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa5\xbe")),
      children: &[],
    };

static ENTITY_NODE_8162: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8161)],
    };

static ENTITY_NODE_8163: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8162)],
    };

static ENTITY_NODE_8164: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8163)],
    };

static ENTITY_NODE_8165: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8164)],
    };

static ENTITY_NODE_8166: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb2")),
      children: &[],
    };

static ENTITY_NODE_8167: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8166)],
    };

static ENTITY_NODE_8168: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8165), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8167)],
    };

static ENTITY_NODE_8169: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xb9")),
      children: &[],
    };

static ENTITY_NODE_8170: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xb9")),
      children: &[Some(ENTITY_NODE_8169)],
    };

static ENTITY_NODE_8171: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8170)],
    };

static ENTITY_NODE_8172: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 118,
      value: None,
      children: &[Some(ENTITY_NODE_8171)],
    };

static ENTITY_NODE_8173: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8172)],
    };

static ENTITY_NODE_8174: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8173)],
    };

static ENTITY_NODE_8175: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1549)],
    };

static ENTITY_NODE_8176: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2800)],
    };

static ENTITY_NODE_8177: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8175), None, None, None, None, None, Some(ENTITY_NODE_8176)],
    };

static ENTITY_NODE_8178: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8177)],
    };

static ENTITY_NODE_8179: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x96\x80")),
      children: &[],
    };

static ENTITY_NODE_8180: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8179)],
    };

static ENTITY_NODE_8181: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 107,
      value: None,
      children: &[Some(ENTITY_NODE_8180)],
    };

static ENTITY_NODE_8182: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8181)],
    };

static ENTITY_NODE_8183: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8178), Some(ENTITY_NODE_8182)],
    };

static ENTITY_NODE_8184: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x9c")),
      children: &[],
    };

static ENTITY_NODE_8185: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8184)],
    };

static ENTITY_NODE_8186: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8185)],
    };

static ENTITY_NODE_8187: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8184), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8186)],
    };

static ENTITY_NODE_8188: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8187)],
    };

static ENTITY_NODE_8189: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8188)],
    };

static ENTITY_NODE_8190: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x8f")),
      children: &[],
    };

static ENTITY_NODE_8191: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8190)],
    };

static ENTITY_NODE_8192: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8191)],
    };

static ENTITY_NODE_8193: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8192)],
    };

static ENTITY_NODE_8194: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8189), None, None, Some(ENTITY_NODE_8193)],
    };

static ENTITY_NODE_8195: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\xb8")),
      children: &[],
    };

static ENTITY_NODE_8196: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8195)],
    };

static ENTITY_NODE_8197: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8196)],
    };

static ENTITY_NODE_8198: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8197)],
    };

static ENTITY_NODE_8199: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8194), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8198)],
    };

static ENTITY_NODE_8200: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xab")),
      children: &[],
    };

static ENTITY_NODE_8201: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8200)],
    };

static ENTITY_NODE_8202: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8201)],
    };

static ENTITY_NODE_8203: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8202)],
    };

static ENTITY_NODE_8204: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa8")),
      children: &[Some(ENTITY_NODE_518)],
    };

static ENTITY_NODE_8205: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8203), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8204)],
    };

static ENTITY_NODE_8206: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb3")),
      children: &[],
    };

static ENTITY_NODE_8207: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8206)],
    };

static ENTITY_NODE_8208: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8207)],
    };

static ENTITY_NODE_8209: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8208)],
    };

static ENTITY_NODE_8210: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa6")),
      children: &[],
    };

static ENTITY_NODE_8211: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8210)],
    };

static ENTITY_NODE_8212: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8211)],
    };

static ENTITY_NODE_8213: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8209), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8212)],
    };

static ENTITY_NODE_8214: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_3338)],
    };

static ENTITY_NODE_8215: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8214)],
    };

static ENTITY_NODE_8216: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_8215)],
    };

static ENTITY_NODE_8217: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8216)],
    };

static ENTITY_NODE_8218: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8175)],
    };

static ENTITY_NODE_8219: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8218)],
    };

static ENTITY_NODE_8220: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8219)],
    };

static ENTITY_NODE_8221: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8176)],
    };

static ENTITY_NODE_8222: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8221)],
    };

static ENTITY_NODE_8223: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8222)],
    };

static ENTITY_NODE_8224: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8223)],
    };

static ENTITY_NODE_8225: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8220), None, None, None, None, None, Some(ENTITY_NODE_8224)],
    };

static ENTITY_NODE_8226: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8225)],
    };

static ENTITY_NODE_8227: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8226)],
    };

static ENTITY_NODE_8228: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8227)],
    };

static ENTITY_NODE_8229: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8228)],
    };

static ENTITY_NODE_8230: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8229)],
    };

static ENTITY_NODE_8231: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8230)],
    };

static ENTITY_NODE_8232: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xcf\x85")),
      children: &[],
    };

static ENTITY_NODE_8233: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3393)],
    };

static ENTITY_NODE_8234: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8232)],
    };

static ENTITY_NODE_8235: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8234)],
    };

static ENTITY_NODE_8236: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8235)],
    };

static ENTITY_NODE_8237: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8232), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8233), None, None, None, Some(ENTITY_NODE_8236)],
    };

static ENTITY_NODE_8238: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8237)],
    };

static ENTITY_NODE_8239: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x88")),
      children: &[],
    };

static ENTITY_NODE_8240: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8239)],
    };

static ENTITY_NODE_8241: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8240)],
    };

static ENTITY_NODE_8242: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 119,
      value: None,
      children: &[Some(ENTITY_NODE_8241)],
    };

static ENTITY_NODE_8243: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8242)],
    };

static ENTITY_NODE_8244: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8243)],
    };

static ENTITY_NODE_8245: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8244)],
    };

static ENTITY_NODE_8246: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8245)],
    };

static ENTITY_NODE_8247: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8246)],
    };

static ENTITY_NODE_8248: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_2947), None, None, Some(ENTITY_NODE_8217), None, None, None, Some(ENTITY_NODE_8231), None, None, None, Some(ENTITY_NODE_3300), None, None, None, None, None, None, Some(ENTITY_NODE_8238), None, Some(ENTITY_NODE_8247)],
    };

static ENTITY_NODE_8249: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x9d")),
      children: &[],
    };

static ENTITY_NODE_8250: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8249)],
    };

static ENTITY_NODE_8251: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8250)],
    };

static ENTITY_NODE_8252: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8249), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8251)],
    };

static ENTITY_NODE_8253: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8252)],
    };

static ENTITY_NODE_8254: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8253)],
    };

static ENTITY_NODE_8255: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8c\x8e")),
      children: &[],
    };

static ENTITY_NODE_8256: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8255)],
    };

static ENTITY_NODE_8257: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8256)],
    };

static ENTITY_NODE_8258: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8257)],
    };

static ENTITY_NODE_8259: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8254), None, None, Some(ENTITY_NODE_8258)],
    };

static ENTITY_NODE_8260: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xaf")),
      children: &[],
    };

static ENTITY_NODE_8261: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8260)],
    };

static ENTITY_NODE_8262: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8261)],
    };

static ENTITY_NODE_8263: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8262)],
    };

static ENTITY_NODE_8264: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x97\xb9")),
      children: &[],
    };

static ENTITY_NODE_8265: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8264)],
    };

static ENTITY_NODE_8266: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8265)],
    };

static ENTITY_NODE_8267: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8266)],
    };

static ENTITY_NODE_8268: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8259), None, None, None, None, None, Some(ENTITY_NODE_8263), None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8267)],
    };

static ENTITY_NODE_8269: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x8a")),
      children: &[],
    };

static ENTITY_NODE_8270: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8269)],
    };

static ENTITY_NODE_8271: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8270)],
    };

static ENTITY_NODE_8272: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8271)],
    };

static ENTITY_NODE_8273: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xb0")),
      children: &[],
    };

static ENTITY_NODE_8274: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8273)],
    };

static ENTITY_NODE_8275: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8274)],
    };

static ENTITY_NODE_8276: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8275)],
    };

static ENTITY_NODE_8277: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xa9")),
      children: &[],
    };

static ENTITY_NODE_8278: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8277)],
    };

static ENTITY_NODE_8279: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8278)],
    };

static ENTITY_NODE_8280: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_8279)],
    };

static ENTITY_NODE_8281: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8280)],
    };

static ENTITY_NODE_8282: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3980)],
    };

static ENTITY_NODE_8283: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8025), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8282)],
    };

static ENTITY_NODE_8284: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8283)],
    };

static ENTITY_NODE_8285: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_8276), None, None, None, None, Some(ENTITY_NODE_8281), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8284)],
    };

static ENTITY_NODE_8286: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8240)],
    };

static ENTITY_NODE_8287: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8286)],
    };

static ENTITY_NODE_8288: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xbc")),
      children: &[],
    };

static ENTITY_NODE_8289: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xbc")),
      children: &[Some(ENTITY_NODE_8288)],
    };

static ENTITY_NODE_8290: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8289)],
    };

static ENTITY_NODE_8291: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8287), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8290)],
    };

static ENTITY_NODE_8292: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\xa7")),
      children: &[],
    };

static ENTITY_NODE_8293: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8292)],
    };

static ENTITY_NODE_8294: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8293)],
    };

static ENTITY_NODE_8295: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8294)],
    };

static ENTITY_NODE_8296: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8295)],
    };

static ENTITY_NODE_8297: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8296)],
    };

static ENTITY_NODE_8298: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8297)],
    };

static ENTITY_NODE_8299: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_8123), None, None, None, None, None, None, Some(ENTITY_NODE_8127), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8134), Some(ENTITY_NODE_8143), Some(ENTITY_NODE_8150), Some(ENTITY_NODE_8160), None, Some(ENTITY_NODE_8168), Some(ENTITY_NODE_8174), Some(ENTITY_NODE_8183), None, None, None, Some(ENTITY_NODE_8199), Some(ENTITY_NODE_8205), None, Some(ENTITY_NODE_8213), Some(ENTITY_NODE_8248), None, Some(ENTITY_NODE_8268), Some(ENTITY_NODE_8272), Some(ENTITY_NODE_8285), Some(ENTITY_NODE_8291), None, Some(ENTITY_NODE_8298)],
    };

static ENTITY_NODE_8300: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_635)],
    };

static ENTITY_NODE_8301: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8300)],
    };

static ENTITY_NODE_8302: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xa8")),
      children: &[],
    };

static ENTITY_NODE_8303: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\xa9")),
      children: &[],
    };

static ENTITY_NODE_8304: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8303)],
    };

static ENTITY_NODE_8305: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8302), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8304)],
    };

static ENTITY_NODE_8306: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8305)],
    };

static ENTITY_NODE_8307: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8306)],
    };

static ENTITY_NODE_8308: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_620)],
    };

static ENTITY_NODE_8309: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8308)],
    };

static ENTITY_NODE_8310: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8309)],
    };

static ENTITY_NODE_8311: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x9c")),
      children: &[],
    };

static ENTITY_NODE_8312: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8311)],
    };

static ENTITY_NODE_8313: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8312)],
    };

static ENTITY_NODE_8314: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8313)],
    };

static ENTITY_NODE_8315: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8314)],
    };

static ENTITY_NODE_8316: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_5627)],
    };

static ENTITY_NODE_8317: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8316)],
    };

static ENTITY_NODE_8318: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8317)],
    };

static ENTITY_NODE_8319: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8318)],
    };

static ENTITY_NODE_8320: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_4872)],
    };

static ENTITY_NODE_8321: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8320)],
    };

static ENTITY_NODE_8322: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8321)],
    };

static ENTITY_NODE_8323: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8322)],
    };

static ENTITY_NODE_8324: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8323)],
    };

static ENTITY_NODE_8325: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8324)],
    };

static ENTITY_NODE_8326: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_7089)],
    };

static ENTITY_NODE_8327: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8326)],
    };

static ENTITY_NODE_8328: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8327)],
    };

static ENTITY_NODE_8329: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_7754), Some(ENTITY_NODE_6976), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8328)],
    };

static ENTITY_NODE_8330: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_7312)],
    };

static ENTITY_NODE_8331: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3333), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8330)],
    };

static ENTITY_NODE_8332: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7615)],
    };

static ENTITY_NODE_8333: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_8332)],
    };

static ENTITY_NODE_8334: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8333)],
    };

static ENTITY_NODE_8335: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8a\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_8336: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x8b\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_8337: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8336)],
    };

static ENTITY_NODE_8338: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8335), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8337)],
    };

static ENTITY_NODE_8339: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_8338)],
    };

static ENTITY_NODE_8340: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8339)],
    };

static ENTITY_NODE_8341: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8340)],
    };

static ENTITY_NODE_8342: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8341)],
    };

static ENTITY_NODE_8343: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8342)],
    };

static ENTITY_NODE_8344: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8343)],
    };

static ENTITY_NODE_8345: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\x8b\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_8346: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xab\x8c\xef\xb8\x80")),
      children: &[],
    };

static ENTITY_NODE_8347: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8346)],
    };

static ENTITY_NODE_8348: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8345), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8347)],
    };

static ENTITY_NODE_8349: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_8348)],
    };

static ENTITY_NODE_8350: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8349)],
    };

static ENTITY_NODE_8351: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8350)],
    };

static ENTITY_NODE_8352: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8351)],
    };

static ENTITY_NODE_8353: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8352)],
    };

static ENTITY_NODE_8354: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8353)],
    };

static ENTITY_NODE_8355: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_8344), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8354)],
    };

static ENTITY_NODE_8356: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8334), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8355)],
    };

static ENTITY_NODE_8357: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_7962)],
    };

static ENTITY_NODE_8358: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8357)],
    };

static ENTITY_NODE_8359: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8358)],
    };

static ENTITY_NODE_8360: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_1509)],
    };

static ENTITY_NODE_8361: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8360)],
    };

static ENTITY_NODE_8362: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8361)],
    };

static ENTITY_NODE_8363: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8362)],
    };

static ENTITY_NODE_8364: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2760)],
    };

static ENTITY_NODE_8365: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8364)],
    };

static ENTITY_NODE_8366: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8365)],
    };

static ENTITY_NODE_8367: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8366)],
    };

static ENTITY_NODE_8368: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8367)],
    };

static ENTITY_NODE_8369: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8363), None, None, None, None, None, Some(ENTITY_NODE_8368)],
    };

static ENTITY_NODE_8370: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8369)],
    };

static ENTITY_NODE_8371: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8370)],
    };

static ENTITY_NODE_8372: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8371)],
    };

static ENTITY_NODE_8373: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8372)],
    };

static ENTITY_NODE_8374: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8373)],
    };

static ENTITY_NODE_8375: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8374)],
    };

static ENTITY_NODE_8376: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8359), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8375)],
    };

static ENTITY_NODE_8377: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_7753), None, None, None, None, None, Some(ENTITY_NODE_8319), None, None, Some(ENTITY_NODE_8325), None, Some(ENTITY_NODE_8329), None, Some(ENTITY_NODE_8331), Some(ENTITY_NODE_8356), Some(ENTITY_NODE_8376)],
    };

static ENTITY_NODE_8378: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8315), None, None, None, Some(ENTITY_NODE_8377)],
    };

static ENTITY_NODE_8379: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb2")),
      children: &[],
    };

static ENTITY_NODE_8380: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8379)],
    };

static ENTITY_NODE_8381: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_8380)],
    };

static ENTITY_NODE_8382: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2744)],
    };

static ENTITY_NODE_8383: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_8382)],
    };

static ENTITY_NODE_8384: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8383)],
    };

static ENTITY_NODE_8385: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8384)],
    };

static ENTITY_NODE_8386: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8a\xbb")),
      children: &[],
    };

static ENTITY_NODE_8387: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8386)],
    };

static ENTITY_NODE_8388: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8387)],
    };

static ENTITY_NODE_8389: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8388)],
    };

static ENTITY_NODE_8390: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x9a")),
      children: &[],
    };

static ENTITY_NODE_8391: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8390)],
    };

static ENTITY_NODE_8392: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 113,
      value: None,
      children: &[Some(ENTITY_NODE_8391)],
    };

static ENTITY_NODE_8393: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_6854), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8389), None, None, Some(ENTITY_NODE_8392)],
    };

static ENTITY_NODE_8394: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xae")),
      children: &[],
    };

static ENTITY_NODE_8395: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8394)],
    };

static ENTITY_NODE_8396: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8395)],
    };

static ENTITY_NODE_8397: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8396)],
    };

static ENTITY_NODE_8398: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8397)],
    };

static ENTITY_NODE_8399: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_3451)],
    };

static ENTITY_NODE_8400: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8399)],
    };

static ENTITY_NODE_8401: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_8400), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3451)],
    };

static ENTITY_NODE_8402: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8393), None, None, None, None, None, None, Some(ENTITY_NODE_8398), None, None, None, None, None, Some(ENTITY_NODE_8401)],
    };

static ENTITY_NODE_8403: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb3")),
      children: &[],
    };

static ENTITY_NODE_8404: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8403)],
    };

static ENTITY_NODE_8405: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8404)],
    };

static ENTITY_NODE_8406: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8360)],
    };

static ENTITY_NODE_8407: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8406)],
    };

static ENTITY_NODE_8408: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8407)],
    };

static ENTITY_NODE_8409: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2220)],
    };

static ENTITY_NODE_8410: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_2261)],
    };

static ENTITY_NODE_8411: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_8409), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8410)],
    };

static ENTITY_NODE_8412: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_8411)],
    };

static ENTITY_NODE_8413: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8412)],
    };

static ENTITY_NODE_8414: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa7")),
      children: &[],
    };

static ENTITY_NODE_8415: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8414)],
    };

static ENTITY_NODE_8416: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8415)],
    };

static ENTITY_NODE_8417: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8416)],
    };

static ENTITY_NODE_8418: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_2546)],
    };

static ENTITY_NODE_8419: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8418)],
    };

static ENTITY_NODE_8420: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8419)],
    };

static ENTITY_NODE_8421: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8364)],
    };

static ENTITY_NODE_8422: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8421)],
    };

static ENTITY_NODE_8423: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8422)],
    };

static ENTITY_NODE_8424: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x8b")),
      children: &[],
    };

static ENTITY_NODE_8425: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8424)],
    };

static ENTITY_NODE_8426: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8425)],
    };

static ENTITY_NODE_8427: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8335)],
    };

static ENTITY_NODE_8428: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_8337), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8427)],
    };

static ENTITY_NODE_8429: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8428)],
    };

static ENTITY_NODE_8430: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8345)],
    };

static ENTITY_NODE_8431: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 69,
      value: None,
      children: &[Some(ENTITY_NODE_8347), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8430)],
    };

static ENTITY_NODE_8432: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8431)],
    };

static ENTITY_NODE_8433: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_8429), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8432)],
    };

static ENTITY_NODE_8434: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8426), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8433)],
    };

static ENTITY_NODE_8435: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa6\x9a")),
      children: &[],
    };

static ENTITY_NODE_8436: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8435)],
    };

static ENTITY_NODE_8437: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8436)],
    };

static ENTITY_NODE_8438: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8437)],
    };

static ENTITY_NODE_8439: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 122,
      value: None,
      children: &[Some(ENTITY_NODE_8438)],
    };

static ENTITY_NODE_8440: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8439)],
    };

static ENTITY_NODE_8441: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8440)],
    };

static ENTITY_NODE_8442: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_8301), Some(ENTITY_NODE_8307), None, Some(ENTITY_NODE_8310), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8378), None, Some(ENTITY_NODE_8381), Some(ENTITY_NODE_8385), Some(ENTITY_NODE_8402), Some(ENTITY_NODE_8405), None, None, None, None, None, Some(ENTITY_NODE_8408), None, Some(ENTITY_NODE_8413), Some(ENTITY_NODE_8417), Some(ENTITY_NODE_8420), None, Some(ENTITY_NODE_8423), Some(ENTITY_NODE_8434), None, None, None, None, None, None, Some(ENTITY_NODE_8441)],
    };

static ENTITY_NODE_8443: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb5")),
      children: &[],
    };

static ENTITY_NODE_8444: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8443)],
    };

static ENTITY_NODE_8445: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8444)],
    };

static ENTITY_NODE_8446: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8445)],
    };

static ENTITY_NODE_8447: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8446)],
    };

static ENTITY_NODE_8448: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\xa9\x9f")),
      children: &[],
    };

static ENTITY_NODE_8449: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8448)],
    };

static ENTITY_NODE_8450: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8449)],
    };

static ENTITY_NODE_8451: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8450)],
    };

static ENTITY_NODE_8452: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x89\x99")),
      children: &[],
    };

static ENTITY_NODE_8453: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8452)],
    };

static ENTITY_NODE_8454: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3689), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8453)],
    };

static ENTITY_NODE_8455: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8454)],
    };

static ENTITY_NODE_8456: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 98,
      value: None,
      children: &[Some(ENTITY_NODE_8451), None, None, None, None, Some(ENTITY_NODE_8455)],
    };

static ENTITY_NODE_8457: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x84\x98")),
      children: &[],
    };

static ENTITY_NODE_8458: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8457)],
    };

static ENTITY_NODE_8459: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8458)],
    };

static ENTITY_NODE_8460: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8459)],
    };

static ENTITY_NODE_8461: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8460)],
    };

static ENTITY_NODE_8462: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_8456), None, None, None, None, Some(ENTITY_NODE_8461)],
    };

static ENTITY_NODE_8463: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb4")),
      children: &[],
    };

static ENTITY_NODE_8464: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8463)],
    };

static ENTITY_NODE_8465: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8464)],
    };

static ENTITY_NODE_8466: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa8")),
      children: &[],
    };

static ENTITY_NODE_8467: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8466)],
    };

static ENTITY_NODE_8468: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8467)],
    };

static ENTITY_NODE_8469: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8468)],
    };

static ENTITY_NODE_8470: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 104,
      value: None,
      children: &[Some(ENTITY_NODE_3466)],
    };

static ENTITY_NODE_8471: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8470)],
    };

static ENTITY_NODE_8472: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8471)],
    };

static ENTITY_NODE_8473: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_3465), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8472)],
    };

static ENTITY_NODE_8474: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x8c")),
      children: &[],
    };

static ENTITY_NODE_8475: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8474)],
    };

static ENTITY_NODE_8476: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8475)],
    };

static ENTITY_NODE_8477: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8476)],
    };

static ENTITY_NODE_8478: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8447), None, Some(ENTITY_NODE_8462), Some(ENTITY_NODE_8465), None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8469), Some(ENTITY_NODE_8458), None, Some(ENTITY_NODE_8473), Some(ENTITY_NODE_8477)],
    };

static ENTITY_NODE_8479: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3940)],
    };

static ENTITY_NODE_8480: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8479)],
    };

static ENTITY_NODE_8481: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8480)],
    };

static ENTITY_NODE_8482: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb5")),
      children: &[],
    };

static ENTITY_NODE_8483: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8482)],
    };

static ENTITY_NODE_8484: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8483)],
    };

static ENTITY_NODE_8485: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_584)],
    };

static ENTITY_NODE_8486: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8485)],
    };

static ENTITY_NODE_8487: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1663)],
    };

static ENTITY_NODE_8488: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8487)],
    };

static ENTITY_NODE_8489: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_8486), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8488)],
    };

static ENTITY_NODE_8490: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xbe")),
      children: &[],
    };

static ENTITY_NODE_8491: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8490)],
    };

static ENTITY_NODE_8492: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_578)],
    };

static ENTITY_NODE_8493: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8492)],
    };

static ENTITY_NODE_8494: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1657)],
    };

static ENTITY_NODE_8495: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8494)],
    };

static ENTITY_NODE_8496: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_8493), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8495)],
    };

static ENTITY_NODE_8497: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_6020)],
    };

static ENTITY_NODE_8498: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8497)],
    };

static ENTITY_NODE_8499: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x8b\xbb")),
      children: &[],
    };

static ENTITY_NODE_8500: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8499)],
    };

static ENTITY_NODE_8501: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 115,
      value: None,
      children: &[Some(ENTITY_NODE_8500)],
    };

static ENTITY_NODE_8502: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8501)],
    };

static ENTITY_NODE_8503: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xa9")),
      children: &[],
    };

static ENTITY_NODE_8504: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8503)],
    };

static ENTITY_NODE_8505: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8504), None, None, None, None, None, Some(ENTITY_NODE_3920)],
    };

static ENTITY_NODE_8506: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_3923)],
    };

static ENTITY_NODE_8507: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 109,
      value: None,
      children: &[Some(ENTITY_NODE_8506)],
    };

static ENTITY_NODE_8508: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8507)],
    };

static ENTITY_NODE_8509: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 100,
      value: None,
      children: &[Some(ENTITY_NODE_3916), None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8505), None, None, None, Some(ENTITY_NODE_8508)],
    };

static ENTITY_NODE_8510: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_599)],
    };

static ENTITY_NODE_8511: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8510)],
    };

static ENTITY_NODE_8512: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_1678)],
    };

static ENTITY_NODE_8513: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8512)],
    };

static ENTITY_NODE_8514: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 65,
      value: None,
      children: &[Some(ENTITY_NODE_8511), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8513)],
    };

static ENTITY_NODE_8515: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x8d")),
      children: &[],
    };

static ENTITY_NODE_8516: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8515)],
    };

static ENTITY_NODE_8517: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8516)],
    };

static ENTITY_NODE_8518: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8517), None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_3933)],
    };

static ENTITY_NODE_8519: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_3945)],
    };

static ENTITY_NODE_8520: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8519)],
    };

static ENTITY_NODE_8521: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_3959), None, None, None, Some(ENTITY_NODE_8520)],
    };

static ENTITY_NODE_8522: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_3912), Some(ENTITY_NODE_8481), None, Some(ENTITY_NODE_8484), None, Some(ENTITY_NODE_8489), Some(ENTITY_NODE_8491), None, None, Some(ENTITY_NODE_8496), Some(ENTITY_NODE_8498), Some(ENTITY_NODE_8502), Some(ENTITY_NODE_8509), None, None, Some(ENTITY_NODE_8514), Some(ENTITY_NODE_8518), None, Some(ENTITY_NODE_8521), Some(ENTITY_NODE_3962), Some(ENTITY_NODE_3963)],
    };

static ENTITY_NODE_8523: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xbd")),
      children: &[],
    };

static ENTITY_NODE_8524: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xbd")),
      children: &[Some(ENTITY_NODE_8523)],
    };

static ENTITY_NODE_8525: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8524)],
    };

static ENTITY_NODE_8526: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8525)],
    };

static ENTITY_NODE_8527: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x8f")),
      children: &[],
    };

static ENTITY_NODE_8528: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8527)],
    };

static ENTITY_NODE_8529: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_8526), None, None, None, Some(ENTITY_NODE_8528)],
    };

static ENTITY_NODE_8530: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8529)],
    };

static ENTITY_NODE_8531: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xb7")),
      children: &[],
    };

static ENTITY_NODE_8532: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8531)],
    };

static ENTITY_NODE_8533: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8532)],
    };

static ENTITY_NODE_8534: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8533)],
    };

static ENTITY_NODE_8535: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x8b")),
      children: &[],
    };

static ENTITY_NODE_8536: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8535)],
    };

static ENTITY_NODE_8537: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 105,
      value: None,
      children: &[Some(ENTITY_NODE_8534), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8536)],
    };

static ENTITY_NODE_8538: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc2\xa5")),
      children: &[],
    };

static ENTITY_NODE_8539: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc2\xa5")),
      children: &[Some(ENTITY_NODE_8538)],
    };

static ENTITY_NODE_8540: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8539)],
    };

static ENTITY_NODE_8541: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb6")),
      children: &[],
    };

static ENTITY_NODE_8542: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8541)],
    };

static ENTITY_NODE_8543: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8542)],
    };

static ENTITY_NODE_8544: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x97")),
      children: &[],
    };

static ENTITY_NODE_8545: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8544)],
    };

static ENTITY_NODE_8546: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_8545)],
    };

static ENTITY_NODE_8547: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8546)],
    };

static ENTITY_NODE_8548: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xaa")),
      children: &[],
    };

static ENTITY_NODE_8549: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8548)],
    };

static ENTITY_NODE_8550: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8549)],
    };

static ENTITY_NODE_8551: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8550)],
    };

static ENTITY_NODE_8552: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x8e")),
      children: &[],
    };

static ENTITY_NODE_8553: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8552)],
    };

static ENTITY_NODE_8554: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8553)],
    };

static ENTITY_NODE_8555: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8554)],
    };

static ENTITY_NODE_8556: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd1\x8e")),
      children: &[],
    };

static ENTITY_NODE_8557: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8556)],
    };

static ENTITY_NODE_8558: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_8557)],
    };

static ENTITY_NODE_8559: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc3\xbf")),
      children: &[],
    };

static ENTITY_NODE_8560: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: Some(EntityType::Named(b"\xc3\xbf")),
      children: &[Some(ENTITY_NODE_8559)],
    };

static ENTITY_NODE_8561: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 108,
      value: None,
      children: &[Some(ENTITY_NODE_8560)],
    };

static ENTITY_NODE_8562: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8558), None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8561)],
    };

static ENTITY_NODE_8563: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8530), None, Some(ENTITY_NODE_8537), None, Some(ENTITY_NODE_8540), Some(ENTITY_NODE_8543), None, None, Some(ENTITY_NODE_8547), None, None, None, None, None, Some(ENTITY_NODE_8551), None, None, None, Some(ENTITY_NODE_8555), None, Some(ENTITY_NODE_8562)],
    };

static ENTITY_NODE_8564: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xba")),
      children: &[],
    };

static ENTITY_NODE_8565: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8564)],
    };

static ENTITY_NODE_8566: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8565)],
    };

static ENTITY_NODE_8567: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8566)],
    };

static ENTITY_NODE_8568: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 117,
      value: None,
      children: &[Some(ENTITY_NODE_8567)],
    };

static ENTITY_NODE_8569: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8568)],
    };

static ENTITY_NODE_8570: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xbe")),
      children: &[],
    };

static ENTITY_NODE_8571: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8570)],
    };

static ENTITY_NODE_8572: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 110,
      value: None,
      children: &[Some(ENTITY_NODE_8571)],
    };

static ENTITY_NODE_8573: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8572)],
    };

static ENTITY_NODE_8574: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8573)],
    };

static ENTITY_NODE_8575: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb7")),
      children: &[],
    };

static ENTITY_NODE_8576: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8575)],
    };

static ENTITY_NODE_8577: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8574), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8576)],
    };

static ENTITY_NODE_8578: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xc5\xbc")),
      children: &[],
    };

static ENTITY_NODE_8579: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8578)],
    };

static ENTITY_NODE_8580: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8579)],
    };

static ENTITY_NODE_8581: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 111,
      value: None,
      children: &[Some(ENTITY_NODE_8580)],
    };

static ENTITY_NODE_8582: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_3617)],
    };

static ENTITY_NODE_8583: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8582)],
    };

static ENTITY_NODE_8584: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 116,
      value: None,
      children: &[Some(ENTITY_NODE_8583)],
    };

static ENTITY_NODE_8585: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xce\xb6")),
      children: &[],
    };

static ENTITY_NODE_8586: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8585)],
    };

static ENTITY_NODE_8587: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8586)],
    };

static ENTITY_NODE_8588: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 101,
      value: None,
      children: &[Some(ENTITY_NODE_8584), None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_8587)],
    };

static ENTITY_NODE_8589: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x94\xb7")),
      children: &[],
    };

static ENTITY_NODE_8590: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8589)],
    };

static ENTITY_NODE_8591: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8590)],
    };

static ENTITY_NODE_8592: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xd0\xb6")),
      children: &[],
    };

static ENTITY_NODE_8593: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8592)],
    };

static ENTITY_NODE_8594: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 121,
      value: None,
      children: &[Some(ENTITY_NODE_8593)],
    };

static ENTITY_NODE_8595: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8594)],
    };

static ENTITY_NODE_8596: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x87\x9d")),
      children: &[],
    };

static ENTITY_NODE_8597: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8596)],
    };

static ENTITY_NODE_8598: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8597)],
    };

static ENTITY_NODE_8599: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8598)],
    };

static ENTITY_NODE_8600: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8599)],
    };

static ENTITY_NODE_8601: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8600)],
    };

static ENTITY_NODE_8602: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 103,
      value: None,
      children: &[Some(ENTITY_NODE_8601)],
    };

static ENTITY_NODE_8603: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x95\xab")),
      children: &[],
    };

static ENTITY_NODE_8604: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8603)],
    };

static ENTITY_NODE_8605: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 102,
      value: None,
      children: &[Some(ENTITY_NODE_8604)],
    };

static ENTITY_NODE_8606: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 112,
      value: None,
      children: &[Some(ENTITY_NODE_8605)],
    };

static ENTITY_NODE_8607: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xf0\x9d\x93\x8f")),
      children: &[],
    };

static ENTITY_NODE_8608: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8607)],
    };

static ENTITY_NODE_8609: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 114,
      value: None,
      children: &[Some(ENTITY_NODE_8608)],
    };

static ENTITY_NODE_8610: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 99,
      value: None,
      children: &[Some(ENTITY_NODE_8609)],
    };

static ENTITY_NODE_8611: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x8d")),
      children: &[],
    };

static ENTITY_NODE_8612: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8611)],
    };

static ENTITY_NODE_8613: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 0,
      value: Some(EntityType::Named(b"\xe2\x80\x8c")),
      children: &[],
    };

static ENTITY_NODE_8614: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 59,
      value: None,
      children: &[Some(ENTITY_NODE_8613)],
    };

static ENTITY_NODE_8615: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 106,
      value: None,
      children: &[Some(ENTITY_NODE_8614)],
    };

static ENTITY_NODE_8616: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 106,
      value: None,
      children: &[Some(ENTITY_NODE_8612), None, None, None, Some(ENTITY_NODE_8615)],
    };

static ENTITY_NODE_8617: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 97,
      value: None,
      children: &[Some(ENTITY_NODE_8569), None, Some(ENTITY_NODE_8577), Some(ENTITY_NODE_8581), Some(ENTITY_NODE_8588), Some(ENTITY_NODE_8591), None, Some(ENTITY_NODE_8595), Some(ENTITY_NODE_8602), None, None, None, None, None, Some(ENTITY_NODE_8606), None, None, None, Some(ENTITY_NODE_8610), None, None, None, Some(ENTITY_NODE_8616)],
    };

static ENTITY_NODE_8618: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 35,
      value: None,
      children: &[Some(ENTITY_NODE_3), None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, None, Some(ENTITY_NODE_98), Some(ENTITY_NODE_157), Some(ENTITY_NODE_405), Some(ENTITY_NODE_771), Some(ENTITY_NODE_918), Some(ENTITY_NODE_978), Some(ENTITY_NODE_1086), Some(ENTITY_NODE_1160), Some(ENTITY_NODE_1283), Some(ENTITY_NODE_1312), Some(ENTITY_NODE_1345), Some(ENTITY_NODE_1743), Some(ENTITY_NODE_1789), Some(ENTITY_NODE_2330), Some(ENTITY_NODE_2462), Some(ENTITY_NODE_2563), Some(ENTITY_NODE_2579), Some(ENTITY_NODE_2871), Some(ENTITY_NODE_3100), Some(ENTITY_NODE_3217), Some(ENTITY_NODE_3420), Some(ENTITY_NODE_3506), Some(ENTITY_NODE_3528), Some(ENTITY_NODE_3542), Some(ENTITY_NODE_3583), Some(ENTITY_NODE_3627), None, None, None, None, None, None, Some(ENTITY_NODE_3815), Some(ENTITY_NODE_4191), Some(ENTITY_NODE_4536), Some(ENTITY_NODE_4793), Some(ENTITY_NODE_5008), Some(ENTITY_NODE_5138), Some(ENTITY_NODE_5294), Some(ENTITY_NODE_5426), Some(ENTITY_NODE_5590), Some(ENTITY_NODE_5624), Some(ENTITY_NODE_5665), Some(ENTITY_NODE_6185), Some(ENTITY_NODE_6304), Some(ENTITY_NODE_6753), Some(ENTITY_NODE_6916), Some(ENTITY_NODE_7110), Some(ENTITY_NODE_7147), Some(ENTITY_NODE_7501), Some(ENTITY_NODE_7925), Some(ENTITY_NODE_8121), Some(ENTITY_NODE_8299), Some(ENTITY_NODE_8442), Some(ENTITY_NODE_8478), Some(ENTITY_NODE_8522), Some(ENTITY_NODE_8563), Some(ENTITY_NODE_8617)],
    };

pub static ENTITY: &crate::common::pattern::TrieNode<EntityType> = &crate::common::pattern::TrieNode {
      offset: 38,
      value: None,
      children: &[Some(ENTITY_NODE_8618)],
    };
